cordova.define("com.sunray.B1Manager.B1Manager", function(require, exports, module) {
var exec = require('cordova/exec');

//设置B1连接的wifi
exports.receiveWifiInfo = function(success,error,wifiName,wifiPassword,deviceName) {
	  exec(success,error,"B1Manager","receiveWifiInfo",[wifiName,wifiPassword,deviceName]);
};

//在局域网连接B1
exports.startConnect = function(success,error,wCode,alarmSwitch,alarmSound,heartSound,wifiName,password,readFile) {
	  exec(success,error,"B1Manager","startConnect",[wCode,alarmSwitch,alarmSound,heartSound,wifiName,password,readFile]);
};

//开始胎监
exports.startMonitoring = function(success,error,num) {
	  exec(success,error,"B1Manager","startMonitoring",[num]);
};

//停止胎监
exports.stopMonitoring = function(success,error) {
	  exec(success,error,"B1Manager","stopMonitoring",[]);
};

//宫压调零
exports.resetUterus = function() {
	  exec(success,error,"B1Manager","resetUterus",[]);
};

//报警开关
exports.setAlarmSwitch = function(value) {
	  exec(success,error,"B1Manager","setAlarmSwitch",[value]);
};

//报警音量
exports.setAlarmSound = function(value) {
	  exec(success,error,"B1Manager","setAlarmSound",[value]);
};

//胎心音量
exports.setHeartSound = function(value) {
	  exec(success,error,"B1Manager","setHeartSound",[value]);
};

//检查所处wifi
exports.checkWifi = function(value) {
	  exec(success,error,"B1Manager","checkWifi",[value]);
};

//wifiList
exports.wifiList = function(success,error) {
	  exec(success,error,"B1Manager","wifiList",[]);
};

//每分钟回传胎监数据
exports.uploadMonitorData = function(success,error,cdno){
	exec(success,error,"B1Manager","uploadMonitorData",[cdno]);
}


//设备状态
exports.requestDeviceStatus = function(success,error){
	exec(success,error,"B1Manager","requestDeviceStatus",[]);
}

//checkWifi
exports.checkWifi = function(success,error,wifiName,password){
	exec(success,error,"B1Manager","checkWifi",[wifiName,password]);
}

//断开连接
exports.disConnect = function(success,error){
	exec(success,error,"B1Manager","disConnect",[]);
}

//手动胎动
exports.receiveAutoMove = function(success,error,index) {
	  exec(success,error,"B1Manager","receiveAutoMove",[index]);
};

//每分钟回传胎监数据
exports.reconnect = function(success,error){
	exec(success,error,"B1Manager","reconnect",[]);
}

//计时器
exports.timeFire = function(success,error) {
	  exec(success,error,"B1Manager","timeFire",[]);
};

//写日志
exports.writeLog = function(flag,url,json) {
	  exec(success,error,"B1Manager","writeLog",[flag,url,json]);
};

//一分钟上传后的回调
exports.callBackResult = function(success, error) {
	  exec(success,error,"B1Manager","callBackResult",[]);
};

//上传日志
exports.uploadLog = function(success, error,isNeedAdpcm, dates, url, token) {
	  exec(success,error,"B1Manager","uploadLog",[isNeedAdpcm, dates, url, token]);
};

//删除日志
exports.deleteLog = function(success, error) {
	  exec(success,error,"B1Manager","deleteLog",[]);
};

//=============================测试方法
//请求文件目录
exports.content = function(success,error){
	exec(success,error,"B1Manager","content",[]);
}

//请求指定文件
exports.request = function(success,error){
	exec(success,error,"B1Manager","request",[]);
}

//胎儿唤醒-开始
exports.awakenStart = function(success,error) {
	  exec(success,error,"B1Manager","awakenStart",[]);
};
//胎儿唤醒-停止
exports.awakenStop = function(success,error) {
	  exec(success,error,"B1Manager","awakenStop",[]);
};

//不继续胎监，选择直接上传数据的时候调用
exports.directUpload = function(success,error,json) {
	  exec(success,error,"B1Manager","directUpload",[json]);
};

//发送强制结束胎监命令
exports.sendForceMonitor = function(success,error) {
	  exec(success,error,"B1Manager","sendForceMonitor");
};

function success(str){
//	console.log(str);
}

function error(str){
//	console.log(str);
}
});
