define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	require("css!$UI/bestbaby-gravida/common/css/common").load();
	require('$UI/bestbaby-gravida/common/js/freewall');
	require('$UI/bestbaby-gravida/common/js/index');
	require("css!$UI/bestbaby-gravida/common/css/photoswipe").load();
	var PhotoSwipe = require("$UI/bestbaby-gravida/common/js/photoswipe");
	var PhotoSwipeUI_Default = require("$UI/bestbaby-gravida/common/js/photoswipe-ui-default.min");

	require("$UI/system/lib/cordova/cordova");

	var Model = function() {
		this.callParent();
		this.msgTextContent = justep.Bind.observable("");
		this.im_scene = "p2p";
		this.im_sessionid = "";
		this.im_to_user = {};
		this.im_my_user = {};
		this.timer = null;

	};

	Model.prototype.onLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			console.log("hello")
			console.log($(".x-panel-top"))
			if (!$('.messageTalk_panel').hasClass('ios_style')) {
				$('.messageTalk_panel').addClass('ios_style')
			}
		}

		var that = this;
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
				
					that.backBtnClick(event);
				}
			}
		});

		this.user = app.getUser();

		this.comp("talkTitleBar").setTitle(this.params.name);

		if (typeof this.params.to == 'undefined' || this.params.to.length < 1) {
			pop.pop('缺少沟通对象');
			setTimeout(function() {
				justep.Shell.closePage();
			}, 500);
		}

		this.initData();

		this.comp("scrollView1").scrollTo("end");

	};

	// 初始化数据
	Model.prototype.initData = function() {
		var $m = this;
		var scrollOn = true;
		var messageData = this.comp("messageData");
		messageData.clear();
		// if (this.params.addFriend) {//第一次加好友的时候自动发送消息
		//
		// var msg = NIM_Instance.sendText({
		// scene : 'p2p',
		// to : this.params.to,
		// text : "你好，我是" + app.getUser().name,
		// done : sendMsgDone
		// });
		//
		// function sendMsgDone(error, msg) {
		// if (!error) {
		//
		// }
		// pushMsg(msg);
		//
		// window.NIM_DATA.sessions = window.NIM_DATA.sessions;
		//
		// $m.msgDataAddIMMsg(msg);
		//
		// }
		// }

		this.im_sessionid = this.im_scene + '-' + this.params.to;
		// this.imSetToUser();
		// this.imSetMyUser();
		// console.log(this.im_sessionid )

		NIM_Instance.resetSessionUnread(this.im_sessionid);// 重置会话未读数

		// var dataModel = this.comp("messageData");
		// 获取当前聊天的msg
		var data = [];
		// console.log(NIM_DATA);

		NIM_Instance.setOptions({
			onmsg : onMsg,

		});

		NIM_Instance.getLocalMsgs({
			sessionId : this.im_sessionid,
			limit : 7,
			desc : true,
			done : getLocalMsgsDone
		});

		function onMsg(Message) {
			// console.log("收到消息(msg talk onMsg)：");
			// console.log(Message);
			pushMsg(Message);

			// 把消息更新到消息数据模型
			// 先判断当前页面是否在聊天窗口
			// 消息是否是当前sessionid发过来的
			//
			if (Message.sessionId === $m.im_sessionid) {
				// console.log(1111111111111111111111111111111111111111111111111111111111111111);
				$m.msgDataAddIMMsg(Message);
			}
			// console.log($m.im_sessionid);
		}

		function getLocalMsgsDone(error, obj) {
			// console.log('获取本地消息' + (!error ? '成功' : '失败'), error, obj);

			if (!error && obj.msgs.length > 0) {
				data = obj.msgs;
			} else {
				if (typeof window.NIM_DATA.msgs == "object" && typeof window.NIM_DATA.msgs[$m.im_sessionid] == "object" && window.NIM_DATA.msgs[$m.im_sessionid].length > 0) {
					// console.log(123124567890367890);
					data = window.NIM_DATA.msgs[$m.im_sessionid] || [];
				}

				// console.log("当前聊天data msg", data);
			}

			for (var i = 0; i < data.length; i++) {
				/*
				 * dataModel.add({ id : data[i].idClient, flow : data[i].flow,
				 * content: data[i].text, time : data[i].time });
				 */

				$m.getLocalMsg(data[i]);

			}

		}
		if ($m.comp("scrollView1")) {
			$m.comp("scrollView1").scrollTo("end");
		}
		// dataModel.load

	};
	Model.prototype.getLocalMsg = function(msgs) {// 获取本地聊天记录
		var messageData = this.comp("messageData");
		var scrollOn = true;
		var that = this;
		if (msgs.flow == 'out') {
			NIM_Instance.getUser({
				account : msgs.from,
				done : getUserIn
			});

		} else if (msgs.flow == 'in') {
			NIM_Instance.getUser({
				account : msgs.from,
				done : getUserIn
			});
		}
		function getUserIn(error, user) {
			var logo = "";
			console.log(msgs);
			console.log("获取本地聊天记录");
			if (user.avatar) {
				logo = user.avatar
			} else {
				logo = './common/images/default-logo.png';
			}
			// messageData.setOrderBy('time', 1);//数据倒序
			// messageData.refresh(true);
			if (that.comp("scrollView1")) {
				that.comp("scrollView1").scrollTo("end");
			}
			if (msgs.type == "image") {
				messageData.add({
					id : msgs.from,
					flow : msgs.flow,
					content : msgs.text,
					time : msgs.time,
					id_server : msgs.idServer,
					status : msgs.status,
					avatar : logo,
					type : msgs.type,
					img : msgs.file.url
				});
				$(".brick", that.getRootNode()).each(function() {
					var obj = $(this);
					var img = $(this).find(".chatPic").find("img");
					var newImg = new Image();
					newImg.onload = function() {
						var imgWidth = newImg.width;
						var imgHeight = newImg.height;
						var w = parseInt(imgWidth / 160);
						var h = parseInt(imgHeight / 160);
						if (w < 1)
							w = 1;
						if (h < 1)
							h = 1;
						var size = "size" + w + h;
						var className = obj.attr("class") + " " + size;
						obj.attr("class", className);
						// console.log("我是循环attr的")
						obj.find("a").attr({
							"href" : img.attr("src"),
							"data-size" : imgWidth + "x" + imgHeight,
							"data-med" : img.attr("src"),
							"data-med-size" : imgWidth + "x" + imgHeight
						});
					}
					newImg.src = img.attr("src");

				});

				window.app.setup({
					share : 1,
					color : 1,
					logo : 1,
					layout : 1,
					events : 1,
					methods : 1,
					options : 1,
					preload : 1
				});

				// 放大
				var initPhotoSwipeFromDOM = function(gallerySelector) {

					var parseThumbnailElements = function(el) {

						var thumbElements = $(el).find('.chatPic'), numNodes = thumbElements.length, items = [], el, childElements, thumbnailEl, size, item;
						// console.log(thumbElements)
						// console.log("我是thumbElments")
						for (var i = 0; i < numNodes; i++) {
							el = thumbElements.eq(i);

							// include only element nodes

							childElements = el.find("a img");

							size = el.find("a").attr('data-size').split('x');
							// console.log(el.find("a"))
							// create slide object
							item = {
								src : el.find("a").attr('href'),
								w : parseInt(size[0], 10),
								h : parseInt(size[1], 10),
								author : el.find("a").attr('data-author')
							};

							item.el = el.find("a"); // save link to element for
							// getThumbBoundsFn

							if (childElements) {
								item.msrc = childElements.attr('src'); // thumbnail
								// url

							}

							var mediumSrc = el.find("a").attr('data-med');
							if (mediumSrc) {
								size = el.find("a").attr('data-med-size').split('x');
								// "medium-sized" image
								item.m = {
									src : mediumSrc,
									w : parseInt(size[0], 10),
									h : parseInt(size[1], 10)
								};
							}
							// original image
							item.o = {
								src : item.src,
								w : item.w,
								h : item.h
							};

							items.push(item);
						}

						return items;
					};
					//
					// find nearest parent element
					var closest = function closest(el, fn) {
						return el && (fn(el) ? el : closest(el.parentNode, fn));
					};

					var onThumbnailsClick = function(e) {
						e = e || window.event;
						e.preventDefault ? e.preventDefault() : e.returnValue = false;

						var eTarget = e.target || e.srcElement;

						var clickedListItem = closest(eTarget, function(el) {
							// console.log(el)
							// console.log("我是A")
							return el.tagName === 'A';
						});

						if (!clickedListItem) {
							return;
						}

						var clickedGallery = clickedListItem.parentNode.parentNode;

						var childNodes = clickedListItem.parentNode.parentNode.childNodes, numChildNodes = childNodes.length, nodeIndex = 0, index;

						for (var i = 0; i < numChildNodes; i++) {
							if (childNodes[i].nodeType !== 1) {
								continue;
							}

							if ((childNodes[i].children)[0] === clickedListItem) {
								index = nodeIndex;
								break;
							}
							nodeIndex++;
						}

						if (index >= 0) {
							openPhotoSwipe(index, clickedGallery);
						}
						return false;
					};

					var openPhotoSwipe = function(index, galleryElement, disableAnimation, fromURL) {
						var pswpElement = document.querySelectorAll('.pswp')[0], gallery, options, items;
						console.log(galleryElement)
						console.log("我是items")
						items = parseThumbnailElements(galleryElement);
						// console.log(items)

						// define options (if needed)
						options = {
							fullscreenEl : false,
							tapToClose : true,
							history : false,
							galleryUID : galleryElement.getAttribute('data-pswp-uid'),
							closeEl : true,
							captionEl : false,
							shareEl : false,
							preloaderEl : false,
							getThumbBoundsFn : function(index) {
								console.log(items[index].el)
								// See Options->getThumbBoundsFn section of docs
								// for more info
								// var thumbnail = items[index].el.children[0],
								// console.log($(items[index].el).find("a"))
								// console.log("我是items")
								var thumbnail = $(items[index].el), pageYScroll = window.pageYOffset || document.documentElement.scrollTop, rect = thumbnail[index].getBoundingClientRect();

								return {
									x : rect.left,
									y : rect.top + pageYScroll,
									w : rect.width
								};
							},

							addCaptionHTMLFn : function(item, captionEl, isFake) {
								if (!item.title) {
									captionEl.children[0].innerText = '';
									return false;
								}
								captionEl.children[0].innerHTML = item.title + '<br/><small>Photo: ' + item.author + '</small>';
								return true;
							},

						};

						if (fromURL) {
							if (options.galleryPIDs) {
								// parse real index when custom PIDs are used
								// http://photoswipe.com/documentation/faq.html#custom-pid-in-url
								for (var j = 0; j < items.length; j++) {
									if (items[j].pid == index) {
										options.index = j;
										break;
									}
								}
							} else {
								options.index = parseInt(index, 10) - 1;
							}
						} else {
							options.index = parseInt(index, 10);
						}

						// exit if index not found
						if (isNaN(options.index)) {
							return;
						}

						var radios = document.getElementsByName('gallery-style');
						for (var i = 0, length = radios.length; i < length; i++) {
							if (radios[i].checked) {
								if (radios[i].id == 'radio-all-controls') {

								} else if (radios[i].id == 'radio-minimal-black') {
									options.mainClass = 'pswp--minimal--dark';
									options.barsSize = {
										top : 0,
										bottom : 0
									};
									options.captionEl = false;
									options.fullscreenEl = false;
									options.shareEl = false;
									options.bgOpacity = 0.85;
									options.tapToClose = true;
									options.tapToToggleControls = false;
								}
								break;
							}
						}

						if (disableAnimation) {
							options.showAnimationDuration = 0;
						}

						// Pass data to PhotoSwipe and initialize it
						gallery = new PhotoSwipe(pswpElement, PhotoSwipeUI_Default, items, options);

						// see:
						// http://photoswipe.com/documentation/responsive-images.html
						var realViewportWidth, useLargeImages = false, firstResize = true, imageSrcWillChange;

						gallery.listen('beforeResize', function() {

							var dpiRatio = window.devicePixelRatio ? window.devicePixelRatio : 1;
							dpiRatio = Math.min(dpiRatio, 2.5);
							realViewportWidth = gallery.viewportSize.x * dpiRatio;

							if (realViewportWidth >= 1200 || (!gallery.likelyTouchDevice && realViewportWidth > 800) || screen.width > 1200) {
								if (!useLargeImages) {
									useLargeImages = true;
									imageSrcWillChange = true;
								}

							} else {
								if (useLargeImages) {
									useLargeImages = false;
									imageSrcWillChange = true;
								}
							}

							if (imageSrcWillChange && !firstResize) {
								gallery.invalidateCurrItems();
							}

							if (firstResize) {
								firstResize = false;
							}

							imageSrcWillChange = false;

						});

						gallery.listen('gettingData', function(index, item) {
							if (useLargeImages) {
								item.src = item.o.src;
								item.w = item.o.w;
								item.h = item.o.h;
							} else {
								item.src = item.m.src;
								item.w = item.m.w;
								item.h = item.m.h;
							}
						});

						gallery.init();
					};
					// select all gallery elements
					var galleryElements = document.querySelectorAll(gallerySelector);

					for (var i = 0, l = galleryElements.length; i < l; i++) {
						galleryElements[i].setAttribute('data-pswp-uid', i + 1);
						galleryElements[i].onclick = onThumbnailsClick;
					}

				};

				initPhotoSwipeFromDOM('.gallery');
			}
			if (msgs.type == "text") {
				messageData.add({
					id : msgs.from,
					flow : msgs.flow,
					content : msgs.text,
					time : msgs.time,
					id_server : msgs.idServer,
					status : msgs.status,
					avatar : logo,
					type : msgs.type,

				});

			}
			messageData.sort(function(row1, row2) {// 数据倒序
				return row1.val('time') > row2.val('time') ? 1 : -1;
			});

		}

	}

	Model.prototype.formTime = function(time) {
		var foratime = new Date(time) + "";

		return getLocalTime(foratime.split("GMT")[0]);

	}

	function getLocalTime(nS) {
		var cmonth = [ '01', '02', '03', '04', '05', '06', '07', '08', '09', '10', '11', '12' ];
		var time = nS.substring(15, 24);
		var mons = nS.substring(4, 7);
		var dat = nS.substring(8, 10);
		var year = nS.substring(11, 15);
		var month = [ 'Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec' ];
		var chinM = "";
		for (var i = 0; i < month.length; i++) {
			if (mons == month[i]) {

				chinM = cmonth[i]
			}

		}
		return year + '-' + chinM + "-" + dat + " " + time;

	}
	// 发送文本消息
	Model.prototype.sendText = function() {
		var $m = this;
		var text = this.msgTextContent.get();
		if (text.length < 1) {
			return;
		}
		// console.log(this.params.to,text); return;
		var msg = NIM_Instance.sendText({
			scene : 'p2p',
			to : this.params.to,
			text : text,
			done : sendMsgDone
		});
		// console.log('正在发送p2p text消息, id=' + msg.idClient);
		function sendMsgDone(error, msg) {
			if (!error) {
				$m.msgTextContent.set("");
			} else {
				// console.log("发送失败啊")
				$m.msgTextContent.set("");
				pop.pop("发送消息失败")
			}
			// console.log(error);
			console.log(msg);
			// console.log('发送' + msg.scene + ' ' + msg.type + '消息' + (!error ?
			// '成功' : '失败') + ', id=' + msg.idClient);
			pushMsg(msg);

			// console.log("全局NIM——DATA", window.NIM_DATA);
			window.NIM_DATA.sessions = window.NIM_DATA.sessions;

			$m.msgDataAddIMMsg(msg);

		}

	}

	Model.prototype.msgDataAddIMMsg = function(msg) {
		var messageData = this.comp("messageData");

		var that = this;
		// messageData.clear();
		// console.log('获取用户');
		console.log(msg)
		console.log("我是sendmsg")
		if (msg.type == "text") {
			if (msg.status == 'fail') {
			    pop.pop("发送消息失败")
				that.msgTextContent.set("");
			} else {
				messageData.add({
					id : msg.from,
					flow : msg.flow,
					content : msg.text,
					time : msg.time,
					id_server : msg.idServer,
					status : msg.status,
					type : msg.type,
				})
			}

		}
		if (msg.type == "image") {
		if (msg.status == 'fail') {
		        pop.pop("发送消息失败")
				that.msgTextContent.set("");
			} else {
			messageData.add({
				id : msg.from,
				flow : msg.flow,
				content : msg.text,
				time : msg.time,
				id_server : msg.idServer,
				status : msg.status,
				type : msg.type,
				img : msg.file.url
			})
			}

		}
		if (msg.flow == 'out') {
			NIM_Instance.getUser({
				account : msg.from,
				done : getUserIn
			})

		} else if (msg.flow == 'in') {

			// console.log(msg);
			NIM_Instance.getUser({
				account : msg.from,
				done : getUserIn
			})

		}
		;

		function getUserIn(error, user) {
			var logo = "";
			// console.log("我是圖片獲取")
			// console.log('获取in用户名片' + (!error ? '成功' : '失败'), error, user);

			if (user.avatar) {
				logo = user.avatar;
			} else {
				logo = './common/images/default-logo.png';
			}
			$(".brick", that.getRootNode()).each(function() {
				var obj = $(this);
				var img = $(this).find(".chatPic").find("img");
				var newImg = new Image();
				// console.log("我是图片啊")
				newImg.onload = function() {
					var imgWidth = newImg.width;
					var imgHeight = newImg.height;
					var w = parseInt(imgWidth / 160);
					var h = parseInt(imgHeight / 160);
					if (w < 1)
						w = 1;
					if (h < 1)
						h = 1;
					var size = "size" + w + h;
					var className = obj.attr("class") + " " + size;
					obj.attr("class", className);
					// console.log("我是循环attr的")
					obj.find("a").attr({
						"href" : img.attr("src"),
						"data-size" : imgWidth + "x" + imgHeight,
						"data-med" : img.attr("src"),
						"data-med-size" : imgWidth + "x" + imgHeight
					});
				}
				newImg.src = img.attr("src");

			});

			window.app.setup({
				share : 1,
				color : 1,
				logo : 1,
				layout : 1,
				events : 1,
				methods : 1,
				options : 1,
				preload : 1
			});

			// 放大
			var initPhotoSwipeFromDOM = function(gallerySelector) {

				var parseThumbnailElements = function(el) {

					var thumbElements = $(el).find('.chatPic'), numNodes = thumbElements.length, items = [], el, childElements, thumbnailEl, size, item;
					// console.log(thumbElements)
					// console.log("我是thumbElments")
					for (var i = 0; i < numNodes; i++) {
						el = thumbElements.eq(i);

						// include only element nodes

						childElements = el.find("a img");

						size = el.find("a").attr('data-size').split('x');
						// console.log(el.find("a"))
						// create slide object
						item = {
							src : el.find("a").attr('href'),
							w : parseInt(size[0], 10),
							h : parseInt(size[1], 10),
							author : el.find("a").attr('data-author')
						};

						item.el = el.find("a"); // save link to element for
						// getThumbBoundsFn

						if (childElements) {
							item.msrc = childElements.attr('src'); // thumbnail
							// url

						}

						var mediumSrc = el.find("a").attr('data-med');
						if (mediumSrc) {
							size = el.find("a").attr('data-med-size').split('x');
							// "medium-sized" image
							item.m = {
								src : mediumSrc,
								w : parseInt(size[0], 10),
								h : parseInt(size[1], 10)
							};
						}
						// original image
						item.o = {
							src : item.src,
							w : item.w,
							h : item.h
						};

						items.push(item);
					}

					return items;
				};
				//
				// find nearest parent element
				var closest = function closest(el, fn) {
					return el && (fn(el) ? el : closest(el.parentNode, fn));
				};

				var onThumbnailsClick = function(e) {
					e = e || window.event;
					e.preventDefault ? e.preventDefault() : e.returnValue = false;

					var eTarget = e.target || e.srcElement;

					var clickedListItem = closest(eTarget, function(el) {
						// console.log(el)
						// console.log("我是A")
						return el.tagName === 'A';
					});

					if (!clickedListItem) {
						return;
					}

					var clickedGallery = clickedListItem.parentNode.parentNode;

					var childNodes = clickedListItem.parentNode.parentNode.childNodes, numChildNodes = childNodes.length, nodeIndex = 0, index;

					for (var i = 0; i < numChildNodes; i++) {
						if (childNodes[i].nodeType !== 1) {
							continue;
						}

						if ((childNodes[i].children)[0] === clickedListItem) {
							index = nodeIndex;
							break;
						}
						nodeIndex++;
					}

					if (index >= 0) {
						openPhotoSwipe(index, clickedGallery);
					}
					return false;
				};

				var openPhotoSwipe = function(index, galleryElement, disableAnimation, fromURL) {
					var pswpElement = document.querySelectorAll('.pswp')[0], gallery, options, items;
					// console.log(galleryElement)
					// console.log("我是items")
					items = parseThumbnailElements(galleryElement);
					// console.log(items)

					// define options (if needed)
					options = {
						fullscreenEl : false,
						tapToClose : true,
						history : false,
						galleryUID : galleryElement.getAttribute('data-pswp-uid'),
						closeEl : true,
						captionEl : false,
						shareEl : false,
						preloaderEl : false,
						getThumbBoundsFn : function(index) {
							console.log(items[index].el)
							// See Options->getThumbBoundsFn section of docs
							// for more info
							// var thumbnail = items[index].el.children[0],
							// console.log($(items[index].el).find("a"))
							// console.log("我是items")
							var thumbnail = $(items[index].el), pageYScroll = window.pageYOffset || document.documentElement.scrollTop, rect = thumbnail[index].getBoundingClientRect();

							return {
								x : rect.left,
								y : rect.top + pageYScroll,
								w : rect.width
							};
						},

						addCaptionHTMLFn : function(item, captionEl, isFake) {
							if (!item.title) {
								captionEl.children[0].innerText = '';
								return false;
							}
							captionEl.children[0].innerHTML = item.title + '<br/><small>Photo: ' + item.author + '</small>';
							return true;
						},

					};

					if (fromURL) {
						if (options.galleryPIDs) {
							// parse real index when custom PIDs are used
							// http://photoswipe.com/documentation/faq.html#custom-pid-in-url
							for (var j = 0; j < items.length; j++) {
								if (items[j].pid == index) {
									options.index = j;
									break;
								}
							}
						} else {
							options.index = parseInt(index, 10) - 1;
						}
					} else {
						options.index = parseInt(index, 10);
					}

					// exit if index not found
					if (isNaN(options.index)) {
						return;
					}

					var radios = document.getElementsByName('gallery-style');
					for (var i = 0, length = radios.length; i < length; i++) {
						if (radios[i].checked) {
							if (radios[i].id == 'radio-all-controls') {

							} else if (radios[i].id == 'radio-minimal-black') {
								options.mainClass = 'pswp--minimal--dark';
								options.barsSize = {
									top : 0,
									bottom : 0
								};
								options.captionEl = false;
								options.fullscreenEl = false;
								options.shareEl = false;
								options.bgOpacity = 0.85;
								options.tapToClose = true;
								options.tapToToggleControls = false;
							}
							break;
						}
					}

					if (disableAnimation) {
						options.showAnimationDuration = 0;
					}

					// Pass data to PhotoSwipe and initialize it
					gallery = new PhotoSwipe(pswpElement, PhotoSwipeUI_Default, items, options);

					// see:
					// http://photoswipe.com/documentation/responsive-images.html
					var realViewportWidth, useLargeImages = false, firstResize = true, imageSrcWillChange;

					gallery.listen('beforeResize', function() {

						var dpiRatio = window.devicePixelRatio ? window.devicePixelRatio : 1;
						dpiRatio = Math.min(dpiRatio, 2.5);
						realViewportWidth = gallery.viewportSize.x * dpiRatio;

						if (realViewportWidth >= 1200 || (!gallery.likelyTouchDevice && realViewportWidth > 800) || screen.width > 1200) {
							if (!useLargeImages) {
								useLargeImages = true;
								imageSrcWillChange = true;
							}

						} else {
							if (useLargeImages) {
								useLargeImages = false;
								imageSrcWillChange = true;
							}
						}

						if (imageSrcWillChange && !firstResize) {
							gallery.invalidateCurrItems();
						}

						if (firstResize) {
							firstResize = false;
						}

						imageSrcWillChange = false;

					});

					gallery.listen('gettingData', function(index, item) {
						if (useLargeImages) {
							item.src = item.o.src;
							item.w = item.o.w;
							item.h = item.o.h;
						} else {
							item.src = item.m.src;
							item.w = item.m.w;
							item.h = item.m.h;
						}
					});

					gallery.init();
				};
				// select all gallery elements
				var galleryElements = document.querySelectorAll(gallerySelector);

				for (var i = 0, l = galleryElements.length; i < l; i++) {
					galleryElements[i].setAttribute('data-pswp-uid', i + 1);
					galleryElements[i].onclick = onThumbnailsClick;
				}

			};

			initPhotoSwipeFromDOM('.gallery');

			// console.log(logo)
			// console.log(messageData.getRowID(messageData.getLastRow()))
			// var rows = messageData.find([ 'id' ], [ user.account ], true,
			// true, true, true);本来是获取用户id添加头像的，但是id相同，只能添加第一行数据的头像。
			messageData.setValue("avatar", logo, messageData.getLastRow());// 获取最后一行的数据，添加头像

		}
		if (this.comp("scrollView1")) {
			NIM_Instance.resetSessionUnread(that.im_sessionid);// 重置会话未读数
			this.comp("scrollView1").scrollTo("end");
		}

	}

	Model.prototype.imSetToUser = function() {
		var $m = this;
		NIM_Instance.getUser({
			account : $m.params.to,
			done : $m.imSetToUserDone
		});
	};

	Model.prototype.imSetMyUser = function() {
		var $m = this;
		NIM_Instance.getUser({
			account : $m.user.id,
			done : $m.imSetMyUserDone
		});
	};

	Model.prototype.imSetToUserDone = function(error, user) {
		// console.log('获取TO用户名片' + (!error ? '成功' : '失败'), error, user);
		if (!error && user) {
			this.im_to_user = user;
		} else {
			this.im_to_user = null;
		}
	};

	Model.prototype.imSetMyUserDone = function(error, user) {
		// console.log('获取my用户名片' + (!error ? '成功' : '失败'), error, user);
		if (!error && user) {
			this.im_my_user = user;
		} else {
			this.im_my_user = null;
		}
	};

	function pushMsg(msgs) {

		if (!Array.isArray(msgs)) {
			msgs = [ msgs ];
		}
		var sessionId = msgs[0].sessionId;
		window.NIM_DATA.msgs = window.NIM_DATA.msgs || {};
		window.NIM_DATA.msgs[sessionId] = NIM_Instance.mergeMsgs(window.NIM_DATA.msgs[sessionId], msgs);

	}

	Model.prototype.mstTextFocus = function(event) {
		// console.log($(".messageTalk_panel").css("top"))
		// $(".dialogBoxTools").css("display", "none");
		//
		// $(".sendtxtbottom").addClass("static");
		// $(".sendtxtbottom").removeClass("dynamic");
		// $(".voiceBtn").addClass("voiceSend");
		// $(".voiceBtn").removeClass("keyBoardSend");
		// $(".voiceBtn .btn img").attr("src",
		// "./common/images/icon-voiceSend.png");
		this.comp("scrollView1").scrollTo("end");
	};

	Model.prototype.dialogTools = function(event) {// 对话框工具展示按钮

		if ($(".dialogBoxTools").hasClass("invisiableBox")) {

			$(".dialogBoxTools").css("display", "flex");
			$(".dialogBoxTools").addClass("visiableVox");
			$(".dialogBoxTools").removeClass("invisiableBox");
		} else {

			$(".dialogBoxTools").css("display", "none");
			$(".dialogBoxTools").addClass("invisiableBox");
			$(".dialogBoxTools").removeClass("visiableVox");

		}
		// $(".voiceBtn .btn img").attr("src",
		// "./common/images/icon-voiceSend.png");
		// $(".voiceBtn").addClass("voiceSend");
		// $(".voiceBtn").removeClass("keyBoardSend");
		this.comp("scrollView1").scrollTo("end");
	};

	Model.prototype.voiceOnclick = function(event) {// 语音按钮
	// if ($(".voiceBtn").hasClass("voiceSend")) {
	// console.log($(".voiceBtn"));
	// $(".voiceBtn").removeClass("voiceSend");
	// $(".voiceBtn").addClass("keyboardSend");
	//
	// $(".voiceBtn .btn img").attr("src", "./common/images/icon-keyboard.png");
	//
	// } else {
	// $(".voiceBtn").removeClass("keyboardSend");
	// $(".voiceBtn").addClass("voiceSend");
	// $(".voiceBtn .btn img").attr("src",
	// "./common/images/icon-voiceSend.png");
	//
	// }

	};
	Model.prototype.content1Touchstart = function(event) {
		$(".dialogBoxTools").css("display", "none");
		$(".dialogBoxTools").addClass("invisiableBox");
		$(".dialogBoxTools").removeClass("visiableVox");
	};
	Model.prototype.getObjectURL = function(file) {// 转图片文件地址
		var url = null;
		if (window.createObjectURL != undefined) { // basic
			url = window.createObjectURL(file);
		} else if (window.URL != undefined) { // mozilla(firefox)
			url = window.URL.createObjectURL(file);
		} else if (window.webkitURL != undefined) { // webkit or chrome
			url = window.webkitURL.createObjectURL(file);
		}
		return url;
	}
	Model.prototype.sendPicBtn = function(event) {// 发送图片
		var file = $('.picBtn')[0].files[0];
		// var objUrl = this.getObjectURL(file) ;

		// console.log(objUrl)
		var messageData = this.comp("messageData");
		var that = this;
		// clearInterval(that.timer);
		// console.log(file)
		NIM_Instance.sendFile({
			scene : 'p2p',
			to : this.params.to,
			type : 'image',
			fileInput : $(".picBtn")[0],
			beginupload : function(upload) {
				// - 如果开发者传入 fileInput, 在此回调之前不能修改 fileInput
				// - 在此回调之后可以取消图片上传, 此回调会接收一个参数 `upload`, 调用 `upload.abort();`
				// 来取消文件上传
			},
			uploadprogress : function(obj) {
				// console.log('文件总大小: ' + obj.total + 'bytes');
				// console.log('已经上传的大小: ' + obj.loaded + 'bytes');
				//
				// console.log('上传进度文本: ' + obj.percentageText);
			},
			uploaddone : function(error, file) {
				// console.log(error);
				// console.log(file);
				console.log('上传' + (!error ? '成功' : '失败'));

				if (!error) {

					// pop.pop("上传成功")

				}
			},
			beforesend : function(msg) {
				// console.log('正在发送p2p image消息, id=' + msg.idClient);
				pushMsg(msg);
			},
			done : sendMsgDone
		});

		function sendMsgDone(error, msg) {
			if (!error) {
				// console.log("我是图片")
				// console.log(msg)

				if (msg.type == "image") {
					messageData.add({
						id : msg.from,
						flow : msg.flow,
						content : msg.text,
						time : msg.time,
						id_server : msg.idServer,
						status : msg.status,
						type : msg.type,
						img : msg.file.url,
					});
					// console.log("谁块点")
					NIM_Instance.getUser({
						account : msg.from,
						done : getUserIn
					});
				}
				pushMsg(msg);
			}

			function getUserIn(error, user) {
				var logo = "";
				// console.log('获取in用户名片' + (!error ? '成功' : '失败'), error,
				// user);
				if (user.avatar) {
					logo = user.avatar;
				} else {
					logo = './common/images/default-logo.png';
				}
				// console.log($(".gallery li"))
				messageData.setValue("avatar", logo, messageData.getLastRow());// 获取最后一行的数据，添加头像
				var rowIndex = that.messageData.getRowIndex(messageData.getLastRow())
				$(".brick", that.getRootNode()).each(function() {
					var obj = $(this);
					var img = $(this).find(".chatPic").find("img");
					var newImg = new Image();
					newImg.onload = function() {
						var imgWidth = newImg.width;
						var imgHeight = newImg.height;
						var w = parseInt(imgWidth / 160);
						var h = parseInt(imgHeight / 160);
						if (w < 1)
							w = 1;
						if (h < 1)
							h = 1;
						var size = "size" + w + h;
						var className = obj.attr("class") + " " + size;
						obj.attr("class", className);
						// console.log("我是循环attr的")
						obj.find("a").attr({
							"href" : img.attr("src"),
							"data-size" : imgWidth + "x" + imgHeight,
							"data-med" : img.attr("src"),
							"data-med-size" : imgWidth + "x" + imgHeight
						});
					}
					newImg.src = img.attr("src");

				});

				window.app.setup({
					share : 1,
					color : 1,
					logo : 1,
					layout : 1,
					events : 1,
					methods : 1,
					options : 1,
					preload : 1
				});

				// 放大
				var initPhotoSwipeFromDOM = function(gallerySelector) {

					var parseThumbnailElements = function(el) {
						// console.log($(el).find('.chatPic'),el.find("a"))
						var thumbElements = $(el).find('.chatPic'), numNodes = thumbElements.length, items = [], el, childElements, thumbnailEl, size, item;
						// console.log(thumbElements)
						// console.log("我是thumbElments")
						for (var i = 0; i < numNodes; i++) {
							el = thumbElements.eq(i);

							// include only element nodes

							childElements = el.find("a img");

							size = el.find("a").attr('data-size').split('x');
							console.log(el.find("a"))
							// create slide object
							item = {
								src : el.find("a").attr('href'),
								w : parseInt(size[0], 10),
								h : parseInt(size[1], 10),
								author : el.find("a").attr('data-author')
							};

							item.el = el.find("a"); // save link to element for
							// getThumbBoundsFn

							if (childElements) {
								item.msrc = childElements.attr('src'); // thumbnail
								// url

							}

							var mediumSrc = el.find("a").attr('data-med');
							if (mediumSrc) {
								size = el.find("a").attr('data-med-size').split('x');
								// "medium-sized" image
								item.m = {
									src : mediumSrc,
									w : parseInt(size[0], 10),
									h : parseInt(size[1], 10)
								};
							}
							// original image
							item.o = {
								src : item.src,
								w : item.w,
								h : item.h
							};

							items.push(item);
						}

						return items;
					};
					//
					// find nearest parent element
					var closest = function closest(el, fn) {
						return el && (fn(el) ? el : closest(el.parentNode, fn));
					};

					var onThumbnailsClick = function(e) {
						e = e || window.event;
						e.preventDefault ? e.preventDefault() : e.returnValue = false;

						var eTarget = e.target || e.srcElement;

						var clickedListItem = closest(eTarget, function(el) {
							return el.tagName === 'A';
						});

						if (!clickedListItem) {
							return;
						}

						var clickedGallery = clickedListItem.parentNode.parentNode;

						var childNodes = clickedListItem.parentNode.parentNode.childNodes, numChildNodes = childNodes.length, nodeIndex = 0, index;

						for (var i = 0; i < numChildNodes; i++) {
							if (childNodes[i].nodeType !== 1) {
								continue;
							}

							if ((childNodes[i].children)[0] === clickedListItem) {
								index = nodeIndex;
								break;
							}
							nodeIndex++;
						}

						if (index >= 0) {
							openPhotoSwipe(index, clickedGallery);
						}
						return false;
					};

					var openPhotoSwipe = function(index, galleryElement, disableAnimation, fromURL) {
						var pswpElement = document.querySelectorAll('.pswp')[0], gallery, options, items;

						items = parseThumbnailElements(galleryElement);
						// console.log(items)
						// console.log("我是items")
						// define options (if needed)
						options = {
							fullscreenEl : false,// 全屏
							tapToClose : true,// 点击图片取消gallery
							history : false,// 取消哈希
							galleryUID : galleryElement.getAttribute('data-pswp-uid'),
							closeEl : true,
							captionEl : false,
							shareEl : false,
							preloaderEl : false,
							getThumbBoundsFn : function(index) {
								// console.log(items[index].el)
								// See Options->getThumbBoundsFn section of docs
								// for more info
								// var thumbnail = items[index].el.children[0],
								// console.log($(items[index].el).find("a"))
								// console.log("我是items")
								var thumbnail = $(items[index].el), pageYScroll = window.pageYOffset || document.documentElement.scrollTop, rect = thumbnail[index].getBoundingClientRect();

								return {
									x : rect.left,
									y : rect.top + pageYScroll,
									w : rect.width
								};
							},

							addCaptionHTMLFn : function(item, captionEl, isFake) {// 加标题的
								if (!item.title) {
									captionEl.children[0].innerText = '';
									return false;
								}
								captionEl.children[0].innerHTML = item.title + '<br/><small>Photo: ' + item.author + '</small>';
								return true;
							},

						};

						if (fromURL) {
							if (options.galleryPIDs) {
								// parse real index when custom PIDs are used
								// http://photoswipe.com/documentation/faq.html#custom-pid-in-url
								for (var j = 0; j < items.length; j++) {
									if (items[j].pid == index) {
										options.index = j;
										break;
									}
								}
							} else {
								options.index = parseInt(index, 10) - 1;
							}
						} else {
							options.index = parseInt(index, 10);
						}

						// exit if index not found
						if (isNaN(options.index)) {
							return;
						}

						var radios = document.getElementsByName('gallery-style');
						for (var i = 0, length = radios.length; i < length; i++) {
							if (radios[i].checked) {
								if (radios[i].id == 'radio-all-controls') {

								} else if (radios[i].id == 'radio-minimal-black') {
									options.mainClass = 'pswp--minimal--dark';
									options.barsSize = {
										top : 0,
										bottom : 0
									};
									options.captionEl = false;
									options.fullscreenEl = false;
									options.shareEl = false;
									options.bgOpacity = 0.85;
									options.tapToClose = true;
									options.tapToToggleControls = false;
								}
								break;
							}
						}

						if (disableAnimation) {
							options.showAnimationDuration = 0;
						}

						// Pass data to PhotoSwipe and initialize it
						gallery = new PhotoSwipe(pswpElement, PhotoSwipeUI_Default, items, options);

						// see:
						// http://photoswipe.com/documentation/responsive-images.html
						var realViewportWidth, useLargeImages = false, firstResize = true, imageSrcWillChange;

						gallery.listen('beforeResize', function() {

							var dpiRatio = window.devicePixelRatio ? window.devicePixelRatio : 1;
							dpiRatio = Math.min(dpiRatio, 2.5);
							realViewportWidth = gallery.viewportSize.x * dpiRatio;

							if (realViewportWidth >= 1200 || (!gallery.likelyTouchDevice && realViewportWidth > 800) || screen.width > 1200) {
								if (!useLargeImages) {
									useLargeImages = true;
									imageSrcWillChange = true;
								}

							} else {
								if (useLargeImages) {
									useLargeImages = false;
									imageSrcWillChange = true;
								}
							}

							if (imageSrcWillChange && !firstResize) {
								gallery.invalidateCurrItems();
							}

							if (firstResize) {
								firstResize = false;
							}

							imageSrcWillChange = false;

						});

						gallery.listen('gettingData', function(index, item) {
							if (useLargeImages) {
								item.src = item.o.src;
								item.w = item.o.w;
								item.h = item.o.h;
							} else {
								item.src = item.m.src;
								item.w = item.m.w;
								item.h = item.m.h;
							}
						});

						gallery.init();
					};
					// select all gallery elements
					var galleryElements = document.querySelectorAll(gallerySelector);

					for (var i = 0, l = galleryElements.length; i < l; i++) {
						galleryElements[i].setAttribute('data-pswp-uid', i + 1);
						galleryElements[i].onclick = onThumbnailsClick;
					}
					// Parse URL and open gallery if it contains #&pid=3&gid=1
					// var hashData = photoswipeParseHash();
					// if(hashData.pid && hashData.gid) {
					// openPhotoSwipe( hashData.pid, galleryElements[
					// hashData.gid - 1 ], true, true );
					// }
					// console.log(parseThumbnailElements(galleryElements))
				};

				initPhotoSwipeFromDOM('.gallery');
				that.comp("scrollView1").scrollTo("end");

			}

		}
	};

	Model.prototype.col2Click = function(event) {

	};

	Model.prototype.timeTipShow = function(time) {// 时间显隐
		var messageData = this.comp("messageData");
		var rows = messageData.find([ 'time' ], [ time ], true, true, true, true);
		var cT = messageData.getRowIndex(rows[0]);

		if ((cT + 1) % 10 == 0) {
			// console.log(cT)
			return true
		} else {
			// console.log(cT)
			return false
		}

	};
	Model.prototype.scrollView1PullDown = function(event) {// 下拉加载数据
		var messageData = this.comp("messageData");
		var data = [];
		var $m = this;
		var row = messageData.getFirstRow();

		if (row != null) {
			var lastMsgTime = row.val('time');
			NIM_Instance.getLocalMsgs({
				sessionId : this.im_sessionid,
				limit : 10,
				desc : true,
				end : lastMsgTime,
				done : getLocalMsgsDone
			});

			function getLocalMsgsDone(error, obj) {
				console.log('获取加载消息' + (!error ? '成功' : '失败'), error, obj);

				if (!error) {
					if (obj.msgs.length > 0) {
						data = obj.msgs;
						for (var i = 0; i < data.length; i++) {

							$m.getMoreLocalMsg(data[i]);

						}
					} else {
						// messageData.noMoreLoadLabel = '没有更多聊天记录'
					}

				} else {

				}

			}

		}
	};
	Model.prototype.getMoreLocalMsg = function(msgs) {
		// console.log("加载聊天记录")
		// console.log(msgs)
		var messageData = this.comp("messageData");
		if (msgs.flow == 'out') {
			NIM_Instance.getUser({
				account : msgs.from,
				done : getUserIn
			});

		} else if (msgs.flow == 'in') {
			NIM_Instance.getUser({
				account : msgs.from,
				done : getUserIn
			});
		}
		function getUserIn(error, user) {
			var logo = "";
			console.log(msgs);
			console.log("获取本地聊天记录");
			if (user.avatar) {
				logo = user.avatar
			} else {
				logo = './common/images/default-logo.png';
			}

			if (msgs.type == "image") {
				messageData.add({
					id : msgs.from,
					flow : msgs.flow,
					content : msgs.text,
					time : msgs.time,
					id_server : msgs.idServer,
					status : msgs.status,
					avatar : logo,
					type : msgs.type,
					img : msgs.file.url
				});

			}
			if (msgs.type == "text") {
				messageData.add({
					id : msgs.from,
					flow : msgs.flow,
					content : msgs.text,
					time : msgs.time,
					id_server : msgs.idServer,
					status : msgs.status,
					avatar : logo,
					type : msgs.type,

				});

			}

			messageData.sort(function(row1, row2) {// 数据倒序
				return row1.val('time') > row2.val('time') ? 1 : -1;
			});
		}

	}

	Model.prototype.backBtnClick = function(event) {
		justep.Shell.closePage();
		// justep.Shell.closeAllOpendedPages();
	}
	// 离开页面
	Model.prototype.modelUnLoad = function(event) {
		// zzq 还原物理键操作
		justep.Shell.fireEvent("regainBackClick");
	};

	return Model;
});