define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	
	//需要引用的插件
    require("cordova!cordova-open");
    require("cordova!cordova-plugin-file");
    require("cordova!cordova-plugin-file-transfer");
	
	/**
     * 下载更新apk文件---------------------------------------------------------------------------------------------------------
     * @param {string} 
    */
       //打开已下载文件
        var openFile = function(event){ 
                var localUrl = "file:///storage/emulated/0/ybb/yfd.apk";//下载文件本地保存路径         
                var open = cordova.plugins.disusered.open;
                function success() {
//                    justep.Util.hint('准备安装……');

                }
                function error(code) {
                        if (code === 1) {
                                alert('文件未在本地保存，请点击下载！');
                        } else {
                                justep.Util.hint('未知错误，请联系管理员！');
                        }
                }
                open(localUrl, success, error);
        };
	
	
	var Model = function(){
		this.callParent();
		this.processss=0;
		justep.Shell.process.set(this.processss);
	};   
	
	Model.prototype.onloadModel = function(event){
					var owners = this.owner;
					var filePath = 'file:///storage/emulated/0/ybb/yfd.apk'; //下载存放路径,数据库保存文件名
	                var url = justep.Shell.apkUrl.get(); //apk下载地址
	                
	                var progress1 = this.comp("progress1");
	                var percentProgress = 0;
	                var percentProgressOnly = 0;
	
	                var fileTransfer = new FileTransfer(); //创建文件传输对象
	                fileTransfer.onprogress = function(progressEvent) { //文件传输插件对象的进度方法调用
	                        percentProgress = parseInt((progressEvent.loaded / progressEvent.total) * 100); //获取已下载和总大小的百分比
//	                        console.log("hahaahahahha："+percentProgress);
	                        
	                        if (progressEvent.lengthComputable)//获取浏览器返回HEAD信息包含CONTENT-LENGTH为TRUE 则执行下面
	                        {         
	                        			justep.Shell.process.set(percentProgress);
	                        			justep.Shell.processText.set("正在下载中...");
	                        			if(percentProgress!=percentProgressOnly){
	                        				percentProgressOnly = percentProgress;
	                        				progress1.set('valuenow',percentProgress);
	                        			}
	                        			

	                        }
	                };
	
			        fileTransfer.download( //调用对象的下载方法，开始下载
			            url, 
			            filePath,
			            function(entry) {
			                console.log("download complete: " + entry.fullPath+justep.Shell.process.get());//下载完成后调用方法
			                //这里下载完成后，将进度条隐藏或者写其他需要的代码
			                if(percentProgressOnly==100){
			                justep.Shell.processText.set("下载完成...");
			                openFile();//下载完成进入安装页面
			                }
			                

			                
			            }.bind(this),
			            function(error) {  //出错回调函数
			                console.log("download error source " + error.source);
			                console.log("download error target " + error.target);
			                console.log("upload error code " + error.code);
			                if(error.code==3){
				                owners.send("netError");
				                owners.close();
			                }
			                
			            },
			            false,
			            {
			                headers: {
			                    "Authorization": "Basic dGVzdHVzZXJuYW1lOnRlc3RwYXNzd29yZA=="
			                }
			            }
			        );
	};

					    
	
	Model.prototype.cancleInstall = function(event){//手动点击取消安装
			this.owner.send("quxiao");
			this.owner.close();
	};

					    
	
	Model.prototype.continueInstall = function(event){//手动点击继续安装
			openFile();//下载完成进入安装页面
	};

					    
	
	return Model;
});