define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var amd1 = require("../common/js/common");
	require('css!$UI/bestbaby-gravida/common/css/layout').load();
	var Model = function() {
		this.callParent();
	};
	Model.prototype.modelParamsReceive = function(event) {
		var context = this.getContext();

		var buf = this.params.doc;
		var que = this.params.que;

		if (buf && que) {
			var src = $(buf).find('.doc-img').find('img').attr('src').slice(-5);
			var name = $(buf).find('.top-text').text()
			$('.flex-space-2 .doc-img').attr('../common/images/doc-100px-' + src);
			$('.user-question h2').text(que);
			$('.flex-space-2 .top-text').text(name)
		}

	};

	function drag(target, musicBar, event) {
		var mouseX = null;
		var parent = target.parent().innerWidth();
	//	console.log(parent);
		var x = event.originalEvent.targetTouches[0].pageX - target.position().left;
		$(document).on('touchmove', function(event) {
			mouseX = event.originalEvent.targetTouches[0].pageX - x;
			var w = parseInt(target.css('width'));
			if (mouseX < w) {
				mouseX = w;

			}

			if (mouseX >= parent) {
				mouseX = parent;
			}

			target.css({
				'left' : mouseX + 'px',

			});
			musicBar.css('width', mouseX + 'px');
			musicBar.css('transition', 'none');
		});
		$(document).on('touchend', function() {
			$(document).unbind('touchmove');
			$(document).unbind('touchend');

		});

	}

	Model.prototype.div3Touchstart = function(event) {

		var musicBar = $('.progess-bar-cover');// 拖动
		drag($('.progess-point'), musicBar, event);

	};

	Model.prototype.div4Touchstart = function(event) {
		var musicBar = $('.progess-bar-cover');// 拖动
		var drag = $('.progess-point');
		var x = event.originalEvent.targetTouches[0].pageX - $(this.getElementByXid('controlsBg')).offset().left;
		drag.css({
			'left' : x + 'px',

		});
		musicBar.css('width', x + 'px');
	};

	Model.prototype.li1Touchstart = function(event) {
		var clickUl = $(event.currentTarget);
		clickUl.addClass('com-star-yellow');// 修复退出页面再进入点击不了的bug
		clickUl.removeClass('com-star-grey');
		clickUl.prevAll().addClass('com-star-yellow');
		clickUl.prevAll().removeClass('com-star-grey');
		clickUl.nextAll().removeClass('com-star-yellow');
		clickUl.nextAll().addClass('com-star-grey');
	};

	Model.prototype.modelLoad = function(event){
		var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
				$('.docAna_panel_top').addClass('ios_style')
		}
	};

	return Model;
});