define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var getDocList = require("$UI/bestbaby-gravida/common/js/getItems");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp")
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var layer = require("$UI/bestbaby-gravida/common/js/mobile/layer");
	var Model = function() {
		this.callParent();

	};

	Model.prototype.docRequest = function(event) {// 请求系统分析
		var isDirectRequest = this.params.isDirectRequest;
		var question = this.comp("question").val();
		var docArr = justep.Shell.diagnoseArr;
		var that = this;
		var systemRequire = {
			"cdno" : this.params.cdno,// 监护单号
			"fets" : this.params.fets,// 多胎----------- 如果接口有多胎数据返回的话，这里要改
			"hlid" : this.params.hlid,
		}
		 layer.open({
		 type : 2,
		 shadeClose : false,
		 content : '正在请求诊断，请稍后'
		 });
		// console.log(isDirectRequest)
		// if (isDirectRequest) {
		// DocR()
		// // getDocList.getTokenItems(systemRequire,
		// "diagnosis/Diagnosisrequest/analysis", function(success, message,
		// systemData) {
		// // if (success) {
		// // DocR()
		// // console.log(systemData)//请求分析成功
		// // } else {
		// // // console.log(systemData)//请求分析失败
		// // }
		// // })
		// }
		// function DocR(){
		if (selectid) {
			var docRequestJson = {
				"cdno" : that.params.cdno,// 监护单号
				"fets" : that.params.fets,// 多胎----------- 如果接口有多胎数据返回的话，这里要改
				"hlid" : app.getUser().hlid,
				"gdpb" : question,
				"dtid" : selectid
			}
			getDocList.getTokenItems(docRequestJson, "diagnosis/Diagnosisrequest/diagnosis", function(success, message, requestFeedback) {// 请求医生诊断
				B1Manager.writeLog("0", "请求诊断接口参数", docRequestJson);
				B1Manager.writeLog("0", "diagnosis/Diagnosisrequest/diagnosis", requestFeedback);
				if (success) {
					layer.closeAll();
					pop.pop("请求医生诊断成功")
					var i = 0;
					if (docArr.length == 0) {
						i = 0;
					} else {
						i = docArr.length;
					}
					docArr[i] = docRequestJson.cdno; // 添加已请求诊断的单号
					// justep.Shell.fireEvent("goToMain");
					justep.Shell.closeAllOpendedPages()

				} else {
					// console.log(requestFeedback)
					layer.closeAll();
					pop.pop(message);
				}

			});

		} else {
			layer.closeAll();
			pop.pop("您还没选择医生")
		}

		// }

	};
	Model.prototype.onLine = function(line) {
		// console.log(line)
		var str = "";
		if (line == 1) {
			str = "在线"
		} else {
			str = "不在线"
		}
		return str;
	}
	Model.prototype.modelLoad = function(event) {
	selectid='';
		console.log(this.params)
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {

			$('.doctorDiagnose_panel').addClass('ios_style')

		}

		var docData = this.comp("docData");

		var dataList = {
			"pageNum" : 1,
			"pageSize" : 0,
			"filters" : {
				"hlid" : this.params.hlid
			}
		}

		getDocList.getTokenItems(dataList, "diagnosis/Diagnosisrequest/listDoctor", function(success, message, doctorList) {// 监护数据---统一改为用监护单号查询信息

			if (success) {
				var list = doctorList.content.list;
				// console.log(list)

				for (var i = 0; i < list.length; i++) {
					// console.log(list[i].name)
					if (!list[i].logo) {
						list[i].logo = require.toUrl('$UI/bestbaby-gravida/common/images/default-logo.png');
					}
					docData.add({
						id : list[i].id,
						name : list[i].name,
						logo : list[i].logo,
						titl : list[i].titl,
						stat : list[i].stat
					})

				}

			} else {
				// console.log(doctorList)
			}

		});
		dataList = {
			"pageNum" : 1,
			"pageSize" : 1,
			"filters" : {
				"id" : this.params.hlid,
				"hlfn" : "",
				"prve" : "",
				"city" : "",
				"coty" : ""
			}
		}
		var hosptial = this.comp('hosptialData');
		getDocList.getTokenItems(dataList, "system/Hospital/list", function(success, message, data) {// 查询医院名称

			if (success) {
				hosptial.add({
					name : data.content.list[0].hlfn
				});

			} else {
				// console.log(doctorList)
			}

		});

	};
	var selectid = "";
	Model.prototype.selectDoctor = function(event) {
		var row = event.bindingContext.$object;
		var targetDoc = event.source.$domNode;

		if (targetDoc.find('.click-icon').attr('selected-status') == 1) {
			targetDoc.find('.click-icon').removeClass('active-doc').attr("selected-status", "2");

		} else {
			targetDoc.find('.click-icon').addClass('active-doc').attr("selected-status", "1");

		}
		$('.doc-list ul .btn').not(targetDoc).find('.click-icon').removeClass('active-doc').attr("selected-status", "2");

		selectid = row.val('id');
	};

	Model.prototype.li1Touchstart = function(event) {
		var clickUl = $(event.currentTarget);
		clickUl.addClass('com-star-yellow');// 修复退出页面再进入点击不了的bug
		clickUl.removeClass('com-star-grey');
		clickUl.prevAll().addClass('com-star-yellow');
		clickUl.prevAll().removeClass('com-star-grey');
		clickUl.nextAll().removeClass('com-star-yellow');
		clickUl.nextAll().addClass('com-star-grey');
	};

	return Model;
});
