define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var record = require("$UI/bestbaby-gravida/common/js/getItems");
	var count = require("$UI/bestbaby-gravida/common/js/calculate");
	var Model = function() {
		this.callParent();
	};

	Model.prototype.openBtnClick1 = function(event) {
		var row = event.bindingContext.$object;
		var cdno = row.val('cdno');// id
		var url = '$UI/bestbaby-gravida/file/monitorDetail.w';
		// var url = '$UI/bestbaby-gravida/monitor/monitorDetail.w';
		// console.log(cdno)
		justep.Shell.showPage(url, {
			data : cdno,
			monitor : false
		// data:"DQ3201711121519267200617",//模拟数据
		})

	};

	Model.prototype.modelLoad = function(event) {
		// var has_ios = $("html").hasClass("iosstatusbar");
		// if (has_ios) {
		// $('.file_panel').css('top', '-.75rem')
		// }

		if (!justep.Shell.analyzeArr) { // 判断是否档案是否已经请求分析
			justep.Shell.analyzeArr = new Array();
		}
//		console.log(justep.Shell.analyzeArr)
		if (!justep.Shell.diagnoseArr) { // 判断是否档案是否已经请求诊断
			justep.Shell.diagnoseArr = new Array();
		}
		var hlid = app.getUser().hlid;
		var monitorData = this.comp("monitorData");
		monitorData.clear();
		var dataList = {
			"pageNum" : 1,
			"pageSize" : 0,
			"filters" : {}
		}

		record.getTokenItems(dataList, "diagnosis/Custodydata/list", function(success, message, data) {// 胎监列表
			if (success) {
				var data = data.content.list;
				var cttm = '';
				for (var i = 0; i < data.length; i++) {
					cttm = data[i].cttm == null ? '' : data[i].cttm;

					monitorData.add({
						"id" : data[i].id,
						"dast" : data[i].dast,
						"crtm" : (data[i].crtm + "").split(" ")[0],
						"mdtm" : data[i].mdtm,
						"cdno" : data[i].cdno,
						"gdid" : data[i].gdid,
						"deid" : data[i].deid,
						"hlid" : data[i].hlid,
						"cttm" : "监测时长：" + cttm + "分钟",
						"spig" : data[i].spig,
						"spgl" : data[i].spgl,
						"stat" : data[i].stat,
						"flhs" : data[i].flhs,
						"sttm" : data[i].sttm,
						"edtm" : data[i].edtm,
						"fets" : data[i].fets,
						"gtwk" : data[i].gtwk,
						"days" : data[i].days,
						"ages" : data[i].ages,
						"wtkg" : data[i].wtkg,
						"htcm" : data[i].htcm,
						"lmp" : data[i].lmp,
						"dede" : data[i].dede,
						"crtm" : data[i].crtm,
						"dpcode" : data[i].dpcode,
						"yw" : "孕周：" + data[i].gtwk + "周+" + data[i].days + "天"
					})

				}

			} else {
			}
		})
	};
	Model.prototype.statusLabel = function(ev) {

		var str = '';
		if (ev == 1) {
			str = '未分析';
		}
		if (ev == 2) {
			str = '系统分析中';
		}
		if (ev == 3) {
			str = '已分析';
		}
		if (ev == 4) {

			str = '医生诊断中';
		}
		if (ev == 5) {
			str = '已诊断';
		}
		if (ev == 6) {
			str = '已诊断';
		}
		return str;
	}

	Model.prototype.scrollView1PullDown = function(event) {
		// alert(1)
		// this.comp("monitorData").refreshData();
		var hlid = app.getUser().hlid;
		var monitorData = this.comp("monitorData");
		monitorData.clear();
		var dataList = {
			"pageNum" : 1,
			"pageSize" : 0,
			"filters" : {

			}
		}

		record.getTokenItems(dataList, "diagnosis/Custodydata/list", function(success, message, data) {// 胎监列表

			if (success) {
				var data = data.content.list;

				var cttm = '';
				// console.log('ssssssssssssssssssssst',data)
				for (var i = 0; i < data.length; i++) {
					// console.log(data)
					cttm = data[i].cttm == null ? '' : data[i].cttm;

					monitorData.add({
						"id" : data[i].id,
						"dast" : data[i].dast,
						"crtm" : (data[i].crtm + "").split(" ")[0],
						"mdtm" : data[i].mdtm,
						"cdno" : data[i].cdno,
						"gdid" : data[i].gdid,
						"deid" : data[i].deid,
						"hlid" : data[i].hlid,
						"cttm" : "监测时长：" + cttm + "分钟",

						"spig" : data[i].spig,
						"spgl" : data[i].spgl,
						"stat" : data[i].stat,
						"flhs" : data[i].flhs,
						"sttm" : data[i].sttm,
						"edtm" : data[i].edtm,
						"fets" : data[i].fets,
						"gtwk" : data[i].gtwk,
						"days" : data[i].days,
						"ages" : data[i].ages,
						"wtkg" : data[i].wtkg,
						"htcm" : data[i].htcm,
						"lmp" : data[i].lmp,
						"dede" : data[i].dede,
						"crtm" : data[i].crtm,
						"dpcode" : data[i].dpcode,
						"yw" : "孕周：" + data[i].gtwk + "周+" + data[i].days + "天"
					})

				}

			} else {
			}
		})
	};

	Model.prototype.modelActive = function(event) {
		this.modelLoad(event);
	};
	return Model;
});