define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	require("css!$UI/bestbaby-gravida/common/css/layout").load();
	require("css!$UI/bestbaby-gravida/common/js/mobile/need/layer").load();
	var share = require("$UI/bestbaby-gravida/common/js/share");
	var echarts = require("$UI/bestbaby-gravida/common/js/echarts");
	var custodyChart = require("$UI/bestbaby-gravida/common/js/custodyChart");
	var oriental = require("$UI/bestbaby-gravida/common/js/orientation");
	var getCustodyData = require("$UI/bestbaby-gravida/common/js/getItems");
	var AppConst = require("$UI/bestbaby-gravida/common/js/appConst");// 系统常量
	// 更改物理键需要
	var utils = require("$UI/system/components/justep/common/utils");
	var layer = require("$UI/bestbaby-gravida/common/js/mobile/layer");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var app = require("$UI/bestbaby-gravida/common/js/app")
	var CryptoJS = require("$UI/bestbaby-gravida/common/js/encryct/crypto-js");
	var commonUrl = require("$UI/bestbaby-gravida/common/js/commonUrl");
	var Model = function() {
		this.callParent();
		this.audio;
		this.doc_id;
		this.orno;
		this.xs;
		this.pageY;
		this.pageX;
		this.myChart;
		this.option;
		this.X;
		this.xS;
	};
	// var orno = '';
	var timeStamp = new Date().getTime();
	var myChart = "";
	var option = "";
	var pwd = '';
	// 加密
	function Encrypt(word) {
		var key = CryptoJS.enc.Utf8.parse("bestbabybestbaby");
		var srcs = CryptoJS.enc.Utf8.parse(word);
		var encrypted = CryptoJS.AES.encrypt(srcs, key, {
			mode : CryptoJS.mode.ECB,
			padding : CryptoJS.pad.Pkcs7
		});
		return encrypted.toString();
	}
	Model.prototype.button2Click = function(event) {
		this.comp("popMenu1").show();
	};
	// 评价提交
	Model.prototype.button12Click = function(event) {
		var that = this;
		var starNum = $('.com-star-yellow').length;
		starNum = starNum + '';
		// var docAnyData = this.comp('docAnyData');
		var content_box = $(this.getElementByXid('popOver2')).find('textarea');
		var star = $('.start_show_page');
		if (content_box.val()) {
			var handle_msg = {
				"orno" : orno, // 诊断单号
				"star" : starNum, // 星星
				"cntt" : content_box.val(), // 评价内容
				"dtid" : doc_id
			// 医生id
			};
			// console.log(handle_msg)
			getCustodyData.getTokenItems(handle_msg, 'diagnosis/Assess/insert', function(success, message, data) {
				if (success) {
					pop.pop('提交成功');
					$('.js-assess-box-zhh').hide();
					$('.assess-text-zhh').text(content_box.val());
					$('.js_assess_box').show();
					that.comp('popOver2').hide();
					if (starNum.toString() > 0) {
						for (var i = 0; i < starNum.toString(); i++) {
							star.eq(i).removeClass('com-star-grey');
							star.eq(i).addClass('com-star-yellow');
						}
					}
				} else {
					that.comp('popOver2').hide();
					pop.pop('提交失败')
					//console.log(data)
				}
			})
		} else {
			pop.pop('请先填写评论');
		}
	};
	// 请求系统分析
	Model.prototype.systemAnalysis = function(event) {// 请求系统分析
		var systemRequire = {
			"cdno" : this.params.data,// 监护单号
			"hlid" : justep.Shell.thisMonHlid
		};
		var analyzeArr = justep.Shell.analyzeArr; // 已经请求分析的档案
		if (anayArrExist >= 0) {
			pop.pop('当前档案已经提交了请求分析，请耐心等候');
			return;
		}
		var combo = this.comp('combo');
		var cbtype = combo.val('cbtype');
		var dlstat = combo.val('dlstat');
		var content = combo.val('content');
		//console.log(content)
		// console.log(cbtype,dlstat)
		if (cbtype == 5 && dlstat == 1) {
			pop.pop('你当前套餐为体验套餐,请购买正式套餐后使用该服务')
			return;
		}
		var userInfo = app.getUser();
		if (!content) {
			if (dlstat != 1 && dlstat != 2) {
				pop.pop('请先购买套餐');
				justep.Shell.showPage("$UI/bestbaby-gravida/individual/setOpenup/noSet/set.w");
				return;
			}
		}

		if (!userInfo.eyct || !userInfo.eyml || !userInfo.htcm || !userInfo.wtkg) {
			pop.pop('请先完善个人信息');
			justep.Shell.isTest = false;
			var otherInfoUrl = require.toUrl('$UI/bestbaby-gravida/register/otherRegisterInfo.w');
			justep.Shell.showPage(otherInfoUrl,userInfo);
			return;
		}
		stopPlay();
		var targetDoc = event.source.$domNode;
		$('.doctorRequestAnly').attr('data-status', 'inActive');
		var resultBox = this.comp("result");// 分析结果
		var custodyInfo = this.comp('custodyInfo');
		var cttm = custodyInfo.val('cttm');

		var today = new Date();

		var that = this;
		if (cttm >= 10) {
			resultBox.clear();

			// 孕妇套餐
			getCustodyData.getTokenItems({}, "system/Gdcombo/select", function(success, message, setData) {
				if (success) {
					var setData = setData.content

					if (setData.edtm) {
						var aDate = setData.edtm.split("-");
						var sDate2 = new Date(aDate[1] + '/' + aDate[2] + '/' + aDate[0]);// ios兼容问题
						var endTime = sDate2.setHours(23, 59, 59, 0);
						if (setData.dlstat === 1 && endTime >= today.getTime()) {

						} else {
							pop.pop('服务已结束,如有需要请购买套餐');
							return;
						}
					} else {
						pop.pop('请先绑定设备，激活套餐再请求分析')
						return;

					}

					if (setData.ansp > 0) {
						if (cttm < 20) {
							twentyMinAnalysis(setData)
						} else {
							analysis(setData);
						}
					} else {
						if (cttm < 20) {
							twentyMinAnalysis(setData);
						} else {
							noAnalysis(setData)
						}

					}
					$(".layui-m-layercont").css({
						"padding" : "0 30px 20px 30px",
						"font-size" : "0.44rem",
						"color" : "#999999"
					})
					$('.layui-m-layerbtn').css({
						"border-bottom-left-radius" : "0.52rem",
						"border-bottom-right-radius" : "0.52rem",
						"background-color" : "white"
					});
					$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
					$('.layui-m-layerbtn span').eq(0).css({
						"color" : "#f77e9d",
						"border-right" : "none"
					});
				} else {
					if (setData.code == 1001) {
						pop.pop(setData.msg);
					}
				}
			});
			// 不满20分钟请求分析
			function twentyMinAnalysis(setData) {
				layer.open({
					title : [ '温馨提示', 'background-color:transparent; color:#333333;font-size:0.6rem;' ],
					content : '当前胎监档案不足20分钟，请确认档案已经满足分析诊断要求？',
					style : 'width:9.6rem;background-color:white;border-top-right-radius:0.52rem;border-top-left-radius:0.52rem', // 自定风格
					btn : [ '返回', '确定' ],
					yes : function(index) {
						layer.close(index);
					},
					no : function(index) {// 这才是确认
						layer.close(index);
						if (setData.ansp > 0) {
							analysis(setData);
						} else {
							noAnalysis(setData);
						}

					}
				});
			}
			// 没有分析次数情况下
			function noAnalysis(setData) {
				layer.open({
					title : [ '温馨提示', 'background-color:transparent; color:#333333;font-size:0.6rem;' ],
					content : '您已用完套餐中的系统分析次数，请购买单次系统分析',
					style : 'width:9.6rem;background-color:white;border-top-right-radius:0.52rem;border-top-left-radius:0.52rem', // 自定风格
					btn : [ '取消', '确定' ],
					yes : function(index) {
						layer.close(index);
					},
					no : function(index) {// 这才是确认
						layer.close(index);
						getCustodyData.getTokenItems({
							id : setData.paid
						}, "system/Combo/select", function(success, message, data) {
							if (success) {
								var params = {
									paid : setData.paid,// 套餐id
									name : setData.cbname,// 套餐名称
									dept : 0,// 押金
									rent : data.content.dncs,// 套餐费
									epcg : 0,// 快递费
									type : 3,// 设备套餐类型
									cnts : "",// 联系人
									mobl : "",// 联系号码
									addr : "",// 地址
									rttp : setData.ofrttp,// 收货类型
									dnat : 0,
									anat : 1,
									payType : 1
								// 1直接付款，2在订单列表支付
								}
								var dataParams = {
									order : params,
									systemRequire : systemRequire
								}
								justep.Shell.dataParams = dataParams;
								dataList = dataParams.order;
								if (dataList.rent > 0) {
									that.comp("payDiag").open();
								} else {
									// console.log(dataList)
									if (dataList.payType == 1) {
										getCustodyData.getTokenItems(dataList, "system/Orderform/insert", function(success, message, data) {
											if (success) {
												console.log('666', data)
												requestSystemA();

											} else {
												pop.pop(message)
											}

										});

									}

								}
								// justep.Shell.showPage("$UI/bestbaby-gravida/file/orderPay.w",
								// dataParams);
							}
						});
					}
				});
				$(".layui-m-layercont").css({
					"padding" : "0 30px 20px 30px",
					"font-size" : "0.44rem",
					"color" : "#999999"
				})
				$('.layui-m-layerbtn').css({
					"border-bottom-left-radius" : "0.52rem",
					"border-bottom-right-radius" : "0.52rem",
					"background-color" : "white"
				});
				$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
				$('.layui-m-layerbtn span').eq(0).css({
					"color" : "#f77e9d",
					"border-right" : "none"
				});
			}

			// 有分析次数情况下
			function analysis(setData) {
				layer.open({
					title : [ '温馨提示', 'background-color:transparent; color:#333333;font-size:0.6rem;' ],
					content : '您的套餐剩余' + setData.ansp + '次系统分析，本次请求分析将自动减少一次',
					style : 'width:9.6rem;background-color:white;border-top-right-radius:0.52rem;border-top-left-radius:0.52rem', // 自定风格
					btn : [ '返回', '确定' ],
					yes : function(index) {
						layer.close(index);

					},
					no : function(index) {// 这才是确认
						layer.close(index);
						layer.open({
							type : 2,
							shadeClose : false,
							content : '正在请求分析，请稍后'
						});

						// console.log(systemRequire)
						requestSystemA();
					}
				});
				$(".layui-m-layercont").css({
					"padding" : "0 30px 20px 30px",
					"font-size" : "0.44rem",
					"color" : "#999999"
				})
				$('.layui-m-layerbtn').css({
					"border-bottom-left-radius" : "0.52rem",
					"border-bottom-right-radius" : "0.52rem",
					"background-color" : "white"
				});
				$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
				$('.layui-m-layerbtn span').eq(0).css({
					"color" : "#f77e9d",
					"border-right" : "none"
				});

			}
			// 请求分析
			function requestSystemA() {
				getCustodyData.getTokenItems(systemRequire, "diagnosis/Diagnosisrequest/analysis", function(success, message, systemData) {
					B1Manager.writeLog("0", "请求分析接口参数", systemRequire);
					B1Manager.writeLog("0", "diagnosis/Diagnosisrequest/analysis请求结果", systemData);
					layer.closeAll(); // 5-3 by zhh bug 1129 v1.5.3
					// 客服发货后，孕妇请求系统分析时提示请绑定设备后
					// 还是有正在请求分析请稍后的蒙层
					if (success) {
						pop.pop('请求系统分析成功');
						var i = 0;
						if (analyzeArr.length == 0) {
							i = 0;
						} else {
							i = analyzeArr.length;
						}
						analyzeArr[i] = systemRequire.cdno; // 添加已请求分析的单号
						justep.Shell.closePage();
					} else {
						pop.pop(message);
					}
				})
			}
		} else {
			pop.pop('监护时长不足10分钟，不能请求系统分析');
		}
	};
	// 请求医生诊断
	Model.prototype.doctorRequest = function(event) {// 直接请求医生分析但也是要请求系统分析的;
		var docArr = justep.Shell.diagnoseArr; // 已经请求诊断的档案
		// console.log(docArr, this.params.data)
		if (docArrExist >= 0) {
			pop.pop('当前档案已经提交了请求诊断，请耐心等候')
			return;
		}
		var combo = this.comp('combo');
		var cbtype = combo.val('cbtype');
		var dlstat = combo.val('dlstat');
		var content = combo.val('content');
		// console.log(cbtype,dlstat)
		if (cbtype == 5 && dlstat == 1) {
			pop.pop('你当前套餐为体验套餐,请购买正式套餐后使用该服务')
			return;
		}
		if (!content) {
			if (dlstat != 1 && dlstat != 2) {
				pop.pop('请先购买套餐');
				justep.Shell.showPage("$UI/bestbaby-gravida/individual/setOpenup/noSet/set.w");
				return;
			}
		}

		var userInfo = app.getUser();
		if (!userInfo.eyct || !userInfo.eyml || !userInfo.htcm || !userInfo.wtkg) {
			pop.pop('请先完善个人信息');
			justep.Shell.isTest = false;
			var otherInfoUrl = require.toUrl('$UI/bestbaby-gravida/register/otherRegisterInfo.w');
			justep.Shell.showPage(otherInfoUrl,userInfo);
			return;
		}
		stopPlay();
		var custodyInfo = this.comp('custodyInfo');
		var cttm = custodyInfo.val('cttm');
		var today = new Date();
		if (cttm >= 10) {
			if (app.getUser().hlid) {
				var params = {
					cdno : this.params.data,
					hlid : justep.Shell.thisMonHlid,
					isDirectRequest : true,
					fets : custodyInfo.val('fets'),
				}
				getCustodyData.getTokenItems({}, "system/Gdcombo/select", function(success, message, setData) { // 孕妇套餐
					if (success) {

						var setData = setData.content;
						if (setData.edtm) {
							var aDate = setData.edtm.split("-");
							var sDate2 = new Date(aDate[1] + '/' + aDate[2] + '/' + aDate[0]);// ios兼容问题
							var endTime = sDate2.setHours(23, 59, 59, 0);
							if (setData.dlstat === 1 && endTime >= today.getTime()) {

							} else {
								pop.pop('服务已结束,如有需要请购买套餐');
								return;
							}
						} else {
							pop.pop('请先绑定设备，激活套餐再请求分析')
							return;

						}
						var num = '';
						if (setData.hgDnsp !== null) {
							num = parseInt(setData.dnsp) + parseInt(setData.hgDnsp)
						} else {
							num = parseInt(setData.dnsp);
						}
						if (num > 0) {
							if (cttm < 20) {
								twentyMin(num);
							} else {
								diagnose(num);
							}
						} else {
							if (cttm < 20) {
								twentyMin(num);
							} else {
								noDiagnose(num)
							}
						}
						$(".layui-m-layercont").css({
							"padding" : "0 30px 20px 30px",
							"font-size" : "0.44rem",
							"color" : "#999999"
						})
						$('.layui-m-layerbtn').css({
							"border-bottom-left-radius" : "0.52rem",
							"border-bottom-right-radius" : "0.52rem",
							"background-color" : "white"
						});
						$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
						$('.layui-m-layerbtn span').eq(0).css({
							"color" : "#f77e9d",
							"border-right" : "none"
						});
					} else {
						pop.pop(setData.msg);
					}
				})
			} else {
				pop.pop('请先绑定医院');
				justep.Shell.showPage('$UI/bestbaby-gravida/individual/hospital/city.w');
			}
		} else {
			pop.pop('监护时长不足10分钟,不能请求医生诊断');
		}
		// 不满20分钟档案
		function twentyMin(num) {
			layer.open({
				title : [ '温馨提示', 'background-color:transparent; color:#333333;font-size:0.6rem;' ],
				content : '当前胎监档案不足20分钟，请确认档案已经满足分析诊断要求？',
				style : 'width:9.6rem;background-color:white;border-top-right-radius:0.52rem;border-top-left-radius:0.52rem', // 自定风格
				btn : [ '返回', '确定' ],
				yes : function(index) {
					layer.close(index);
				},
				no : function(index) {// 这才是确认
					layer.close(index);
					if (num > 0) {
						diagnose(num);
					} else {
						noDiagnose(num);
					}
				}
			});
		}
		// 没有诊断次数情况下
		function noDiagnose(num) {
			layer.open({
				title : [ '温馨提示', 'background-color:transparent; color:#333333;font-size:0.6rem;' ],
				content : '您已用完缴费单中的医生诊断次数，请购买后上传缴费单',
				style : 'width:9.6rem;background-color:white;border-top-right-radius:0.52rem;border-top-left-radius:0.52rem', // 自定风格
				btn : [ '取消', '确定' ],
				yes : function(index) {
					layer.close(index);
				},
				no : function(index) {// 这才是确认
					layer.close(index);
					justep.Shell.showPage("$UI/bestbaby-gravida/main/bill.w");
				}
			});
			$(".layui-m-layercont").css({
				"padding" : "0 30px 20px 30px",
				"font-size" : "0.44rem",
				"color" : "#999999"
			})
			$('.layui-m-layerbtn').css({
				"border-bottom-left-radius" : "0.52rem",
				"border-bottom-right-radius" : "0.52rem",
				"background-color" : "white"
			});
			$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
			$('.layui-m-layerbtn span').eq(0).css({
				"color" : "#f77e9d",
				"border-right" : "none"
			});
		}
		// 有诊断次数情况下
		function diagnose(num) {
			layer.open({
				title : [ '温馨提示', 'background-color:transparent; color:#333333;font-size:0.6rem;' ],
				content : '您的缴费单剩余' + num + '次医生诊断，本次请求诊断将自动减少一次',
				style : 'width:9.6rem;background-color:white;border-top-right-radius:0.52rem;border-top-left-radius:0.52rem', // 自定风格
				btn : [ '返回', '确定' ],
				yes : function(index) {
					layer.close(index);
				},
				no : function(index) {// 这才是确认
					layer.close(index);
					var url = require.toUrl("$UI/bestbaby-gravida/file/doctorDiagnose.w");
					justep.Shell.showPage(url, params);
				}
			});
			$(".layui-m-layercont").css({
				"padding" : "0 30px 20px 30px",
				"font-size" : "0.44rem",
				"color" : "#999999"
			})
			$('.layui-m-layerbtn').css({
				"border-bottom-left-radius" : "0.52rem",
				"border-bottom-right-radius" : "0.52rem",
				"background-color" : "white"
			});
			$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
			$('.layui-m-layerbtn span').eq(0).css({
				"color" : "#f77e9d",
				"border-right" : "none"
			});
		}
	};
	var docArrExist = '';
	var anayArrExist = '';
	Model.prototype.modelLoad = function(event) {
		// 修复ios顶部下沉问题
		var wh = $(window).height();
		var ww = $(window).width();
		$('.echartsOrientatal').css({
			"height" : wh + 'px',
			'position' : 'relative'
		})
		// $(".echartsOM").css("height", ww + 'px')
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			$('.monitorDetail_panel').addClass('ios_style')
		}
		docArrExist = $.inArray(this.params.data, justep.Shell.diagnoseArr);
		anayArrExist = $.inArray(this.params.data, justep.Shell.analyzeArr);
		//console.log(docArrExist, anayArrExist);
		layer.open({
			type : 2,
			shadeClose : false,
			content : '页面加载中，请稍后'
		});
		// justep.Shell.cbType = '';
		// 孕妇套餐
		var combo = this.comp('combo');
		getCustodyData.getTokenItems({}, "system/Gdcombo/select", function(success, message, setData) {
			if (success) {
				var setData = setData.content;
				// console.log(setData);
				// justep.Shell.cbtype = setData.cbtype;
				var dlstat = '';
				if (setData.dlstat) {
					dlstat = setData.dlstat;
				}
				//console.log(setData, 222);
				combo.add({
					cbtype : setData.cbtype,
					dlstat : dlstat,
					content : setData == null ? false : true
				});
				//console.log(combo.val('content'), 2222222);
				if (setData.cbtype == 5 && setData.dlstat == 1) {
					$('.qoe-btn').show();
					$('.request-btn').hide();
					$('.submit-btn').hide();
				}

			}
		});
		audio = this.getElementByXid("bgMusic");
		// $(this.getElementByXid('echarts')).on('scroll', this.EScroll);
		// console.log(this.params.data);
		pwd = Encrypt("bestbaby_" + this.params.data + "_" + timeStamp)
		pwd = pwd.replace(/\+/g, '%2B');
		var monitor = this.params.monitor;
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
					if (monitor) {
						justep.Shell.closeAllOpendedPages();
						layer.closeAll();
					} else {
						justep.Shell.closePage();
						layer.closeAll();
					}
				}
			}
		});
		// $(window).on("orientationchange", function() {
		//
		// if (window.orientation == 0)// Portrait
		//
		// {
		// $('.echartsOrientatal').fadeOut();
		// // Portrait相关操作
		//
		// } else// Landscape
		//
		// {
		// $('.echartsOrientatal').fadeIn();
		// // Landscape相关操作
		//
		// }
		//
		// });
		if (this.params.monitor) {
			justep.Shell.closePage('$UI/bestbaby-gravida/monitor/monitor.w');
		}

		var analyzeData_1 = this.comp('analyzeData_1'); // 胎一 分析数据
		var analyzeData_2 = this.comp('analyzeData_2'); // 胎二分析数据

		var doctorResult_1 = this.comp('doctorResult_1'); // 胎一医生分析
		var doctorResult_2 = this.comp('doctorResult_2'); // 胎二医生分析

		var that = this;
		var resultBox = this.comp("result");// 分析结果

		var custodyInfo = this.comp("custodyInfo");// 胎监图数据
		var docData = this.comp('doc');
		var docAnyData = this.comp('docAnyData');
		var autoMoveData = this.comp("configData");
		autoMoveData.clear();
		var cdno = {// 传入id
			"cdno" : this.params.data
		}
		var user = JSON.parse(JSON.parse(localStorage.getItem('$user')));
		custodyInfo.clear();
		getCustodyData.getTokenItems(cdno, "diagnosis/Custodydata/select", function(success, message, CustodyList) {// 监护信息---统一改为用监护单号查询信息
			if (success) {
				var custodyMsg = CustodyList.content;
				justep.Shell.thisMonHlid = custodyMsg.hlid;
				custodyInfo.add({
					"id" : custodyMsg.id, //
					"crtm" : custodyMsg.crtm,
					"mdtm" : custodyMsg.mdtm,// 修改时间
					"cdno" : custodyMsg.cdno,// 监护单号
					"gdid" : custodyMsg.gdid,// 孕妇id
					"deid" : custodyMsg.deid,// 设备id
					"cttm" : custodyMsg.cttm,// 监护时长
					"hlid" : custodyMsg.hlid,// 医院id
					"spig" : custodyMsg.spig,// 采样率
					"spgl" : custodyMsg.spgl,// 数据点数
					"flhs" : custodyMsg.flhs,// 胎心音
					"sttm" : custodyMsg.sttm,// 开始时间
					"edtm" : custodyMsg.edtm,// 结束时间
					"fets" : custodyMsg.fets,// 多胎 1.一个胎心，2.两个胎心
					"gtwk" : custodyMsg.gtwk,// 孕周
					"days" : custodyMsg.days,// 天数
					"ages" : custodyMsg.ages,// 年龄
					"wtkg" : custodyMsg.wtkg,// 体重
					"htcm" : custodyMsg.htcm,// 身高
					"lmp" : custodyMsg.lmp,// 末次月经
					"dede" : custodyMsg.dede,// 预产期
					"dpcode" : custodyMsg.dpcode,
				// 设备名称
				})

				var dataJson = {
					"id" : custodyMsg.prid
				};
				getCustodyData.getTokenItems(dataJson, "system/Product/select", function(success, message, data) {
					if (success) {
						autoMoveData.add({
							"isAutoMove" : data.content.isAutoMove,
							"isHeartSound" : data.content.isHeartSound, // 支持胎心音
						});

					}
				});
				// console.log(custodyMsg.flhs);
				// console.log("我是胎心音")
				if (custodyMsg.flhs) {
					$('audio').attr('src', custodyMsg.flhs);
					// console.log($('audio'))
					setTimeout(function() {
						if (audio.duration) {
							$('.js-voice-total-time').text(transTime(audio.duration));
						}
					}, 1500)
				}

				if (custodyMsg.dpcode == 'B3') {
					$('.fetalHeart-voice-box').css('display', 'none');
				}

				getCustodyData.getTokenItems(cdno, "diagnosis/Custodydata/listCustodydetail", function(success, message, Custodydata) {// 监护数据---统一改为用监护单号查询信息

					if (success) {
						layer.closeAll();
						var Custodydetail = Custodydata.content;
						var moveStr = '';
						if (autoMoveData.val('isAutoMove') == 1) { // 判断是否支持自动胎动
							moveStr = 'move';
						} else {
							moveStr = 'hmme';
						}
						if ($(".main").length > 0) {
							if (Custodydetail.length) {
								$(".main").css("width", (Math.ceil(Custodydetail[Custodydetail.length - 1].orde * 0.8 / 60) * 120) + "px");
								myChart = echarts.init(that.getElementByXid('main'));
								option = custodyChart.charts(Custodydetail, custodyMsg.fets, custodyMsg.sttm, moveStr);
								myChart.clear();
								myChart.setOption(option);// 传入数据
							}

						}

					} else {
						layer.closeAll();
						pop.pop(message);
					}
				})
			} else {
				// console.log(CustodyList,message)
			}
		})

		// 分析结果
		getCustodyData.getTokenItems(cdno, "diagnosis/Diagnosisresult/select", function(success, message, resultData) {// 已分析之后获取分析结果---统一改为用监护单号查询信息
			resultBox.clear();
			docData.clear()
			// console.log(cdno)
			// console.log(success,message,resultData)
			if (success) {
				var resultData = resultData.content;
				function emptyIf(data) {
					return data == null ? "" : data;
				}
				// console.log(resultData)
				if (resultData) {
					// console.log(resultData);
					doctorResult_1.clear();
					doctorResult_2.clear();

					analyzeData_1.clear();
					analyzeData_2.clear();

					orno = resultData.orno;

					var AssessJson = {
						orno : orno
					};
					getCustodyData.getTokenItems(AssessJson, 'diagnosis/Assess/select', function(success, message, data) {
						if (success) {
							//console.log('医生评价', data);
							$('.js-assess-box-zhh').hide();
							$('.assess-text-zhh').text(data.content.cntt); // 评价内容
							$('.js_assess_box').show();
							// that.comp('popOver2').hide();
							var star = $('.start_show_page');
							var assessData = data.content;

							if (assessData.star > 0) {
								for (var i = 0; i < assessData.star; i++) {
									star.eq(i).removeClass('com-star-grey');
									star.eq(i).addClass('com-star-yellow');
								}
							}
						} else {
							// 没有评论
						}
					});
					if (!resultData.glogo) {
						resultData.glogo = require.toUrl('./images/default-logo.png');
					}
					if (!resultData.id) {
						// pop.pop('没有id') //系统分析中出现==
						console.log('没有id');
					} else {
						resultBox.add({
							id : resultData.id,
							orno : resultData.orno,
							cdno : resultData.cdno,
							code : resultData.code, // 设备名 eg.B3
							reim : resultData.reim, // 诊断报告图片
							type : resultData.type, // 分析类型
							stat : resultData.stat, // 分析状态
						});
					}
					if (!resultData.srct1) {
						// pop.pop('没有胎一分析结果');
						console.log('没有胎一分析结果');
					} else {
						if (!resultData.syct1) {
							// 没有系统分析建议
							resultData.syct1 = '{"doctoradvice":""}';
						}
						var srct1 = JSON.parse(resultData.srct1); // 系统结果
						var syct1 = JSON.parse(resultData.syct1);
						analyzeData_1.add({ // 胎一系统分析
							id : resultData.id,
							date : resultData.sntm, // 分析日期
							syct1 : syct1.doctoradvice, // 系统分析建议
							srct1 : srct1.nst,
						});
					}
					if (!resultData.drct1) {
						// pop.pop('没有胎一诊断结果');
						console.log('没有胎一诊断结果');
					} else {
						if (!resultData.dyct1) {
							// 没有医生诊断建议
							resultData.dyct1 = '{doctoradvice"":""}';
							$('.advice_box').hide();
						}
						var drct1 = JSON.parse(resultData.drct1); // 胎一诊断结果
						var dyct1 = JSON.parse(resultData.dyct1);
						doctorResult_1.add({
							id : resultData.id,
							date : resultData.dntm, // 诊断日期
							dyct1 : dyct1.doctoradvice ? dyct1.doctoradvice : dyct1.otheradvice, // 诊断建议
							drct1 : drct1.nst,
						});
					}
					if (resultData.fets == 2) { // 双胎
						// $('.doc-result1-cut-text').text('胎一医生诊断结果');
						// $('.sys-result1-cut-text').text('胎一系统辅助分析结果');
						// console.log('双胎')
						if (!resultData.srct2) {
							// pop.pop('没有胎二分析结果');
							console.log('没有胎二分析结果');
						} else {
							if (!resultData.syct2) {
								// 没有胎二分析建议
								resultData.syct2 = '{"doctoradvice":""}';
							}
							var srct2 = JSON.parse(resultData.srct2); // 系统结果
							var syct2 = JSON.parse(resultData.syct2);
							analyzeData_2.add({ // 胎二系统分析
								id : resultData.id,
								date : resultData.sntm, // 分析日期
								syct2 : syct2.doctoradvice, // 系统分析建议
								srct2 : srct2.nst,
							});
						}
						if (!resultData.drct1) {
							// pop.pop('没有胎二诊断结果');
							console.log('没有胎二诊断结果');
						} else {
							if (!resultData.dyct2) {
								// 没有胎二诊断建议
								resultData.dyct2 = '{"doctoradvice":""}';
							}
							var drct2 = JSON.parse(resultData.drct2); // 胎二诊断结果
							var dyct2 = JSON.parse(resultData.dyct2);
							doctorResult_2.add({
								id : resultData.id,
								date : resultData.DNTM, // 诊断日期
								dyct2 : dyct2.doctoradvice ? dyct2.doctoradvice : dyct2.otheradvice, // 诊断建议
								drct2 : drct2.nst,
							});
						}
					} else {
						// $('.sys-result1-cut-text').text('系统辅助分析结果');
						// $('.doc-result1-cut-text').text('医生诊断结果');
						$('.system-result-one').text('系统辅助分析结果');
						$('.doc-result-one').text('诊断结果');
						$('.doc_result_2 ').hide();
						$('.analyData2').hide();
					}

					// 评价按钮 $('.js-assess-box-zhh') fixed-bottom2
					// 请求分析 $('.fixed-bottom')
					// 音频 fetalHeart-voice-box
					// 胎二系统分析结果 analyData2
					// 胎一分析结果 盒子 analyData1
					// 分析 建议 result-box
					doc_id = resultData.dnid; // 医生id，孕妇评价使用
					if (resultData.reim) { // 已经存在报告图片 -- 分析结果 、诊断结果 都不用显示
						doctorResult_1.add({
							id : resultData.id,
							date : resultData.dntm
						});
						$('.doc_img').show();
						$('.result-box').hide();
						$('.doc_result ').hide(); // 医生诊断结果 1 盒子
						$('.doc_result_2').hide(); // 医生诊断结果 2 盒子
						$('.advice_box ').hide(); // 医嘱盒子
					} else {

					}

				} else {
					$('.request-box').show();// 数据返回null，显示请求分析盒子。
					$('.doctorRequestAnly').attr('data-status', "inActive");
				}
				// }
				// }
				/*
				 * 1.返回数据为null没有发起分析和诊断 2.type=1 and stat=1，已经请求分析，专家团队还没有处理
				 * 3.type=1 and stat=2，专家团队已经对数据进行了分析 4.type=2 and
				 * stat=2，孕妇已经请求诊断，医生还没有诊断 5.type=2 and stat=3，医生已经诊断 6.type=3
				 * and stat=1，孕妇已经发起诊断，专家团队还没有处理 7.type=3 and
				 * stat=2，孕妇已经发起诊断，专家团队已分析，医生没有诊断 8.type=3 and
				 * stat=3，孕妇已经发起诊断，专家团队已分析，医生已诊断
				 */
				// result.first()
			} else {
				// console.log(resultData)
			}
		});
		setTimeout(function() {
			if (audio.duration) {
				$('.js-voice-total-time').text(transTime(audio.duration));
			}
		}, 1000);
	};
	Model.prototype.dignoseStat = function(type, stat, dntm) {// 诊断状态
		var str = "";
		if (type == 2 && stat == 2) {// 孕妇已经请求诊断，医生还没诊断
			str = "诊断中";
			return str;
		} else {
			str = dntm;
		}
		return str;
	};
	Model.prototype.alyStatus = function(type, stat) {// 分析状态判断
		var str = "";
		// console.log(type, stat)
		if (type == 1 && stat == 1 || stat == 1 && type == 2) {// 已经请求，但系统没给结果
			$('.request-box').hide();
			$('.analyze-box').show();
			// $('.fixed-bottom').show();
			str = "系统分析中";
		}
		if (type == 1 && stat == 2) {// 系统给结果了
			$('.request-box').hide();
			$('.analyze-box').show();
			$('.result-box').show();
			$('.alayDate').show();
			$(".result-box").show();
			$('.fixed-bottom').show();
			str = '系统已分析';
		}
		if (type == 1 && stat == 3) { // 已诊断
			$('.analyze-box2').show();
			$('.result-box2').show();
			$('.fixed-bottom2').show();
			$('.fixed-bottom').hide();
			str = '医生已诊断';
		}
		if (type == 2 && stat == 2) {// 孕妇已经请求诊断，医生还没诊断
			$('.analyze-box2').show();
			$('.analyze-box').hide();
			$('.result-box').hide();
			$('.fixed-bottom').hide();
			$('.docInfo').hide();
			$('.docStat').find('.dosStat-time').hide();
			str = "医生诊断中";
		}
		if (type == 2 && stat == 3) {// 医生已诊断
			$('.analyze-box2').show();
			$('.result-box2').show();
			$('.fixed-bottom').hide();
			$('.fixed-bottom2').show();
			str = "医生已诊断";
		}
		if (type == 3 && stat == 1) {// 孕妇发起诊断，专家团队还没有处理
			$('.request-box').hide();
			$('.analyze-box').show();
			// $('.fixed-bottom').show();
			str = "系统分析中";
		}
		if (type == 3 && stat == 1) {// 孕妇发起诊断，专家团队还没有处理，医生没有诊断
			$('.request-box').hide();
			$('.analyze-box').show();
			// $('.fixed-bottom').show();
			str = "系统分析中";
		}
		if (type == 3 && stat == 2) {// 孕妇发起诊断，专家团队已分析，医生没诊断
			$('.analyze-box2').show();
			$('.analyze-box').hide();
			$('.result-box').hide();
			$('.fixed-bottom').hide();
			$('.docInfo').hide();
			$('.docStat').find('.dosStat-time').hide();
			str = "医生诊断中";
		}
		if (type == 3 && stat == 3) {// 孕妇发起诊断，专家团队分析了，医生诊断了。
			$('.analyze-box2').show();
			$('.result-box2').show();
			$('.fixed-bottom2').show();
			$('.fixed-bottom').hide();
			str = "医生已诊断";
		}
		return str;
	};
	var onOff = true;
	Model.prototype.button1Touchstart = function(event) {
		stopPlay();
		share.share(onOff, $('.share-popOver'), $('.share-popOver .share-overlay'), $('.share-bottom'), $('.share-popOver .share-content'));
	};

	Model.prototype.modelActive = function(event) {
		this.modelLoad(event);

	};

	Model.prototype.showStart = function(num) {
		var star = $('.start_show_page');
		if (num > 0) {
			for (var i = 0; i < number; i++) {
				star[i].addClass('com-star-yellow');
			}
		}
	};
	Model.prototype.li1Touchstart = function(event) {
		var clickUl = $(event.currentTarget);
		clickUl.addClass('com-star-yellow');// 修复退出页面再进入点击不了的bug
		clickUl.removeClass('com-star-grey');
		clickUl.prevAll().addClass('com-star-yellow');
		clickUl.prevAll().removeClass('com-star-grey');
		clickUl.nextAll().removeClass('com-star-yellow');
		clickUl.nextAll().addClass('com-star-grey');
	};

	function drag(target, musicBar, event) {
		var mouseX = null;
		var parent = target.parent().innerWidth();
		var x = event.originalEvent.targetTouches[0].pageX - target.position().left;
		var element = $(".echarts");
		$(document).on('touchmove', function(event) {
			mouseX = event.originalEvent.targetTouches[0].pageX - x;
			var w = parseInt(target.css('width'));
			if (mouseX < 0) {
				mouseX = 0;

				element.scrollLeft(0);
			}

			if (mouseX >= parent) {
				mouseX = parent;

			}
			target.css({
				'left' : mouseX + 'px',

			});
			musicBar.css('width', mouseX + 'px');
			musicBar.css('transition', 'none');
			var perMin = Math.floor(audio.currentTime / 60);
			element.scrollLeft((perMin * 120) - 120);
		});
		$(document).on('touchend', function() {
			$(document).unbind('touchmove');
			$(document).unbind('touchend');

		});
	}

	var playing = false;
	var timer = null;
	var timerImg = null;
	var currentTime = 0;
	var Lshow = '';

	Model.prototype.div16Touchstart = function(event) {
		var musicBar = $('.progess-bar-cover');// 拖动
		drag($('.progess-point'), musicBar, event);
	};

	Model.prototype.div16Touchend = function(event) {
		var Lmain = $('.progess-bar-bg').width(); // 滚动条总长度
		var hasGo = $('.progess-bar-cover').width(); // 滚动条已滚动长度
		var AllW = $('.main').width(); // 画布总长度
		var showW = $('.echarts').width(); // 可视区域宽度
		var Lshow = ($('.progess-bar-cover').width() / Lmain) * AllW;
		var time = audio.duration; // 获取音频总时长
		var element = $(".echarts");
		var musicBar = $('.progess-bar-cover').width();// 拖动
		// element.scrollLeft(((hasGo / Lmain) * AllW) - 130);

		// 同步音频改变
		if (audio.duration) {
			var perMin = Math.floor(audio.currentTime / 60);
			var canSelect = audio.duration; // 音频总时长

			audio.currentTime = canSelect * (hasGo / Lmain);
			element.scrollLeft((perMin * 120) - 120);
			if (audio.currentTime == null) {
				audio.currentTime = 0;
			}
			$('.voice-present-time').text(transTime(audio.currentTime));
		}
		if (audio.currentTime <= 5) {
			element.scrollLeft(0);
		}
	};

	// 点击
	Model.prototype.div3Touchstart = function(event) {
		// 点移动
		if ($(".progess-point").position().left <= 0) {
			$(".progess-point").css("left", "0px");
		} else {
			var musicBar = $('.progess-bar-cover');// 拖动
			var dragPoint = $('.progess-point');
			var element = $(".echarts");
			var x = event.originalEvent.targetTouches[0].pageX - $('.progess-bar-bg').offset().left;
			dragPoint.css({
				'left' : x + 'px',
			});
			// 控制画布移动
			var Lmain = $('.progess-bar-bg').width(); // 滚动条总长度
			var AllW = $('.main').width(); // 画布总长度
			var showW = $('.echarts').width(); // 可视区域宽度
			Lshow = ($('.progess-bar-cover').width() / Lmain) * AllW;
			var perMin = Math.floor(audio.currentTime / 60);
			element.scrollLeft((perMin * 120) - 120);
			// 进度条行进
			musicBar.css('width', x + 'px');
			// 同步音频改变
			var time = audio.duration;
			var hasGo = $('.progess-bar-cover').width(); // 滚动条已滚动长度
			if (time) {
				audio.currentTime = time * (hasGo / Lmain);

				$('.voice-present-time').text(transTime(audio.currentTime));
			}

		}
	};
	/**
	 * 音频播放时间换算
	 * 
	 * @param {number}
	 *            value - 音频当前播放时间，单位秒
	 */
	function transTime(value) {
		var time = "";
		var h = parseInt(value / 3600);
		value %= 3600;
		var m = parseInt(value / 60);
		var s = parseInt(value % 60);
		if (h > 0) {
			time = formatTime(h + ":" + m + ":" + s);
		} else {
			time = formatTime(m + ":" + s);
		}
		return time;
	}
	/**
	 * 停止播放，清楚定时器
	 * 
	 */
	function stopPlay() {
		window.clearInterval(timer);
		window.clearInterval(timerImg);
		$('.play-btn').attr('src', require.toUrl('../common/images/icon-play.png'));
		playing = false;
		audio.pause();
	}
	/**
	 * 格式化时间显示，补零对齐 eg：2:4 --> 02:04
	 * 
	 * @param {string}
	 *            value - 形如 h:m:s 的字符串
	 */
	function formatTime(value) {
		var time = "";
		var s = value.split(':');
		var i = 0;
		for (; i < s.length - 1; i++) {
			time += s[i].length == 1 ? ("0" + s[i]) : s[i];
			time += ":";
		}
		time += s[i].length == 1 ? ("0" + s[i]) : s[i];
		return time;
	}
	// 播放按钮
	Model.prototype.div52Touchstart = function(event) {
		var Lmain = $('.progess-bar-bg').width(); // 滚动条总长度
		var time = audio.duration; // 获取音频总时长
		if (!time) {
			$('.voice-total-time').text("00:00");
			pop.pop('胎心音正在转换中，请稍后播放');

		} else if (time < 1) {
			pop.pop('文件内容过短，无法播放');
		}
		$(this.getElementByXid('file_moni_voice_time')).fadeIn();
		currentTime = audio.currentTime; // 已播放时长
		var AllW = $('.main').width(); // 画布总长度
		var showW = $('.echarts').width(); // 可视区域宽度v
		var element = $(".echarts");
		// $('.voice-total-time').text(transTime(transTime(time)));
		// 音频播放、暂停
		if (audio.paused) {
			audio.play();
		} else {
			audio.pause();
		}
		if (!playing) {
			playing = true;
			$('.play-btn').attr('src', require.toUrl('../common/images/stop.png'));
			timer = setInterval(function() {

				currentTime = audio.currentTime; // 已播放时长
				Lshow = $('.progess-bar-cover').width(); // 已经走的长度 -- 控制已走路段
				$('.voice-present-time').text(transTime(currentTime));
				$('.progess-bar-cover').width((currentTime / time) * Lmain + 'px');
				$('.progess-point').css('left', (currentTime / time) * Lmain + 'px');
				if ((currentTime / time) * Lmain >= Lmain) { // 归零
					playing = false;
					audio.currentTime = 0;
					window.clearInterval(timer);
					window.clearInterval(timerImg);
					$('.play-btn').attr('src', require.toUrl('../common/images/icon-play.png'));
					$('.progess-point').css('left', '0');
					$('.progess-bar-cover').width('0');
					$('.voice-present-time').text('00:00');
					$('.main').css('left', 0);
				}
				Lshow = ($('.progess-bar-cover').width() / Lmain) * AllW;
				if (currentTime >= 120) {
					var perMin = Math.floor(currentTime / 60);
					// element.scrollLeft(((currentTime / time) * AllW) - 130);
					element.scrollLeft((perMin * 120) - 120);
				}

			}, 1000);
		} else {
			$('.play-btn').attr('src', require.toUrl('../common/images/icon-play.png'));
			playing = false;
			window.clearInterval(timerImg);
			window.clearInterval(timer);
		}
	};
	Model.prototype.backBtnClick = function(event) {
		stopPlay();
		if (this.params.monitor) {
			justep.Shell.closeAllOpendedPages();
		} else {
			justep.Shell.closePage();
			myChart.clear();
			myChart.dispose();
		}
	};
	// 分享微信好友
	Model.prototype.button4Click = function(event) {
		var shareData = app.getUser();
		function success(result) {
			pop.pop('分享成功');
			$('.share-popOver').hide();
		}
		function error(result) {
			pop.pop(result);
			// pop.pop(result);
		}
		navigator.weixin.share({
			message : {
				title : '我的胎监详情',
				description : shareData.name + '的胎监详情，一起来看看吧',
				mediaTagName : "sunray",
				thumb : 'http://fbzd.oss-cn-shenzhen.aliyuncs.com/bestbaby/knowledge/LOGO-20180123135954971.png',
				media : {
					// type : navigator.weixin.Type.WEBPAGE,
					webpageUrl : utils.getShareUrl(commonUrl + "/" + "share/Share/custody?key=" + pwd),
				// webpageUrl : window.location.href
				},
				scene : navigator.weixin.Scene.SESSION
			},
		}, success, error);
	};
	// 朋友圈
	Model.prototype.button5Click = function(event) {
		var shareData = app.getUser();
		function success(result) {
			pop.pop('分享成功');
			// pop.pop(JSON.stringify(result));
			$('.share-popOver').hide();
		}
		function error(result) {
			pop.pop(result);
			// pop.pop(JSON.stringify(result));
		}
		navigator.weixin.share({
			message : {
				title : '我的胎监详情',
				description : shareData.name + '胎监详情，一起来看看吧',
				mediaTagName : "sunray",
				thumb : 'http://fbzd.oss-cn-shenzhen.aliyuncs.com/bestbaby/knowledge/LOGO-20180123135954971.png',
				media : {
					// type : navigator.weixin.Type.WEBPAGE,
					webpageUrl : utils.getShareUrl(commonUrl + "/" + "share/Share/custody?key=" + pwd)
				// webpage
				},
				scene : navigator.weixin.Scene.TIMELINE
			},
		}, success, error);
	};
	// 微博分享
	Model.prototype.button8Click = function(event) {
		var shareData = app.getUser();
		function success(result) {
			pop.pop('分享成功');
			// pop.pop(JSON.stringify(result));
		}
		function error(result) {
			if (result == 'cancel by user') {
				pop.pop('用户取消');
			} else {
				pop.pop("分享失败,请检查本应用和微博对应权限是否有打开");
			}
		}
		navigator.Weibo.shareToWeibo(success, error, {
			"title" : shareData.name + '胎监详情，一起来看看吧',
			"url" : commonUrl + "/" + "share/Share/custody?key=" + pwd,
			"imageUrl" : 'http://fbzd.oss-cn-shenzhen.aliyuncs.com/bestbaby/knowledge/LOGO-20180123135954971.png'
		});
	};
	Model.prototype.doctorConsult = function(event) {// 医生咨询跳转
		var item = event.bindingContext.$object;
		var url = require.toUrl('$UI/bestbaby-gravida/chat/messageTalk.w');
		justep.Shell.showPage(url, {
			to : item.val('IMID'),
			name : item.val('name'),
			addFriend : false,
		});
	};
	// 页面离开
	Model.prototype.modelUnLoad = function(event) {
		// zzq 还原物理键操作
		layer.closeAll();
		justep.Shell.fireEvent("regainBackClick");
	};
	Model.prototype.echartsTouchstart = function(event) {
		this.xs = event.originalEvent.changedTouches[0].pageX;
	};
	Model.prototype.EScroll = function(event) {
		var element = $(".echarts").scrollLeft();
		var that = this;
		// if (element >= 50) {
		// option.yAxis[0].zlevel = 1;
		// option.yAxis[1].zlevel = 1;
		// option.yAxis[0].offset = 30 - element;
		// option.yAxis[1].offset = 30 - element;
		// myChart.setOption(option);
		// } else {
		// option.yAxis[0].offset = 0;
		// option.yAxis[1].offset = 0;
		// myChart.setOption(option);
		// }
	};
	Model.prototype.payDiagClose = function(event) {
		this.modelLoad(event);

	};
	// 结束体验套餐
	Model.prototype.QoeButtonClick = function(event) {
		this.comp("QoeButton").set({
			disabled : true
		});
		var that = this;
		var dataJson = {
			usid : app.getUser().id
		};
		getCustodyData.getTokenItems(dataJson, 'system/Combo/endExperCombo', function(success, message, data) {
			B1Manager.writeLog("0", "结束体验套餐请求参数", dataJson);
			B1Manager.writeLog("0", "system/Combo/endExperCombo请求结果", data);
			if (success) {
				pop.pop('结束体验套餐成功');
				justep.Shell.closeAllOpendedPages();
			} else {
				that.comp("QoeButton").set({
					disabled : false
				});
				pop.pop(message)
			}
		});
	};

	return Model;
});
