define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dairy = require("$UI/bestbaby-gravida/common/js/getItems");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var address = "";
	var store = require("$UI/bestbaby-gravida/common/js/store/dist/store.modern.min");
	var Model = function() {
		this.callParent();
	};

	Model.prototype.openBtnClick1 = function(event) {
		var url = '$UI/bestbaby-gravida/individual/address/editAddress.w';
		justep.Shell.showPage(url);
	};
	// 编辑跳转
	Model.prototype.button2Touchstart = function(event) {
		var id = $(event.currentTarget).find('.spanId').text();
		var url = '$UI/bestbaby-gravida/individual/address/editOriginAddress.w';
		justep.Shell.showPage(url, {
			data : id
		});
	};
	// 判断是否为默认字段返回
	Model.prototype.isDefault = function(ev) {
		var str = '';
		if (ev == 1) {
			str = '(默认地址)';
		}
		return str;
	}
	Model.prototype.modelLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			$('.addSel_panel_top').addClass('ios_style')
		}
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
					Model.prototype.backBtnClick();
				}
			}
		});
		var addressData = this.comp("addressData");
		var url = "system/Address/list";
		var dataJson = {
			"pageNum" : 1,
			"pageSize" : 0
		}

		var that = this;
		// console.log(dataJson);
		dairy.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) {
				// console.log(data.content)
				var list = data.content.list;
				// console.log(WElist.length)
				// 判断是否没有数据，切换content
				if (list.length > 0) {
					that.comp("contents1").to(0);
				} else {
					that.comp("contents1").to(1);
				}
				addressData.clear();
				if (list.length !== 0) {

					for (var i = 0; i < list.length; i++) {
						var a = list[i];
						// console.log(status)
						addressData.add({
							id : a.id,
							name : a.name,// 名字
							tel : a.mobl,// 电话
							prov : a.pvce,// 省份
							city : a.city,// 城市
							area : a.coty,// 区县
							provName : a.apvce,// 省份名
							cityName : a.acity,// 城市名
							areaName : a.acoty,// 区县名
							address : a.adrs,// 详细地址
							is_default : a.isrd
						// 是否默认
						});
						if (a.isrd == 1) {
							address = {
								name : a.name,// 名字
								tel : a.mobl,// 电话
								provName : a.apvce,// 省份名
								cityName : a.acity,// 城市名
								areaName : a.acoty,// 区县名
								address : a.adrs,// 详细地址
							}
							localStorage.setItem('defaultAdd', JSON.stringify(address));
						}

					}
				} else {
					localStorage.removeItem('defaultAdd');
				}

			}
		});

	};

	Model.prototype.modelActive = function(event) {
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
					Model.prototype.backBtnClick();
				}
			}
		});
		var addressData = this.comp("addressData");
		var url = "system/Address/list";
		var dataJson = {
			"pageNum" : 1,
			"pageSize" : 0
		}
		var that = this;
		// console.log(dataJson);
		dairy.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) {
				// console.log(data.content)
				var list = data.content.list;
				if (list.length > 0) {
					that.comp("contents1").to(0);
				} else {
					that.comp("contents1").to(1);
				}
				addressData.clear();
				if (list.length !== 0) {
					for (var i = 0; i < list.length; i++) {
						var a = list[i];
						// console.log(status)
						addressData.add({
							id : a.id,
							name : a.name,
							tel : a.mobl,
							prov : a.pvce,
							city : a.city,
							area : a.coty,
							address : a.adrs,
							provName : a.apvce,
							cityName : a.acity,
							areaName : a.acoty,
							address : a.adrs,
							is_default : a.isrd

						});
						if (a.isrd == 1) {
							address = {
								name : a.name,// 名字
								tel : a.mobl,// 电话
								provName : a.apvce,// 省份名
								cityName : a.acity,// 城市名
								areaName : a.acoty,// 区县名
								address : a.adrs,// 详细地址
							}
							localStorage.setItem('defaultAdd', JSON.stringify(address));
						}
					}
				} else {
					localStorage.removeItem('defaultAdd');
				}
			}
		});
	};
	// 选择收货地址

	Model.prototype.li1Click = function(event) {
		var row = event.bindingContext.$object;
		var id = row.val('id');
		var that = this;
		var url = "system/Address/list";
		var dataJson = {
			"pageNum" : 1,
			"pageSize" : 0
		}
		var that = this;
		// console.log(dataJson);
		dairy.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) {
				// console.log(data.content)
				var list = data.content.list;
				for (var i = 0; i < list.length; i++) {
					var a = list[i];
					if (a.id == id) {
						address = {
							name : a.name,// 名字
							tel : a.mobl,// 电话
							provName : a.apvce,// 省份名
							cityName : a.acity,// 城市名
							areaName : a.acoty,// 区县名
							address : a.adrs,// 详细地址
						}

						store.set('defaultAdd', address);

					}
				}
				that.owner.send(address)
				// that.owner.close();
				justep.Shell.closePage();
			}
		});
	};

	Model.prototype.backBtnClick = function(event) {
		justep.Shell.closePage();
	};
	Model.prototype.modelUnLoad = function(event) {
		// zzq 还原物理键操作
		justep.Shell.fireEvent("regainBackClick");
	};

	return Model;
});