define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dairy = require("$UI/bestbaby-gravida/common/js/getItems");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp")
	var app = require("$UI/bestbaby-gravida/common/js/app")
	var Model = function() {
		this.callParent();
	};

	Model.prototype.selectedBtn = function(event) {
		this.comp("popPicker2").show();
	};
	Model.prototype.backPopClick = function(event) {
		this.comp("popPicker2").hide();
	};
	// 选择地区联动确认
	Model.prototype.confirmClick = function(event) {
		var prov = this.comp("picker4").getSelectedItem().val('province');
		var pid = this.comp("picker4").getSelectedItem().val('id');
		var city = this.comp("picker1").getSelectedItem().val('city');
		var cid = this.comp("picker1").getSelectedItem().val('id');
		var area = this.comp("picker2").getSelectedItem().val('district');
		var aid =this.comp("picker2").getSelectedItem().val('id');
		if (!city) {
			pop.pop('请选择城市');
			return;
		}
		if (!area) {
			pop.pop('请选择区域');
			return;
		}
		console.log(pid,cid,aid)
		$('.show-select-area').text(prov + '省' + city + area);

		$('.provSpan').text(prov);
		$('.citySpan').text(city);
		$('.areaSpan').text(area);
		$('.provSpan').attr('data-id', pid);
		$('.citySpan').attr('data-id', cid);
		$('.areaSpan').attr('data-id', aid);
//		console.log(prov, city, area)

	};
	// 参数接收
	Model.prototype.modelParamsReceive = function(event) {
		var that = this;
		var url = "system/Area/list";
	}

	
	function widthCheck (str,maxLen){
			var w = 0;
			var tempCount = 0;
			for(var i =0; i < str.value.length ; i++){
				var c = str.value.charCodeAt(i);
				if ((c >= 0x0001 && c <= 0x007e) || (0xff60<=c && c<=0xff9f)) {  
					w++;  
				}else {    
					w+=2;  
				}  
				if (w > maxLen) {  
					str.value =  str.value.substr(0,i); 
					pop.pop('名字最多只能输入八个汉字或十六个英文字母');
					break;
				}
			}
	}
	
	Model.prototype.modelLoad = function(event) {
		var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
				$('.edAdd_panel').addClass('ios_style')
		}
	
		$('.name-input').bind('input prototypechange',function(){
			widthCheck(this,16)
		});
		$('.phone-num').bind('input prototypechange',function(){
			app.checkLength('.phone-num', 11, '手机号码');
		});
		
		var url = "system/Address/select";
		var that = this;
				var url = "system/Area/list";
				var provinceData = that.comp("province");
				var cityData = that.comp("city");
				var distData = that.comp("district");
				// 加载省份
				var dataProv = {
					"pageNum" : 1,
					"pageSize" : 0,
					"filters" : {
						"id" : "",
						"deep" : "1",
						"pid" : "",
						"isht" : ""
					}
				}

				// console.log(dataJson);
				dairy.getTokenItems(dataProv, url, function(success, message, data) {
					if (success) {
						// console.log(data.content.list)
						var a = data.content.list;
						provinceData.clear();
						for (var i = 0; i < a.length; i++) {
							var b = a[i];
							provinceData.add({
								id : b.id,
								province : b.name,
							});
						}
					}
				});
				// 加载市
				// console.log(deep);
				var dataCity = {
					"pageNum" : 1,
					"pageSize" : 0,
					"filters" : {
						"id" : "",
						"deep" : "2",
						"pid" : 1,
						"isht" : ""
					}
				}
				dairy.getTokenItems(dataCity, url, function(success, message, data) {
					if (success) {
						// console.log(data.content.list)
						var a = data.content.list;
						cityData.clear();
						for (var i = 0; i < a.length; i++) {
							var b = a[i];
							// console.log(b.name)
							cityData.add({
								id : b.id,
								city : b.name,
							});
						}
					}
				});
				// 加载区
				var dataDist = {
					"pageNum" : 1,
					"pageSize" : 0,
					"filters" : {
						"id" : "",
						"deep" : "3",
						"pid" : "36",
						"isht" : ""
					}
				}
				dairy.getTokenItems(dataDist, url, function(success, message, data) {
					if (success) {
						var a = data.content.list;
						distData.clear();
						console.log(a)
						for (var i = 0; i < a.length; i++) {
						
							var b = a[i];
							distData.add({
								id : b.id,
								district : b.name,
							});
						}
					}
				});
	
	};
	// 省变动联动市
	Model.prototype.provChange = function(event) {
		var self = this;
		var pid = this.comp("province").val('id');
		var url = "system/Area/list";
		// 加载市
		var that = this;
		var cityData = that.comp("city");

		var dataCity = {
			"pageNum" : 1,
			"pageSize" : 0,
			"filters" : {
				"id" : "",
				"deep" : "2",
				"pid" : pid,
				"isht" : ""
			}
		}
		dairy.getTokenItems(dataCity, url, function(success, message, data) {
			if (success) {
				var a = data.content.list;
				cityData.clear();
				for (var i = 0; i < a.length; i++) {
					var b = a[i];
					cityData.add({
						id : b.id,
						city : b.name,
					});
				}
				self.comp('picker1').setSelectedIndex(0);
			}
		});

	};
	// 市变动
	Model.prototype.cityChange = function(event) {

		var pid = this.comp("city").val('id');
		var url = "system/Area/list";
		// 加载区
		var that = this;
		var distData = that.comp("district");

		var dataDist = {
			"pageNum" : 1,
			"pageSize" : 0,
			"filters" : {
				"id" : "",
				"deep" : "3",
				"pid" : pid,
				"isht" : ""
			}
		}
		dairy.getTokenItems(dataDist, url, function(success, message, data) {
			if (success) {
				var a = data.content.list;
				distData.clear();
				for (var i = 0; i < a.length; i++) {
					var b = a[i];
					distData.add({
						id : b.id,
						district : b.name,
					});
				}
			}
		});
	};
	// 保存
	Model.prototype.saveBtn = function(event) {
		var addData = this.comp("addressData");
		var name = addData.val('name');
		var tel = $('.phone-num').val();
		var address = addData.val('address');
		var is_default = addData.val('is_default') == true ? 1 : 2;
		var prov = $('.provSpan').attr('data-id');
		var city = $('.citySpan').attr('data-id');
		var area = $('.areaSpan').attr('data-id')
		var url = "system/Address/insert";

		if (!name) {
			pop.pop('请输入姓名');
			return;
		}
		if(name.length < 2){
			pop.pop('名字长度过短,请重新输入');
			return false;
		}
		if (!app.checkName(name)) {
			pop.pop('名字只能是中文或者英文名字,不能包含空格和特殊字符');
			return;
		}
		if (!tel) {
			pop.pop('请输入电话号码');
			return;
		}
		if (!app.checkMobile(tel)) {
			pop.pop('请输入正确的手机号码');
			return;
		}
		if (!area) {
			pop.pop('请选择地址');
			return;
		}
		if (!address) {
			pop.pop('请输入详细地址');
			return;
		}
		var dataJson = {
			"name" : name,
			"mobl" : tel,
			"pvce" : prov,
			"city" : city,
			"coty" : area,
			"adrs" : address,
			"isrd" : is_default
		}
		dairy.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) {
				justep.Shell.closePage();
			} else {
				console.log('保存失败');
			}
		});
	};

	return Model;
});