define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var touch = require('$UI/bestbaby-gravida/common/js/touch');
	var dairy = require("$UI/bestbaby-gravida/common/js/getItems");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp")
	var Model = function() {
		this.callParent();

	};
	Model.prototype.dayData = function(mon, tue, wed, thu, fri, sat, sun) {
		var str = '';
		if (mon == 1) {
			str = str + '星期一,';
		}
		if (tue == 1) {
			str = str + '星期二,';
		}
		if (wed == 1) {
			str = str + '星期三,';
		}
		if (thu == 1) {
			str = str + '星期四,';
		}
		if (fri == 1) {
			str = str + '星期五,';
		}
		if (sat == 1) {
			str = str + '星期六,';
		}
		if (sun == 1) {
			str = str + '星期日,';
		}
		if (str == '') {
			str = str + '不重复';
		}
		return str;
	}
	Model.prototype.controlToggle = function(event) {
		this.comp("toggle1").set({
			"checked" : true
		});
	}
	Model.prototype.modelLoad = function(event) {
		var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
			if(!$('.alarm_panel').hasClass('ios_style')){
				$('.alarm_panel').addClass('ios_style')
			}
		}
	
		var has_ios =$("html").hasClass("iosstatusbar");
			if(has_ios){
				if(!$('.x-panel-top').hasClass('ios_style')){
					$('.x-panel-top').addClass('ios_style')
				}
			}
	
		var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
			if(!$('.x-titlebar').hasClass('x-title-bar-ios')){
				$('.x-titlebar').addClass('x-title-bar-ios');
			}
		}
		
		var clockSet = this.comp("clockSet");
		var url = "system/Clock/list";
		var dataJson = {
			"pageNum" : 1,
			"pageSize" : 0
		}
		var that = this;
		// console.log(dataJson);
		dairy.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) {
				// console.log(data.content)
				var list = data.content.list;
				if (list.length > 0) {
					that.comp("contents1").to(0);
				} else {
					that.comp("contents1").to(1);
				}
				clockSet.clear();
				for (var i = 0; i < list.length; i++) {
					var a = list[i];
					var status = a.stat == 1 ? true : false;
					clockSet.add({
						id : a.id,
						time : a.time,
						duty : a.remk,
						isDefault : status,
						mon : a.mon,
						tue : a.tue,
						wed : a.wed,
						thu : a.thu,
						fri : a.fri,
						sat : a.sat,
						sun : a.sun,

					});
				}

			}
		});
		this.swipeDelete();
	};
	Model.prototype.openBtnClick1 = function(event) {
		var url = '$UI/bestbaby-gravida/individual/alarm/alarmAdd.w';
		justep.Shell.showPage(url);
	};
	/** 进入闹钟详情页* */
	Model.prototype.openBtnClick2 = function(event) {
		// var select = $(event.currentTarget);
		var row = event.bindingContext.$object;
		var id = row.val('id');
		var url = '$UI/bestbaby-gravida/individual/alarm/alarmSetting.w';
		justep.Shell.showPage(url, {
			data : id
		});

	};
	/** 滑动删除事件* */
	Model.prototype.swipeDelete = function() {
		var clock = this.getIDByXID('clock');
		// var set = this.getElementByXid('clock')
		// console.log(set)
		var swipeAreaSize = 100;
		var dx;
		touch.on('#' + clock, 'touchstart', function(ev) {
			// ev.preventDefault();
			var $swipNode = $('#' + clock + " li").has(ev.target);
			// console.log($swipNode);
			// console.log(ev.target);
			dx = parseInt($swipNode.attr('swipeX') || "0");
		});

		touch.on('#' + clock, 'drag', function(ev) {
			var $swipNode = $('#' + clock + " li").has(ev.target);
			if (ev.direction === "left" || ev.direction === "right") {
				dx = dx || 0;
				var offx = dx + ev.x;
				if (offx < swipeAreaSize * -1) {
					offx = swipeAreaSize * -1;
				}
				if (offx > 0) {
					offx = 0;
				}
				if (ev.direction === "right" && $swipNode.hasClass('x-swipe-out')) {
					$swipNode.css({
						'transform' : 'translate3d(' + offx + 'px,0,0)'
					});
				} else if (ev.direction === "left" && (!$swipNode.hasClass('x-swipe-out'))) {
					$swipNode.css({
						'transform' : 'translate3d(' + offx + 'px,0,0)'
					});
				}
			}
		});
		touch.on('#' + clock, 'dragend', function(ev) {
			var $swipNode = $('#' + clock + " li").has(ev.target);
			if (ev.direction === "left") {
				$swipNode.css({
					'transform' : 'translate3d(-' + swipeAreaSize + 'px,0,0)'
				});
				$swipNode.addClass('x-swipe-out');
				dx = swipeAreaSize * -1;
			} else if (ev.direction === "right") {
				$swipNode.removeClass('x-swipe-out');
				$swipNode.css({
					'transform' : 'translate3d(0,0,0)'
				});
				dx = 0;
			}
			$swipNode.attr('swipeX', dx);
		});
	};
	//
	Model.prototype.div22Touchstart = function(event) {
		var select = $(event.currentTarget);
		var id = select.find('.alarmId').text();
		var row = event.bindingContext.$object;
		var that = this;
		var url = "system/Clock/delete";
		var dataJson = [ id ];
		dairy.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) {
				that.comp("clockSet").deleteData(row);
			}
		});
	};
	// 页面激活执行方法
	Model.prototype.modelActive = function(event) {
		var clockSet = this.comp("clockSet");
		var url = "system/Clock/list";
		var dataJson = {
			"pageNum" : 1,
			"pageSize" : 0
		}
		var that=this;
		// console.log(dataJson);
		dairy.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) {
				// console.log(data.content)
				var list = data.content.list;
				if (list.length > 0) {
					that.comp("contents1").to(0);
				} else {
					that.comp("contents1").to(1);
				}
				clockSet.clear();
				for (var i = 0; i < list.length; i++) {
					var a = list[i];
					var status = a.stat == 1 ? true : false;
					clockSet.add({
						id : a.id,
						time : a.time,
						duty : a.remk,
						isDefault : status,
						mon : a.mon,
						tue : a.tue,
						wed : a.wed,
						thu : a.thu,
						fri : a.fri,
						sat : a.sat,
						sun : a.sun,

					});
				}

			}
		});
	};
	// 开关按钮
	Model.prototype.toggle3Change = function(event) {
		var id = this.comp("clockSet").getValue('id');
		var stat = event.checked;
		var url = "system/Clock/switches";
		var dataJson = {
			"id" : id,
			"stat" : stat ? 1 : 2
		}
		// console.log(dataJson);
		dairy.getTokenItems(dataJson, url, function(success, message, data) {

		});
	};

	return Model;
});