define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var getItem = require("$UI/bestbaby-gravida/common/js/getItems");

	var Model = function() {
		this.callParent();
		this.hireId;
	};

	$('.order-diary .circle-point .link-link').each(function(i) {

		$('.order-diary .circle-point .link-link').eq(i).css('height', $('.order-diary .circle-point .link-link').eq(i).closest('.link').outerHeight() + 'px')

	});

	Model.prototype.payBtnClick = function(event) {

	};

	Model.prototype.typeChange = function(type) {
		var str = '单次计费';
		if (type == 1) {
			str = '首次购买';
		} else if (type == 2) {
			str = '续费套餐';
		}
		return str;
	}
	Model.prototype.modelLoad = function(event) {
		hireId = this.params.orno;
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			$('.orderDet_panel').addClass('ios_style')
		}
		this.comp("orderDetailData").clear();
		getOrderDetailData.call(this);
	};

	function getOrderDetailData() {
		var orderDetailData = this.comp('orderDetailData');
		var params = {
			orno : hireId,
		}
		getItem.getTokenItems(params, 'system/Transaction/selectbuy', function(success, message, data) {
			if (success) {
				console.log('购买记录详细', data);
				var _data = data.content
				if (_data.sfcm == 2 && _data.wdsf == 1 && _data.rent>0) {
					dept = _data.dept + '（平台缴费）';
					rent = _data.rent + '（现场缴费）';
					epcg = _data.epcg + '（平台缴费）';
				}else{
					dept = _data.dept;
					rent = _data.rent;
					epcg = _data.epcg;
				}
				orderDetailData.add({
					id : _data.id,
					orno : _data.orno,
					buyTime : _data.crtm, // 购买时间
					type : _data.type, // 订单类型 首次购买/续费/单次
					name : _data.name, // 套餐名称
					setType : comboType(_data.cbtype), // 套餐类型 eg:全包套餐/体验套餐
					payTime : _data.pytm, // 支付时间
					payMoney : (_data.dept + _data.rent + _data.epcg).toFixed(2), // 支付金额
					dept:dept,
					rent:rent,
					epcg:epcg,
					deptVal:_data.dept,
					rentVal:_data.rent,
					epcgVal:_data.epcg,
					sfcm   :_data.sfcm,
					wdsf   :_data.wdsf,
				});
			}
		});
		// 套餐类型
		// 套餐类型：1-2周套餐、2-月套餐、3-全包套餐、4-单次套餐、5-体验套餐 0-周套餐
		function comboType(cbType) {
			var str = '';
			if (cbType == 1) {
				str = '2周套餐';
			} else if (cbType == 2) {
				str = '月套餐';
			} else if (cbType == 3) {
				str = '全包套餐';
			} else if (cbType == 4) {
				str = '单次套餐';
			} else if (cbType == 5) {
				str = '体验套餐';
			}else if (cbType == 0) {
				str = '周套餐';
			}
			return str;
		}
	}

	return Model;
});