define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dairy = require("$UI/bestbaby-gravida/common/js/getItems");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var commonUrl = require("$UI/bestbaby-gravida/common/js/commonUrl");
	var Model = function() {
		this.callParent();
	};
	// 打开选择天数 zzq
	Model.prototype.selectBtn = function(event) {

		this.comp("popPicker2").show();
		var day = this.comp("data").val('day') - 1;

		this.comp("picker1").setSelectedIndex(day);
	};
	// 上传 zzq
			/**
			 * 方法名：uploadLog(function,function，string, string, string, string)
			 * 参数1：(function)成功时回调方法 参数2：(function)失败时回调方法 参数3：(string)是否上传
			 * adpcm (0 不上传; 1 上传) 参数4：(string)天数 (如："3")
			 * 参数4：(string)url(如："http://youbeibei.free.ngrok.cc/bestbaby-api-gravida/system/Applog/upload")
			 * 参数4：(string)token 返回值： { "progress":"15", //(0 - 100) 百分比进度
			 * "isUploadSuccess":"2" //(0 失败；1 成功; 2 上传中) } 说明：上传日志
			 * 参数7：(string)nver 应用内部版本号 参数8：(string)apnm 应用名称 参数9：(string)modl
			 * 手机型号 参数10：(string)faty 厂商 参数11：(string)sysm 操作系统
			 * 参数12：(string)vers 手机系统版本号
			 * 
			 */
	Model.prototype.button3Click = function(event) {
		layer.open({
			type : 2,
			content : '文件压缩中，请耐心等候',
			shadeClose : false,
		});
		var data = this.comp("data");
		var day = data.val('day');  // 上传天数
		var adpcm = data.val('is_default'); // 是否上传胎声
        var url=commonUrl+'/system/Applog/upload';
        var token=app.getToken().token;   // token
        var dev = '';
		if (typeof device === 'undefined') {
			dev = {
				model : '',
				manufacturer : '',
				platform : '',
				version : '',
			}
		} else {
			dev = device;
		}
		var modl= dev.model;// 手机型号
        var faty=dev.manufacturer; // 厂商
		var sysm= dev.platform; // 操作系统
		var vers =dev.version; // 版本号
		var nver=justep.Shell.appNver+"";// 内部版本号
		var apnm=justep.Shell.appName;// 应用名称
//        alert(day)
		function logSuccess(data) {
//		console.log(data)
		var data=JSON.parse(data);
		var statu=data.isUploadSuccess;
// alert(statu)
		if(statu==1){
		
		layer.closeAll();
		   pop.pop('上传成功');
		   return 
		}else if(statu==2){
		
		}
		layer.open({
			type : 2,
			content : '上传中'+data.progress+'%，请耐心等候',
			shadeClose : false,
		});
		}
		function logError(data) {
		var data=JSON.parse(data);
		var statu=data.isUploadSuccess;
            if(statu==0){
               pop.pop('上传失败');
		       layer.closeAll();
		   }
		}
		day=day+"";
//		console.log(typeof adpcm,typeof day,typeof url,typeof token,typeof nver,typeof apnm,typeof modl,typeof faty,typeof sysm,typeof vers);
		console.log( adpcm, day, url, token, nver, apnm, modl, faty, sysm, vers);
		var dataJson={ 
		  adpcm: adpcm, // 是否上传胎声
		  day:day, // 上传天数
		  url:url,
		  token:token,
		  nver:nver, //内部版本
		  apnm:apnm, //应用名
		  modl:modl, // 手机型号
		  faty:faty,// 厂商
		  sysm:sysm,// 操作系统
		  vers:vers // 版本号
		};
		B1Manager.uploadLog(logSuccess, logError,dataJson);

	};

	Model.prototype.modelLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			if (!$('.error-panel').hasClass('ios_style')) {
				$('.error-panel').addClass('ios_style')
			}
		}

	};

	// 确认选择天数
	Model.prototype.popPicker2OK = function(event) {
		var day = this.comp("picker1").getSelectedIndex() + 1;
		this.comp("data").setValue('day', day);

		// console.log(this.comp("data").val('day'))
	};

	return Model;
});