define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var userModel = require("$UI/bestbaby-gravida/common/js/modules/user");
	require("$UI/bestbaby-gravida/common/js/common");
	var help = require("$UI/bestbaby-gravida/common/js/getItems");
	var Model = function() {
		this.callParent();
	};

	Model.prototype.modelLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			$('.quesSort_panel').addClass('ios_style')
		}
				// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
                 	Model.prototype.backBtnClick();
				}
			}
		});
	};

	Model.prototype.questionCustomRefresh = function(event) {
		var data2 = this.comp("type");
		var that = this;
		help.getTokenItems({}, "system/Help/listType", function(success, message, data) {
			var data = data.content;
			// console.log(data.list)
			var list = data.list;
			if (success) {
				// console.log(data);
				for (var i = 0; i < list.length; i++) {
					data2.add({
						"id" : list[i].id,
						"skey" : list[i].skey,
						"detl" : list[i].detl,
						"slno" : list[i].slno,
						"isht" : list[i].isht,
						"type" : list[i].type,
						"dast" : list[i].dast,
						"crtm" : list[i].crtm,
						"mdtm" : list[i].mdtm,
						"name" : list[i].name,
					});
				}

			} else {
				console.log(data);
			}
		});
	};

	Model.prototype.button2Touchstart = function(event) {

	};

	Model.prototype.button2Click = function(event) {
		var row = event.bindingContext.$object;
		// var params = {
		// id : $(event.currentTarget).find('.data-id').html(),
		// name : $(event.currentTarget).find('.name').html()
		// };
		var params = {
			id : row.val('id'),
			name : row.val('name')
		};

		console.log(params)
		var url = '$UI/bestbaby-gravida/individual/help/questionList.w';
		justep.Shell.showPage(url, params);
	};

	Model.prototype.modelUnLoad = function(event){
		// zzq 还原物理键操作
		justep.Shell.fireEvent("regainBackClick");
	};

	Model.prototype.modelActive = function(event){
				// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
                 	Model.prototype.backBtnClick();
				}
			}
		});
	};

	Model.prototype.backBtnClick = function(event){
      justep.Shell.closePage();
	};

	return Model;
});