define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	require("css!$UI/bestbaby-gravida/common/css/layout").load();
	var unbind = require("$UI/bestbaby-gravida/common/js/getItems");
	var individual = require("$UI/bestbaby-gravida/common/js/getItems");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var amd1 = require("../common/js/common");
	var Model = function() {
		this.callParent();
	};
	// 更换我的医院
	Model.prototype.openBtnClick1 = function(event) {
		individual.getTokenItems({}, "system/Gdcombo/select", function(success, message, data) {
			if (success) {
				console.log('请求成功data', data);
				if (data.content == null) {
					// console.log('暂未购买套餐');
					var url = '$UI/bestbaby-gravida/individual/hospital/city.w';
					justep.Shell.showPage(url);
				} else {
					// 状态：1-已租赁、2-归还中、3-已归还、4-已结算
					if (data.content.dlstat == 3 || data.content.dlstat == 4) {
						var url = '$UI/bestbaby-gravida/individual/hospital/city.w';
						justep.Shell.showPage(url);
					} else {
						pop.pop("套餐结束之前暂不可更换医院！");
					}
				}
			} else {
				if (data) {
					if (data.msg == "没有购买套餐") {
						var url = '$UI/bestbaby-gravida/individual/hospital/city.w';
						justep.Shell.showPage(url);
					}
				} else {
					pop.pop('请求异常');
				}
				console.log('请求失败data', data);
			}
		});
	};

	Model.prototype.modelLoad = function(event) {

		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			if (!$('.hos_panel').hasClass('ios_style')) {
				$('.hos_panel').addClass('ios_style')
			}
		}

		var hospitalData = this.comp("bindHospital");
		hospitalData.clear();
		// console.log(this.params.hlid);

		// console.log(this.params.hlid)
		var dataJson = {
			"pageNum" : 1,
			"pageSize" : 1,
			"filters" : {
				"id" : this.params.hlid,
				"hlfn" : "",
				"prve" : "",
				"city" : "",
				"coty" : ""
			}
		};
		var that = this;
		individual.getTokenItems(dataJson, "system/Hospital/list", function(success, message, data) {
			if (success) {
				var data = data.content.list[0];
				hospitalData.add({
					id : that.params.hlid,
					hospital : that.params.hlfn,
					logo : data.logo,
					brief:data.hlab
				});
			}
		});
	};
	// 解绑医院Click
	Model.prototype.button2Click = function(event) {
		var unbindHospital = this.comp("bindHospital");
		var dataJson = {
			hlid : ""
		};
		individual.getTokenItems({}, "system/Gdcombo/select", function(success, message, data) {
			if (success) {
				console.log('请求成功data', data);
				if (data.content == null) {
					// console.log('暂未购买套餐');
					unbind.getTokenItems(dataJson, "system/Gravida/bindHospital", function(success, message, data) {
						if (success) {
							pop.pop("解绑成功")
							unbindHospital.clear();
							justep.Shell.closePage();
						}
					});
				} else {
					// 状态：1-已租赁、2-归还中、3-已归还、4-已结算
					if (data.content.dlstat == 3 || data.content.dlstat == 4) {
						// console.log("已归还/ 已结算");
						unbind.getTokenItems(dataJson, "system/Gravida/bindHospital", function(success, message, data) {
							if (success) {
								pop.pop("解绑成功")
								unbindHospital.clear();
								justep.Shell.closePage();
							}
						});
					} else {
						pop.pop("套餐结束之前暂不可解绑医院！");
					}
				}
			} else {
				if (data) {
					if (data.msg == "没有购买套餐") {
						unbind.getTokenItems(dataJson, "system/Gravida/bindHospital", function(success, message, data) {
							if (success) {
								pop.pop("解绑成功")
								unbindHospital.clear();
								justep.Shell.closePage();
							}
						});
					}
				} else {
					pop.pop('请求异常');
				}
				console.log('请求失败data', data);
			}
		});

	};

	return Model;
});