define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var getCity = require("$UI/bestbaby-gravida/common/js/getItems");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp")
	require("$UI/system/lib/cordova/cordova");

	var store = require("$UI/bestbaby-gravida/common/js/store/dist/store.modern.min");
	var Model = function() {
		this.callParent();
		this.keys = [ 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z' ];
	};
	//定位城市按钮
	Model.prototype.localBtn = function(event){
		var localCity = $('.hotCity').text();
		if(localCity !=='正在定位中...'){
			var params = {
				"pageNum" : 1,
				"pageSize" : 0,
				"filters" : {
					"id" : "",
					"deep" : 2,
					"pid" : "",
					"isht": ""
					}
			}
			getCity.getTokenItems(params,'system/Area/list',function(success,message,data){
				if(success){
					var list = data.content.list;
					for(var i = 0; i<list.length ;i++){
						if(list[i].name === localCity){
							var getHosData = {
									id: list[i].id,
									name: localCity
							}
							var url = '$UI/bestbaby-gravida/individual/hospital/hospitalDetail.w';
							justep.Shell.showPage(url,getHosData);
						}
					}
				}
			})
		}else{
			pop.pop('定位尚未完成，请稍后尝试');
		}
	};

	Model.prototype.openBtnClick = function(event) {
	   var row = event.bindingContext.$object;
	  // console.log(row.val('name'))
	   var params ={
	    id:row.val("id"),
	    name:row.val('name'),
	   }
	   
		var url = '$UI/bestbaby-gravida/individual/hospital/hospitalDetail.w';
		justep.Shell.showPage(url,params);
	};
 

	Model.prototype.modelLoad = function(event) {
		var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
				$('.city_panel').addClass('ios_style')
		}
		
		navigator.geolocation.getCurrentPosition(success, error);
		//获取经纬度
	
		function success(data){
			console.log('city getPosition success===========================',data)
			var address = '';
			if(typeof data.address === 'string'){                 //安卓返回是string
				address = data.address;
			}else if(typeof data.address === 'object'){			  //ios 返回 object
				address = JSON.stringify(data.address);
			}
			var indexF = address.indexOf('省')+1;
			var indexL = address.indexOf('市')+1;
			var city = address.substring(indexF,indexL);
			$('.hotCity').text(city);
		};
		
		function error(res){
			$('.hotCity').text('定位失败');
		}
		
		
	
		var letter = this.comp("letterCity");
		var letters = this.comp("letter")
//		var cityPlace = this.comp("cityPlace");
		var hasCityLetter = this.comp("hasCityLetter");
		var city = JSON.parse(localStorage.getItem('city'));	
		var hotCity = this.comp("hotCity");
		
		var me = this;
		var getLocalData = "";
		var dataJson = {
			pageNum : 1,
			pageSize : 0,
			filters : {
				id : "",
				deep : "",
				pid : "",
				isht : ""
			}

		}
		if (city) {
			getLocalData = city;

			var hot = getLocalData.hot
			if (hot.length != 0) {

				$('.positionhot_city').show();
				for (var i = 0; i < hot.length; i++) {
					hotCity.add({
						id : hot[i].id,
						name : hot[i].name,
						pid : hot[i].pid,
						slno : hot[i].slno,
						deep : hot[i].deep,
						isht : hot[i].isht,
						init : hot[i].init,

					})
				}
			} else {
				$(".positionhot_city").hide();
			}

			var normal = getLocalData.list;
			var test = {};
			for ( var i in normal) {
				letters.add({
					id : i,
					init : i

				})
				//console.log(i)
				for (var j = 0; j < normal[i].length; j++) {
					// console.log(normal[i][j].init)
					hasCityLetter.add({
						id : normal[i][j].id,
						name : normal[i][j].name,
						pid : normal[i][j].pid,
						slno : normal[i][j].slno,
						deep : normal[i][j].deep,
						isht : normal[i][j].isht,
						init : normal[i][j].init,
						location : "#city-" + normal[i][j].init,
					})

					$("#all-city").find("li").eq(j).find(".city_sort").attr("id", "#city-" + normal[i][j].init)
				}
			}

		} else {
			getCity.getTokenItems(dataJson, "system/Area/listCity", function(success, message, data) {
				if (success) {
//				hasCityLetter.clear();
					var data = data.content;
					getLocalData = data;
//					localStorage.setItem('city', JSON.stringify(data));
					var hot = getLocalData.hot
					if (hot.length != 0) {

						$('.positionhot_city').show();
						for (var i = 0; i < hot.length; i++) {
							hotCity.add({
								id : hot[i].id,
								name : hot[i].name,
								pid : hot[i].pid,
								slno : hot[i].slno,
								deep : hot[i].deep,
								isht : hot[i].isht,
								init : hot[i].init,

							})
						}
					} else {
						$(".positionhot_city").hide();
					}

					var normal = getLocalData.list;
					var test = {};
					for ( var i in normal) {
						letters.add({
							id : i,
							init : i

						})
						//console.log(i)
						for (var j = 0; j < normal[i].length; j++) {
//							 console.log(normal[i][j].init)
							hasCityLetter.add({
								id : normal[i][j].id,
								name : normal[i][j].name,
								pid : normal[i][j].pid,
								slno : normal[i][j].slno,
								deep : normal[i][j].deep,
								isht : normal[i][j].isht,
								init : normal[i][j].init,
								location : "#city-" + normal[i][j].init,
							})

							$("#all-city").find("li").eq(j).find(".city_sort").attr("id", "#city-" + normal[i][j].init)
						}
					}
					

				} else {

				}

			})
		}
		letter.clear();
		for (var i = 0; i < 26; i++) {
			letter.add({
				id : i + 1,
				letter : String.fromCharCode(65 + i),
				location : "#city-" + String.fromCharCode(65 + i),
			})

			$('.fixed_sort').find("a").eq(i).attr("href", "#city-" + String.fromCharCode(65 + i))

		}

	};
	
	Model.prototype.modelUnLoad = function(event){
//		navigator.baiduLocation.getCurrentPosition(onSuccess, onError)
//		function onSuccess(data){
//			console.log(data);
//		}
//		function onError(data){
//			console.log(data)
//		}
	};
	
	return Model;
})
