define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var userModel = require("$UI/bestbaby-gravida/common/js/modules/user");
	var individual = require("$UI/bestbaby-gravida/common/js/getItems");
	var count = require("$UI/bestbaby-gravida/common/js/calculate");
	var format = require("$UI/bestbaby-gravida/common/js/calculate");
	var po = require("$UI/bestbaby-gravida/common/js/popUp");
	var layer = require('$UI/bestbaby-gravida/common/js/mobile/layer');
	var Model = function() {
		this.callParent();
	};
	var params = {};
	Model.prototype.openBtnClick = function(event) {
		var url = '$UI/bestbaby-gravida/individual/personInfo.w';
		justep.Shell.showPage(url, params);
	};
	Model.prototype.openBtnClick2 = function(event) {
		// var url = "";
		// console.log(params)
		// console.log(params.hlid)
		// console.log(params.hlid ==null)
		if (params.hlid != "" && params.hlid !== null) {
			url = '$UI/bestbaby-gravida/individual/hospital.w';
			// console.log(params.hlid, params.hlfn)

		} else {
			// console.log(params.hlid, params.hlfn)
			url = '$UI/bestbaby-gravida/individual/hospital/city.w';

		}
		// console.log(params.hlid, params.hlfn)
		justep.Shell.showPage(url, params);

	};
	Model.prototype.openBtnClick3 = function(event) {
		var url = '$UI/bestbaby-gravida/individual/address.w';
		justep.Shell.showPage(url);
	};
	Model.prototype.openBtnClick4 = function(event) {
		var url = '$UI/bestbaby-gravida/individual/alarm.w';
		// var url =
		// '$UI/bestbaby-gravida/individual/alarm/empty.w';//这是没有闹钟时的页面
		justep.Shell.showPage(url);
	};
	Model.prototype.openBtnClick5 = function(event) {// 我的套餐
		var now = format.formater(new Date() + "");// 现在时间

		// console.log(now)
		// 这是没有订套餐的页面
		if (params.hlid) {
			individual.getTokenItems({}, "system/Gdcombo/select", function(success, message, data) {
				if (success) {
					// 孕妇套餐
					// individual.getTokenItems({}, 'system/Gdcombo/select',
					// function(success, message, data) {
					// if (success) {

					if (data.content == null) {
						po.pop('请购买套餐');
						justep.Shell.showPage("$UI/bestbaby-gravida/individual/setOpenup/noSet/set.w");

					} else {
						if (data.content.dlstat == 2) {
							po.pop("请等归还确认后再购买套餐，请耐心等待");

						} else {

							if (data.content.dlstat == 3 || data.content.dlstat == 4) {
								po.pop('设备已归还，请购买套餐');
								justep.Shell.showPage("$UI/bestbaby-gravida/individual/setOpenup/noSet/set.w");
							} else {
								var data = data.content;
								justep.Shell.showPage("$UI/bestbaby-gravida/individual/setOpenup/hasSeted/mySet.w");
							}

						}
					}

				} else {
					if (data) {
						if (message == "没有购买套餐") {
							justep.Shell.showPage("$UI/bestbaby-gravida/individual/setOpenup/noSet/set.w");
						}

					} else {
						po.pop('请求异常');

					}

					// console.log(data)
				}
			});
		} else {
			po.pop('请先绑定医院');
			justep.Shell.showPage("$UI/bestbaby-gravida/individual/hospital/city.w");
		}
	};
	Model.prototype.openBtnClick6 = function(event) {
		var url = '$UI/bestbaby-gravida/individual/help.w';
		justep.Shell.showPage(url);
	};
	Model.prototype.openBtnClick7 = function(event) {

		var url = '$UI/bestbaby-gravida/individual/setting.w';
		var mobl = this.comp("info").val('mobl');
		// console.log(mobl)
		justep.Shell.showPage(url, {
			data : mobl
		});
	};
	Model.prototype.openBtnClick8 = function(event) {
		var url = '$UI/bestbaby-gravida/individual/about.w';
		justep.Shell.showPage(url);
	};

	// 退出登录
	Model.prototype.btnLogout = function(event) {

		// 注销绑定的推送ID
		userModel.bindJpushId("", function(res, msg, data) {
		});
		// 后台请求退出
		individual.getTokenItems({}, 'logout', function(success, message, data) {
		});

		B1Manager.writeLog("0", 'Logout', "用户执行退出");

		app.setToken();// 清空TOKEN
		app.setUser();// 清空用户信息
		window.NIM_Instance.disconnect();// 退出IM
		localStorage.removeItem('defaultAdd');
		var index = require.toUrl("../index.w");
		window.location.href = index;
	};
	Model.prototype.modelLoad = function(event) {
		var userInfo = app.getUser();

		var that = this;
		// Model.prototype.modelLoad(event);
		var info = that.comp("info");
		// var name = $(that.getElementByXid("name"));
		var days = $(that.getElementByXid("days"));
		var week = $(that.getElementByXid("week"));
		// var age = $(that.getElementByXid("age"));
		var dede = $(that.getElementByXid("dede"));
		// var data = app.getUser();
		if (justep.Shell.localType == 2) {
			if (device.model == 'iPhone10,1') {
				this.comp('content1').setCSS({
					'top' : '1.7rem'
				});
			}
		}

		var url = "system/Gravida/select";
		var dataJson = {

		};
		// console.log(dataJson);
		individual.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) {
				var sexTransfer = "";
				var data = data.content;

				var mod = "";
				info.clear();
				var NT = new Date().getFullYear() + "-" + (parseInt(new Date().getMonth()) + 1) + "-" + new Date().getDate();// 当前日期
				var YQ = count.calculate(data.dede, NT);
				var ycq = data.dede;

				var YT = Math.abs(count.calculate(data.lmp, NT));
				// console.log(YT+"云天")
				mod = YT > 7 ? YT / 7 : 0;// 周数
				var toYQ = (YT - (7 * parseInt(mod)));
				week.html(parseInt(mod));
				days.html(toYQ);
				dede.html(ycq.split("-")[0] + "/" + ycq.split("-")[1] + "/" + ycq.split("-")[2]);

				// 默认头像
				if (!data.logo) {
					data.logo = require.toUrl('../common/images/default-logo.png')
				}

				info.add({
					"id" : data.id,
					"name" : data.name,
					"pswd" : data.pswd,
					"sex" : data.sex,
					"logo" : data.logo,
					"bith" : data.bith,
					"ages" : data.ages,
					"mobl" : data.mobl,
					"cdno" : data.cdno,
					"mail" : data.mail,
					"cdhd" : data.cdhd,
					"cdtl" : data.cdtl,
					"lmp" : data.lmp,
					"dede" : data.dede,
					"htcm" : data.htcm,
					"wtkg" : data.wtkg,
					"hlid" : data.hlid,
					"hlfn" : data.hlfn,
					"token" : data.token,
					"rttm" : data.rttm,
					"eyct" : data.eyct,
					"eyml" : data.eyml,
					"pmhy" : data.pmhy,
					"pmot" : data.pmot,
					"dast" : data.dast,
					"crtm" : data.crtm,
					"mdtm" : data.mdtm,
					"pprid" : data.pprid,

				});
				params.hlfn = data.hlfn;
				params.hlid = data.hlid

			}

		});
	};

	Model.prototype.modelParamsReceive = function(event) {
		// console.log(this.params.id)
	};
	// zzq 模型激活
	Model.prototype.modelActive = function(event) {

		var token = app.getToken();
		// console.log(token);
		// console.log(app.getUser().hlid,111);
		var that = this;
		// Model.prototype.modelLoad(event);
		var info = that.comp("info");
		// var name = $(that.getElementByXid("name"));
		var days = $(that.getElementByXid("days"));
		var week = $(that.getElementByXid("week"));
		// var age = $(that.getElementByXid("age"));
		var dede = $(that.getElementByXid("dede"));
		// var data = app.getUser();

		var url = "system/Gravida/select";
		var dataJson = {

		};
		// console.log(dataJson);
		individual.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) {

				console.log(data)
				// var sexTransfer = "";
				var data = data.content;
				var mod = "";
				info.clear();
				var NT = new Date().getFullYear() + "-" + (parseInt(new Date().getMonth()) + 1) + "-" + new Date().getDate();// 当前日期
				var YQ = count.calculate(data.dede, NT);
				var ycq = data.dede;
				// console.log(ycq)
				var YT = Math.abs(count.calculate(data.lmp, NT));

				mod = YT > 7 ? YT / 7 : 0;// 周数
				var toYQ = (YT - (7 * parseInt(mod)));

				// if (data.sex == 0) {
				// sexTransfer = "女士";
				// } else {
				// sexTransfer = "男士";
				// }
				//
				// name.html("你好，" + data.name + sexTransfer);

				week.html(parseInt(mod));
				days.html(toYQ);
				// age.html(data.ages);
				dede.html(ycq.split("-")[0] + "/" + ycq.split("-")[1] + "/" + ycq.split("-")[2]);

				// 默认头像
				if (!data.logo) {
					data.logo = require.toUrl('../common/images/default-logo.png')
				}

				info.add({
					"id" : data.id,
					"name" : data.name,
					"pswd" : data.pswd,
					"sex" : data.sex,
					"logo" : data.logo,
					"bith" : data.bith,
					"ages" : data.ages,
					"mobl" : data.mobl,
					"cdno" : data.cdno,
					"mail" : data.mail,
					"cdhd" : data.cdhd,
					"cdtl" : data.cdtl,
					"lmp" : data.lmp,
					"dede" : data.dede,
					"htcm" : data.htcm,
					"wtkg" : data.wtkg,
					"hlid" : data.hlid,
					"hlfn" : data.hlfn,
					"token" : data.token,
					"rttm" : data.rttm,
					"eyct" : data.eyct,
					"eyml" : data.eyml,
					"pmhy" : data.pmhy,
					"pmot" : data.pmot,
					"dast" : data.dast,
					"crtm" : data.crtm,
					"mdtm" : data.mdtm

				});
				params.hlfn = data.hlfn;
				params.hlid = data.hlid
			}
		});
		// console.log(message)
		// }
	};
	// 你好Name
	Model.prototype.HelloName = function(name, sex) {
		var str = '';
		if (sex == 2) {
			sexTransfer = "女士";
		} else {
			sexTransfer = "男士";
		}
		str = "你好，" + name + sexTransfer;
		return str;
	}

	Model.prototype.historyClick = function(event) {
		justep.Shell.showPage("$UI/bestbaby-gravida/register/infoBranch.w");
	};

	Model.prototype.openBtnClick11 = function(event) {// 购买记录
		var url = '$UI/bestbaby-gravida/individual/buyList/hireRecord2.w';
		justep.Shell.showPage(url);
	};
	Model.prototype.openBtnClick10 = function(event) {// 结算记录
		var url = '$UI/bestbaby-gravida/individual/settleRecord/hireRecord.w';
		justep.Shell.showPage(url);

	}
	// 上传错误日志 Zengzq
	Model.prototype.button11Click = function(event) {
		var url = "$UI/bestbaby-gravida/individual/error/errorUpload.w";
		// var url =
		// '$UI/bestbaby-gravida/individual/setOpenup/noSet/paidFeedback.w';
		// //TODO
		justep.Shell.showPage(url);
	};

	return Model;
});
define(function(require){
	var $ = require("jquery");
	var Model = function(){
		this.callParent();
	};
	Model.prototype.btnLogout = function(event){

	};

	return Model;
});
