define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	require("$UI/bestbaby-gravida/common/js/common");
	var modified = require("$UI/bestbaby-gravida/common/js/getItems");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var Model = function() {
		this.callParent();
	};
	var params = "";
	Model.prototype.modelParamsReceive = function(event) {
		var info = this.params;
		params = this.params;
		$(this.getElementByXid("modifiedTitle")).attr("title", this.params.title);
		$(this.getElementByXid("modifiedTitle")).find(".common-titlebar-title").html(this.params.title)
		$('.show').val(this.params.con)
	};
	
	function widthCheck (str,maxLen){
			var w = 0;
			var tempCount = 0;
			for(var i =0; i < str.value.length ; i++){
				var c = str.value.charCodeAt(i);
				if ((c >= 0x0001 && c <= 0x007e) || (0xff60<=c && c<=0xff9f)) {  
					w++;  
				}else {    
					w+=2;  
				}  
				if (w > maxLen) {  
					str.value =  str.value.substr(0,i); 
					pop.pop('名字最多只能输入八个汉字或十六个英文字母');
					break;
				}
			}
	}

	Model.prototype.button1Touchstart = function(event) {
		var val = $('.show').val();
		var nameReg =  /^[\u4E00-\u9FA5A-Za-z]+$/;
		if(!val){
			pop.pop(this.params.title.substring(2) + '不能为空');
			return 
		}else{
			var con = "";
			var dataLlist = {};
			if (this.params.type == 1) {
			
				if(val.length<2){
					pop.pop('名字长度最少为两个字');
					return;
				}
				if(!nameReg.test(val)){
					pop.pop('名字只能是中文或者英文名字,不能包含空格和特殊字符');
					return;
				}
				
				con = this.params.name;
				dataList = {
						name : val,
				};

			}else if (this.params.type == 2) {
				if(!app.checkEmail(val)){
					pop.pop('请输入正确的邮箱')
					return;
				}else{
					dataList = {
							mail : val,
					};
				}
			}else if (this.params.type == 3) {
				if(!app.checkID(val)){
					pop.pop('请输入正确的身份证')
					return;
				}else{
					dataList = {
							cdno :val,
					};
				}
			}else if (this.params.type == 4) {
				if(val.length<2){
					pop.pop('名字长度最少为两个字');
					return;
				}
				if(!nameReg.test(val)){
					pop.pop('名字只能是中文或者英文名字,不能包含空格和特殊字符');
					return;
				}
				dataList = {
						eyct :val,
				}
			}else if(this.params.type==5){
				if(!app.checkMobile(val)){
					pop.pop('请输入正确的手机号码')
					return;
				}else{
					dataList = {
							eyml :val,
					}
				}
			}else if(this.params.type==6){
					dataList = {
							pmot :val,
					};
			}

			modified.getTokenItems(dataList, "system/Gravida/update", function(success, message, data) {// 修改信息
				if (success) {
					justep.Shell.closePage()
				} else {
				pop.pop(message);
				}
			});
		}
	};



	Model.prototype.input2Keyup = function(event){
		if (this.params.type == 1) {   // 姓名
		}
		if (this.params.type == 2) {   // 邮箱
		}
		if (this.params.type == 3) {   // 身份证
			app.checkLength('.show',18,'身份证号码');
		}
		if (this.params.type == 4) {   // 紧急联系人姓名
		}
		if(this.params.type==5){   // 紧急联系人电话
			app.checkLength('.show',11,'手机号码');
		}
	};

	Model.prototype.modelLoad = function(event){
		var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
			$('.info_infoMo_panel_top').css('top','-.75rem');
			$('.info_infoMo_panel_top_padding').css('background','white');
		}
	
// console.log(this.params.type)
		if (this.params.type == 1) {   // 姓名
			$('.js-text-input').bind('input prototypechange', function(){
				widthCheck(this,16);
			})
		}
		if (this.params.type == 2) {   // 邮箱
		}
		if (this.params.type == 3) {   // 身份证
			app.checkLength('.show',18,'身份证号码');
		}
		if (this.params.type == 4) {   // 紧急联系人姓名
			
		}
		if(this.params.type==5){   // 紧急联系人电话
			$('.js-text-input').attr('maxlength',11)
			  
		}
	};

	return Model;
});
