define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var getItem = require("$UI/bestbaby-gravida/common/js/getItems");
	var po = require("$UI/bestbaby-gravida/common/js/popUp");
	var sfcm='';
	var wdsf='';
	var orderFormData='';
	var Model = function() {
		this.callParent();
	};

	$('.order-diary .circle-point .link-link').each(function(i) {

		$('.order-diary .circle-point .link-link').eq(i).css('height', $('.order-diary .circle-point .link-link').eq(i).closest('.link').outerHeight() + 'px')

	});

	Model.prototype.modelParamsReceive = function(event) {
		var payType = this.comp("payType");// 套餐列表
		var order = event.params.order;
		var url = "system/Orderform/select";
		getItem.getTokenItems({
			orno : order
		}, url, function(success, message, data) {
			if (success) {
				console.log('订单查询接口数据');
				console.log(data);
				var info = data.content;
				orderFormData=info;
				sfcm=info.sfcm;
				wdsf=info.wdsf;
				if(sfcm==2 && wdsf==1){//现场缴费-显示服务费
					pfpc='设备押金（平台缴费）';
					scpc='服务费（现场缴费）';
				}else if(sfcm==2 && wdsf==2){//现场缴费-不显示服务费
					$('.servive-btn').hide(); 
					pfpc='设备押金';
					scpc='服务费';
				}else{
					 pfpc='设备押金';
					 scpc='服务费';
				}
				payType.add({
					"pfpc" : pfpc,// 设备押金--缴费类型
					"scpc" : scpc,// 服务费--缴费类型
				});
				if (info.stat !== 1) { // 判断订单状态是否付款的情况
					$('.fixed-bottom5').css('display', 'none');
				}
				$('.orderId').text(info.orno);
				$('.codeName').text(info.name);
				$('.cnts').text(info.cnts);
				if (info.rttp == 1) {
					$('.getWay').text('现场收货');
				} else {
					$('.getWay').text('快递收货');
				}
				$('.proName').text(info.pcode);

				if (info.mobl && info.addr !== null) {
					$('.phone').text(info.mobl);
					$('.address').text(info.addr);
				} else {
					$('.phone').text("");
					$('.address').text("");
				}
				$('.dept').text((info.dept).toFixed(2) + '元');
				$('.dept').attr('data',(info.dept).toFixed(2));
				$('.rent').text((info.rent).toFixed(2) + '元');
				$('.rent').attr('data',(info.rent).toFixed(2));
				$('.epcg').text((info.epcg).toFixed(2) + '元');
				$('.epcg').attr('data',(info.epcg).toFixed(2));
				var sum = (info.epcg + (info.sfcm==2?0:info.rent) + info.dept).toFixed(2);
				$('.allMomey').text(sum + '元');
			}
		})
	};

	Model.prototype.payBtnClick = function(event) {
		console.log('订单列表--订单详情🉐️');
		var order = $('.orderId').text();
		var comboName = $('.codeName').text();
		var dept = $('.dept').attr('data');
		var epcg = $('.epcg').attr('data');
		var rent = $('.rent').attr('data');
		var type = 2; // 1直接付款，2在订单列表支付
		
		var params = {
			name : comboName,// 套餐名称
			dept : parseFloat(dept),// 押金
			rent : parseFloat(rent),// 套餐费
			epcg : parseFloat(epcg),// 快递费
			type : 1,// 设备套餐类型
			order : order,
			payType : type,
			sfcm:sfcm,
			wdsf:wdsf
		// 1直接付款，2在订单列表支付
		}
		//console.log('😄',orderFormData)
		var params2 = {
			paid : orderFormData.paid,// 套餐id
			name : orderFormData.name,// 套餐名称
			dept : orderFormData.dept,// 押金
			rent : orderFormData.rent,// 套餐费
			epcg : orderFormData.epcg,// 快递费
			type : 2,// 设备套餐类型
			cnts : orderFormData.cnts,// 联系人
			mobl : orderFormData.mobl,// 联系号码
			addr : orderFormData.addr, // 地址
			rttp : orderFormData.rttp, // 收货类型
			dnat : orderFormData.dnat,
			anat : orderFormData.anat,
			sfcm : sfcm,//缴费类型
			payType : 2
		// 1直接付款，2在订单列表支付
		}
		console.log(dept,epcg,rent,sfcm);
		// return false
		console.log('订单列表支付提交参数', params2);
		if (params2.dept == 0 && params2.rent == 0 && params2.epcg == 0) {
			//console.log('新增特殊费用套餐');
			getItem.getTokenItems(params2, "system/Orderform/insert", function(success, message, data) {
				if (success) {
					var url = '$UI/bestbaby-gravida/individual/setOpenup/noSet/paidFeedback.w';
					justep.Shell.showPage(url);
				} else {
					// console.log(data)
					po.pop(message);
				}
			});
		} else {
		if(sfcm==2&&dept==0){
			getItem.getTokenItems(params2, "system/Orderform/insert", function(success, message, data) {
				if (success) {
					//po.pop('设备押金已支付完成，请联系客服缴纳服务费！');
					var url = '$UI/bestbaby-gravida/individual/setOpenup/noSet/paidFeedback2.w';
					justep.Shell.showPage(url);
				} else {
					if (data) {
						if (data.code == 1001) {
							po.pop(message)
						}
					} else {
						po.pop('请求异常');
					}
				}
			});
		}else{
			var url = '$UI/bestbaby-gravida/individual/setOpenup/noSet/orderPay.w';
			justep.Shell.showPage(url, params);
		}}
	};

	Model.prototype.modelLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			$('.orderDet_panel').addClass('ios_style')
		}
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
					Model.prototype.backBtnClick();
				}
			}
		});
	};

	Model.prototype.backBtnClick = function(event) {
		justep.Shell.closePage();
	};

	Model.prototype.modelActive = function(event) {
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
					Model.prototype.backBtnClick();
				}
			}
		});
	};

	Model.prototype.modelUnLoad = function(event) {
		// zzq 还原物理键操作
		justep.Shell.fireEvent("regainBackClick");
	};

	return Model;
});