define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");

	var userModel = require("$UI/bestbaby-gravida/common/js/modules/user");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var getItems = require("$UI/bestbaby-gravida/common/js/getItems");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var Model = function() {
		this.callParent();
	};

	var code = '';
	var phoneInput = '';
	var getData = {};

	Model.prototype.input3Change = function(event) {

	};

	Model.prototype.button3Click = function(event) {
		if ($('.password').hasClass('invisiable-word')) {
			$('.password').attr('type', 'text');
			$('.password').removeClass('invisiable-word');
			$('.password').addClass('visiable-word');
			$('.bottom-ipt .btn').removeClass("visiable-btn");
			$('.bottom-ipt .btn').addClass("invisiable-btn");
		} else {
			$('.password').attr('type', 'password');
			$('.password').addClass('invisiable-word');
			$('.password').removeClass('visiable-word');
			$('.bottom-ipt .btn').removeClass("invisiable-btn");
			$('.bottom-ipt .btn').addClass("visiable-btn");
		}
	};

	Model.prototype.SmsBtnClick = function(event) {
		var data = {
			mobl : getData.mobl,
			type : '3' // 获取验证码类型
		};
		var that = this;
		userModel.getMsgTokenCode(data, function(success, message, data) {
			if (success) {
				that.comp("sendSmsBtn").mytimer();
			} else {
//				if (message == '操作失败') {
//					pop.pop("24小时内获取验证码次数超过系统限制，请稍后操作");
//				}
				pop.pop(message);
			}
		});
	};

	function Timmer(loopSecond, titile1, title2, lisentner) {

		// 还要检查一个结果返回变量。
		this.loopSecond = loopSecond;
		this.waittime = loopSecond;
		var self = this;
		this.mytimer = function() {
			if (self.waittime <= 0) {
				self.set({
					"disabled" : false,
					"label" : titile1
				});
				this.waittime = loopSecond; // 可设 60秒
			} else {
				self.set({
					"disabled" : true,
					"label" : title2 + "(" + self.waittime + ")"
				});
				self.waittime--;
				setTimeout(function() {
					self.mytimer();
				}, 1000);
			}
		};

	}

	// 格式化手机显示
	function formatPhone(phone) {
		if (phone) {
			var phoneStr = phone.toString();
			var phoneF = phoneStr.slice(0, 3);
			var phoneL = phoneStr.slice(7, 11);
			var showIn = phoneF + '*****' + phoneL;
			return showIn;
		}
	}

	Model.prototype.modelLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			$('.oldPhone_panel').addClass('ios_style')
		}

		// 获取参数
		var self = this;
		userModel.updateUser({}, function(success, message, data) {
			if (success) {
				getData.mobl = data.content.mobl;
				var dophone = formatPhone(getData.mobl);
				self.comp('phoneInput').val(dophone);
				$('.oldp-title').eq(0).html("验证旧手机");
			} else {
			}
		});
		var comp = self.comp('sendSmsBtn');
		Timmer.apply(comp, [ 60, "免费获取验证码", "重新发送" ]);
		//		
	};

	// 下一步
	Model.prototype.resetBtnClick = function(event) {
		var getCode = $('.phoneNumber').eq(0).val();
		var params = {
			mobl : getData.mobl,
			code : getCode,
			type : 2
		};

		// var url = '$UI/bestbaby-gravida/individual/setting/phoneNumber.w';
		// justep.Shell.showPage(url);
		userModel.verifyCode(params, function(success, data) {
			if (success) {
				var url = '$UI/bestbaby-gravida/individual/setting/phoneNumber.w';
				justep.Shell.showPage(url);
				// pop.pop(data.msg);
			} else {

				if (!data.msg) {
					pop.pop(data);
				} else {
					pop.pop(data.msg);
				}
			}
		})
	};

	Model.prototype.msgCodeInputKeyup = function(event) {
		app.checkLength('.phoneNumber', 6, '验证码');
	};

	return Model;
});