define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");

	var userModel = require("$UI/bestbaby-gravida/common/js/modules/user");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var getItems = require("$UI/bestbaby-gravida/common/js/getItems");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var Model = function() {
		this.callParent();
	};

	var code = '';
	var phoneInput = '';
	var getData = {};

	Model.prototype.input3Change = function(event) {

	};

	Model.prototype.button3Click = function(event) {
		if ($('.password').hasClass('invisiable-word')) {
			$('.password').attr('type', 'text');
			$('.password').removeClass('invisiable-word');
			$('.password').addClass('visiable-word');
			$('.bottom-ipt .btn').removeClass("visiable-btn");
			$('.bottom-ipt .btn').addClass("invisiable-btn");
		} else {
			$('.password').attr('type', 'password');
			$('.password').addClass('invisiable-word');
			$('.password').removeClass('visiable-word');
			$('.bottom-ipt .btn').removeClass("invisiable-btn");
			$('.bottom-ipt .btn').addClass("visiable-btn");
		}
	};

	Model.prototype.SmsBtnClick = function(event) {
		// var getPhone = $(this.getElementByXid("phoneInput")).val();
		var getPhone = $('.getPhone').val();
		if (!getPhone) {
			pop.pop('请输入手机号码');
			return;
		}
		if (!app.checkMobile(getPhone)) {
			pop.pop('请填写正确的手机');
			return;
		}
		var data = {
			mobl : getPhone,
			type : '4' // 获取验证码类型
		};
		var that = this;
		userModel.getMsgTokenCode(data, function(success, message, data) {
			if (success) {
				that.comp("sendSmsBtn").mytimer();
			} else {
				// if (message == '操作失败') {
				// pop.pop("24小时内获取验证码次数超过系统限制，请稍后操作");
				// }
				pop.pop(message);
			}
		});
	};

	function Timmer(loopSecond, titile1, title2, lisentner) {

		// 还要检查一个结果返回变量。
		this.loopSecond = loopSecond;
		this.waittime = loopSecond;
		var self = this;
		this.mytimer = function() {
			if (self.waittime <= 0) {
				self.set({
					"disabled" : false,
					"label" : titile1
				});
				this.waittime = loopSecond; // 可设 60秒
			} else {
				self.set({
					"disabled" : true,
					"label" : title2 + "(" + self.waittime + ")"
				});
				self.waittime--;
				setTimeout(function() {
					self.mytimer();
				}, 1000);
			}
		};

	}

	Model.prototype.modelLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			$('.phoneNumber_panel').addClass('ios_style')
		}

		// 获取参数
		var self = this;
		userModel.updateUser({}, function(success, message, data) {
			if (success) {
				$('.newPhone').html("验证新手机");
			} else {
			}
		});
		var comp = self.comp('sendSmsBtn');
		Timmer.apply(comp, [ 60, "免费获取验证码", "重新发送" ]);
		//		
	};

	// 设置新手机
	Model.prototype.resetBtnClick = function(event) {
		console.log('resetBtnClick')
		// var getPhone = $(this.getElementByXid("phoneInput")).val();
		var getPhone = $('.getPhone').val();

		var getCode = $(this.getElementByXid("msgCodeInput")).val();
		console.log(getCode)
		// var url = '$UI/bestbaby-gravida/login/feedback.w';
		// justep.Shell.showPage(url, params);
		if (!getPhone) {
			pop.pop('请输入手机号码');
			return;
		}
		if (!app.checkMobile(getPhone)) {
			pop.pop('请填写正确的手机');
			return;
		}
		var params = {
			mobl : getPhone,
			code : getCode
		};
		getItems.getTokenItems(params, "updateMobile", function(success, message, data) {
			if (success) {
				var url = '$UI/bestbaby-gravida/login/feedback.w';
				justep.Shell.showPage(url, params);
			} else {
				pop.pop(data.msg);
			}
		})
	};

	Model.prototype.phoneInputKeyup = function(event) {
		app.checkLength('.getPhone', 11, '手机号码');
	};

	Model.prototype.msgCodeInputKeyup = function(event) {
		app.checkLength('.phoneNumber', 6, '验证码');
	};

	return Model;
});