define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
		require("$UI/bestbaby-gravida/common/js/common");
	var getItem = require("$UI/bestbaby-gravida/common/js/getItems");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var Model = function() {
		this.callParent();
	};
	
	var pmhy = '';
	var pmot = '';
	
	Model.prototype.modelParamsReceive = function(event){
		var that = this;
		var	info = this.comp('pmhy'); 
        pmhy = event.params.pmhy;
        pmot = event.params.otpm;
        var arr = pmhy.split(',');
        console.log(pmhy,pmot);
        if(pmhy){
        	for(var i = 0;i<arr.length;i++){
        		info.setValueByID('cho', 1, arr[i]);
        	}
        }else if(!pmot){ 
        	$('.none').addClass('selected');
        }else if(pmot=='无'){
        	$('.none').addClass('selected');
        }
           
	};
	
	Model.prototype.noneTouchstart = function(event){
		var infoData = this.comp('pmhy');
		var select = $(event.currentTarget);
		//console.log(select.hasClass('none'),'---',select.text(),'---',select.index());
		if(select.index()=='15'){
			//console.log('其它',pmot);
			var url = '$UI/bestbaby-gravida/individual/info/infoModifiedCom.w';
			var params = {
					con : pmot,
					title : "孕期特殊情况",
					type : "6",
			};
			justep.Shell.showPage(url, params);
		}else{
			if(select.hasClass('none')){
				if(select.hasClass('selected')){
					select.removeClass('selected');
					$('.x-list-template li').removeClass('selected');
				}else{
					select.addClass('selected');
					$('.x-list-template li').removeClass('selected');
				}
			}else{
				$('.none').removeClass('selected');
				if (select.hasClass('select')) {
					select.find('.icon-correct-pink').css('display', 'block');
					select.addClass('selected');
					select.removeClass('select');
				} else {
					select.find('.icon-correct-pink').css('display', 'none');
					select.addClass('select');
					select.removeClass('selected');
				}
			}
		}
	};
	
	Model.prototype.backBtnClick = function(event){
		justep.Shell.closePage();
	};
	
	//保存
	Model.prototype.button1Click = function(event){
		var that = this;
		var infoData = this.comp('pmhy');
		var id = [];
		var a='';
		var bingshi = [];
		var arr = $('.pmhy-box .selected').find('p');
		for(var i = 0; i<arr.length; i++){
			for(var i = 0;i<arr.length;i++){
				//console.log('arr=',arr[i].innerText,'length',arr.length);
				bingshi.push(arr[i].innerText);
				switch(bingshi[i]){
		    		case "习惯性流产史":
			    		id.push('1');
			    		break;
		    		case "早产史":
		    			id.push('2');
		    			break;
		    		case "难产史":
		    			id.push('3');
		    			break;
		    		case "死胎死产史":
		    			id.push('4');
		    			break;
		    		case "妊娠高血压":
		    			id.push('5');
		    			break;
		    		case "妊娠糖尿病":
		    			id.push('6');
		    			break;
		    		case "前置胎盘":
		    			id.push('7');
		    			break;
		    		case "羊水过多":
		    			id.push('8');
		    			break;
		    		case "羊水过少":
		    			id.push('9');
		    			break;
		    		case "胎位不正":
		    			id.push('a');
		    			break;
		    		case "胎儿过大":
		    			id.push('b');
		    			break;
		    		case "胎儿发育迟缓":
		    			id.push('c');
		    			break;
		    		case "骨盆异常":
		    			id.push('d');
		    			break;
		    		case "妊娠合并心脏病":
		    			id.push('e');
		    			break;
		    		case "脐带绕颈":
		    			id.push('f');
		    			break;
		    		default:
		    			id = [];
		    			break;
				}
			}
			
			a = id.join(',');
			console.log('A',a);
		}
		if (typeof (a) == "undefined")(
				a=''
		);  
		var url = "system/Gravida/update";
		var params = {
				pmhy:a
		};
		console.log(params);
		if(a==pmhy){
			that.owner.close();
		}else{
			getItem.getTokenItems(params,url,function(success,message,data){
				if(success){
					console.log('修改成功');
					pop.pop('修改成功');
					that.owner.send(arr);
					that.owner.close();
				}else{
				pop.pop(message);
				}
			});
		}
	};
	
	Model.prototype.modelLoad = function(event){
		var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
				$('.specialInfo_panel').addClass('ios_style');
		}
	};
	
	return Model;
});