define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var userModel = require("$UI/bestbaby-gravida/common/js/modules/user");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var Model = function() {
		this.callParent();
	};
	Model.prototype.modelLoad = function(event) {
		var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
			if(!$('.loginEMail_panel').hasClass('ios_style')){
				$('.loginEMail_panel').addClass('ios_style')
			}
		}

		var self = this;
		var comp = this.comp("sendsmsbutton");
		Timmer.apply(comp, [ 60, "免费获取验证码", "重新发送" ]);

	};

	function Timmer(loopSecond, titile1, title2, lisentner) {

		// 还要检查一个结果返回变量。
		this.loopSecond = loopSecond;
		this.waittime = loopSecond;
		var self = this;
		this.mytimer = function() {
			if (self.waittime <= 0) {
				self.set({
					"disabled" : false,
					"label" : titile1
				});
				this.waittime = loopSecond; // 可设 60秒
			} else {
				self.set({
					"disabled" : true,
					"label" : title2 + "(" + self.waittime + ")"
				});
				self.waittime--;
				setTimeout(function() {
					self.mytimer();
				}, 1000);
			}
		}

	}
	;

	Model.prototype.button3Click = function(event) {
		if ($('.password3').hasClass('invisiable-word')) {
			$('.password3').attr('type', 'text');
			$('.password3').removeClass('invisiable-word');
			$('.password3').addClass('visiable-word');
			$('.visiable3 .btn').removeClass("visiable-btn");
			$('.visiable3 .btn').addClass("invisiablt-btn");
		} else {
			$('.password3').attr('type', 'password');
			$('.password3').addClass('invisiable-word');
			$('.password3').removeClass('visiable-word');
			$('.visiable3 .btn').removeClass("invisiablt-btn");
			$('.visiable3 .btn').addClass("visiable-btn");
		}
	};

	// **邮箱-密码重设**//
	Model.prototype.verifyButton = function(event) {
		var modelObj = this;
		var email = this.comp("email").val();
		var verifyCode = this.comp("verifyCode").val();
		var password = this.comp("password").val();
		if (email) {
			if (app.checkEmail(email)) {
				var data = {
					mail : email,
					code : verifyCode,
					pswd : password
				};
				userModel.mModified(data, function(success, message, data) {
					if (success) {
						modelObj.getParent().comp("forgetContents").to("resContent");
					} else {
						pop.pop(message);
					}
				});
			} else {
				return callback(false, '请输入正确的邮箱');
			}
		} else {
			pop.pop('请输入邮箱');
		}
	};

	Model.prototype.sendsmsButton = function(event) {
		var email = this.comp("email").val();
        var that = this;
		var data = {
			mail : email,

		};
		userModel.mailCode(data, function(success, message, data) {
			if (success) {
				that.comp("sendsmsbutton").mytimer();

			} else {
				pop.pop(message);
			}
		});

	};
	
	
	
	// 返回
	Model.prototype.backBtn = function() {
		this.getParent().comp('forgetContents').to('selectContent');
	}
	Model.prototype.verifyCodeKeyup = function(event){
		app.checkLength('.email-box',6,'验证码');
	};
	return Model;
});