define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var userModel = require("$UI/bestbaby-gravida/common/js/modules/user");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var Model = function() {
		this.callParent();

	};

	Model.prototype.modelLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			if (!$('.loginPhone_panel').hasClass('ios_style')) {
				$('.loginPhone_panel').addClass('ios_style')
			}
		}

		var self = this;
		var comp = this.comp("sendsmsbutton");
		Timmer.apply(comp, [ 60, "免费获取验证码", "重新发送" ]);

	};

	function Timmer(loopSecond, titile1, title2, lisentner) {

		// 还要检查一个结果返回变量。
		this.loopSecond = loopSecond;
		this.waittime = loopSecond;
		var self = this;
		this.mytimer = function() {
			if (self.waittime <= 0) {
				self.set({
					"disabled" : false,
					"label" : titile1
				});
				this.waittime = loopSecond; // 可设 60秒
			} else {
				self.set({
					"disabled" : true,
					"label" : title2 + "(" + self.waittime + ")"
				});
				self.waittime--;
				setTimeout(function() {
					self.mytimer();
				}, 1000);
			}
		}

	}
	;

	// 切换密码可见
	Model.prototype.changeVisible = function(event) {
		if ($('.password2').hasClass('invisiable-word')) {
			$('.password2').attr('type', 'text');
			$('.password2').removeClass('invisiable-word');
			$('.password2').addClass('visiable-word');
			$('.visiable2 .btn').removeClass("visiable-btn");
			$('.visiable2 .btn').addClass("invisiablt-btn");
		} else {
			$('.password2').attr('type', 'password');
			$('.password2').addClass('invisiable-word');
			$('.password2').removeClass('visiable-word');
			$('.visiable2 .btn').removeClass("invisiablt-btn");
			$('.visiable2 .btn').addClass("visiable-btn");
		}
	};

	// 手机-密码重设
	Model.prototype.verifyButton = function(event) {
		var modelObj = this;
		var phoneInput = this.comp("phonenumber").val();
		var verifyCode = this.comp("verifyCode").val();
		var password = this.comp("password").val();

		var data = {
			mobl : phoneInput,
			code : verifyCode,
			pswd : password
		};

		userModel.pModified(data, function(success, message, data) {
			if (success) {
				modelObj.getParent().comp("forgetContents").to("resContent");
			} else {
				pop.pop(message)

			}
		});

	};

	// 发送验证码
	Model.prototype.sendsmsButton = function(event) {
		var phoneInput = this.comp("phonenumber").val();

		var data = {
			mobl : phoneInput,
			type : 2
		};
		var that = this;
		userModel.getMsgCode(data, function(success, message, data) {
			if (success) {
				that.comp("sendsmsbutton").mytimer();
				// console.log(data);
			} else {
				
//				if (message == '操作失败') {
//					pop.pop("24小时内获取验证码次数超过系统限制，请稍后操作");
//				}else{
				  pop.pop(message);
//				}
			}
		});

	};

	// 返回
	Model.prototype.backBtn = function() {
		this.getParent().comp('forgetContents').to('selectContent');
	}

	Model.prototype.phonenumberKeyup = function(event) {
		app.checkLength('.phone-num', 11, '手机号码');
	};

	Model.prototype.verifyCodeKeyup = function(event) {
		app.checkLength('.code-num', 6, '验证码');
	};

	Model.prototype.modelUnLoad = function(event) {

	};

	return Model;
});