define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var addItems = require("$UI/bestbaby-gravida/common/js/getItems");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var Model = function() {
		this.callParent();
	};
	var week = "";
	var days = "";
	Model.prototype.openBtnClick1 = function(event) {
		var con = $(this.getElementByXid('input')).val();
		var dataList = {
			"mows" : con,
			"gtwk" : this.params.gtwk,
			"days" : this.params.days,
		}
		addItems.getTokenItems(dataList, "system/Motherdiary/insert", function(success, message, data) {
			if (success) {
				justep.Shell.closePage();
			} else {
				pop.pop(message);
			}
		});
	};

	Model.prototype.modelParamsReceive = function(event) {
		week = this.params.week;
		days = this.params.days;
		if(this.params.mows){
			$('.diary-con').text(this.params.mows);
		}
	};

	Model.prototype.modelLoad = function(event){
		var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
			if(!$('.mainDiaryEdit_panel').hasClass('ios_style')){
				$('.mainDiaryEdit_panel').addClass('ios_style')
			}
		}
		var $this=this;
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
				$this.close();
					
//                  Model.prototype.backBtnClick();
				}
			}
		});
	};

	Model.prototype.inputKeyup = function(event){
		var con = $(this.getElementByXid('input')).val();
		if(con.length>200){
			pop.pop('最多只能输入200个字符');
			$(this.getElementByXid('input')).val(con.substring(0,200));
		}
	};

	Model.prototype.backBtnClick = function(event){
       this.close();
	};

	Model.prototype.modelUnLoad = function(event){
     	//还原物理键
		justep.Shell.fireEvent("regainBackClick");
	};

	Model.prototype.modelInactive = function(event){
     	//还原物理键
		justep.Shell.fireEvent("regainBackClick");
	};

	return Model;
});