define(function(require) {
	var $ = require("jquery");
	var IM = require("$UI/bestbaby-gravida/common/js/modules/NIM/NIM");
	var justep = require("$UI/system/lib/justep");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	require("$UI/bestbaby-gravida/common/js/common");
	var userModel = require("$UI/bestbaby-gravida/common/js/modules/user");
	var count = require("$UI/bestbaby-gravida/common/js/calculate");
	var store = require("$UI/bestbaby-gravida/common/js/store/dist/store.modern.min");
	var dairy = require("$UI/bestbaby-gravida/common/js/getItems");
	var count = require("$UI/bestbaby-gravida/common/js/calculate");
	var po = require("$UI/bestbaby-gravida/common/js/popUp");
	require("cordova!cordova-plugin-statusbar"); // 处理ios设备中，应用标题栏被系统状态栏覆盖的bug
	require('css!$UI/bestbaby-gravida/common/js/mobile/need/layer').load();
	var layer = require('$UI/bestbaby-gravida/common/js/mobile/layer');
	var commonUrl = require("$UI/bestbaby-gravida/common/js/commonUrl");
	var mod = "";
	var yt = "";
	var tiken = "";
	var isResume = '';
	var uploadHeartTime = 15;
	var endFileData = ''; // 结束胎监的所需请求参数
	var sixtyUploadJson = ''; // 不继续胎监，选择直接上传数据的时候调用所需参数
	var exists = false; // 是否存在未正常结束的档案
	var existsSixty = false; // 是否存在满60分钟未正常结束的档案
	var isUploadHeart = true;// 是否上传胎声音
	var connectWay = 0; // 设备连接方式1wifi，2：蓝牙，0为未知
	var Model = function() {

		// StatusBar.overlaysWebView(false); // 将状态栏设置为false。
		this.callParent();
		modelSelf = this;
	};
	// 重定向index.w
	Model.prototype.redirectToIndex = function() {
		var indexUri = require.toUrl("$UI/bestbaby-gravida/index.w");
		window.location.href = indexUri;
	}

	Model.prototype.button9Touchstart = function(event) {
		var row = event.bindingContext.$object;
		var id = row.val('id');
		var url = '$UI/bestbaby-gravida/knowledge/articleDetail.w';
		justep.Shell.showPage(url, {
			data : id
		});

	};
	Model.prototype.openBtnClick2 = function(event) {

		var userInfo = app.getUser()
		var params = {
			weeks : parseInt(mod),
			days : yt,
		};

		var url = '$UI/bestbaby-gravida/main/diary.w';
		// var url="$UI/bestbaby-gravida/monitor/wifi.w"
		justep.Shell.showPage(url, params);
	};

	Model.prototype.openBtnClick3 = function(event) {
		var userInfo = app.getUser()
		if (!userInfo.hlid || userInfo.hlid === 'undefind' || userInfo.hlid === 'null') {
			po.pop('请先绑定医院');
			justep.Shell.showPage("$UI/bestbaby-gravida/individual/hospital/city.w");
		} else {
			var that = this;
			dairy.getTokenItems({}, "system/Gdcombo/select", function(success, message, data) {
				if (success) {
					if (data.content) {

						var url = '$UI/bestbaby-gravida/main/bill.w';
						var hlid = that.comp("info").val('hlid');

						justep.Shell.showPage(url, {
							data : hlid
						});

					} else {
						justep.Shell.showPage("$UI/bestbaby-gravida/individual/setOpenup/noSet/set.w");
					}

				} else {
					if (message == "没有购买套餐") {
						po.pop('请先购买套餐');
						justep.Shell.showPage("$UI/bestbaby-gravida/individual/setOpenup/noSet/set.w");
					} else {
						po.pop(message);
					}
				}
			});
		}

	};
	// 打开指引页
	Model.prototype.openBtnClick4 = function(event) {
		var url = '$UI/bestbaby-gravida/main/monitorTip.w'
		justep.Shell.showPage(url);
	};
	// 获取wifi信息成功回调
	Model.prototype.successWifi = function(message) {

		justep.Shell.wifiSSID = message.activity.SSID.replace("\"", "").replace("\"", ""); // 去掉双引号
		if (message.activity.SSID == "<unknown ssid>") {
			justep.Shell.wifiSSID = '';
		}

		// console.log(justep.Shell.wifiSSID)

	}
	// 获取wifi信息失败回调信息
	Model.prototype.errorWifi = function(message) {
		// po.pop(message);
		// console.log(message)
		justep.Shell.wifiSSID = '';
	}
	// 开始监测按鈕
	Model.prototype.openBtn = function() {
		if (!exists) {
			justep.Shell.fireEvent('openBtnClick');
		} else {
			// po.pop('因存在非正常结束胎监，操作失败');
			justep.Shell.fireEvent('checkFile');
		}

	}
	// 开始监测逻辑
	Model.prototype.openBtnClick = function() {

		userModel.updateUser({}, function(success, message, data) {// 胎监前更新一下用户信息

			if (success) {

			}
		});
		var userInfo = app.getUser();
		var M = Model.prototype;

		var that = this;
		if (!exists) {
			layer.closeAll();
		}

		var pprid = that.comp("info").val('pprid');

		if (app.getUser().hlid != '' && app.getUser().hlid) { // 判断是否有绑定医院
			dairy.getTokenItems({}, "system/Gdcombo/select", function(success, message, data) {
				if (success) {
					// 获取wifi
					window.plugins.WifiAdmin.getWifiInfo(M.successWifi, M.errorWifi);
					if (data.content) {
					console.log('测试==',data.content);
						if (data.content.cbtype != null || data.content.cbtype != '') {

							if (data.content.cbtype !== 5) { // 非体验套餐
								if (!userInfo.eyct || !userInfo.eyml || !userInfo.htcm || !userInfo.wtkg) {
									po.pop('请完善个人信息后开始胎监');
									justep.Shell.isTest = false;
									var otherInfoUrl = require.toUrl('$UI/bestbaby-gravida/register/otherRegisterInfo.w');
									justep.Shell.showPage(otherInfoUrl,userInfo);
									return;
								}
							} else { // 体验套餐
								justep.Shell.isTest = true;
							}
						} else {
							po.pop('数据获取异常，请重试');
							return;
						}

						if (data.content.dlstat) { // 判断套餐状态
							if (data.content.dlstat != 2) {
								if (data.content.dlstat == 3 || data.content.dlstat == 4) {
									po.pop('设备已归还，请购买套餐');
									justep.Shell.showPage("$UI/bestbaby-gravida/individual/setOpenup/noSet/set.w");
								} else {
									dairy.getTokenItems({}, 'system/Devicelease/select', function(success, message, data) {
										if (success) {
											// console.log(data.content.dcode)
											var dcode = data.content.dcode;
											store.set('$dcode', dcode);
										}
									});

									dairy.getTokenItems({}, "system/Devicelease/selectInfo", function(success, message, data) {
										if (success) {
											// console.log('查询设备二维码信息💻1');
											// console.log(data.content);
											var InfoData = data;

											var dataJson = {
												"id" : data.content.prid
											};
											// console.log('设备ID', dataJson.id);
											var configData = {};
											dairy.getTokenItems(dataJson, "system/Product/select", function(success, message, data) {
												if (success) {
													// console.log('获取连接方式1🔗',data.content.connectWay,data);

													var cData = data.content;

													configData = {
														logo : cData.logo,
														connectWay : cData.connectType, // 设备连接方式
														// 1wifi
														// 2蓝牙
														isHeartSound : cData.isHeartSound, // 支持胎心音
														// 1 是2
														// 否
														isAutoMove : cData.isAutoMove, // 支持自动胎动
														// 1 是2
														// 否
														isWakeUp : cData.isWakeUp,// 支持睡眠唤醒
														// 1
														// 是2否
														isResume : cData.isResume,// 支持获取档案1
														// 是2否
														operationStatus : cData.operationStatus
													// 设备运营状态 1未运营2: 运营中
													}

													justep.Shell.moveText = cData.isAutoMove == 1 ? '自动胎动' : '手动胎动';
													// console.log(justep.Shell.moveText)
													justep.Shell.connectWay = cData.connectType;
													connectWay = cData.connectType;

													isResume = cData.isResume == 2 ? false : true;
													justep.Shell.isResume = isResume;
													if (exists) {
														if (!isResume && existsSixty) {
															Model.prototype.endFile(endFileData);
															// 因不支持设备档案读取执行直接结束胎监
															return;
														} else {
															sixtyUploadJson.fatalSupport = true;
														}
														if (cData.isHeartSound == 1) {
															sixtyUploadJson.adpcmSupport = true;

														}
													}
													//console.log(sixtyUploadJson, 22);
													// console.log(configData)
													store.set('$configData', configData);
													// store.get('$configData'));
													if (InfoData.content == null) {
														po.pop('请等待设备发货');
														store.remove('$content');
													} else {
														if (InfoData.content.info == null || InfoData.content.info == "") {
															// 判断是否第一次进入--引导页
															var check = JSON.parse(store.get('$check') || '{}');
															if (check != 1) {  //TODO
																var url = '$UI/bestbaby-gravida/main/monitor.w';
																justep.Shell.showPage(url);
																check = 1;
																store.set('$check', JSON.stringify(check));
															} else {
																that.comp("scan1").scanQRCode();
															}
														} else {
															// 获取设备连接方式：connectWay:
															// 1.Wi-Fi
															// 2.BLE
															if (connectWay == 3) {
																if (JSON.parse(InfoData.content.info).bCode.length == 17) {
																	justep.Shell.connectWay = 2;
																	connectWay = 2;
																} else {
																	justep.Shell.connectWay = 1;
																	connectWay = 1;
																}
															}

															store.set('$connectWay', connectWay);

															// console.log(connectWay,
															// '连接类型');
															// console.log(JSON.parse(InfoData.content.info));
															// console.log('设备类型🌟1',JSON.parse(InfoData.content.info).tCode);
															// store.set('devType',
															// JSON.parse(InfoData.content.info).tCode);
															var obj = JSON.parse(InfoData.content.info); // json格式转换对象
															var unitContent = "";
															// console.log('设备型号',connectWay);
															// console.log(111,
															// obj.tCode);
															justep.Shell.dev = obj.tCode;

															if (connectWay == 1) {// Wi-Fi

																store.remove('b3Set');
																unitContent = JSON.stringify(obj);
															} else if (connectWay == 2) {// BLE
																store.remove('b1Set');
																unitContent = JSON.stringify(obj);
															}
															store.set('$content', unitContent);
															//console.log('修改后的B3信息')
															//console.log(unitContent)
															layer.open({
																type : 2,
																shadeClose : false,
																content : '正在为你自动连接'
															});
															Model.prototype.connectBtn(event);
														}
													}

												} else {

													po.pop('获取连接方式失败');

												}
											});

										} else {
											layer.closeAll();
											po.pop(message);
										}
									});

									// }else{
									// po.pop('尚未绑定设备');
									// }

								}
							} else {
								po.pop("请等归还确认后再购买套餐，请耐心等待");
							}
						} else {
							layer.closeAll();
							if (app.getUser().hlid == '' || !app.getUser().hlid) {
								po.pop('请先绑定医院');
								justep.Shell.showPage("$UI/bestbaby-gravida/individual/hospital/city.w");
							} else {
								po.pop('请等待设备发货');
							}
						}

					} else {
						layer.closeAll();
						po.pop('请先购买套餐');
						justep.Shell.showPage("$UI/bestbaby-gravida/individual/setOpenup/noSet/set.w");
					}
				} else {
					layer.closeAll();
					if (message == "没有购买套餐") {
						po.pop('请先购买套餐');
						justep.Shell.showPage("$UI/bestbaby-gravida/individual/setOpenup/noSet/set.w");
					} else {

						po.pop(message);
					}
				}
			});
		} else {
			// alert(1)
			po.pop('请先绑定医院');
			justep.Shell.showPage("$UI/bestbaby-gravida/individual/hospital/city.w");
		}
		// }
	};
	Model.prototype.div1Touchstart = function(event) {
		var params = {
			id : "c13e39b6cf734b3c97de2bf94a0ad236",
		};
		var url = '$UI/bestbaby-gravida/individual/about/bestbabyIntro.w';
		justep.Shell.showPage(url, {
			data : params
		});
		// var url = '$UI/bestbaby-gravida/monitor/monitor.w';
		// var url = '$UI/bestbaby-gravida/monitor/wifi.w';
		// justep.Shell.showPage(url);
	};

	Model.prototype.moreBtn = function(event) {
		// var url = '$UI/bestbaby-gravida/knowledge/knowledge.w';
		// justep.Shell.showPage(url);
		$('.knowledge').trigger('click');
	};
	Model.prototype.redirectToIndex = function() {
		var indexUri = require.toUrl("$UI/bestbaby-gravida/index.w");
		window.location.href = indexUri;
	}

	Model.prototype.modelLoad = function(event) {


		var that = this;
		var tokenTime = app.getToken().exp;
		var sys = store.get('deviceSystem');
		var deviceSystem = sys || '{}';// 获取手机系统
		var timestamp = new Date().getTime();
		var oneDays = 3600000 * 24;
		justep.Shell.on("checkFile", Model.prototype.judgeExistsSixty, this);
		justep.Shell.on("goToMain", this.goToMain, this);
		justep.Shell.on("openBtnClick", this.openBtnClick, this);
		justep.Shell.isTest = false;
		// this.comp("windowContainer7").load();
		var info = this.comp("info");// 个人信息的data
		var article = this.comp("article");// 文章data
		var disDate = this.getElementByXid("day");
		var sex = this.getElementByXid("sex");
		var totalYQ = this.getElementByXid("totalYQ");
		var self = this;
		info.clear()
		var sexTransfer = "";

		var dataJson = {// 获取文章参数
			pageNum : "1",
			pageSize : "0",
			filters : {
				type : "ccdc3d04de0740119284de04b7815db5",
				titl : "",
				column : "pltm",
				order : "asc"
			}
		};

		userModel.updateUser({}, function(success, message, data) {// 获取用户信息
			if (success) {
				var data = data.content;
				var NT = new Date().getFullYear() + "-" + (parseInt(new Date().getMonth()) + 1) + "-" + new Date().getDate();// 当前日期
				var YQ = count.calculate(data.dede, NT);
				// $(disDate).html(YQ);// 怀孕天数
				// console.log(data)
                app.setUser(data)
				var YT = Math.abs(count.calculate(data.lmp, NT));
				// console.log(YT+"-------------------")
				// 默认头像
				if (!data.logo) {
					data.logo = require.toUrl('../common/images/default-logo.png')
				}

				var options = {
					defaultValues : [ {
						"id" : data.id,
						"name" : data.name,
						"pswd" : data.pswd,
						"sex" : data.sex,
						"logo" : data.logo,
						"bith" : data.bith,
						"ages" : data.ages,
						"mobl" : data.mobl,
						"cdno" : data.cdno,
						"mail" : data.mail,
						"cdhd" : data.cdhd,
						"cdtl" : data.cdtl,
						"lmp" : data.lmp,
						"dede" : data.dede,
						"htcm" : data.htcm,
						"wtkg" : data.wtkg,
						"hlid" : data.hlid,
						"hlfn" : data.hlfn,
						"tokn" : data.tokn,
						"rttm" : data.rttm,
						"eyct" : data.eyct,
						"eyml" : data.eyml,
						"pmhy" : data.pmhy,
						"pmot" : data.pmot,
						"dast" : data.dast,
						"crtm" : data.crtm,
						"mdtm" : data.mdtm,
						"pprid" : data.pprid,

					}, ]
				};
				//console.log(options)
				justep.Shell.infoId = data.id;
				mod = YT > 7 ? YT / 7 : 0;// 周数
				var toYQ = parseInt(mod) + "周+" + (YT - (7 * parseInt(mod))) + "天";
				store.set('gtwk', JSON.stringify(parseInt(mod)));
				store.set('days', JSON.stringify(YT - (7 * parseInt(mod))));
				yt = (YT - (7 * parseInt(mod)));
				$(totalYQ).html(toYQ);
				info.newData(options);

				var NT = new Date().getFullYear() + "-" + (parseInt(new Date().getMonth()) + 1) + "-" + new Date().getDate();// 当前日期
				var YQ = count.calculate(data.dede, NT);
				// console.log(YQ+"---------------------------------")
				if (YQ < 0) {
					$(".yqDays").html("已超过预产期" + (-YQ) + "天")
					// $(disDate).html(YQ)
				} else {

					$(disDate).html(YQ);// 怀孕天数
					$(".yqDays").html("距离预产期还有" + (YQ) + "天")
				}

				var YT = Math.abs(count.calculate(data.lmp, NT));
				// console.log(options);

				// 缴费单总数查询
				var getBillCountData = {
					hlid : '',
				}
				if (data.hlid) {
					dairy.getTokenItems(getBillCountData, 'system/Payexamine/count', function(success, message, data) {
						if (success) {
							var count = data.content;
							$('.billCount').text('共 ' + count + ' 张缴费单');
						} else {
							// console.log(data);
						}
					})
				}
				// 创建IM实例
				self.userInfo = app.getUser();
				// self.NIM_CONFIG.account = self.userInfo.id;
				// console.log("new nim config:")
				// console.log(self.NIM_CONFIG);

			} else {
				// console.log(message)
			}
		});

		// 查询宝妈攻略列表
		dairy.getTokenItems({
			"pageNum" : 1,
			"pageSize" : 10
		}, "wiki/Strategy/list", function(success, message, data) {
			if (success) {
				var data = data.content;
				var list = data.list;
				article.clear();
				for (var i = 0; i < list.length; i++) {
					article.add({
						id : list[i].id,
						titl : list[i].titl,
						crtm : list[i].crtm,
						gdcu : list[i].gdcu,
						cmmt : list[i].cmmt,
						logo : list[i].logo,
						pltm : list[i].pltm
					})
				}
			} else {

			}
		});
		// 广告资源加载
		var params = {
			type : "3"
		};
		dairy.getTokenItems(params, 'system/Resource/list', function(success, message, data) {
			if (success) {
				var ads = data.content;
				var newAds = ads.sort(compare('slno'));// 广告数据排序
				//console.log(newAds)
				console.log("广告资源")
				for (var i = 0; i < newAds.length; i++) {
					var imgClass = '.adImg' + i; // 直接植入
					var aClass = '.aLink' + i;
					if (newAds[i].url) {
						$(imgClass).attr('src', newAds[i].url);
					}
					if (!newAds[i].aurl) {
					} else {
						// $(aClass).attr('href', ads[i].aurl);
						$(imgClass).attr('uri', newAds[i].aurl);
					}
				}
			} else {
				// console.log('请求广告失败',data);
			}
		})
		if (tokenTime - timestamp < oneDays) {// 判断token时间是否剩余不足24小时
			dairy.getTokenItems({}, 'refreshToken', function(success, message, data) {// 刷新token
				if (success) {

					userModel.storageToken(data.content);
				} else {

				}
			})
		}
		if ((justep.Shell.isLoginToMain == undefined)) {
			this.UploadLoginLog();
			console.log("自动登陆日志上传成功:自动登陆跳转");
		} else if (justep.Shell.isLoginToMain.get() == "false") {
			console.log("自动登陆日志上传成功:注册跳转");
			this.UploadLoginLog();
		}
	};
	function compare(property) {// 按slno属性排序广告资源
		return function(a, b) {
			var value1 = a[property];
			var value2 = b[property];
			return value1 - value2;
		}
	}
	// 上传自动登陆日志
	Model.prototype.UploadLoginLog = function() {

		var dev = '';
		if (typeof device === 'undefined') {
			dev = {
				model : '',
				manufacturer : '',
				platform : '',
				version : '',
			}
		} else {
			dev = device;
		}
		var dataJsons = {
			lomg : justep.Shell.lomg,
			lat : justep.Shell.lat,
			imei : "",
			whpx : "",
			htpx : "",
			nver : justep.Shell.appNver,
			apnm : justep.Shell.appName,
			modl : dev.model, // 手机型号
			faty : dev.manufacturer, // 厂商
			sysm : dev.platform, // 操作系统
			vers : dev.version, // 版本号
		};
		// console.log("自动登陆"+" lomg:"+justep.Shell.lomg+"
		// lat:"+justep.Shell.lat+" nver:"+justep.Shell.appNver+"
		// apnm:"+justep.Shell.appName+"model:"+dev.model+"
		// manufacturer:"+dev.manufacturer+" platform:"+dev.platform+"
		// version:"+dev.version);
		dairy.getTokenItems(dataJsons, "loginlog", function(success, message, data) {
			if (success) {
				console.log("自动登陆日志上传成功...");
			} else {
				po.pop(message);
			}
		})

	}
	Model.prototype.modelParamsReceive = function(event) {
		if (this.params.on) {
			this.comp('contents1').to(3);
		} else {

		}

	};

	Model.prototype.individualActive = function(event) {
		// console.log(1)
		userModel.updateUser({}, function(success, message, data) {

			if (success) {
				var data = data.content;
				// console.log('login data', data)
				var params = {
					"id" : data.id,
					"name" : data.name,
					"pswd" : data.pswd,
					"sex" : data.sex,
					"logo" : data.logo,
					"bith" : data.bith,
					"ages" : data.ages,
					"mobl" : data.mobl,
					"cdno" : data.cdno,
					"mail" : data.mail,
					"cdhd" : data.cdhd,
					"cdtl" : data.cdtl,
					"lmp" : data.lmp,
					"dede" : data.dede,
					"htcm" : data.htcm,
					"wtkg" : data.wtkg,
					"hlid" : data.hlid,
					"hlfn" : data.hlfn,
					"tokn" : data.tokn,
					"rttm" : data.rttm,
					"eyct" : data.eyct,
					"eyml" : data.eyml,
					"pmhy" : data.pmhy,
					"pmot" : data.pmot,
					"dast" : data.dast,
					"crtm" : data.crtm,
					"mdtm" : data.mdtm,
					"pprid" : data.pprid
				};
				app.setUser(params)
				// console.log(params)

			} else {

			}
		});
	};

	Model.prototype.modelActive = function(event) {
		// 初始化全局变量
		i = 0;
		a = 0;
		exists = false;
		existsSixty = false;
		justep.Shell.exitsAbnormal = false;
		justep.Shell.fireEvent('checkFile');
		// ===========全局变量分割线============

		layer.closeAll();
		this.comp('windowContainer5').getInnerModel().modelActive(event);

		var that = this;
		this.comp("windowContainer7").getInnerModel().modelActive(event);
		this.comp("windowContainer5").getInnerModel().contentActive(event);
		this.comp("windowContainer1").getInnerModel().modelActive(event);
		var info = this.comp("info");// 个人信息的data
		var article = this.comp("article");// 文章data
		var disDate = this.getElementByXid("day");
		var sex = this.getElementByXid("sex");
		var totalYQ = this.getElementByXid("totalYQ");
		info.clear()
		var sexTransfer = "";

		var dataJson = {// 获取文章参数
			pageNum : "1",
			pageSize : "10",
			filters : {
				type : "ccdc3d04de0740119284de04b7815db5",
				titl : "",
				column : "pltm",
				order : "asc"
			}
		};
		userModel.updateUser({}, function(success, message, data) {// 获取用户信息

			if (success) {
				var data = data.content;
				var NT = new Date().getFullYear() + "-" + (parseInt(new Date().getMonth()) + 1) + "-" + new Date().getDate();// 当前日期
				var YQ = count.calculate(data.dede, NT);
				if (YQ < 0) {
					$(".yqDays").html("已超过预产期" + (-YQ) + "天")
					// $(disDate).html(YQ)
				} else {

					$(disDate).html(YQ);// 怀孕天数
					$(".yqDays").html("距离预产期还有" + (YQ) + "天")
				}
				var YT = Math.abs(count.calculate(data.lmp, NT));
				// 默认头像
				if (!data.logo) {
					data.logo = require.toUrl('../common/images/default-logo.png')
				}

				var options = {
					defaultValues : [ {
						"id" : data.id,
						"name" : data.name,
						"pswd" : data.pswd,
						"sex" : data.sex,
						"logo" : data.logo,
						"bith" : data.bith,
						"ages" : data.ages,
						"mobl" : data.mobl,
						"cdno" : data.cdno,
						"mail" : data.mail,
						"cdhd" : data.cdhd,
						"cdtl" : data.cdtl,
						"lmp" : data.lmp,
						"dede" : data.dede,
						"htcm" : data.htcm,
						"wtkg" : data.wtkg,
						"hlid" : data.hlid,
						"hlfn" : data.hlfn,
						"tokn" : data.tokn,
						"rttm" : data.rttm,
						"eyct" : data.eyct,
						"eyml" : data.eyml,
						"pmhy" : data.pmhy,
						"pmot" : data.pmot,
						"dast" : data.dast,
						"crtm" : data.crtm,
						"mdtm" : data.mdtm,
						"pprid" : data.pprid,

					}, ]
				};
				var params = {
					"id" : data.id,
					"name" : data.name,
					"pswd" : data.pswd,
					"sex" : data.sex,
					"logo" : data.logo,
					"bith" : data.bith,
					"ages" : data.ages,
					"mobl" : data.mobl,
					"cdno" : data.cdno,
					"mail" : data.mail,
					"cdhd" : data.cdhd,
					"cdtl" : data.cdtl,
					"lmp" : data.lmp,
					"dede" : data.dede,
					"htcm" : data.htcm,
					"wtkg" : data.wtkg,
					"hlid" : data.hlid,
					"hlfn" : data.hlfn,
					"tokn" : data.tokn,
					"rttm" : data.rttm,
					"eyct" : data.eyct,
					"eyml" : data.eyml,
					"pmhy" : data.pmhy,
					"pmot" : data.pmot,
					"dast" : data.dast,
					"crtm" : data.crtm,
					"mdtm" : data.mdtm,
					"pprid" : data.pprid
				};
				app.setUser(params)
				mod = YT > 7 ? YT / 7 : 0;// 周数

				var toYQ = parseInt(mod) + "周+" + (YT - (7 * parseInt(mod))) + "天";
				yt = (YT - (7 * parseInt(mod)));
				$(totalYQ).html(toYQ);
				// if (data.sex == 2) {
				// sexTransfer = "女士";
				// } else {
				// sexTransfer = "男士";
				// }
				// $(sex).html(sexTransfer);
				info.newData(options);
				// console.log(options);

				// 缴费单总数查询
				var getBillCountData = {
					hlid : '',
				// stat:''
				};
				if (data.hlid) {
					dairy.getTokenItems(getBillCountData, 'system/Payexamine/count', function(success, message, data) {
						if (success) {
							var count = data.content;
							$('.billCount').text('共 ' + count + ' 张缴费单');
						} else {
							// console.log(data);
						}
					})

				}

			} else {
				// console.log(message)
			}
		});

		dairy.getTokenItems(dataJson, "wiki/Strategy/list", function(success, message, data) {
			// console.log(data)

			if (success) {
				data = data.content;
				var list = data.list;
				article.clear();
				for (var i = 0; i < list.length; i++) {
					article.add({
						id : list[i].id,
						titl : list[i].titl,
						crtm : list[i].crtm,
						gdcu : list[i].gdcu,
						cmmt : list[i].cmmt,
						logo : list[i].logo,
						pltm : list[i].pltm
					});
				}

			} else {
				// console.log(data);
			}
		});
	};
	Model.prototype.topLabel = function(name, sex) {
		var str;
		if (name != undefined) {
			str = '您好, ' + name;
			if (sex == 2) {
				str = str + "女士";
			} else {
				str = str + "男士";
			}
		} else {// 网络慢或者网络出错时，防止首页有undefined的名字出现
			str = '您好, ' + app.getUser().name;
			if (app.getUser().sex == 2) {
				str = str + "女士";
			} else {
				str = str + "男士";
			}
		}

		return str;
	};
	Model.prototype.goToMain = function() {
		if (this.comp("contents1")) {
			this.comp("contents1").to(0);
		}
		if (this.comp("index")) {
			this.comp("index").active();
		}
	};

	/* =================================原设备列表页方法======================================= */
	// 扫描成功执行方法
	Model.prototype.scan1ScanQRCodeSuccess = function(event) {
		var M = Model;
		// console.log('扫描成功执行方法🌈');
		// console.log(event.data);
		M.prototype.showPageUrl(event.data);
	};
	Model.prototype.scan1ScanQRCodeFail = function(event) {
		po.pop('无法进行扫码操作，请在手机设置中开启本应用（' + justep.Shell.appName + '）的相机访问权限');
	};
	// 页面跳转
	Model.prototype.showPageUrl = function(datas) {
		// console.log(datas)
		datas = datas;
		var M = Model;
		var type = justep.Shell.localType;
		if (type == 1) {
			TranslateCode.tranCodeGreen(M.prototype.tranCodeSuccess, M.prototype.tranCodeError, datas);
		} else {
			TranslateCode.tranCode(M.prototype.tranCodeSuccess, M.prototype.tranCodeError, datas);
		}

	};
	// 解析成功回调方法
	Model.prototype.tranCodeSuccess = function(content) {
		B1Manager.writeLog("0", content, "二维码解码内容");
		store.set('$content', content);
		store.set('$content', content);
		var configData = store.get('$configData');
		var obj = JSON.parse(content); // json格式转换对象
		// console.log('解析成功回调方法🌈');
		// console.log(obj.bCode.length);
		// 获取设备连接方式：connectWay:
		// 1.Wi-Fi
		// 2.BLE
		if (connectWay == 3) {
			if (obj.bCode.length == 17) {
				justep.Shell.connectWay = 2;
				connectWay = 2;
			} else {
				justep.Shell.connectWay = 1;
				connectWay = 1;
			}
			B1Manager.writeLog("0", obj.bCode.length, "bCodeLength");
			B1Manager.writeLog("0", justep.Shell.connectWay, "connetWay");
		}
		
		
		var dcode = store.get('$dcode');
		// console.log(dcode,obj);
		if (dcode != obj.eCode) {
			po.pop('扫码设备与购买设备不一致');
			return;
		}
		if (connectWay == 2) {
			layer.open({
				type : 2,
				shadeClose : false,
				content : '正在为你连接'
			});
		}
		justep.Shell.dev = obj.tCode;
		var type = justep.Shell.localType;

		// var devType = obj.tCode;//存储原型设备型号B1/B3/CL...
		// console.log('存储原型设备型号信息⭕️',devType);

		// var connectWay = store.get('$connectWay');
		B1Manager.writeLog("0", connectWay, "连接方式");
		// console.log('设备型号--连接方式🔗', connectWay);
		if (connectWay == 1) {
			// obj.tCode='B1';
			// var B1content=JSON.stringify(obj);

			store.set('$b1', content);

			// console.log('存储B1二维码信息🌈');
			// console.log(content);
			var url = '';
			if (type == 1) {
				B1Manager.checkWifi(successWifi, Model.prototype.statusPop, obj.wifiName, '');
				function successWifi() {

				}
				url = '$UI/bestbaby-gravida/monitor/wifi.w';
				justep.Shell.showPage(url, {
					data : obj
				});
			} else if (type == 2) {
				B1Manager.checkWifi(successWifi, Model.prototype.statusPop, obj.wifiName, '');
				function successWifi() {
					url = '$UI/bestbaby-gravida/monitor/wifi.w';
					justep.Shell.showPage(url, {
						data : obj
					});
				}
				$(".layui-m-layercont").css("padding", "15px");
				$('.layui-m-layer0 .layui-m-layerchild').css("width", "50%");
			}

		} else if (connectWay == 2) {

			// if (obj.tCode == 'CL') {
			// store.set('$CL', content);
			// } else if (obj.toCode == 'B3') {
			store.set('$b3', content);
			// }

			console.log('存储B3二维码信息🌈');
			//console.log(content);
			//console.log(justep.Shell.dev);
			var M = Model.prototype;

			var that = this;
			var alarmIf = "";
			var alarmVolume = "";
			var heartVolume = "";

			// type=2;
			if (type == 1) {

				/**
				 * 方法名：enableBluetooth(function, function) 参数1：(function)
				 * 成功时回调方法 参数2：(function) 失败时回调方法（返回状态码） 返回值：(string) 状态码
				 * 说明：蓝牙使能
				 */
				B3Manager.enableBluetooth(M.openBluetoothSuccess, M.B3error);
			} else if (type == 2) {
				content = JSON.parse(content);
				// 存储b3设置信息
				var setData = store.get('b3Set');
				// console.log('存储b3设置信息💣');
				// console.log(setData);
				if (setData == null) {

					alarmIf = 1;
					alarmVolume = 1;
					heartVolume = 1;
					var setData = new Object();
					setData.alarmIf = alarmIf;
					setData.alarmVolume = alarmVolume;
					setData.heartVolume = heartVolume;
					store.set('b3Set', JSON.stringify(setData));
				} else {
					var setData = JSON.parse(setData);
					// console.log(setData);
					alarmIf = setData.alarmIf;
					alarmVolume = setData.alarmVolume;
					heartVolume = setData.heartVolume;

				}
				// console.log('B3Manager--content:',content);
				var uCode = content.uCode;
				var bCode = content.bCode;
				var eCode = content.eCode;
				B3Manager.connect(M.B3Success, M.B3error, bCode, uCode, alarmIf, alarmVolume, heartVolume, isResume, eCode, justep.Shell.dev);
			}

		}

	}
	// ioswifi监测自动连接
	Model.prototype.AutoOpenSetting = function(ev) {
		var content = store.get('$content');
		var obj = JSON.parse(content);
		if (typeof cordova.plugins.settings.openSetting != undefined) {
			cordova.plugins.settings.openSetting("wifi", function(wifiName) {
				if (ev == 116) {
					var wifi = obj.wifiName2;
					var pwd = obj.wifiPwd;
					if (wifi == wifiName) {
						Model.prototype.connectB1();
					} else {
						B1Manager.checkWifi(successWifi, Model.prototype.AutoStatusPop, wifi, pwd);
						function successWifi() {
							Model.prototype.connectB1();
						}
					}
				} else if (ev == 105) {
					var wifi = obj.wifiName2;
					var pwd = obj.wifiPwd;
					if (wifi == wifiName) {
						Model.prototype.connectB1();
					} else {
						B1Manager.checkWifi(successWifi, Model.prototype.AutoStatusPop, wifi, pwd);
						function successWifi() {
							Model.prototype.connectB1();
						}
					}

				} else {
					if (wifiName == obj.wifiName) {
						justep.Shell.showPage(url, {
							data : obj
						});
					} else {
						B1Manager.checkWifi(successWifi, Model.prototype.AutoStatusPop, obj.wifiName, '');
						function successWifi() {
							Model.prototype.connectB1();
						}
					}

				}

			}, function() {
				po.pop("打开wifi设置失败");
			});
		}

	}
	Model.prototype.openSetting = function(ev) {
		var content = store.get('$b1');
		var obj = JSON.parse(content);
		if (typeof cordova.plugins.settings.openSetting != undefined) {
			cordova.plugins.settings.openSetting("wifi", function(wifiName) {
				if (wifiName == obj.wifiName) {
					var url = '$UI/bestbaby-gravida/monitor/wifi.w';
					justep.Shell.showPage(url, {
						data : obj
					});
				} else {
					B1Manager.checkWifi(successWifi, Model.prototype.statusPop, obj.wifiName, '');
					function successWifi() {
						var url = '$UI/bestbaby-gravida/monitor/wifi.w';
						justep.Shell.showPage(url, {
							data : obj
						});
					}
				}

			}, function() {
				po.pop("打开wifi设置失败");
			});
		}

	}
	// 解析失败回调方法
	Model.prototype.tranCodeError = function() {
		po.pop('数据解码失败');
	}
	// 蓝牙打开成功 "209" - 请求蓝牙授权成功
	Model.prototype.openBluetoothSuccess = function(ev) {
		if (ev == 209) {
			// po.pop('请求蓝牙授权成功,请稍等正在为你连接到设备');
			layer.open({
				type : 2,
				shadeClose : false,
				content : '正在为你连接'
			});
		}
		var M = Model.prototype;
		var alarmIf = "";
		var alarmVolume = "";
		var heartVolume = "";
		/**
		 * 方法名：connect(function, function, string, string, string, string,
		 * string) 参数1：(function) 成功时回调方法 参数2：(function) 失败时回调方法（返回错误码）
		 * 参数3：(string) B 域 参数4：(string) U 域 参数5：(string) 报警是否开启（0 关闭，1 开启）
		 * 参数6：(string) 报警音量（0 低，1 高） 参数7：(string) 胎心音音量（0 到 16） 返回值：(string)
		 * 状态码 说明：手机 APP 根据扫码所得的参数，启用蓝牙去连接设备
		 */
		var content = JSON.parse(store.get('$b3'));
		var setData = store.get('b3Set');
		if (setData == null) {

			alarmIf = 1;
			alarmVolume = 1;
			heartVolume = 1;
			var setData = new Object();
			setData.alarmIf = alarmIf;
			setData.alarmVolume = alarmVolume;
			setData.heartVolume = heartVolume;
			store.set('b3Set', JSON.stringify(setData));
		} else {
			var setData = JSON.parse(setData);
			alarmIf = setData.alarmIf;
			alarmVolume = setData.alarmVolume;
			heartVolume = setData.heartVolume;
		}
		// console.log('B3Manager--content:',content);
		var uCode = content.uCode;
		var bCode = content.bCode;
		var eCode = content.eCode;
		B3Manager.connect(M.B3Success, M.B3error, bCode, uCode, alarmIf, alarmVolume, heartVolume, isResume, eCode, justep.Shell.dev);

	};
	// B3连接成功调用方法
	/*
	 * 成功状态码："200" - 连接设备成功 "201" - 断开连接成功 "202" - 停止胎监成功 "203" - 宫压调零成功 "204" -
	 * 音量设置成功 "205" - 设置报警成功 "206" - 设置报警音量成功
	 */
	Model.prototype.B3Success = function(ev) {
		B1Manager.writeLog("0", ev, "蓝牙设备连接成功");
		var url = '';
		var that = this;
		// if (ev == 200) {// BLE测试数据
		var content = store.get('$b3');
		var dataJson = {
			"code" : JSON.parse(content).eCode
		};
		var obj = JSON.parse(content);
		if (ev != null) {
			// alert(JSON.stringify(message))
			var info = JSON.parse(ev);
			swVersion = info.swVersion;
		}
		var dev = '';
		if (typeof device === 'undefined') {
			dev = {
				model : '',
				manufacturer : '',
				platform : '',
				version : '',
			}
		} else {
			dev = device;
		}
		var wifiData = {
			"deid" : obj.eCode,
			"wfnm" : obj.wifiName2,
			"wfpw" : obj.wifiPwd,
			"lomg" : justep.Shell.lomg,
			"lat" : justep.Shell.lat,
			"dver" : swVersion,
			"nver" : justep.Shell.appNver,
			"apnm" : justep.Shell.appName,
			"modl" : dev.model, // 手机型号
			"faty" : dev.manufacturer, // 厂商
			"sysm" : dev.platform, // 操作系统
			"vers" : dev.version // 版本号
		};
		
		// console.log(wifiData)
		// 添加连接记录
		dairy.getTokenItems(wifiData, 'system/Gravidawifi/insert', function(success, message, data) {
			if (success) {

			}
		});
		dairy.getTokenItems({
			"info" : content,
			"code" : JSON.parse(content).eCode
		}, "system/Devicelease/updateInfo", function(success, message, data) {
			if (success) {
				dairy.getTokenItems(dataJson, 'system/Gdcombo/update', function(success, message, data) {
					if (success) {
						layer.closeAll();
						po.pop('连接设备成功');

						store.set('$content', content);
						url = '$UI/bestbaby-gravida/monitor/monitor.w';
						// console.log('传过去参数😯1')
						//						
						justep.Shell.showPage(url);
					} else {
						layer.closeAll();
						po.pop('连接设备成功');

						store.set('$content', content);
						url = '$UI/bestbaby-gravida/monitor/monitor.w';
						// console.log('传过去参数😯2')

						justep.Shell.showPage(url);
					}
				});
			} else {
				po.pop(message);
			}

		});

	};
	// B3连接失败调用方法
	/*
	 * 失败状态码："100" - 与设备的连接已断开 "101" - MAC 地址格式错误 "102" - UUID 格式错误 "103" -
	 * 蓝牙连接错误 "104" - 本地蓝牙不可用 "105" - 蓝牙未打开 "106" - 设备搜索超时 "107" -
	 * 设备蓝牙芯片频率和手机蓝牙频率的问题，APP 端无法解决，建议重新连接"108" - cdno 单号为空 "109" -
	 * 蓝牙使能会检测手机蓝牙是否支持 BLE 设备，不支持时返回 "110" - 蓝牙请求授权失败
	 */
	Model.prototype.B3error = function(ev) {
		B1Manager.writeLog("0", 'Error:'+ev, "蓝牙设备连接失败");
		layer.closeAll()
		// alert(ev + '1')
		if (ev == 101) {
			// po.pop("MAC 地址格式错误");
			po.pop('暂时无法建立连接，请稍后连接');
		} else if (ev == 102) {
			// po.pop('UUID 格式错误');
			po.pop('暂时无法建立连接，请稍后连接');
		} else if (ev == 103) {
			// po.pop('蓝牙连接错误');
			po.pop('暂时无法建立连接，请稍后连接');
		} else if (ev == 104) {
			// po.pop('本地蓝牙不可用');
			po.pop('暂时无法建立连接，请稍后连接');
		} else if (ev == 105) {
			po.pop('蓝牙未打开，请打开蓝牙');
		} else if (ev == 106) {
			po.pop('设备搜索超时');
		} else if (ev == 107) {
			// po.pop('设备蓝牙芯片频率和手机蓝牙频率的问题，APP 端无法解决，建议重新连接');
			po.pop('暂时无法建立连接，请稍后连接');
		} else if (ev == 100) {
			po.pop('与设备的连接已断开');
		} else if (ev == 108) {
			po.pop('cdno 单号为空');
		} else if (ev == 109) {
			// po.pop('蓝牙使能会检测手机蓝牙是否支持 BLE 设备，不支持时返回');
			po.pop('手机蓝牙设备不支持与B3连接，请更换手机再操作');
		} else if (ev == 110) {
			po.pop('蓝牙请求授权失败，请到应用权限管理里面手动打开');
		} else if (ev == 113) {
			po.pop('定位授权失败');
		} else if (ev == 114) {
			po.pop('读取文件授权失败，请到应用权限管理里面手动打开');
		}
	};

	/**
	 * "100" - wifi账号数据为空 "101" - 连接失败 "102" - 未切换至设备热点 "103" - W域的字符串为空 "104" -
	 * 心跳包端开，断线 "110" - 开始监测失败 "120" - 停止监测失败 "130" - 宫压调零失败 "140" - 设置报警开关失败
	 * "150" - 设置报警音量失败 "160" - 设置胎心音音量失败,"105"-当前wifi与通知设备连接的wifi不匹配 "108" -
	 * 没搜索到该WIFI "109" - 用户拒绝了定位授权
	 */
	Model.prototype.statusPop = function(ev) {
		B1Manager.writeLog("0", 'Error:'+ev, "wifi设备连接失败");
		layer.closeAll();
		var content = JSON.parse(store.get('$content'));
		// var content = JSON.parse(store.get('$b1'));
		var wifi = content.wifiName;
		var type = justep.Shell.localType;
		if (ev == 101) {
			po.pop("连接失败");
		} else if (ev == 102) {
			po.pop('未切换至设备热点');
		} else if (ev == 103) {
			po.pop('W域的字符串为空');
		} else if (ev == 104) {
			po.pop('心跳包端开，断线');
		} else if (ev == 105) {
			$(".layui-m-layercont").css("padding", "15px");
			$('.layui-m-layer0 .layui-m-layerchild').css("width", "50%")

			if (type == 1) {
			} else {
				layer.open({
					content : '请切换到设备热点wifi：' + wifi + ',即将自动切换到设置页面',
					style : 'background-color:rgba(0,0,0,.6);color:#fff; border:none;', // 自定风格
					time : 10,
					fixed : true,
					end : function() {
						Model.prototype.openSetting(ev);
					}
				});

			}

		} else if (ev == 110) {
			po.pop('开始监测失败');
		} else if (ev == 120) {
			po.pop('停止监测失败');
		} else if (ev == 130) {
			po.pop('宫压调零失败');
		} else if (ev == 140) {
			po.pop('设置报警开关失败');
		} else if (ev == 150) {
			po.pop('设置报警音量失败');
		} else if (ev == 160) {
			po.pop('设置胎心音音量失败');
		} else if (ev == 107) {
			po.pop('未搜索到设备');
		} else if (ev == 108) {
			po.pop('没搜索到该WIFI');
		} else if (ev == 109) {
			po.pop('用户拒绝了定位授权');
		} else if (ev == 113) {
			layer.open({
				content : '自动切换设备热点失败，请手动切换:' + wifi + '将为你切换到设置页面',
				style : 'background-color:rgba(0,0,0,.6);color:#fff; border:none;', // 自定风格
				time : 10,
				fixed : true,
				end : function() {
					Model.prototype.openSetting(ev);
				}
			});
		}
	};

	/* ======================================原自动连接详细页面============================================ */
	// 连接设备
	Model.prototype.connectBtn = function(event) {
		B1Manager.writeLog("0", event, "线上接口获取二维码");
		var content = store.get('$content');
		var M = Model.prototype;
		var a = JSON.parse(content);
		var obj = '';
		var setData = '';
		if (connectWay == 1) {
			// B1 -- Wi-Fi
			var wCode = a.wCode;
			var wifi = a.wifiName2;
			// alert(wifi);
			var pwd = a.wifiPwd;
			var alarmIf = "";
			var alarmVolume = "";
			var heartVolume = "";
			setData = store.get('b1Set');
			if (setData == null) {
				alarmIf = 1;
				alarmVolume = 1;
				heartVolume = 1;
				setData = new Object();
				setData.alarmIf = alarmIf;
				setData.alarmVolume = alarmVolume;
				setData.heartVolume = heartVolume;
				store.set('b1Set', JSON.stringify(setData));
			} else {
				setData = JSON.parse(setData);
				alarmIf = setData.alarmIf;
				alarmVolume = setData.alarmVolume;
				heartVolume = setData.heartVolume;
			}
			var wifiData = '';
			B1Manager.startConnect(M.SuccessWifiDevice, M.errorWifiDevice, wCode, alarmIf, alarmVolume, heartVolume, wifi, pwd, isResume);
			// }
			/**
			 * 方法名：startConnect(function,function,string,string,string)
			 * 参数1：(function)成功时回调方法 参数2：(function)失败时回调方法(返回错误码) 参数3：(String)W域
			 * 参数4：(String)警报是否开启(0关闭，1开启) 参数5：(String)报警音量(0低，1高)
			 * 参数6：(String)胎心音音量(0到16) 返回值：(String)状态码 说明： 设备和app进入同一wifi，开始连接
			 */

		} else {
			// BLE--蓝牙
			obj = JSON.parse(content); // json格式转换对象
			obj.type = 'ad';
			var type = justep.Shell.localType;
			var that = this;

			if (type == 1) {
				/**
				 * 方法名：enableBluetooth(function, function) 参数1：(function)
				 * 成功时回调方法 参数2：(function) 失败时回调方法（返回状态码） 返回值：(string) 状态码
				 * 说明：蓝牙使能
				 */
				B3Manager.enableBluetooth(M.AutoOpenBluetoothSuccess, M.B3error);
			} else if (type == 2) {

				/**
				 * 方法名：connect(function, function, string, string, string,
				 * string, string) 参数1：(function) 成功时回调方法 参数2：(function)
				 * 失败时回调方法（返回错误码） 参数3：(string) B 域 参数4：(string) U 域 参数5：(string)
				 * 报警是否开启（0 关闭，1 开启） 参数6：(string) 报警音量（0 低，1 高） 参数7：(string)
				 * 胎心音音量（0 到 16） 返回值：(string) 状态码 说明：手机 APP 根据扫码所得的参数，启用蓝牙去连接设备
				 */
				content = JSON.parse(store.get('$content'));
				setData = store.get('b3Set');

				if (setData == null) {

					var alarmIf = 1;
					var alarmVolume = 1;
					var heartVolume = 1;
					var setData = new Object();
					setData.alarmIf = alarmIf;
					setData.alarmVolume = alarmVolume;
					setData.heartVolume = heartVolume;
					store.set('b3Set', JSON.stringify(setData));
				} else {
					var setData = JSON.parse(setData);
					// console.log(setData)
					var alarmIf = setData.alarmIf;
					var alarmVolume = setData.alarmVolume;
					var heartVolume = setData.heartVolume;

				}

				// console.log('B3Manager--content:',content);
				var uCode = content.uCode;
				var bCode = content.bCode;
				var eCode = content.eCode;
				B3Manager.connect(M.AutoB3Success, M.AutoB3error, bCode, uCode, alarmIf, alarmVolume, heartVolume, isResume, eCode, justep.Shell.dev);
			}
		}

	};

	// // 解绑

	Model.prototype.connectB1 = function() {

		var configData = store.get('$configData');
		B1Manager.writeLog("0", configData, "wifi设备继续连接");
		layer.closeAll();
		layer.open({
			type : 2,
			shadeClose : false,
			content : '正在为你自动连接'
		});
		var content = JSON.parse(store.get('$content'));
		var wCode = content.wCode;
		var wifi = content.wifiName2;
		var pwd = content.wifiPwd;
		var M = Model.prototype;
		var alarmIf = "";
		var alarmVolume = "";
		var heartVolume = "";
		// 存储b1设置信息
		var setData = store.get('b1Set');
		// console.log(setData)
		// var setData=store.remove('b1Set');
		if (setData == null) {
			alarmIf = 1;
			alarmVolume = 1;
			heartVolume = 1;
			var setData = new Object();
			setData.alarmIf = alarmIf;
			setData.alarmVolume = alarmVolume;
			setData.heartVolume = heartVolume;
			store.set('b1Set', JSON.stringify(setData));
		} else {
			var setData = JSON.parse(setData);
			// console.log(setData)
			alarmIf = setData.alarmIf;
			alarmVolume = setData.alarmVolume;
			heartVolume = setData.heartVolume;
		}
		/**
		 * 方法名：startConnect(function,function,string,string,string)
		 * 参数1：(function)成功时回调方法 参数2：(function)失败时回调方法(返回错误码) 参数3：(String)W域
		 * 参数4：(String)警报是否开启(0关闭，1开启) 参数5：(String)报警音量(0低，1高)
		 * 参数6：(String)胎心音音量(0到16) 返回值：(String)状态码 说明： 设备和app进入同一wifi，开始连接
		 */

		B1Manager.startConnect(M.SuccessWifiDevice, M.errorWifiDevice, wCode, alarmIf, alarmVolume, heartVolume, wifi, pwd, isResume);
	}
	// 设备连接wifi成功回调信息
	Model.prototype.SuccessWifiDevice = function(message) {

		// B1Manager.requestDeviceStatus(M.DeviceStatusSuccess,
		// M.DeviceStatusError);
		var obj = JSON.parse(store.get('$content'));
		var swVersion = "";
		if (message != null) {
			var info = JSON.parse(message);
			swVersion = info.swVersion;
		}
		var dev = '';
		if (typeof device === 'undefined') {
			dev = {
				model : '',
				manufacturer : '',
				platform : '',
				version : '',
			}
		} else {
			dev = device;
		}
		var wifiData = {
			"deid" : obj.eCode,
			"wfnm" : obj.wifiName2,
			"wfpw" : obj.wifiPwd,
			"lomg" : justep.Shell.lomg,
			"lat" : justep.Shell.lat,
			"dver" : swVersion,
			"nver" : justep.Shell.appNver,
			"apnm" : justep.Shell.appName,
			"modl" : dev.model, // 手机型号
			"faty" : dev.manufacturer, // 厂商
			"sysm" : dev.platform, // 操作系统
			"vers" : dev.version // 版本号
		};

		B1Manager.writeLog("0", wifiData, "wifi设备连接成功");
		// wifi记录
		dairy.getTokenItems(wifiData, 'system/Gravidawifi/insert', function(success, message, data) {
			if (success) {

			}
		});
		Model.prototype.readFileBlock();

	}

	// 进入连接设备、读设备档案模块
	Model.prototype.readFileBlock = function() {
		B1Manager.writeLog("0", exists, "是否存在非正常结束档案");
		var M = Model.prototype;
		if (!exists) {
			if (connectWay == 1) {
				B1Manager.requestDeviceStatus(M.DeviceStatusSuccess, M.AutoStatusPop); // 因为存在直接结束胎监，所以设备可能还是监护中，先判断设备状态做重置处理
			} else {
				B3Manager.requestDeviceStatus(M.DeviceStatusSuccess, M.AutoB3error); // 因为存在直接结束胎监，所以设备可能还是监护中，先判断设备状态做重置处理
			}
			layer.closeAll();
			// po.pop(justep.Shell.dev + '设备连接成功');
			// var url = '$UI/bestbaby-gravida/monitor/monitor.w';
			// justep.Shell.showPage(url);
		} else {
			// console.log('60分钟:' + existsSixty)
			if (!existsSixty) {
				if (connectWay == 1) {
					B1Manager.requestDeviceStatus(M.abnormalDeviceStatusSuccess, M.AutoStatusPop); // 有非正常结束档案判断设备状态
				} else {
					B3Manager.requestDeviceStatus(M.abnormalDeviceStatusSuccess, M.AutoB3error);
				}
			} else {
				if (sixtyUploadJson.adpcmSupport) {
					// layer.open({
					// shadeClose : false,
					// content : '胎监时间已超60分钟,上传胎心音约需要大于' + uploadHeartTime +
					// '分钟,是否上传胎心音',
					// btn : [ '是', '否' ],
					// yes : function(index) {
					// layer.close(index);
					// isUploadHeart = true;
					// Model.prototype.isUpload();
					// Model.prototype.isUploadFetus(true);
					// },
					// no : function(index) {
					// layer.close(index);
					isUploadHeart = false;
					Model.prototype.isUpload();
					Model.prototype.isUploadFetus(false);

					// }
					// });
					// $(".layui-m-layercont").css({
					// "padding" : "20px 30px 20px 30px",
					// "font-size" : "14px",
					// "color" : "#999999"
					// })
					// $('.layui-m-layerbtn').css({
					// "border-bottom-left-radius" : "0.52rem",
					// "border-bottom-right-radius" : "0.52rem",
					// "background-color" : "white"
					// });
					// $('.layui-m-layerbtn span').eq(1).css("color",
					// "#999999");
					// $('.layui-m-layerbtn span').eq(0).css({
					// "color" : "#f77e9d",
					// "border-right" : "none"
					// });

				} else {
					M.isUpload();
				}

			}

		}
	}
	// 是否上传胎声音
	Model.prototype.isUploadFetus = function(isfh) {
		var params = {
			"cdno" : endFileData.cdno,
			"isfh" : String(isfh)
		};

		dairy.getTokenItems(params, 'diagnosis/Custodydata/isUploadFlhs', function(success, message, data) {
			if (success) {

			}
		});
	}
	// 存在未满60分钟的未正常结束档案,继续胎监
	Model.prototype.noIsUpload = function() {
		layer.closeAll();
		var M = Model.prototype;
		po.pop(justep.Shell.dev + '设备连接成功');
		if (connectWay == 1) {
			B1Manager.directUpload(M.uploadDataSuccess, M.uploadDataError, sixtyUploadJson);
		} else {
			B3Manager.directUpload(M.uploadDataSuccess, M.uploadDataError, sixtyUploadJson);
		}
		var url = '$UI/bestbaby-gravida/monitor/monitor.w';
		justep.Shell.showPage(url);
	}
	// 存在的未正常结束档案，直接上传数据
	Model.prototype.isUpload = function() {
		var M = Model.prototype;
		layer.open({
			type : 2,
			shadeClose : false,
			content : '正在读取设备数据上传,请耐心等候'
		});
		var uploadDataJson = {
			orderNumber : justep.Shell.abnormalOrder,
			token : app.getToken().token,
			url : commonUrl + "/" + 'diagnosis/Custodydata/insertdata',
		}
		sixtyUploadJson.adpcmSupport = isUploadHeart;
		// console.log(uploadDataJson, sixtyUploadJson.isUpload)
		if (connectWay == 1) {

			if (justep.Shell.localType == 1) {
				B1Manager.uploadMonitorData(M.sendData, M.sendError, uploadDataJson);
			} else {
				B1Manager.uploadMonitorData(M.sendData, M.sendError, justep.Shell.abnormalOrder, app.getToken().token, commonUrl + "/" + 'diagnosis/Custodydata/insertdata');
			}

			// alert(sixtyUploadJson.isUpload );
			B1Manager.directUpload(M.uploadDataSuccess, M.uploadDataError, sixtyUploadJson);
		} else {
			if (justep.Shell.localType == 1) {
				B3Manager.uploadDatas(M.sendData, M.sendError, uploadDataJson);
			} else {
				B3Manager.uploadDatas(M.sendData, M.sendError, justep.Shell.abnormalOrder, app.getToken().token, commonUrl + "/" + 'diagnosis/Custodydata/insertdata');
			}
			B3Manager.directUpload(M.uploadDataSuccess, M.uploadDataError, sixtyUploadJson);
		}
	}
	// 有非正常结束档案时候设备状态
	var i = 0;
	Model.prototype.abnormalDeviceStatusSuccess = function(ev) {
		var M = Model.prototype;
		if (i == 0) {
			B1Manager.writeLog("0", ev, "查询有非正常结束档案时候设备状态");
			if (ev == 207) {
				// layer.open({
				// content : '因设备已不在监护状态，无法继续胎监',
				// style : 'background-color:rgba(0,0,0,.6);color:#fff;
				// border:none;', // 自定风格
				// time : 5,
				// fixed : true,
				// end : function() {
				// sixtyUploadJson.isUpload = true;
				// Model.prototype.isUpload();
				// }
				// });
				// $(".layui-m-layercont").css("padding", "15px");
				// $('.layui-m-layer0 .layui-m-layerchild').css("width", "50%")
				if (isResume) {
					// layer.open({
					// shadeClose : false,
					// content : '因设备已不在监护状态，无法继续胎监,将为你结束档案，请选择是否上传胎心音（上传约需要大于'
					// + uploadHeartTime + '分钟）,是否上传胎心音',
					// btn : [ '是', '否' ],
					// yes : function(index) {
					// layer.close(index);
					// isUploadHeart = true;
					// sixtyUploadJson.isUpload = true;
					// Model.prototype.isUpload();
					// Model.prototype.isUploadFetus(true);
					// },
					// no : function(index) {
					// layer.close(index);
					isUploadHeart = false;
					sixtyUploadJson.isUpload = true;
					Model.prototype.isUpload();
					Model.prototype.isUploadFetus(false);

					// }
					// });
					// $(".layui-m-layercont").css({
					// "padding" : "20px 30px 20px 30px",
					// "font-size" : "14px",
					// "color" : "#999999"
					// })
					// $('.layui-m-layerbtn').css({
					// "border-bottom-left-radius" : "0.52rem",
					// "border-bottom-right-radius" : "0.52rem",
					// "background-color" : "white"
					// });
					// $('.layui-m-layerbtn span').eq(1).css("color",
					// "#999999");
					// $('.layui-m-layerbtn span').eq(0).css({
					// "color" : "#f77e9d",
					// "border-right" : "none"
					// });
				} else {
					layer.open({
						content : '因设备已不在监护状态，且设备不支持存档，将自动结束胎监',
						style : 'background-color:rgba(0,0,0,.6);color:#fff;border:none;', // 自定风格
						time : 5,
						fixed : true,
						end : function() {
							Model.prototype.endFile(endFileData);
						}
					});
					$(".layui-m-layercont").css("padding", "15px");
					$('.layui-m-layer0 .layui-m-layerchild').css("width", "50%")

				}

			} else if (ev == 208) {

				if (!sixtyUploadJson.isUpload) {
					Model.prototype.noIsUpload();
				} else {
					Model.prototype.isUpload();
				}
			}
			i++;
		}

	};
	// 没非正常结束档案时候设备状态
	var a = 0;
	Model.prototype.DeviceStatusSuccess = function(ev) {
		var M = Model.prototype;
		console.log(ev, 'main')
		if (a == 0) {
			B1Manager.writeLog("0", ev, "查询没非正常结束档案时候设备状态");
			if (ev == 207) {
				a++;
				var url = '$UI/bestbaby-gravida/monitor/monitor.w';
				justep.Shell.showPage(url);
			} else if (ev == 208) {
				if (connectWay == 1) {
					B1Manager.sendForceMonitor(function() { // 当设备是监护中发送初始化
						// var url = '$UI/bestbaby-gravida/monitor/monitor.w';
						// justep.Shell.showPage(url);
					}, function() {
					});
				} else {
					B3Manager.sendForceMonitor(function() { // 当设备是监护中发送初始化
						// var url = '$UI/bestbaby-gravida/monitor/monitor.w';
						// justep.Shell.showPage(url);
					}, function() {
					});
				}
			}

		}

	};
	Model.prototype.sendData = function(event) { // 上传胎监数据成功
		Model.prototype.endFile(endFileData);
	}
	Model.prototype.sendError = function(event) { // 上传胎监数据失败
		layer.closeAll();
		layer.open({
			shadeClose : false,
			content : '上传胎监数据失败',
			btn : [ '放弃', '继续上传' ],
			yes : function(index) {
				Model.prototype.isUploadFetus(false);
				Model.prototype.endFile(endFileData);
				layer.close(index);
			},
			no : function(index) {
				// console.log('继续')
				Model.prototype.isUpload();
				// Model.prototype.readFileBlock();
				layer.close(index);

			}
		});
		$(".layui-m-layercont").css({
			"padding" : "20px 30px 20px 30px",
			"font-size" : "14px",
			"color" : "#999999"
		});
		$('.layui-m-layerbtn').css({
			"border-bottom-left-radius" : "0.52rem",
			"border-bottom-right-radius" : "0.52rem",
			"background-color" : "white"
		});
		$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
		$('.layui-m-layerbtn span').eq(0).css({
			"color" : "#f77e9d",
			"border-right" : "none"
		});
		// po.pop('上传数据失败');
	}
	// 满60分钟情况下直接上传数据---成功(插件没回调假方法)
	Model.prototype.uploadDataSuccess = function() {
	}
	// 满60分钟情况下直接上传数据--失败
	Model.prototype.uploadDataError = function() {
		// po.pop('上传数据失败');
	}

	// 设备连接wifi失败回调信息
	Model.prototype.errorWifiDevice = function(message) {

		Model.prototype.AutoStatusPop(message);

	}
	/**
	 * "100" - wifi账号数据为空 "101" - 连接失败 "102" - 未切换至设备热点 "103" - W域的字符串为空 "104" -
	 * 心跳包端开，断线 "110" - 开始监测失败 "120" - 停止监测失败 "130" - 宫压调零失败 "140" - 设置报警开关失败
	 * "150" - 设置报警音量失败 "160" - 设置胎心音音量失败,"105"-当前wifi与通知设备连接的wifi不匹配 "108" -
	 * 没搜索到该WIFI "109" - 用户拒绝了定位授权
	 */
	Model.prototype.AutoStatusPop = function(ev) {
		B1Manager.writeLog("0", ev, "wifi设备自动失败");
		layer.closeAll();
		// alert(ev)

		$(".layui-m-layercont").css("padding", "15px");
		$('.layui-m-layer0 .layui-m-layerchild').css("width", "50%")
		var type = justep.Shell.localType;
		var content = JSON.parse(store.get('$content'));
		var wifi = content.wifiName2;
		var that = this;
		if (ev == 101) {
			po.pop("连接失败");
		} else if (ev == 102) {
			po.pop('未切换至设备热点');
		} else if (ev == 103) {
			po.pop('W域的字符串为空');
		} else if (ev == 104) {
			if (exists) {
				layer.open({
					shadeClose : false,
					content : '与设备断开连接，请检查设备是否正常，确定设备正常后，请按确定',
					btn : [ '确定' ],
					yes : function(index) {
						Model.prototype.readFileBlock()
						layer.close(index);
						// Model.prototype.connectB1();
					}
				});
			} else {
				po.pop('心跳包端开，断线');

			}

		} else if (ev == 105) {

			if (type == 1) {
				po.pop('手机wifi与设备连接的wifi不同，正在为你切换到：' + wifi);
				Model.prototype.connectB1();
			} else {
				po.pop('手机wifi与设备连接的wifi不同,请切换到：' + wifi);
				if (exists) {
					layer.open({
						shadeClose : false,
						content : '是否继续进行连接，或放弃本次胎监？',
						btn : [  '放弃','切换wifi' ],
						yes : function(index) {
							// Model.prototype.connectB1();
							Model.prototype.isUploadFetus(false);
							Model.prototype.endFile(endFileData);
							layer.close(index);
						},
						no : function(index) {
							// Model.prototype.connectB1();
							Model.prototype.AutoOpenSetting(ev)
							layer.close(index);
							// Model.prototype.connectB1();
						}
					});
				} else {
					layer.open({
						content : '是否继续进行连接？',
						btn : [ '切换wifi', '重新扫码' ],
						yes : function(index) {
							// Model.prototype.connectB1();
							Model.prototype.AutoOpenSetting(ev)
							layer.close(index);
							// Model.prototype.connectB1();
						},
						no : function(index) {
							$('.scanBtn').trigger('click');
							layer.close(index)
						}
					});

				}

			}

		} else if (ev == 110) {
			po.pop('开始监测失败');
		} else if (ev == 120) {
			po.pop('停止监测失败');
		} else if (ev == 130) {
			po.pop('宫压调零失败');
		} else if (ev == 140) {
			po.pop('设置报警开关失败');
		} else if (ev == 150) {
			po.pop('设置报警音量失败');
		} else if (ev == 160) {
			po.pop('设置胎心音音量失败');
		} else if (ev == 107) {

			if (exists) {
				layer.open({
					shadeClose : false,
					content : '是否继续进行连接，或放弃本次胎监？',
					btn : ['放弃','继续' ],
					yes : function(index) {
						// Model.prototype.connectB1();
						Model.prototype.isUploadFetus(false);
						Model.prototype.endFile(endFileData);
						layer.close(index);
					},
					no : function(index) {
						Model.prototype.connectB1();
						layer.close(index);
						// Model.prototype.connectB1();
					}
				});
				
			} else {

				layer.open({
					content : '是否继续进行连接？',
					btn : [ '继续', '重新扫码' ],
					yes : function(index) {
						Model.prototype.connectB1();
						layer.close(index);
						// Model.prototype.connectB1();
					},
					no : function(index) {
						$('.scanBtn').trigger('click');
						layer.close(index);
					}
				});
			}

			$(".layui-m-layercont").css({
				"padding" : "20px 30px 20px 30px",
				"font-size" : "14px",
				"color" : "#999999"
			})
			$('.layui-m-layerbtn').css({
				"border-bottom-left-radius" : "0.52rem",
				"border-bottom-right-radius" : "0.52rem",
				"background-color" : "white"
			});
			$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
			$('.layui-m-layerbtn span').eq(0).css({
				"color" : "#f77e9d",
				"border-right" : "none"
			});
		} else if (ev == 108) {
			po.pop('没搜索到该WIFI');
		} else if (ev == 109) {
			po.pop('用户拒绝了定位授权');
		} else if (ev == 112) {
			po.pop('请打开wifi，再连接');
		} else if (ev == 114) {
			po.pop('请打开存储权限，否则无法正常进行监测');
		} else if (ev == 113) {
			po.pop('自动切换wifi失败');
		} else if (ev == 115) {
			layer.open({
				content : '没搜索到设备连接wifi:' + wifi,
				style : 'background-color:rgba(0,0,0,.6);color:#fff; border:none;', // 自定风格
				time : 3,
				fixed : true,
				end : function() {

					if (exists) {
						layer.open({
							shadeClose : false,
							content : '是否继续进行连接，或放弃本次胎监？',
							btn : [ '放弃','继续' ],
							yes : function(index) {
								// Model.prototype.connectB1();
								Model.prototype.isUploadFetus(false);
								Model.prototype.endFile(endFileData);
								layer.close(index);
							},
							no : function(index) {
								Model.prototype.connectB1();
								layer.close(index);
								// Model.prototype.connectB1();
							}
						});
					} else {
						layer.open({
							shadeClose : !exists,
							content : '是否继续进行连接？',
							btn : [ '继续', '重新扫码' ],
							yes : function(index) {
								Model.prototype.connectB1();
								layer.close(index);
								// Model.prototype.connectB1();
							},
							no : function(index) {
								$('.scanBtn').trigger('click');
								layer.close(index)
							}
						});
					}
					$(".layui-m-layercont").css({
						"padding" : "20px 30px 20px 30px",
						"font-size" : "14px",
						"color" : "#999999"
					})
					$('.layui-m-layerbtn').css({
						"border-bottom-left-radius" : "0.52rem",
						"border-bottom-right-radius" : "0.52rem",
						"background-color" : "white"
					});
					$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
					$('.layui-m-layerbtn span').eq(0).css({
						"color" : "#f77e9d",
						"border-right" : "none"
					});
				}
			});

		} else if (ev == 116) {
			// alert(ev)
			layer.closeAll();
			var content = JSON.parse(store.get('$content'));
			var wCode = content.wCode;
			var wifi = content.wifiName2;

			if (type == 1) {

				layer.open({
					content : '手机wifi与设备连接的wifi不同，正在为你自动切换到' + wifi,
					style : 'background-color:rgba(0,0,0,.6);color:#fff; border:none;', // 自定风格
					time : 3,
					fixed : true,
					end : function() {
						Model.prototype.connectB1();
					}
				});

			} else {

				layer.open({
					content : '手机wifi与设备连接的wifi不同，请切换到' + wifi + ',将为你自动切到设置页面',
					style : 'background-color:rgba(0,0,0,.6);color:#fff; border:none;', // 自定风格
					time : 10,
					fixed : true,
					end : function() {
						Model.prototype.AutoOpenSetting(ev)
					}
				});

			}

		} else if (ev == 206) {
			layer.open({
				shadeClose : false,
				content : '与设备断开连接，请检查设备是否正常，确定设备正常后，请按确定',
				btn : [ '确定' ],
				yes : function(index) {
					Model.prototype.readFileBlock()
					layer.close(index);
					// Model.prototype.connectB1();
				}
			});
		}
	}
	// 弹窗cancel事件
	Model.prototype.cancelClick = function() {
		// $('.connectBtn').css('display', 'block');
		// $('.connectingBtn').css('display', 'none');
	};
	// 蓝牙打开成功 "209" - 请求蓝牙授权成功
	Model.prototype.AutoOpenBluetoothSuccess = function(ev) {
		B1Manager.writeLog("0", ev, "请求蓝牙授权成功");
		var configData = store.get('$configData');

		layer.open({
			type : 2,
			shadeClose : false,
			content : '正在为你自动连接'
		});
		// }

		var M = Model.prototype;
		/**
		 * 方法名：connect(function, function, string, string, string, string,
		 * string) 参数1：(function) 成功时回调方法 参数2：(function) 失败时回调方法（返回错误码）
		 * 参数3：(string) B 域 参数4：(string) U 域 参数5：(string) 报警是否开启（0 关闭，1 开启）
		 * 参数6：(string) 报警音量（0 低，1 高） 参数7：(string) 胎心音音量（0 到 16） 返回值：(string)
		 * 状态码 说明：手机 APP 根据扫码所得的参数，启用蓝牙去连接设备
		 */
		var content = JSON.parse(store.get('$content'));
		// 存储b3设置信息
		var setData = store.get('b3Set');
		// console.log(setData)
		// var setData=store.remove('b3Set');
		if (setData == null) {
			var alarmIf = 1;
			var alarmVolume = 1;
			var heartVolume = 1;
			var setData = new Object();
			setData.alarmIf = alarmIf;
			setData.alarmVolume = alarmVolume;
			setData.heartVolume = heartVolume;
			store.set('b3Set', JSON.stringify(setData));
		} else {
			var setData = JSON.parse(setData);
			// console.log(setData)
			var alarmIf = setData.alarmIf;
			var alarmVolume = setData.alarmVolume;
			var heartVolume = setData.heartVolume;

		}
		// var a = $.parseJSON(content);
		// console.log('B3Manager--content:',content);
		var uCode = content.uCode;
		var bCode = content.bCode;
		var eCode = content.eCode;
		B3Manager.connect(M.AutoB3Success, M.AutoB3error, bCode, uCode, alarmIf, alarmVolume, heartVolume, isResume, eCode, justep.Shell.dev);

	}
	// B3连接成功调用方法
	/*
	 * 成功状态码："200" - 连接设备成功 "201" - 断开连接成功 "202" - 停止胎监成功 "203" - 宫压调零成功 "204" -
	 * 音量设置成功 "205" - 设置报警成功 "206" - 设置报警音量成功
	 */
	Model.prototype.AutoB3Success = function(ev) {
		B1Manager.writeLog("0", ev, "蓝牙设备自动连接成功");
		// layer.closeAll();
		var obj = JSON.parse(store.get('$content'));
		if (ev != null) {
			// alert(JSON.stringify(message))
			var info = JSON.parse(ev);
			swVersion = info.swVersion;
		}
		var dev = '';
		if (typeof device === 'undefined') {
			dev = {
				model : '',
				manufacturer : '',
				platform : '',
				version : '',
			}
		} else {
			dev = device;
		}		
		var wifiData = {
			"deid" : obj.eCode,
			"wfnm" : obj.wifiName2,
			"wfpw" : obj.wifiPwd,
			"lomg" : justep.Shell.lomg,
			"lat" : justep.Shell.lat,
			"dver" : swVersion,
			"nver" : justep.Shell.appNver,
			"apnm" : justep.Shell.appName,
			"modl" : dev.model, // 手机型号
			"faty" : dev.manufacturer, // 厂商
			"sysm" : dev.platform, // 操作系统
			"vers" : dev.version // 版本号
		};

		// console.log(wifiData)
		// 添加连接记录
		dairy.getTokenItems(wifiData, 'system/Gravidawifi/insert', function(success, message, data) {
			if (success) {

			}
		});
		// var url = '$UI/bestbaby-gravida/monitor/monitor.w';
		//
		// justep.Shell.showPage(url);

		Model.prototype.readFileBlock();
		// that.comp("windowDialog1").open();
		if (ev == 201) {
			po.pop('断开连接成功');
		}
	}
	Model.prototype.AutoB3error = function(ev) {
		B1Manager.writeLog("0", ev, "蓝牙设备自动连接失败");
		layer.closeAll();
		// alert(ev)
		if (ev == 101) {
			// po.pop("MAC 地址格式错误");
			po.pop('暂时无法建立连接，请稍后连接');
		} else if (ev == 102) {
			// po.pop('UUID 格式错误');
			po.pop('暂时无法建立连接，请稍后连接');
		} else if (ev == 103) {
			// po.pop('蓝牙连接错误');
			po.pop('暂时无法建立连接，请稍后连接');
		} else if (ev == 104) {
			// po.pop('本地蓝牙不可用');
			if (exists) {
				layer.open({
					shadeClose : false,
					content : '与设备断开连接，请检查设备是否正常，确定设备正常后，请按确定',
					btn : [ '确定' ],
					yes : function(index) {
						Model.prototype.readFileBlock()
						layer.close(index);
						// Model.prototype.connectB1();
					}
				});

			} else {
				po.pop('暂时无法建立连接，请稍后连接');

			}

		} else if (ev == 105) {
			// po.pop('蓝牙未打开，请打开蓝牙');
			if (justep.Shell.localType == 1) {
				po.pop('蓝牙未打开，请打开蓝牙');
			} else {
				if (!exists) {
					layer.open({
						content : '请打开蓝牙，确认继续连接',
						btn : [ '继续', '取消' ],
						yes : function(index) {
							Model.prototype.AutoOpenBluetoothSuccess();
							layer.close(index);
							// Model.prototype.connectB1();
						},
						no : function(index) {

							layer.close(index);
						}
					});
				} else {
					layer.open({
						shadeClose : false,
						content : '请打开蓝牙，确认继续连接',
						btn : [ '继续' ],
						yes : function(index) {
							Model.prototype.AutoOpenBluetoothSuccess();
							layer.close(index);
							// Model.prototype.connectB1();
						}
					});
				}

			}

			$(".layui-m-layercont").css({
				"padding" : "20px 30px 20px 30px",
				"font-size" : "14px",
				"color" : "#999999"
			})
			$('.layui-m-layerbtn').css({
				"border-bottom-left-radius" : "0.52rem",
				"border-bottom-right-radius" : "0.52rem",
				"background-color" : "white"
			});
			$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
			$('.layui-m-layerbtn span').eq(0).css({
				"color" : "#f77e9d",
				"border-right" : "none"
			});
		} else if (ev == 106) {
			// alert("hello")
			if (exists) {
				layer.open({
					content : '是否继续进行连接，或放弃本次胎监？',
					btn : [ '放弃', '继续' ],
					yes : function(index) {
						// Model.prototype.connectB1();
						Model.prototype.isUploadFetus(false);
						Model.prototype.endFile(endFileData);
						layer.close(index);
					},
					no : function(index) {
						Model.prototype.AutoOpenBluetoothSuccess();
						layer.close(index);
					}
				});

			} else {
				layer.open({
					content : '是否继续进行连接？',
					btn : [ '继续', '重新扫码' ],
					yes : function(index) {
						Model.prototype.AutoOpenBluetoothSuccess();
						layer.close(index);
						// Model.prototype.connectB1();
					},
					no : function(index) {
						$('.scanBtn').trigger('click');
						layer.closeAll();
					}
				});

			}
			$(".layui-m-layercont").css({
				"padding" : "20px 30px 20px 30px",
				"font-size" : "14px",
				"color" : "#999999"
			})
			$('.layui-m-layerbtn').css({
				"border-bottom-left-radius" : "0.52rem",
				"border-bottom-right-radius" : "0.52rem",
				"background-color" : "white"
			});
			$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
			$('.layui-m-layerbtn span').eq(0).css({
				"color" : "#f77e9d",
				"border-right" : "none"
			});
			// po.pop('设备搜索超时');
		} else if (ev == 107) {
			// po.pop('设备蓝牙芯片频率和手机蓝牙频率的问题，APP 端无法解决，建议重新连接');
			po.pop('暂时无法建立连接，请稍后连接');
		} else if (ev == 100) {
			po.pop('与设备的连接已断开');
		} else if (ev == 108) {
			po.pop('cdno 单号为空');
		} else if (ev == 109) {
			// po.pop('蓝牙使能会检测手机蓝牙是否支持 BLE 设备，不支持时返回');
			po.pop('手机蓝牙设备不支持与B3连接，请更换手机再操作');
		} else if (ev == 110) {
			po.pop('蓝牙请求授权失败，请到应用权限管理里面手动打开');
		} else if (ev == 113) {
			po.pop('定位授权失败');
		} else if (ev == 114) {
			po.pop('读取文件授权失败，请到应用权限管理里面手动打开');
		} else if (ev == 260) {
			layer.open({
				shadeClose : false,
				content : '与设备断开连接，请检查设备是否正常，确定设备正常后，请按确定',
				btn : [ '确定' ],
				yes : function(index) {
					Model.prototype.readFileBlock()
					layer.close(index);
					// Model.prototype.connectB1();
				}
			});

		}
	};

	Model.prototype.a3Click = function(event) {
		var selected = $(event.target).attr('uri');
		window.open(selected, '_system');
	};
	// 判断是否存在非正常结束60分钟档案
	Model.prototype.judgeExistsSixty = function() {
		var dataObj = new Object();
		dataObj.exists = false;
		var that = this;
		justep.Shell.exitsAbnormal = false;
		justep.Shell.abnormalOrder = ''; // 单号
		dairy.getTokenItems({}, 'diagnosis/Custodydata/isNorEnd', function(success, message, data) {
			if (success) {
				var resData = data.content;
				if (resData) {
					B1Manager.writeLog("0", resData, "存在网络异常档案");
					// console.log(60 - resData.cudata.cttm,
					// resData.cudata.cttm)
					var date = new Date(resData.cudata.crtm.replace(/\-/g, "/"));

					// console.log(((new Date().getTime() -
					// date.getTime())/1000))
					var tmpTime = ((new Date().getTime() - date.getTime()) / 1000) / 60;
					tmpTime = tmpTime > 60 ? 60 : tmpTime;
					var time = (tmpTime - resData.cudata.cttm) / 4;
					time = time == 0 ? 1 : time;
					uploadHeartTime = Math.ceil(time);
					justep.Shell.exitsAbnormal = true;
					dataObj.exists = true;
					exists = true;
					var dataCu = resData.cudata;
					var endExpe = '';
					if (dataCu.expe) {
						endExpe = dataCu.expe;
					}
					justep.Shell.abnormalOrder = dataCu.cdno;
					var date = new Date().getFullYear() + "-" + (parseInt(new Date().getMonth()) + 1) + "-" + new Date().getDate() + " " + new Date().getHours() + ":" + new Date().getMinutes() + ":"
									+ new Date().getSeconds();// 当前日期;
					var endData = {
						"cdno" : dataCu.cdno,
						"fets" : dataCu.fets,
						"expe" : endExpe,
						"fltm" : date
					// TODO
					};

					endFileData = endData;
					sixtyUploadJson = {
						"adpcmOff" : resData.size,// 胎心音偏移量(后台返回的adpcm文件长度)
						"adpcmSupport" : false,// 是否支持胎心音文档功能
						"slno" : resData.slno,// 胎心音文件序号(最后的序号)
						"fatalIndex" : resData.order,// 胎心率包序(后台返回的最后一个点的包序)
						"fatalSupport" : false,// 是否支持胎监数据文档功能
						"fileName" : resData.name == 'nofile' ? "" : resData.name,// 文件名
						"startTime" : dataCu.sttm,// 开始时间
						"autoList" : resData.hmme,
						"isUpload" : true
					// 是否上传,true - 是，false - 否
					};
					// console.log(sixtyUploadJson)
					if (!resData.more60) {
						layer.open({
							shadeClose : false,
							content : '发现未正常结束的胎监，请选择继续胎监，或放弃本次胎监？',
							btn : [ '放弃', '继续胎监' ],
							yes : function(index) {
								Model.prototype.isUploadFetus(false);
								that.endFile(endData);
								layer.close(index);
							},
							no : function(index) {
								// console.log('继续')
								sixtyUploadJson.isUpload = false;
								that.continueFile();
								layer.close(index);

							}
						});

					} else {
						Model.prototype.createFile();

					}

				}
				$(".layui-m-layercont").css({
					"padding" : "20px 30px 20px 30px",
					"font-size" : "14px",
					"color" : "#999999"
				})
				$('.layui-m-layerbtn').css({
					"border-bottom-left-radius" : "0.52rem",
					"border-bottom-right-radius" : "0.52rem",
					"background-color" : "white"
				});
				$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
				$('.layui-m-layerbtn span').eq(0).css({
					"color" : "#f77e9d",
					"border-right" : "none"
				});
			} else {
				po.pop(message);
			}
		})

	}
	// 检查非正常结束档案已经满60分钟执行方法
	Model.prototype.createFile = function() {
		// layer.closeAll();
		// po.pop('胎监时间已超60分钟，正在生成档案');
		layer.open({
			type : 2,
			shadeClose : false,
			content : '胎监已超60分钟，正在生成档案'
		});
		existsSixty = true;
		// $('.Startbutton').click();
		justep.Shell.fireEvent('openBtnClick');

	}
	// 检查存在非正常结束档案并在弹窗选择结束胎监执行方法
	Model.prototype.endFile = function(endData) {
		if (connectWay != 0) {
			if (connectWay == 2) {
				B3Manager.closeGatt(function() {
				}, function() {

				}); // 断开监听

			} else {
				B1Manager.disConnect(function() {
				}, function() {

				});
			}

		}
		dairy.getTokenItems(endData, 'diagnosis/Custodydata/endCustody', function(success, message, data) {
			if (success) {
				exists = false;
				existsSixty = false;
				justep.Shell.exitsAbnormal = false;
				layer.closeAll();
				po.pop('结束成功');
				var cdno = endData.cdno;// id
				var url = '$UI/bestbaby-gravida/file/monitorDetail.w';
				justep.Shell.showPage(url, {
					data : cdno,
					monitor : false
				})
			} else {
				po.pop(message);
			}
		});
		// console.log('结束')
		// console.log(endData)

	}
	// 检查存在非正常结束档案并在弹窗选择继续胎监执行方法
	Model.prototype.continueFile = function(data) {
		justep.Shell.fireEvent('openBtnClick');
		// $('.Startbutton').click();
	}
	return Model;

});
