define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	require("$UI/bestbaby-gravida/common/js/common");
	var set = require("$UI/bestbaby-gravida/common/js/getItems");
	var po = require("$UI/bestbaby-gravida/common/js/popUp")
	var store = require("$UI/bestbaby-gravida/common/js/store/dist/store.modern.min");

	var Model = function() {
		this.callParent();
	};

	Model.prototype.modelLoad = function(event) {
	var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
			if(!$('.deviceDetail_panel').hasClass('ios_style')){
				$('.deviceDetail_panel').addClass('ios_style')
			}
		}
		var eq = this.comp("eq");
		var content = store.get('$content');
		// console.log(content)
		var a = JSON.parse(content);
		// console.log(data)
		eq.clear();

		eq.add({
			id : 1,
			eCode : a.eCode,
			tCode : a.tCode,
			uCode : a.uCode,
			wCode : a.wCode,
			wifiName : a.wifiName,
			wifiName2 : a.wifiName2,
			wifiPwd : a.wifiPwd,
			logo : a.tCode = 'B1' ? '$UI/bestbaby-gravida/common/images/index-monitor-img.png' : '$UI/bestbaby-gravida/common/images/index-eq-img-2.png'

		});
	};
	// wifi名的显示
	Model.prototype.wifiLabel = function(ev) {

		var str = '';
		// console.log(this.comp("eq").val('wifiName2'))
		if (ev == null) {
			str = 'B3同过蓝牙连接';
		} else {
			str = ev;
		}
		return str;
	}
	// 连接设备
	Model.prototype.connectBtn = function(event) {
		$('.connectBtn').css('display', 'none');
		$('.connectingBtn').css('display', 'block');
		if (this.comp('eq').val('tCode') == 'B1') {
			po.pop('正在为你自动连接到设备，请稍等');
			var wCode = this.comp("eq").val('wCode');
			var wifi = this.comp("eq").val('wifiName');
			var pwd = this.comp("eq").val('wifiPwd')
			var M = Model.prototype;
			var alarmIf = "";
			var alarmVolume = "";
			var heartVolume = "";
			// 存储b1设置信息
			var setData = store.get('b1Set');
			// console.log(setData)
			// var setData=store.remove('b1Set');
			if (setData == null) {
				alarmIf = 1;
				alarmVolume = 1;
				heartVolume = 5;
				var setData = new Object();
				setData.alarmIf = alarmIf;
				setData.alarmVolume = alarmVolume;
				setData.heartVolume = heartVolume;
				store.set('b1Set', JSON.stringify(setData));
			} else {
				var setData = JSON.parse(setData);
				// console.log(setData)
				alarmIf = setData.alarmIf;
				alarmVolume = setData.alarmVolume;
				heartVolume = setData.heartVolume;
			}
			/**
			 * 方法名：startConnect(function,function,string,string,string)
			 * 参数1：(function)成功时回调方法 参数2：(function)失败时回调方法(返回错误码) 参数3：(String)W域
			 * 参数4：(String)警报是否开启(0关闭，1开启) 参数5：(String)报警音量(0低，1高)
			 * 参数6：(String)胎心音音量(0到16) 返回值：(String)状态码 说明： 设备和app进入同一wifi，开始连接
			 */
			B1Manager.startConnect(M.SuccessWifiDevice, M.errorWifiDevice, wCode, alarmIf, alarmVolume, heartVolume, wifi, pwd);
		} else {

			var M = Model.prototype;

			var that = this;
			/**
			 * 方法名：enableBluetooth(function, function) 参数1：(function) 成功时回调方法
			 * 参数2：(function) 失败时回调方法（返回状态码） 返回值：(string) 状态码 说明：蓝牙使能
			 */
			B3Manager.enableBluetooth(M.openBluetoothSuccess, M.B3error);
		}

	};

	// 解绑
	Model.prototype.delectBtnClick = function(event) {
		store.remove('$content');
		justep.Shell.closePage();
	};

	Model.prototype.modelParamsReceive = function(event) {

	};
	Model.prototype.connectB1 = function() {
		// console.log(1)
		po.pop('正在为你自动连接到设备，请稍等');
		var content = JSON.parse(store.get('$content'));
		var wCode = content.wCode;
		var wifi = content.wifiName2;
		var pwd = content.wifiPwd;
		var M = Model.prototype;
		var alarmIf = "";
		var alarmVolume = "";
		var heartVolume = "";
		// 存储b1设置信息
		var setData = store.get('b1Set');
		// console.log(setData)
		// var setData=store.remove('b1Set');
		if (setData == null) {
			alarmIf = 1;
			alarmVolume = 1;
			heartVolume = 5;
			var setData = new Object();
			setData.alarmIf = alarmIf;
			setData.alarmVolume = alarmVolume;
			setData.heartVolume = heartVolume;
			store.set('b1Set', JSON.stringify(setData));
		} else {
			var setData = JSON.parse(setData);
			// console.log(setData)
			alarmIf = setData.alarmIf;
			alarmVolume = setData.alarmVolume;
			heartVolume = setData.heartVolume;
		}
		/**
		 * 方法名：startConnect(function,function,string,string,string)
		 * 参数1：(function)成功时回调方法 参数2：(function)失败时回调方法(返回错误码) 参数3：(String)W域
		 * 参数4：(String)警报是否开启(0关闭，1开启) 参数5：(String)报警音量(0低，1高)
		 * 参数6：(String)胎心音音量(0到16) 返回值：(String)状态码 说明： 设备和app进入同一wifi，开始连接
		 */
		B1Manager.startConnect(M.SuccessWifiDevice, M.errorWifiDevice, wCode, alarmIf, alarmVolume, heartVolume, wifi, pwd);
	}
	// 设备连接wifi成功回调信息
	Model.prototype.SuccessWifiDevice = function(message) {
		// Model.prototype.button1Click(event, 1);
		po.pop('B1设备连接成功');

		var url = '$UI/bestbaby-gravida/monitor/monitor.w';
		var datas = {
			dev : "B1"
		};
		justep.Shell.showPage(url, {
			data : datas
		});

	}
	// 设备连接wifi失败回调信息
	Model.prototype.errorWifiDevice = function(message) {

		Model.prototype.statusPop(message);

	}
	/**
	 * "100" - wifi账号数据为空 "101" - 连接失败 "102" - 未切换至设备热点 "103" - W域的字符串为空 "104" -
	 * 心跳包端开，断线 "110" - 开始监测失败 "120" - 停止监测失败 "130" - 宫压调零失败 "140" - 设置报警开关失败
	 * "150" - 设置报警音量失败 "160" - 设置胎心音音量失败,"105"-当前wifi与通知设备连接的wifi不匹配 "108" -
	 * 没搜索到该WIFI "109" - 用户拒绝了定位授权
	 */
	Model.prototype.statusPop = function(ev) {
		if (ev == 101) {
			po.pop("连接失败");
		} else if (ev == 102) {
			po.pop('未切换至设备热点');
		} else if (ev == 103) {
			po.pop('W域的字符串为空');
		} else if (ev == 104) {
			po.pop('心跳包端开，断线');
		} else if (ev == 105) {

			var content = JSON.parse(store.get('$content'));
			var wCode = content.wCode;
			var wifi = content.wifiName2;
			var pwd = content.wifiPwd;
			var M = Model.prototype;
			var alarmIf = '';
			var alarmVolume = '';
			var heartVolume = '';
			// 存储b1设置信息
			var setData = store.get('b1Set');
			// console.log(setData)
			// var setData=store.remove('b1Set');
			if (setData == null) {
				 alarmIf = 1;
				alarmVolume = 1;
				 heartVolume = 5;
				var setData = new Object();
				setData.alarmIf = alarmIf;
				setData.alarmVolume = alarmVolume;
				setData.heartVolume = heartVolume;
				store.set('b1Set', JSON.stringify(setData));
			} else {
				var setData = JSON.parse(setData);
				// console.log(setData)
			     alarmIf = setData.alarmIf;
				 alarmVolume = setData.alarmVolume;
				 heartVolume = setData.heartVolume;
			}
			/**
			 * 方法名：startConnect(function,function,string,string,string)
			 * 参数1：(function)成功时回调方法 参数2：(function)失败时回调方法(返回错误码) 参数3：(String)W域
			 * 参数4：(String)警报是否开启(0关闭，1开启) 参数5：(String)报警音量(0低，1高)
			 * 参数6：(String)胎心音音量(0到16) 返回值：(String)状态码 说明： 设备和app进入同一wifi，开始连接
			 */
			B1Manager.startConnect(M.SuccessWifiDevice, M.errorWifiDevice, wCode, alarmIf, alarmVolume, heartVolume, wifi, pwd);
			po.pop('当前wifi与通知设备连接的wifi不匹配，正在为你切换到对应的wifi');
		} else if (ev == 110) {
			po.pop('开始监测失败');
		} else if (ev == 120) {
			po.pop('停止监测失败');
		} else if (ev == 130) {
			po.pop('宫压调零失败');
		} else if (ev == 140) {
			po.pop('设置报警开关失败');
		} else if (ev == 150) {
			po.pop('设置报警音量失败');
		} else if (ev == 160) {
			po.pop('设置胎心音音量失败');
		} else if (ev == 107) {
			// var M=Model.prototype;
			// po.pop('未搜索到设备');
			justep.Util.confirm('是否继续进行连接？（如果多次自动连接不上，请进行手动切换到与设备对应的wifi，再点确认）确认（继续连接），取消（停止连接）', Model.prototype.connectB1, Model.prototype.cancelClick);

		} else if (ev == 108) {
			po.pop('没搜索到该WIFI');
		} else if (ev == 109) {
			po.pop('用户拒绝了定位授权');
		}
	}
	// 弹窗cancel事件
	Model.prototype.cancelClick = function() {
		$('.connectBtn').css('display', 'block');
		$('.connectingBtn').css('display', 'none');
	};
	// 蓝牙打开成功 "209" - 请求蓝牙授权成功
	Model.prototype.openBluetoothSuccess = function(ev) {
		if (ev == 209) {
			po.pop('请求蓝牙授权成功,请稍等正在为你连接到设备');
		}
		var M = Model.prototype;
		/**
		 * 方法名：connect(function, function, string, string, string, string,
		 * string) 参数1：(function) 成功时回调方法 参数2：(function) 失败时回调方法（返回错误码）
		 * 参数3：(string) B 域 参数4：(string) U 域 参数5：(string) 报警是否开启（0 关闭，1 开启）
		 * 参数6：(string) 报警音量（0 低，1 高） 参数7：(string) 胎心音音量（0 到 16） 返回值：(string)
		 * 状态码 说明：手机 APP 根据扫码所得的参数，启用蓝牙去连接设备
		 */
		var content = JSON.parse(store.get('$content'));
		// 存储b3设置信息
		var setData = store.get('b3Set');
		// console.log(setData)
		// var setData=store.remove('b3Set');
		if (setData == null) {

			var alarmIf = 1;
			var alarmVolume = 5;
			var heartVolume = 5;
			var setData = new Object();
			setData.alarmIf = alarmIf;
			setData.alarmVolume = alarmVolume;
			setData.heartVolume = heartVolume;
			store.set('b3Set', JSON.stringify(setData));
		} else {
			var setData = JSON.parse(setData);
			// console.log(setData)
			var alarmIf = setData.alarmIf;
			var alarmVolume = setData.alarmVolume;
			var heartVolume = setData.heartVolume;

		}
		// var a = $.parseJSON(content);
		//console.log('B3Manager--content:',content);
		var uCode = content.uCode;
		var bCode = content.bCode;
		var eCode = content.eCode;
		B3Manager.connect(M.B3Success, M.B3error, bCode, uCode, alarmIf, alarmVolume, heartVolume, isResume,eCode);

	}
	// B3连接成功调用方法
	/*
	 * 成功状态码："200" - 连接设备成功 "201" - 断开连接成功 "202" - 停止胎监成功 "203" - 宫压调零成功 "204" -
	 * 音量设置成功 "205" - 设置报警成功 "206" - 设置报警音量成功
	 */
	Model.prototype.B3Success = function(ev) {
		// alert(ev)
		// var that = this;
		if (ev == 200) {
			po.pop('连接设备成功');

			var url = '$UI/bestbaby-gravida/monitor/monitor.w';
			var datas = {
				dev : "B3"
			};
			justep.Shell.showPage(url, {
				data : datas
			});
			// that.comp("windowDialog1").open();
		} else if (ev == 201) {
			po.pop('断开连接成功');
		} else if (ev == 202) {
			po.pop('停止胎监成功');
		} else if (ev == 203) {
			po.pop('宫压调零成功');
		} else if (ev == 204) {
			po.pop('音量设置成功');
		} else if (ev == 205) {
			po.pop('设置报警成功');
		} else if (ev == 206) {
			po.pop('设置报警音量成功');
		}
	}

	// B3连接失败调用方法
	/*
	 * 失败状态码："100" - 与设备的连接已断开 "101" - MAC 地址格式错误 "102" - UUID 格式错误 "103" -
	 * 蓝牙连接错误 "104" - 本地蓝牙不可用 "105" - 蓝牙未打开 "106" - 设备搜索超时 "107" -
	 * 设备蓝牙芯片频率和手机蓝牙频率的问题，APP 端无法解决，建议重新连接"108" - cdno 单号为空 "109" -
	 * 蓝牙使能会检测手机蓝牙是否支持 BLE 设备，不支持时返回 "110" - 蓝牙请求授权失败
	 */
	Model.prototype.B3error = function(ev) {
		$('.connectBtn').css('display', 'block');
		$('.connectingBtn').css('display', 'none');

		// alert(ev + '1')
		if (ev == 101) {
			po.pop("MAC 地址格式错误");
		} else if (ev == 102) {
			po.pop('UUID 格式错误');
		} else if (ev == 103) {
			po.pop('蓝牙连接错误');
		} else if (ev == 104) {
			po.pop('本地蓝牙不可用');
		} else if (ev == 105) {
			po.pop('蓝牙未打开');
		} else if (ev == 106) {
			po.pop('设备搜索超时');
		} else if (ev == 107) {
			po.pop('设备蓝牙芯片频率和手机蓝牙频率的问题，APP 端无法解决，建议重新连接');
		} else if (ev == 100) {
			po.pop('与设备的连接已断开');
		} else if (ev == 108) {
			po.pop('cdno 单号为空');
		} else if (ev == 109) {
			po.pop('蓝牙使能会检测手机蓝牙是否支持 BLE 设备，不支持时返回');
		} else if (ev == 113) {
			po.pop('定位授权失败');
		} else if (ev == 114) {
			po.pop('读取文件授权失败，请到应用权限管理里面手动打开');
		}
	}
	return Model;
});