define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var po = require("$UI/bestbaby-gravida/common/js/popUp");
	var echarts = require("$UI/bestbaby-gravida/common/js/echarts");
	var format = require("$UI/bestbaby-gravida/common/js/calculate");
	var upLoadCustodyData = require("$UI/bestbaby-gravida/common/js/getItems");
	var store = require("$UI/bestbaby-gravida/common/js/store/dist/store.modern.min");
	require("css!$UI/bestbaby-gravida/common/js/mobile/need/layer").load();
	var layer = require("$UI/bestbaby-gravida/common/js/mobile/layer");
	var commonUrl = require("$UI/bestbaby-gravida/common/js/commonUrl");
	var AppConst = require("$UI/bestbaby-gravida/common/js/appConst"); // 系统常量
	// 更改物理键需要
	var connectWay = justep.Shell.connectWay; // 设备连接方式1wifi，2：蓝牙
	var legend = null;
	var color = null;
	var series = null;
	var option = null;
	var xMaxSize = null;
	var backEnd = false;
	var stopError;
	var fets = "1";
	var startTime;
	var nerworkStatus = false;
	var endTime = ""; // 结束时间
	var myChart = "";
	var orderNumber = "";
	var dataJson = {};
	var enableBtn = false;
	var tmp = 0;
	var number = 1;
	var length = 750;
	var dataLength = [];
	var moveNum = 0;
	var dataLine;
	var u = navigator.userAgent;
	var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; // android
	var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); // ios
	var type = isAndroid ? 1 : 0;
	var yMaxSize = 210;
	var y1MaxSize = 100;
	var tent = 0;
	var hasInitFormatter;
	var fetsSend = 0;
	var county;
	var county1;
	var county2;
	var minute;
	var tokenData;
	var yDashed = [], y1Dashed = [], xSolid = [], xDashed = [];
	var fillPoiont = 0;// 补点次数
	var tmp2 = 8;
	var last;// 胎心一补点变量
	var last2;// 胎心二补点变量
	var tmp3 = 8;
	var Model = function() {
		this.callParent();
		this.timer = null;
		this.move = 0;
		this.startTime; // 开始时间
		this.statusDevice;
		this.fetsSend = 0;
		this.phoneType;
		this.gradEnd; // 是否结束胎监
		this.neterroraudio;// 每分钟上传胎监数据到服务器失败播放的语音
		this.fhr_weakenaudio00;// 探头松动信号不好播放的声音
		this.fhr_weakenaudio01;// 探头松动信号不好播放的声音
		this.fhr_weakenaudio02;// 探头松动信号不好播放的声音
		this.fhr_weakenaudio03;// 探头松动信号不好播放的声音
	};
	var moveTotal = 0;
	var systemString = "3";

	var timerFSQ;// 探头质量定时器，每隔18秒，如果此时质量不好，就会播放探头松动的语音或者探头断开的声音;
	var timerFSQFather;// 探头质量定时器，每隔18秒，如果此时质量不好，就会播放探头松动的语音或者探头断开的声音;
	var fhrAudioIsWeaken00 = false;// 探头质量是否差00
	var fhrAudioIsWeaken01 = false;// 探头质量是否差01
	var fhrAudioIsWeaken02 = false;// 探头质量是否差02
	var fhrAudioIsWeaken03 = false;// 探头质量是否差03
	var fhr_weakenaudioOnePlay00 = true;// 单胎第一次播放
	var fhr_weakenaudioOnePlay01 = true;// 双胎胎心一和胎心二都差，第一次播放
	var fhr_weakenaudioOnePlay02 = true;// 双胎胎心一差胎心二断第一次播放
	var fhr_weakenaudioOnePlay03 = true;// 双胎胎心一和第一次播放
	var timerFSQFatherIs60 = false;// 第一个计时器是否已有60秒，有的话就允许第一次播放（这个第一次播放不走定时器）
	var timerFSQFatherIsStop = true;// 第一个计时器是否停止
	var timerFSQSonIsStop = true;// 第一个计时器是否停止
	// 进入设置 zzq
	Model.prototype.settingClick = function(event) { // 去掉setting
		var dev = justep.Shell.dev;
		if (connectWay == 2) {
			var params = {
				dev : dev
			};

			this.comp("windowDialogB1").open();
		} else if (connectWay == 1) {
			var params = {
				dev : dev
			};
			this.comp("windowDialogB3").open();
		}
	};
	function drag(target, musicBar, icon, event, M) {// 音量拖动条
		var mouseX = null;
		var dev = justep.Shell.dev;
		var parent = $('.controls-wrap .progess-bar-bg').innerWidth();
		var x = event.originalEvent.targetTouches[0].pageX - target.position().left;
		$(document).on('touchmove', function(event) {
			mouseX = event.originalEvent.targetTouches[0].pageX - x;
			var w = parseInt(target.css('width'));
			if (mouseX <= 10) {
				mouseX = 10;
				icon.removeClass('icon-hasVoice');
				icon.addClass('icon-slient');
			} else {
				icon.removeClass('icon-slient');
				icon.addClass('icon-hasVoice');
			}
			if (mouseX >= parent) {
				mouseX = parent;
			}
			target.css({
				'left' : mouseX + 'px',
			});
			musicBar.css('width', mouseX + 'px');
			musicBar.css('transition', 'none');
			var voiceString = Math.floor(($('.progess-bar-cover').css('width').split("px")[0] / $('.progess-bar-bg').css('width').split("px")[0]) * 17); // 胎心音量
			if (connectWay == 2) {
				B3Manager.setVol(successVoice, M.voicEerror, voiceString);
			} else if (connectWay == 1) {
				B1Manager.setHeartSound(voiceString);
			}
		});
		$(document).on('touchend', function() {
			$(document).unbind('touchmove');
			$(document).unbind('touchend');
		});
	}
	function successVoice(ev) {
		// return ev;
	}
	Model.prototype.progressBarTouchstart = function(event) {
		var dev = justep.Shell.dev;
		var M = Model.prototype;
		var musicBar = $('.controls-wrap .progess-bar-cover');
		var icon = $('.icon-voice');
		drag($('.progess-point'), musicBar, icon, event, M);
	};
	Model.prototype.voicEerror = function(event) {
		Model.prototype.B3error(event);
	}
	Model.prototype.div3Touchstart = function(event) {
		var musicBar = $('.progess-bar-cover'); // 拖动
		var dragPoint = $('.progess-point');
		var icon = $('.icon-voice');
		var dev = justep.Shell.dev;
		var w = parseInt($('.progess-point').css('width'));
		var parent = $(".progess-bar-bg").width();
		var M = Model.prototype;
		var x = event.originalEvent.targetTouches[0].pageX - $('.controls-wrap').offset().left;
		dragPoint.css({
			'left' : x + 'px',
		});
		var voiceString = Math.floor((x / parent) * 17)
		if (connectWay == 2) {
			B3Manager.setVol(successVoice, M.voicEerror, voiceString);
		} else if (connectWay == 1) {
			B1Manager.setHeartSound(voiceString);
		}
		musicBar.css('width', x + 'px');
		if (x < w) {
			x = w;
			icon.removeClass('icon-hasVoice');
			icon.addClass('icon-slient');
		} else {
			icon.removeClass('icon-slient');
			icon.addClass('icon-hasVoice');
		}
	};

	Model.prototype.modelLoad = function(event) {
		moveTotal = 0;
		hasInitFormatter = true;
		var tokenObj = app.getToken();// 获取本地token
		tokenData = tokenObj;
		// //console.log(justep.Shell.exitsAbnormal, 11111111);
		var system = store.get('deviceSystem') || null;
		if (system !== null) {
			var deviceSystem = JSON.parse(system);// 获取手机系统
		} else {
			var deviceSystem = {};
		}
		if (justep.Shell.connectWay == 1) {
			$('.icon-connect').addClass('wifi-icon');
		} else {
			$('.icon-connect').addClass('blu-icon');
		}
		B1Manager.writeLog("0", justep.Shell.connectWay, "connetWay");
		var dev = justep.Shell.dev;
		if (connectWay == 1) {
			B1Manager.reconnect(Model.prototype.B1BackData, Model.prototype.B1error);
		} else if (connectWay == 2) {
			B3Manager.reconnect(Model.prototype.B3BackData, Model.prototype.B3error);
		}
		var phoneSystemJson = {
			"modl" : deviceSystem.model,
			"faty" : deviceSystem.manufacturer,
			"sysm" : deviceSystem.platform
		}
		var custodyData = this.comp("custodyData");
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			if (!$('.monitor_panel').hasClass('ios_style')) {
				$('.monitor_panel').addClass('ios_style')
			}
			BUtils.iphoneType(Model.prototype.monitorIphoneType, Model.prototype.monitorIphoneTypeError)
		}
		$(this.getElementByXid('echarts-monitor')).on('scroll', this.EScroll);
		layer.open({
			type : 2,
			shadeClose : false,
			content : '页面加载中，请稍后'
		});
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
					// po.pop('当前页面禁用物理返回键');
					Model.prototype.backBtnClick(event);
				}
			}
		});
		if (!justep.Shell.exitsAbnormal) {
			upLoadCustodyData.getTokenItems(dataJson, "diagnosis/Custodydata/generateCustodyNo", function(success, message, orderNum) { // 获取订单号
				if (success) {
					orderNumber = orderNum.content;
					layer.closeAll();
					custodyData.add({
						id : "1",
						cdno : orderNumber,
						image : '',
					})

				} else {
					layer.closeAll();
					po.pop("当前网络不稳定，请到网络稳定区域再开始胎监");

				}
				if (connectWay == 2) {
					B3Manager.writeLog("0", "监测有没有拿到胎监单号", orderNumber + "胎监单号;");
				} else if (connectWay == 1) {
					B1Manager.writeLog("0", "监测有没有拿到胎监单号", orderNumber + "胎监单号;");
				}
			});
		} else {
			orderNumber = justep.Shell.abnormalOrder;
			layer.closeAll();
			custodyData.add({
				id : "1",
				cdno : orderNumber,
				image : '',
			})
		}

		if (phoneSystemJson.modl && phoneSystemJson.faty && phoneSystemJson.sysm) {
			upLoadCustodyData.getTokenItems(phoneSystemJson, "system/Phoneversion/selectByModlSysm", function(success, message, tracingPoint) { // 查找手机版本扫描次数

				if (success) {
					systemString = tracingPoint.content;
					if (justep.Shell.exitsAbnormal) {
						$('.startCheck').click();
					}

				} else {
					systemString = "3";
					if (justep.Shell.exitsAbnormal) {
						$('.startCheck').click();
					}

				}
				if (connectWay == 2) {
					B3Manager.writeLog("0", "胎监点数", systemString);
				} else if (connectWay == 1) {
					B1Manager.writeLog("0", "胎监点数", systemString);
				}
			});
		}
		option = null;
		myChart = echarts.init(this.getElementByXid('main'));
		myChart.setOption(initCharts($(".main"))); // 初始化设置胎监图;
		if (justep.Shell.exitsAbnormal && justep.Shell.isResume) {
			// //console.log(222222222)
			layer.open({
				type : 2,
				shadeClose : false,
				content : '数据加载中'
			});
		}

		neterroraudio = this.getElementByXid("uploadErrorMusic");
		fhr_weakenaudio00 = this.getElementByXid("FHR_WeakenMusic00");
		fhr_weakenaudio01 = this.getElementByXid("FHR_WeakenMusic01");
		fhr_weakenaudio02 = this.getElementByXid("FHR_WeakenMusic02");
		fhr_weakenaudio03 = this.getElementByXid("FHR_WeakenMusic03");

	};
	Model.prototype.monitorIphoneType = function(event) {
		this.phoneType = event;
	}
	Model.prototype.monitorIphoneTypeError = function(event) {
	}
	Model.prototype.startButtonClick = function(event) { // 开始监测数据
		var that = this;
		var dev = justep.Shell.dev;
		var M = Model.prototype;
		// option = null;
		// myChart.setOption(initCharts($(".main"))); // 初始化设置胎监图;

		var tokenObj = tokenData;// 获取本地token
		var headers = {
			'Content-type' : 'application/json',
			'token' : tokenObj.token,
		};
		var userInfo = app.getUser(); // 获取本地信息
		var that = this;
		var custodyData = this.comp("custodyData");
		startTime = new Date().getTime();
		var expe = '';
		if (justep.Shell.isTest === true) { // 体验套餐
			expe = '1';
		} else {
		}
		var now = format.formater(new Date() + ""); // 现在时间
		// //console.log(now)
		// //console.log("开始时间")
		var gtwk = store.get('gtwk'); // 孕周
		var days = store.get('days'); // 天数
		var str = "";
		if (!justep.Shell.exitsAbnormal) {
			if (orderNumber == null || orderNumber == "") {
				po.pop("当前网络不稳定，请到网络稳定区域再开始胎监");
				$('.stopCheck').css('display', 'none');
				$('.startCheck').css('display', 'block');

			} else {
				that.comp('button3').set({
					"disabled" : true
				});
				that.comp('button3').setCSS({
					"color" : "white",
					"background-color" : "#f77e9d"
				});
				var dataList = {
					"cdno" : orderNumber, // 监护单号
					"spig" : "800",
					"prid" : userInfo.pprid, // 产品id
					"sttm" : now, // 开始时间
					"hlid" : userInfo.hlid, // 医院id
					"gtwk" : gtwk, // 孕周
					"days" : days, // 天数
					"ages" : userInfo.ages, // 年龄
					"wtkg" : userInfo.wtkg, // 体重
					"htcm" : userInfo.htcm, // 身高
					"lmp" : userInfo.lmp, // 末次月经
					"dede" : userInfo.dede, // 预产期
					"fets" : "1",
					"expe" : expe,
				}
				var type = justep.Shell.localType;
				$.ajax({
					type : 'POST',
					url : commonUrl + '/' + 'system/Gravida/select',
					data : "",
					dataType : 'json',
					async : true,
					timeout : 30000,//
					headers : headers,
					success : function(data, textStatus, xhr) {
						nerworkStatus = false;
						if (data.code == 1000) {
							upLoadCustodyData.getTokenItems(dataList, "diagnosis/Custodydata/beginCustody", function(success, message, uploadFeedback) { // 开始检测
								gradEnd = false;
								if (connectWay == 2) {
									B3Manager.writeLog("0", "diagnosis/Custodydata/beginCustody", uploadFeedback);
								} else if (connectWay == 1) {
									B1Manager.writeLog("0", "diagnosis/Custodydata/beginCustody", uploadFeedback);
								}
								if (success) {

									Model.prototype.startMonitorBlock();
									$('.fixed-bottom5').attr('data-status', 1); // 状态值，1为已经监测
									// ，0则还没开始
									$('.stopCheck').css('display', 'block');
									$('.startCheck').css('display', 'none');
									that.comp('button3').set({
										"disabled" : false
									});
								} else {
									that.comp('button3').set({
										"disabled" : false
									});
									if (message == '监护单号已存在') {
										upLoadCustodyData.getTokenItems(dataJson, "diagnosis/Custodydata/generateCustodyNo", function(success, message, orderNum) { // 获取订单号
											if (success) {
												orderNumber = orderNum.content;
												layer.closeAll();
												custodyData.add({
													id : "1",
													cdno : orderNumber,
													image : '',
												})
												Model.prototype.startMonitorBlock();
											} else {
												layer.closeAll();
												po.pop("当前网络不稳定，请到网络稳定区域再开始胎监");

											}
										});
									}
									if (connectWay == 2) {
										B3Manager.writeLog("0", 'B3Fail:'+message, "开始胎监失败");
									} else if (connectWay == 1) {
										B1Manager.writeLog("0", 'B1Fail:'+message, "开始胎监失败");
									}
								}
							})
						}
					},
					error : function(XMLHttpRequest, textStatus, errorThrown) {
						that.comp('button3').set({
							"diabled" : false
						});
						if (connectWay == 2) {
							B3Manager.writeLog("0", "B3Error:diagnosis/Custodydata/insertdata", "开始胎监网络异常");
						} else if (connectWay == 1) {
							B1Manager.writeLog("0", "B1Error:diagnosis/Custodydata/insertdata", "开始胎监网络异常");
						}
						if (textStatus == "timeout") {
							po.pop("当前网络不稳定，请到网络稳定区域再开始胎监")
							$('.stopCheck').css('display', 'none'); // -zhh
							$('.startCheck').css('display', 'block');
						}
						nerworkStatus = true;
						// 状态码
						// //console.log(XMLHttpRequest.status);
						// // 状态
						// //console.log(XMLHttpRequest.readyState);
						// 错误信息
					}
				});
			}
		} else {
			$('.fixed-bottom5').attr('data-status', 1);
			custodyData.add({
				id : "1",
				cdno : orderNumber,
				image : '',
			})
			$('.stopCheck').css('display', 'block');
			$('.startCheck').css('display', 'none');
			Model.prototype.startMonitorBlock();
		}
	};
	// 开始胎监部分逻辑
	Model.prototype.startMonitorBlock = function() {
		var M = Model.prototype;
		var dev = justep.Shell.dev;
		var tokenObj = tokenData;// 获取本地token
		var uploadDataJson = {
			orderNumber : orderNumber,
			token : tokenObj.token,
			url : commonUrl + "/" + 'diagnosis/Custodydata/insertdata',
		}
		if (connectWay == 2) {

			B3Manager.startMonitor(M.startMonitor, M.fail, systemString);
			B3Manager.timeFire(M.clockSuccess, M.clockError);
			if (type == 1) {
				B3Manager.uploadDatas(M.sendData, M.sendError, uploadDataJson);
			} else {
				B3Manager.uploadDatas(M.sendData, M.sendError, orderNumber, tokenObj.token, commonUrl + "/" + 'diagnosis/Custodydata/insertdata');
			}

			B3Manager.reconnect(Model.prototype.B3BackData, Model.prototype.B3error);
		} else {
			// //console.log(systemString)
			// //console.log("systemString--------------------------------------")
			B1Manager.startMonitoring(M.startMonitor, M.fail, systemString);
			if (type == 1) {
				B1Manager.uploadMonitorData(M.sendData, M.sendError, uploadDataJson);
			} else {
				B1Manager.uploadMonitorData(M.sendData, M.sendError, orderNumber, tokenObj.token, commonUrl + "/" + 'diagnosis/Custodydata/insertdata');
			}

			B1Manager.timeFire(M.clockSuccess, M.clockError);
			B1Manager.reconnect(Model.prototype.B1BackData, Model.prototype.B1error);
		}
	}
	Model.prototype.clockSuccess = function(event) { // 胎监时长 增图
		var timeJson = JSON.parse(event); // 接收数据
		$(".monitorTime").text(timeJson.timeStr);
		var time = $(".monitorTime").text().split(":")[0];
		var second = $(".monitorTime").text().split(":")[1];
		var dev = justep.Shell.dev;
		// //console.log(timeJson)

		if (timeJson.num > number) {
			if (timeJson.num > 6) {
				layer.open({
					content : '已满一个小时，自动停止胎监',
					style : 'background-color:rgba(0,0,0,.6);color:#fff; border:none;', // 自定风格
					time : 5,
					fixed : true,
					end : function() {
						gradEnd = true;
						Model.prototype.okStopMonitor();
					}
				});
				$(".layui-m-layercont").css("padding", "15px");
				$('.layui-m-layer0 .layui-m-layerchild').css("width", "50%")

				if (connectWay == 2) {
					B3Manager.writeLog("0", timeJson, "自动停止胎监");
				} else if (connectWay == 1) {
					B1Manager.writeLog("0", timeJson, "自动停止胎监");
				}

			}
			// //console.log(event)
			number = timeJson.num;
			// if (time >= 10 && (time % 10) == 0 && second == 0) {
			// 动态计算胎监图的长度
			// number++;
			// //console.log(number)
			minute = Math.ceil((750 * number) * 0.8 / 60);
			xMaxSize = (number * 10) * 60 * 10;
			for (var i = 0; i < xMaxSize; i += 100) {
				if (i % 100 == 0) {
					xDashed.push({
						xAxis : i
					});
				}
				if (i % 600 == 0) {
					xSolid.push({
						xAxis : i
					});
				}
			}
			option.series[2].markLine.data = xDashed; // 改变胎心x虚线
			option.series[3].markLine.data = xSolid; // 改变胎心x实线
			option.series[4].markLine.data = xDashed; // 改变宫压x虚线
			option.series[5].markLine.data = xSolid; // 改变宫压x实线
			option.xAxis[0].max = xMaxSize; // 改变x轴最大值
			option.xAxis[1].max = xMaxSize; // 改变x轴最大值
			option.legend.data = legend; // 添加多一个legend
			$('.main').css("width", minute * 120 + "px");
			if (connectWay == 2) {
				B3Manager.writeLog("0", "10分钟增一次图" + timeJson.num, minute);

			} else if (connectWay == 1) {
				B1Manager.writeLog("0", "10分钟增一次图" + timeJson.num, minute);

			}
			myChart.resize();// 扩展胎监图后才需要执行
			myChart.setOption(option, true);
			// }
		}

	};
	Model.prototype.clockError = function(event) {
	};
	Model.prototype.statusDeviceError = function(event) {

	};
	Model.prototype.sendError = function(event) { // 上传数据失败
		// //console.log(event,222222222222222222222222);
		layer.closeAll();
		layer.open({
			content : '胎监数据上传超时，请检查当前网络',
			style : 'background-color:rgba(0,0,0,0);color:#F77E9D; border:none;font-size:16px;', // 自定风格
			time : 10,
			fixed : true,
		});
		$(".layui-m-layercont").css("padding", "15px");
		$('.layui-m-layer0 .layui-m-layerchild').css("width", "50%")
		enableBtn = false;
		$('.stopCheck').attr("disabled", false);
		if (connectWay == 2) {
			B3Manager.writeLog("0", "B3Error:上传数据失败", "1-胎监数据上传超时，请检查当前网络");
		} else if (connectWay == 1) {
			B1Manager.writeLog("0", "B1Error:上传数据失败", "1-胎监数据上传超时，请检查当前网络");
		}
		neterroraudio.load();
		neterroraudio.play();
	}
	Model.prototype.sendData = function(event) { // 每分钟上传胎监数据成功 另外封装的Ajax

		var dataList = {};
		var tokenObj = tokenData;// 获取本地token
		var headers = {
			'Content-type' : 'application/json',
			'token' : tokenObj.token,
		};
		var dev = justep.Shell.dev;
		nerworkStatus = false;
		if (connectWay == 2) {
			B3Manager.writeLog("0", "分钟数据", "发送成功");
			B3Manager.callBackResult(Model.prototype.statusDeviceMonitor, Model.prototype.statusDeviceError);
		} else if (connectWay == 1) {
			B1Manager.writeLog("0", "每分钟数据", "发送成功");
			B1Manager.callBackResult(Model.prototype.statusDeviceMonitor, Model.prototype.statusDeviceError);
		}
		// var that = this;
		// if (data.fhsdata) {
		// dataList = {
		// "cdno" : orderNumber, // string 监护单号
		// "edtm" : data.edtm, // string 结束时间
		// "cttm" : data.cttm, // sting 监护时长（分钟） 整数
		// "spgl" : data.spgl, // sting 采样长度
		// "totalsize" : data.totalsize, // int胎心音数据总大小
		// "slno" : data.slno, // sting 胎心音数据序号
		// "fhsdata" : data.fhsdata, // string 胎心音数据byte转base64
		// // "orde" : parseInt(data.packageNum),
		// "size" : data.size, // sting 胎心音数据每分钟大小
		// "data" : data.data, // JSON.parse(data.monitorBean),// array
		// // 胎监数据
		// };
		// } else {
		// dataList = {
		// "cdno" : orderNumber, // string 监护单号;
		// "edtm" : data.edtm, // string 结束时间
		// "cttm" : data.cttm, // sting 监护时长（分钟） 整数
		// "spgl" : data.spgl, // sting 采样长度
		// "totalsize" : "", // sting胎心音数据总大小
		// "slno" : "", // sting 胎心音数据序号
		// "fhsdata" : "", // string 胎心音数据byte转base64
		// // "orde" : parseInt(data.packageNum),
		// "size" : "", // sting 胎心音数据每分钟大小
		// "data" : data.data, // JSON.parse(data.monitorBean),// array
		// // 胎监数据
		// };
		// }
		// if (connectWay == 2) {
		// B3Manager.writeLog("0", "每分钟上传", data.data);
		// } else if (connectWay==1) {
		// B1Manager.writeLog("0", "每分钟上传", data.data);
		// }
		// // //console.log("hello，我是上传数据")
		// $.ajax({
		// type : 'POST',
		// url : commonUrl + "/" + 'diagnosis/Custodydata/insertdata',
		// data : JSON.stringify(dataList),
		// dataType : 'json',
		// async : true,
		// timeout : 30000,//
		// headers : headers,
		// success : function(data, textStatus, xhr) {
		// // //console.log(data)
		// // //console.log("我是上传成功的")
		// nerworkStatus = false;
		// if (data.code == 1000) {
		// if (connectWay == 2) {
		// B3Manager.callBackResult(Model.prototype.statusDeviceMonitor,
		// Model.prototype.statusDeviceError);
		// } else if (connectWay==1) {
		// B1Manager.callBackResult(Model.prototype.statusDeviceMonitor,
		// Model.prototype.statusDeviceError);
		// }
		// }
		// if (connectWay == 2) {
		// B3Manager.writeLog("0", commonUrl + "/" +
		// "diagnosis/Custodydata/insertdata", data);
		// } else if (connectWay==1) {
		// B1Manager.writeLog("0", commonUrl + "/" +
		// "diagnosis/Custodydata/insertdata", data);
		// }
		// },
		// error : function(XMLHttpRequest, textStatus, errorThrown) {
		// if (connectWay == 2) {
		// B3Manager.writeLog("0", commonUrl + "/" +
		// "diagnosis/Custodydata/insertdata", "网络异常");
		// } else if (connectWay==1) {
		// B1Manager.writeLog("0", commonUrl + "/" +
		// "diagnosis/Custodydata/insertdata", "网络异常");
		// }
		// if (textStatus == "timeout") {
		// po.pop("网络异常")
		// }
		// nerworkStatus = true;
		// // 状态码
		// //console.log("我是状态码-------------------------")
		// //console.log(XMLHttpRequest.status);
		// // 状态
		// //console.log(XMLHttpRequest.readyState);
		// // 错误信息
		// }
		// });

	}

	Model.prototype.startMonitor = function(ev) { // 开始监测
		var configData = store.get('$configData');
		// //console.log('胎监数据：', ev)
		enableBtn = true;
		var M = Model.prototype;
		var dev = justep.Shell.dev;
		var that = this;
		var element = $(".echarts-monitor");
		var main = $('.main').width();
		var point = 1.6;

		var initOffect = 30;
		var data = JSON.parse(ev); // 接收数据
		//console.log(data, configData.isAutoMove)
		if (configData.isAutoMove == 1) {
			$('.fetalButton').attr("disabled", true);
			for ( var i = 0 in data) {
				// //console.log(data[i].index, data[i].autoMove);
				if (data[i].movement == 1) {
					// //console.log(i)
					M.moveSuccess(data[i].index)

				}
			}
		} else {
			for ( var i = 0 in data) {
				// //console.log(data[i].index, data[i].autoMove);
				if (data[i].autoMove == 1) {
					// //console.log(i)
					M.moveSuccess(data[i].index)

				}
			}
		}

		// this.moveSuccess(data.autoMove)
		var hour = $(".monitorTime").text().split(":")[0];
		var second = $(".monitorTime").text().split(":")[1];
		var dataIndex = parseInt(data[data.length - 1].index) + 1;

		if (dataIndex) {
			if (connectWay == 2) {
				B3Manager.writeLog("0", "胎监数据", data);
			} else if (connectWay == 1) {
				B1Manager.writeLog("0", "胎监数据", data);

			}
			if (dataIndex >= 150 && dataIndex < 750) {// 前10分钟的图跟踪
				var perPoint = (dataIndex) / 750;
				element.scrollLeft(Math.ceil((perPoint * main) - 150));
				if (connectWay == 2) {
					B3Manager.writeLog("0", "滚轮条前十分" + dataIndex, main);
				} else if (connectWay == 1) {
					B1Manager.writeLog("0", "滚轮条前十分" + dataIndex, main);

				}
			} else if (dataIndex >= 750) {
				var perPoint = (dataIndex) / (750 * number);
				element.scrollLeft(Math.ceil((perPoint * main) - 230));
				if (connectWay == 2) {
					B3Manager.writeLog("0", "滚轮条后十分" + dataIndex, main);
				} else if (connectWay == 1) {
					B1Manager.writeLog("0", "滚轮条后十分" + dataIndex, main);

				}
			}
			option.series[5].markLine.label.normal.show = true;
			// 不用每次都重新设置该formatter，只有开始胎监的时候才需要设置一次
			if (hasInitFormatter) {

				option.series[5].markLine.label.normal.formatter = function(params) { // 动态生成时间

					if (params.dataIndex == 0) {
						var objDate = new Date(params.data.value / 10 * 1000 + startTime) + "";

						return format.formater(objDate.split("GMT")[0]);
					}
					if (params.dataIndex !== 0 && params.dataIndex % 2 == 0) {// 改为偶数时间

						return params.data.value / 10 / 60 + "分";
					}

					return "";
				}
				hasInitFormatter = false;
			}

			$('.frh1').text(data[data.length - 1].FHR1Value);
			$('.toco').text(data[data.length - 1].TOCOValue);

			// if (time >= 39 && that.phoneType == "1") {
			// po.pop("胎监已满40分钟，自动停止胎监");
			// gradEnd = true;
			// Model.prototype.okStopMonitor();
			// }

			// dataLine = data[0].index;
			// for (var i = 0; i < data.length; i++) {
			// if (data[i].index != 0) {
			// tmp = 8;
			// }
			// if (county) {
			// if (dataLine - (county[0] / 8) > 1) {
			// // // 包序错误
			//
			// var count = data[2].orde - (county[0] / 8) / 2;
			// for (var j = 0; j < count; j++) {
			// // 胎心率1
			// option.series[0].data.push([ tmp, '-' ]);
			// if (data[i].FHR2Value) {
			// // 胎心率2
			// option.series[12].data.push([ tmp, '-' ]);
			// }
			// // 宫压
			// option.series[1].data.push([ tmp, '-' ]);
			// tmp += 8;
			// }
			// } else {
			// // //console.log(county[1]+"我是county[1]")
			// // //console.log(data[i].FHR1Value+"我是data[i].FHR1Valu")
			// // //console.log(Math.abs(county[1] - data[i].FHR1Value)
			// // >= 30)
			// if (Math.abs(county[1] - data[i].FHR1Value) >= 30) {// 数据波动30不画图
			// option.series[0].data.push([ (8 * data[i].index), '-' ]);
			// } else {
			// option.series[0].data.push([ (8 * data[i].index),
			// data[i].FHR1Value != 0 ? data[i].FHR1Value - 0 : '-' ]);
			// }
			// if (data[i].FHR2Value) {
			// if (data[i].FHR2Value != 0) {
			// $('.frh2Data').show();
			// fets = "2";
			// $('.frh2').text(data[data.length - 1].FHR2Value);
			// option.legend.selected.胎心率2 = true;
			// fetsSend += 1;
			// Model.prototype.fetsStatus(fetsSend, fets);
			// }
			// if (Math.abs(county1[1] - data[i].FHR2Value) >= 30) {// 数据波动30不画图
			// option.series[12].data.push([ (8 * data[i].index), '-' ]);
			// } else {
			// option.series[12].data.push([ (8 * data[i].index),
			// data[i].FHR2Value != 0 ? data[i].FHR2Value - 20 : '-' ]);
			// }
			// }
			// option.series[1].data.push([ (8 * data[i].index),
			// data[i].TOCOValue != 0 ? data[i].TOCOValue - 0 : '-' ]);
			//
			// }
			// } else {
			// option.series[0].data.push([ (8 * data[i].index),
			// data[i].FHR1Value != 0 ? data[i].FHR1Value - 0 : '-' ]);
			// if (data[i].FHR2Value) {
			// // 胎心率2
			// if (data[i].FHR2Value != 0) {
			// $('.frh2Data').show();
			// fets = "2";
			// $('.frh2').text(data[data.length - 1].FHR2Value);
			// option.legend.selected.胎心率2 = true;
			// fetsSend += 1;
			// Model.prototype.fetsStatus(fetsSend, fets);
			// }
			// option.series[12].data.push([ (8 * data[i].index),
			// data[i].FHR2Value != 0 ? data[i].FHR2Value - 20 : '-' ]);
			// }
			// // 宫压
			// option.series[1].data.push([ (8 * data[i].index),
			// data[i].TOCOValue != 0 ? data[i].TOCOValue - 0 : '-' ]);
			// }
			// county = option.series[0].data[option.series[0].data.length - 1];
			// // 胎心1
			// if (data[i].FHR2Value) {
			//
			// county1 = option.series[12].data[option.series[0].data.length -
			// 1]; // 胎心2
			// }
			//
			// }
			for (var i = 0; i < data.length; i++) {
				option.series[0].data.push([ (8 * data[i].index), data[i].FHR1Value != 0 ? data[i].FHR1Value - 0 : '-' ]);// 胎心1
				if (data[i].FHR2Value) {
					if (data[i].FHR2Value != 0) {
						$('.frh2Data').show();
						fets = "2";
						$('.frh2').text(data[data.length - 1].FHR2Value);
						option.legend.selected.胎心率2 = true;
						fetsSend += 1;
						Model.prototype.fetsStatus(fetsSend, fets);
					}
					option.series[12].data.push([ (8 * data[i].index), data[i].FHR2Value != 0 ? data[i].FHR2Value - 20 : '-' ]);// 胎心2
				}
				option.series[1].data.push([ (8 * data[i].index), data[i].TOCOValue != 0 ? data[i].TOCOValue - 0 : '-' ]);// 宫缩
			}
			myChart.setOption(option, true);

			Model.prototype.StartTimerFSQFather("检测胎心心率质量开始有效，延迟60秒开始有效");//
			Model.prototype.handlerFSQ(data);// 检测胎心率质量

		}
	};
	Model.prototype.fetsStatus = function(fetsSend, fets) {// 监测胎心数量
		var dev = justep.Shell.dev;
		var dataList = {
			"cdno" : orderNumber,
			"fets" : fets
		};
		if (fetsSend == 1) {
			upLoadCustodyData.getTokenItems(dataList, "diagnosis/Custodydata/updatefets", function(success, message, uploadFeedback) { // 监测胎心
				if (connectWay == 2) {
					B3Manager.writeLog("0", "diagnosis/Custodydata/updatefets", dataList);
				} else if (connectWay == 1) {
					B1Manager.writeLog("0", "diagnosis/Custodydata/updatefets", dataList);
				}
				if (success) {
					// //console.log(success);
				} else {
					// //console.log(message);
				}
			});
		}
	};
	Model.prototype.fail = function(ev) {
		var dev = justep.Shell.dev;
		if (ev == 250) {

			B1Manager.writeLog("0", ev, "关闭蒙层");

			layer.closeAll();
			return;
		} else if (ev == 170) {
			po.pop("开始胎监失败");
			$('.fixed-bottom5').attr('data-status', 0); // 状态值，1为已经监测
			$('.stopCheck').css('display', 'none');
			$('.startCheck').css('display', 'block');
			that.comp('button3').set({
				"disabled" : false
			});
		}
		if (connectWay == 2) {
			Model.prototype.B3error(ev);
		} else {
			Model.prototype.B1error(ev);
		}
	};
	// 返回事件
	Model.prototype.backBtnClick = function(event) {
		enableBtn = false;

		var M = Model.prototype;
		var dev = justep.Shell.dev;
		var tokenObj = tokenData;// 获取本地token
		var headers = {
			'Content-type' : 'application/json',
			'token' : tokenObj.token,
		};
		var sta = $('.fixed-bottom5').attr('data-status');
		// //console.log(sta)
		// //console.log("我是sta")
		if (sta == 1) {
			layer.open({ 
				content : '此操作将会中止胎监检测，是否确认？',
				btn : [ '取消', '确定' ],
				yes : function(index) {
					layer.close(index);
				},
				no : function(index) {
				Model.prototype.ReleaseTimers("关闭所有计时器");
					//
					// if (nerworkStatus) {
					// justep.Shell.closeAllOpendedPages();
					// if (connectWay == 2) {
					// B3Manager.closeGatt(Model.prototype.B3StopSuccess,
					// Model.prototype.B3StopError); // 断开监听
					// } else if (connectWay==1) {
					// B1Manager.disConnect(Model.prototype.b1breakSuccess,
					// Model.prototype.B1error);
					// }
					// //console.log("我是网络不好的返回")
					// } else {
					layer.open({
						type : 2,
						shadeClose : false,
						content : '正在上传数据，请稍后'
					});
					$.ajax({
						type : 'POST',
						url : commonUrl + '/' + 'system/Gravida/select',
						data : "",
						dataType : 'json',
						async : true,
						timeout : 30000,//
						headers : headers,
						success : function(data, textStatus, xhr) {

							backEnd = true;
							nerworkStatus = false;
							// //console.log("我是物理返回网络好")
							Model.prototype.backBtnNetwork(nerworkStatus);
						},
						complete : function() {
							// layer.closeAll();
						},
						error : function(XMLHttpRequest, textStatus, errorThrown) {
							layer.closeAll();
							if (textStatus == "timeout") {

							}
							if (connectWay == 2) {
								B3Manager.writeLog("0", "B3Error:结束胎监网络异常", "网络异常");
							} else if (connectWay == 1) {
								B1Manager.writeLog("0", "B1Error:结束胎监网络异常", "网络异常");
							}
							nerworkStatus = true;
							Model.prototype.backBtnNetwork(nerworkStatus);
						}
					});
					// }

				},
			});

		} else {
			Model.prototype.ReleaseTimers("关闭所有计时器");
			if (connectWay == 2) {
				B3Manager.closeGatt(Model.prototype.B3StopSuccess, Model.prototype.B3StopError); // 断开监听
			} else if (connectWay == 1) {
				B1Manager.disConnect(Model.prototype.b1breakSuccess, Model.prototype.B1error);
			}
			store.remove('dev');
			justep.Shell.closeAllOpendedPages();
		}

		$(".layui-m-layercont").css({
			"padding" : "20px 30px 20px 30px",
			"font-size" : "14px",
			"color" : "#999999"
		});
		$('.layui-m-layerbtn').css({
			"border-bottom-left-radius" : "0.52rem",
			"border-bottom-right-radius" : "0.52rem",
			"background-color" : "white"
		});
		$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
		$('.layui-m-layerbtn span').eq(0).css({
			"color" : "#f77e9d",
			"border-right" : "none"
		});

	};
	Model.prototype.backBtnNetwork = function(nerworkStatus) {// 物理键返回时的网络监测
		var M = Model.prototype;
		layer.closeAll();
		var dev = justep.Shell.dev;
		var that = this;
		var sta = $('.fixed-bottom5').attr('data-status');
		if (sta == 1) {
			if (nerworkStatus) {

				layer.open({
					content : '您的网络异常，请恢复网络正常后再结束胎监',
					btn : [ '确定' ],
					yes : function(index) {
						layer.close(index);
						// that.comp('button6').set({
						// "disabled" : false
						// });
						$('.stopCheck').attr("disabled", false);
					}
				// no : function(index) {
				// backEnd = true;
				// gradEnd = true;
				// if (connectWay == 2) {
				// B3Manager.writeLog("0", "diagnosis/Custodydata/endCustody",
				// "网络异常");
				// B3Manager.closeGatt(Model.prototype.WLtypicalStop,
				// Model.prototype.B3StopError); // 断开监听
				// } else if (connectWay == 1) {
				// B1Manager.writeLog("0", "diagnosis/Custodydata/endCustody",
				// "网络异常");
				// B1Manager.disConnect(Model.prototype.WLtypicalStop,
				// Model.prototype.B1error);
				// }
				// // //console.log("你的网络哈哈哈")
				// justep.Shell.closeAllOpendedPages();
				// layer.close(index);
				// },
				});
			} else {
				M.OKClick();

			}
		} else {
			// po.pop(dev)
			if (connectWay == 2) {
				B3Manager.closeGatt(M.B3StopSuccess, M.B3StopError); // 断开监听
			} else if (connectWay == 1) {
				B1Manager.disConnect(Model.prototype.b1breakSuccess, Model.prototype.B1error);
			}
			justep.Shell.closeAllOpendedPages();
		}
		$(".layui-m-layercont").css({
			"padding" : "20px 30px 20px 30px",
			"font-size" : "14px",
			"color" : "#999999"
		});
		$('.layui-m-layerbtn').css({
			"border-bottom-left-radius" : "0.52rem",
			"border-bottom-right-radius" : "0.52rem",
			"background-color" : "white"
		});
		$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
		$('.layui-m-layerbtn span').eq(0).css({
			"color" : "#f77e9d",
			"border-right" : "none"
		});
	};
	// 弹窗Ok事件
	Model.prototype.OKClick = function() {
		var dev = justep.Shell.dev;
		var M = Model.prototype;
		layer.open({
			type : 2,
			shadeClose : false,
			content : '正在上传数据，请稍后'
		});
		if (backEnd) {
			if (connectWay == 2) {
				B3Manager.stopMonitor(M.B3breakSuccess, M.B3StopError);
			} else {
				B1Manager.stopMonitoring(M.B1StopSuccess, M.B1StopError);
			}
			// $('.startCheck').css('display', 'block');
			// $('.stopCheck').css('display', 'none');

		} else {
			if (connectWay == 2) {
				gradEnd = true; // TODO 判断是否停止监测
				Model.prototype.okStopMonitor();
			} else if (connectWay == 1) {
				gradEnd = true; // TODO 判断是否停止监测
				Model.prototype.okStopMonitor();
			}

		}

	};
	// 弹窗cancel事件
	Model.prototype.cancelClick = function() {
	};
	// 断开B3连接成功 ----返回方法
	Model.prototype.B3BackStopSuccess = function(ev) {
		// //console.log(justep.Shell.dev);
		// //console.log("我是B3dev");
		store.remove('dev');
		// layer.closeAll();
		Model.prototype.B3Success(ev);
		justep.Shell.closeAllOpendedPages();
	};
	// // B1停止监测成功 zzq ---返回方法

	Model.prototype.b1breakSuccess = function(event) {
		// layer.closeAll();
		// //console.log("我是B1断开")
		po.pop('与设备断开成功');
		store.remove('dev');
	};
	// 停止监测+停止前监测网络状态
	Model.prototype.stopClick = function(event) {
		B1Manager.writeLog("0", '', "孕妇点击停止胎监按钮");
		endTime = new Date().getTime();
		enableBtn = false;
		stopError = true;
		var M = Model.prototype;
		var that = this;
		var dev = justep.Shell.dev;
		var total = $('.monitorTime').html();
		var tokenObj = tokenData;// 获取本地token
		endTime = new Date().getTime();
		var totalMin = total.split(":");

		if (totalMin[0] >= 20) {
			layer.open({
				content : '您当前的胎监时间为' + totalMin[0] + '分钟' + totalMin[1] + '秒' + '，确认停止监测吗？',
				btn : [ '取消', '确定' ],
				yes : function(index) {
					layer.close(index);
				},
				no : function(index) {
					Model.prototype.ReleaseTimers("关闭所有计时器");

					// that.comp('button6').set({
					// "disabled" : true
					// });
					$('.stopCheck').attr("disabled", true);
					that.comp('button6').setCSS({
						"color" : "white",
						"background-color" : "#f77e9d"
					});
					gradEnd = true;
					M.checkNetWrok();
					// M.okStopMonitor();
					layer.close(index);
				},
			});
		} else {
			layer.open({
				content : '您当前的胎监时间为' + totalMin[0] + '分钟' + totalMin[1] + '秒，' + '建议最小监测持续20分钟以上，确认停止监测吗？',
				btn : [ '取消', '确定' ],
				yes : function(index) {
					layer.close(index);
				},
				no : function(index) {
					Model.prototype.ReleaseTimers("关闭所有计时器");
					// that.comp('button6').set({
					// "disabled" : true
					// });
					$('.stopCheck').attr("disabled", true);
					that.comp('button6').setCSS({
						"color" : "white",
						"background-color" : "#f77e9d"
					});
					gradEnd = true;
					M.checkNetWrok();
					// M.okStopMonitor();
					layer.close(index);
				},
			});
		}
		$(".layui-m-layercont").css({
			"padding" : "20px 30px 20px 30px",
			"font-size" : "14px",
			"color" : "#999999"
		});
		$('.layui-m-layerbtn').css({
			"border-bottom-left-radius" : "0.52rem",
			"border-bottom-right-radius" : "0.52rem",
			"background-color" : "white"
		});
		$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
		$('.layui-m-layerbtn span').eq(0).css({
			"color" : "#f77e9d",
			"border-right" : "none"
		});

	};
	Model.prototype.checkNetWrok = function() {

		var M = Model.prototype;
		var that = this;
		var dev = justep.Shell.dev;
		var tokenObj = tokenData;// 获取本地token
		var headers = {
			'Content-type' : 'application/json',
			'token' : tokenObj.token,
		};
		layer.open({
			type : 2,
			shadeClose : false,
			content : '正在上传数据，请稍后'
		});
		$.ajax({
			type : 'POST',
			url : commonUrl + '/' + 'system/Gravida/select',
			data : "",
			dataType : 'json',
			async : true,
			timeout : 30000,//
			headers : headers,
			beforeSend : function() {

			},
			success : function(data, textStatus, xhr) {
				layer.closeAll();
				nerworkStatus = false;
				//console.log("我是网好的")
				Model.prototype.networkStatus(nerworkStatus);
			},
			error : function(XMLHttpRequest, textStatus, errorThrown) {
				layer.closeAll();
				if (connectWay == 2) {
					B3Manager.writeLog("0", "B3Error:结束胎监网络异常", "网络异常");
				} else if (connectWay == 1) {
					B1Manager.writeLog("0", "B1Error:结束胎监网络异常", "网络异常");
				}
				//console.log("我是网不好的")
				nerworkStatus = true;
				Model.prototype.networkStatus(nerworkStatus);
			}
		});
	};
	Model.prototype.networkStatus = function(nerworkStatus) {// 网络监测
		var dev = justep.Shell.dev;
		endTime = new Date().getTime();
		var that = this;
		var M = Model.prototype;
		var total = $('.monitorTime').html();
		var totalMin = total.split(":");
		if (nerworkStatus) {
			layer.open({
				content : '您的网络异常，请恢复网络正常后再结束胎监',
				btn : [ '确定' ],
				yes : function(index) {
					layer.close(index);
					// that.comp('button6').set({
					// "disabled" : false
					// });
					$('.stopCheck').attr("disabled", false);
				}
			// no : function(index) {
			// gradEnd = true;
			// if (connectWay == 2) {
			// B3Manager.writeLog("0", "diagnosis/Custodydata/endCustody",
			// "网络异常");
			// B3Manager.closeGatt(Model.prototype.typicalStop,
			// Model.prototype.B3StopError); // 断开监听
			// } else if (connectWay == 1) {
			// B1Manager.writeLog("0", "diagnosis/Custodydata/endCustody",
			// "网络异常");
			// B1Manager.disConnect(Model.prototype.typicalStop,
			// Model.prototype.B1error);
			// }
			// layer.close(index);
			// },
			});
		} else {
			gradEnd = true;
			M.okStopMonitor();
			// //console.log("结束网络ok");
		}
		$(".layui-m-layercont").css({
			"padding" : "20px 30px 20px 30px",
			"font-size" : "14px",
			"color" : "#999999"
		});
		$('.layui-m-layerbtn').css({
			"border-bottom-left-radius" : "0.52rem",
			"border-bottom-right-radius" : "0.52rem",
			"background-color" : "white"
		});
		$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
		$('.layui-m-layerbtn span').eq(0).css({
			"color" : "#f77e9d",
			"border-right" : "none"
		});
	};
	Model.prototype.typicalStop = function(ev) {
		layer.closeAll();
		var url = '$UI/bestbaby-gravida/monitor/monitorDetail.w';
		justep.Shell.showPage(url, {
			data : orderNumber,
			monitor : true
		});
		// $('.startCheck').css('display', 'block');
		// $('.stopCheck').css('display', 'none');
		$('.devStatus').text('异常');
	};
	Model.prototype.WLtypicalStop = function(ev) {
		layer.closeAll();
		// $('.startCheck').css('display', 'block');
		// $('.stopCheck').css('display', 'none');
		$('.devStatus').text('异常');
		justep.Shell.closeAllOpendedPages();
	};
	Model.prototype.okStopMonitor = function(ev) {
		layer.closeAll();
		layer.open({
			type : 2,
			shadeClose : false,
			content : '正在上传数据，请稍后'
		});
		$('.fixed-bottom5').attr('data-status', 0);
		// $('.startCheck').css('display', 'block');
		// $('.stopCheck').css('display', 'none');
		var that = this;
		var M = Model.prototype;
		var dev = justep.Shell.dev;

		if (connectWay == 2) {
			B3Manager.stopMonitor(M.B3breakSuccess, M.B3StopError);
		} else {
			B1Manager.stopMonitoring(M.B1StopSuccess, M.B1StopError);
		}
		// $('.startCheck').css('display', 'block');
		// $('.stopCheck').css('display', 'none');
	};
	Model.prototype.cancelStop = function(ev) { //
	};
	// B1停止监测成功 zzq
	Model.prototype.B1StopSuccess = function(ev) {
		B1Manager.writeLog("0", "wifi设置", '结束胎监成功');
		// //console.log("hello，我是B1停止啦");
	};
	Model.prototype.statusDeviceMonitor = function(event) { // 监测上传数据成功
		// //console.log(event);
		// //console.log("监测上传数据成功");
		// myChart.clear();
		var dev = justep.Shell.dev;
		if (connectWay == 2) {
			B3Manager.writeLog("0", "监测上传数据成功", event);
		} else if (connectWay == 1) {
			B1Manager.writeLog("0", "监测上传数据成功", event);
		}
		var endExpe = '';
		if (justep.Shell.isTest === true) { // 体验套餐
			if (gradEnd) {
				endExpe = '2';
			}
		} else {
		}
		if (event !== null) {
			var tokenObj = tokenData;// 获取本地token
			var headers = {
				'Content-type' : 'application/json',
				'token' : tokenObj.token,
			};
			B3Manager.writeLog("0", "diagnosis/Custodydata/endCustody的header", headers);
			var data = JSON.parse(event);
			var endData = {
				"cdno" : orderNumber,
				"edtm" : data.edtm,
				"cttm" : data.cttm,
				"spgl" : data.spgl,
				"fets" : fets,
				"expe" : endExpe,
				"fltm" : data.edtm
			// TODO
			};
			$.ajax({
				type : 'POST',
				url : commonUrl + "/" + 'diagnosis/Custodydata/endCustody',
				data : JSON.stringify(endData),
				dataType : 'json',
				async : true,
				timeout : 30000,//
				headers : headers,
				success : function(data, textStatus, xhr) {
					nerworkStatus = false;
					layer.closeAll();
					if (connectWay == 2) {
						B3Manager.writeLog("0", "diagnosis/Custodydata/endCustody", data);
						B3Manager.closeGatt(Model.prototype.B3StopSuccess, Model.prototype.B3StopError); // 断开监听
					} else if (connectWay == 1) {
						B1Manager.writeLog("0", "diagnosis/Custodydata/endCustody", data);
						B1Manager.disConnect(Model.prototype.b1breakSuccess, Model.prototype.B1error);
					}
					if (data.code == 1000) {
						if (backEnd) {
							justep.Shell.closeAllOpendedPages();
						} else {
							var url = '$UI/bestbaby-gravida/monitor/monitorDetail.w';
							justep.Shell.showPage(url, {
								data : orderNumber,
								monitor : true
							});

						}
					}
				},
				error : function(XMLHttpRequest, textStatus, errorThrown) {
					layer.closeAll();

					if (textStatus == "timeout") {
						po.pop("网络异常");
						if (backEnd) {// 判断物理键

							justep.Shell.closeAllOpendedPages();
						}
						if (stopError) {// 判断停止网络异常
							justep.Shell.closeAllOpendedPages();
						}
					}
					if (connectWay == 2) {
						B3Manager.writeLog("0", "B3Error:diagnosis/Custodydata/endCustody网络异常"+'textStatus:'+textStatus, XMLHttpRequest);
					} else if (connectWay == 1) {
						B1Manager.writeLog("0", "B1Error:diagnosis/Custodydata/endCustody网络异常"+'textStatus:'+textStatus, XMLHttpRequest);
					}
					nerworkStatus = true;
					// 状态码
					// //console.log(XMLHttpRequest.status);
					// // 状态
					// //console.log(XMLHttpRequest.readyState);
					// 错误信息
				}
			});
		}
	};
	// zzq
	// 停止监测B1失败
	Model.prototype.B1StopError = function(ev) {
		B1Manager.disConnect(Model.prototype.b1breakSuccess, Model.prototype.B1error);
		layer.closeAll();
		Model.prototype.B1error(ev);
	};
	Model.prototype.B3breakSuccess = function(ev) { // 结束监测数据--
		B1Manager.writeLog("0", "蓝牙设置", '结束胎监成功');
		// //console.log("hello，我是B3停止啦");
	};
	// 断开B3连接成功
	Model.prototype.B3StopSuccess = function(ev) {
		Model.prototype.B3Success(ev);
	};
	// 断开B3连接失败
	Model.prototype.B3StopError = function(ev) {
		B3Manager.closeGatt(Model.prototype.B3StopSuccess, Model.prototype.B3StopError); // 断开监听
		Model.prototype.B3error(ev);
	};
	Model.prototype.B3Success = function(ev) {
		if (ev == 200) {
			po.pop('连接设备成功');
			enableBtn = true;
			$('.devStatus').text('已连接');
		} else if (ev == 201) {
			po.pop('断开连接成功');

		} else if (ev == 202) {
			po.pop('停止胎监成功');
		} else if (ev == 203) {
			po.pop('宫压调零成功');
		} else if (ev == 204) {
			po.pop('音量设置成功');
		} else if (ev == 205) {
			po.pop('设置报警成功');
		} else if (ev == 206) {
			po.pop('设置报警音量成功');
		} else if (ev == 210) {
			layer.closeAll();
			// po.pop('蓝牙重连成功');
			enableBtn = true;
			// //console.log(ev)
			// $('.devStatus').text('已连接');
		}
	};
	// B3连接失败调用方法
	/*
	 * statusDevice 失败状态码："100" - 与设备的连接已断开 "101" - MAC 地址格式错误 "102" - UUID 格式错误
	 * "103" - 蓝牙连接错误 "104" - 本地蓝牙不可用 "105" - 蓝牙未打开 "106" - 设备搜索超时 "107" -
	 * 设备蓝牙芯片频率和手机蓝牙频率的问题，APP 端无法解决，建议重新连接 "111" - 蓝牙重连超时 "112" - 胎监时间太短 "111" -
	 * 蓝牙重连超时 "112" - 胎监时间太短 "113" - 定位授权失败 "114" - 读写文件授权失败--要提示用户到应用权限管理里面手动打开
	 */
	Model.prototype.B3error = function(ev) {
		if (ev == 101) {
			// po.pop("MAC 地址格式错误");
			po.pop('与设备的连接已断开');
		} else if (ev == 102) {
			// po.pop('UUID 格式错误');
			po.pop('与设备的连接已断开');
			enableBtn = false;
		} else if (ev == 103) {
			// po.pop('蓝牙连接错误');
			po.pop('与设备的连接已断开');
		} else if (ev == 104) {
			po.pop('本地蓝牙不可用');
		} else if (ev == 105) {
			po.pop('蓝牙未打开');
		} else if (ev == 106) {
			// po.pop('设备异常，自动暂停胎监');
			po.pop("设备异常");
			enableBtn = false;
			$('.devStatus').text('掉线');
			var M = Model.prototype;
			// B3Manager.stopMonitor(M.B3breakSuccess, M.B3StopError);
			// $('.startCheck').css('display', 'block');
			// $('.stopCheck').css('display', 'none');
		} else if (ev == 107) {
			// po.pop('设备蓝牙芯片频率和手机蓝牙频率的问题，APP 端无法解决，建议重新连接');
			po.pop('与设备的连接已断开');
		} else if (ev == 100) {
			po.toast('与设备的连接已断开，正在自动重连');
			enableBtn = false;
			fhrAudioIsWeaken00 = false;
			fhrAudioIsWeaken01 = false;
			fhrAudioIsWeaken02 = false;
			fhrAudioIsWeaken03 = false;
			$('.devStatus').text('掉线');
		} else if (ev == 111) {
			po.pop('蓝牙重连超时');
		} else if (ev == 112) {
			po.pop('胎监时间过短');
		} else if (ev == 113) {
			po.pop('定位授权失败');
		} else if (ev == 114) {
			po.pop('读取文件授权失败，请到应用权限管理里面手动打开');
		} else if (ev == 240) {
			po.pop('胎儿唤醒已开始');
			$('.awaken-btn').removeClass('bg-pink').addClass('bg-gray')
		} else if (ev == 241) {
			po.pop('胎儿唤醒已结束');
			$('.awaken-btn').removeClass('bg-gray').addClass('bg-pink')
		} else if (ev == 242) {
			po.pop('胎儿唤醒操作失败');
		} else if (ev == 230) {
			po.pop('设备已关机');
			enableBtn = false;
			$('.devStatus').text('掉线');
		} else if (ev == 231) {
			po.pop('设备剩余20分钟电量');
		} else if (ev == 232) {
			po.pop('设备剩余10分钟电量');
		} else if (ev == 233) {
			po.pop('设备剩余5分钟电量');
		} else if (ev == 234) {
			po.pop('设备剩余3分钟电量');
		} else if (ev == 235) {
			po.pop('设备剩余1分钟电量');
		} else if (ev == 180) {
			layer.open({
				content : '胎监数据上传超时，请检查当前网络',
				style : 'background-color:rgba(0,0,0,.6);color:red; border:none;', // 自定风格
				time : 10,
				fixed : true,
			});
			$(".layui-m-layercont").css("padding", "15px");
			$('.layui-m-layer0 .layui-m-layerchild').css("width", "50%");
			neterroraudio.load();
			neterroraudio.play();
		}
	};
	// /**
	// * "100" - wifi账号数据为空 "101" - 连接失败 "102" - 未切换至设备热点 "103" - W域的字符串为空 "104"
	// -
	// * 心跳包端开，断线 "110" - 开始监测失败 "120" - 停止监测失败 "130" - 宫压调零失败 "140" - 设置报警开关失败
	// * "150" - 设置报警音量失败 "160" - 设置胎心音音量失败,"105"-当前wifi与通知设备连接的wifi不匹配
	// */
	Model.prototype.B1error = function(ev) {
		if (ev == 101) {
			// po.pop("设备异常，自动暂停胎监");
			po.pop("设备异常");
			enableBtn = false;
			$('.devStatus').text('掉线');
		} else if (ev == 102) {
			po.pop('未切换至设备热点');
		} else if (ev == 103) {
			po.pop('W域的字符串为空');
		} else if (ev == 104) {
			// po.pop('心跳包端开，断线');
			po.toast('与设备的连接已断开，正在自动重连');
			fhrAudioIsWeaken00 = false;
			fhrAudioIsWeaken01 = false;
			fhrAudioIsWeaken02 = false;
			fhrAudioIsWeaken03 = false;
			enableBtn = false;
			$('.devStatus').text('掉线');
		} else if (ev == 105) {
			po.pop('当前wifi与通知设备连接的wifi不匹配');
		} else if (ev == 110) {
			po.pop('开始监测失败');
		} else if (ev == 120) {
			po.pop('停止监测失败');
		} else if (ev == 130) {
			po.pop('宫压调零失败');
		} else if (ev == 140) {
			po.pop('设置报警开关失败');
		} else if (ev == 150) {
			po.pop('设置报警音量失败');
		} else if (ev == 160) {
			po.pop('设置胎心音音量失败');
		} else if (ev == 107) {
			// po.pop("设备异常，自动暂停胎监");
			po.pop("设备异常");
		} else if (ev == 230) {
			po.pop('设备已关机');
			enableBtn = false;
			$('.devStatus').text('掉线');
		} else if (ev == 231) {
			po.pop('设备剩余20分钟电量');
		} else if (ev == 232) {
			po.pop('设备剩余10分钟电量');
		} else if (ev == 233) {
			po.pop('设备剩余5分钟电量');
		} else if (ev == 234) {
			po.pop('设备剩余3分钟电量');
		} else if (ev == 235) {
			po.pop('设备剩余1分钟电量');
		} else if (ev == 180) {
			layer.open({
				content : '胎监数据上传超时，请检查当前网络',
				style : 'background-color:rgba(0,0,0,.6);color:red; border:none;', // 自定风格
				time : 10,
				fixed : true,
			});
			$(".layui-m-layercont").css("padding", "15px");
			$('.layui-m-layer0 .layui-m-layerchild').css("width", "50%");
			neterroraudio.load();
			neterroraudio.play();
		}
	};
	// B3断开重连补点
	Model.prototype.B3BackData = function(event) {// B3重连
		enableBtn = true;

		if (event == 200) {
			$('.devStatus').text('已连接');
		} else {
			fillPoiont += 1;
			if (event == null) {
				return;
			}
			// po.pop('补点成功');
			if (event == null) {
				return;
			}
			var data = JSON.parse(event); // 接收数据

			var monotorBean = data.data;
			if (monotorBean == null) {
				return;
			}
			enableBtn = true;
			// if (option.series[13].data.length > 0) {
			// for (var i = 0; i < monotorBean.length; i++) {
			// // if (i >= 0) {
			// if ((monotorBean[i].orde - (last[0] / 8)) > 1) {//
			// ||monotorBean[i].orde
			// var count = monotorBean[i].orde - (last[0] / 8);
			// for (var j = 0; j < count; j++) {
			// option.series[13].data.push([ last[0] + tmp3, '-' ]);// 胎心率1
			// if (monotorBean[i].fhr2) {// 胎心率2
			// option.series[14].data.push([ last[0] + tmp3, '-' ]);
			// }
			// option.series[15].data.push([ last[0] + tmp3, '-' ]);// 宫压
			// tmp3 += 8;
			// last = option.series[13].data[option.series[13].data.length - 1];
			// }
			//
			// } else {
			// option.series[13].data.push([ (8 * monotorBean[i].orde),
			// monotorBean[i].fhr1 != 0 ? monotorBean[i].fhr1 - 0 : '-' ]); //
			// 添加胎心率
			// if (monotorBean[i].fhr2) {
			// option.series[14].data.push([ (8 * monotorBean[i].orde),
			// monotorBean[i].fhr2 != 0 ? monotorBean[i].fhr2 - 20 : '-' ]); //
			// 添加胎心2数据
			// }
			// ;
			// option.series[15].data.push([ (8 * monotorBean[i].orde),
			// monotorBean[i].toco != 0 ? monotorBean[i].toco - 0 : '-' ]); //
			// 添加宫压数据
			// last = option.series[13].data[option.series[13].data.length - 1];
			// }
			// // }
			//
			// }
			// } else {
			// for (var i = 0; i < monotorBean.length; i++) {
			// if (i > 0) {
			// if ((monotorBean[i].orde - monotorBean[i - 1].orde) > 1) {
			// var count = monotorBean[i].orde - monotorBean[i - 1].orde;
			// for (var j = 0; j < count; j++) {
			// // 胎心率1
			// option.series[13].data.push([ (monotorBean[i].orde + (j + 1)) *
			// 8, '-' ]);// 添加不连续的补点包序
			// if (monotorBean[i].fhr2) {
			// // 胎心率2
			// option.series[14].data.push([ (monotorBean[i].orde + (j + 1)) *
			// 8, '-' ]);
			// }
			// // 宫压
			// option.series[15].data.push([ (monotorBean[i].orde + (j + 1)) *
			// 8, '-' ]);
			// }
			// } else {
			// // 胎心率1
			// option.series[13].data.push([ (8 * monotorBean[i].orde),
			// monotorBean[i].fhr1 != 0 ? monotorBean[i].fhr1 - 0 : '-' ]); //
			// 添加胎心率
			// if (monotorBean[i].fhr2) {
			// option.series[14].data.push([ (8 * monotorBean[i].orde),
			// monotorBean[i].fhr2 != 0 ? monotorBean[i].fhr2 - 20 : '-' ]); //
			// 添加胎心2数据
			// }
			// // 包序错乱没有手动胎动
			// // 宫压
			// option.series[15].data.push([ (8 * monotorBean[i].orde),
			// monotorBean[i].toco != 0 ? monotorBean[i].toco - 0 : '-' ]); //
			// 添加宫压数据
			// }
			// } else {
			// option.series[13].data.push([ (monotorBean[i].orde) * 8,
			// monotorBean[i].fhr1 != 0 ? monotorBean[i].fhr1 - 0 : '-' ]);//
			// 添加不连续的补点包序
			// if (monotorBean[i].fhr2) {
			// // 胎心率2
			// option.series[14].data.push([ (monotorBean[i].orde) * 8,
			// monotorBean[i].fhr2 != 0 ? monotorBean[i].fhr2 - 20 : '-' ]);
			// }
			// // 宫压
			// option.series[15].data.push([ (monotorBean[i].orde) * 8,
			// monotorBean[i].toco != 0 ? monotorBean[i].toco - 0 : '-' ]);
			// }
			// }
			// last = option.series[13].data[option.series[13].data.length - 1];
			// }
			B3Manager.writeLog("0", "B3补点胎监数据", monotorBean);
			for (var i = 0; i < monotorBean.length; i++) {
				option.series[13].data.push([ (8 * monotorBean[i].orde), monotorBean[i].fhr1 != 0 ? monotorBean[i].fhr1 - 0 : '-' ]); // 添加胎心率1
				option.series[15].data.push([ (8 * monotorBean[i].orde), monotorBean[i].toco != 0 ? monotorBean[i].toco - 0 : '-' ]); // 添加宫压数据
				if (monotorBean[i].fhr2) {
					option.series[14].data.push([ (8 * monotorBean[i].orde), monotorBean[i].fhr2 != 0 ? monotorBean[i].fhr2 - 20 : '-' ]); // 添加胎心2数据
				}
			}
		}
		// po.pop('补点成功');
		myChart.setOption(option, true);
	};
	// B1断开重连补点
	Model.prototype.B1BackData = function(event) {
		enableBtn = true;

		if (event == 200) {
			$('.devStatus').text('已连接');
		} else {
			fillPoiont += 1;
			if (event == null) {
				return;
			}
			var data = JSON.parse(event); // 接收数据
			var monotorBean = data.data;
			if (monotorBean == null) {
				return;
			}
			enableBtn = true;
			layer.closeAll();
			// po.pop('重连成功');
			// if (option.series[13].data.length > 0) {
			// for (var i = 0; i < monotorBean.length; i++) {
			// // if (i >= 0) {
			// if ((monotorBean[i].orde - (last[0] / 8)) > 1) {
			// // 包序错误
			// var count = monotorBean[i].orde - (last[0] / 8);
			// for (var j = 0; j < count; j++) {
			// // 胎心率1
			// option.series[13].data.push([ (last[0] + tmp3), '-' ]);
			// // 宫压
			// option.series[15].data.push([ (last[0] + tmp3), '-' ]);
			// tmp3 += 8;
			// last = option.series[13].data[option.series[13].data.length - 1];
			// }
			//
			// } else {
			// option.series[13].data.push([ (8 * monotorBean[i].orde),
			// monotorBean[i].fhr1 != 0 ? monotorBean[i].fhr1 - 0 : '-' ]);
			// option.series[15].data.push([ (8 * monotorBean[i].orde),
			// monotorBean[i].toco != 0 ? monotorBean[i].toco - 0 : '-' ]);
			// last = option.series[13].data[option.series[13].data.length - 1];
			// }
			//
			// // }
			//
			// }
			//
			// } else {
			// for (var i = 0; i < monotorBean.length; i++) {
			// if (i > 0) {
			// if ((monotorBean[i].orde - monotorBean[i - 1].orde) > 1) {
			// // -
			// // (lastIndex[0]/8)
			// // 包序错误
			// var count = monotorBean[i].orde - monotorBean[i - 1].orde;
			// for (var j = 0; j < count; j++) {
			// // 胎心率1
			// option.series[13].data.push([ (monotorBean[i].orde + (j + 1)) *
			// 8, '-' ]);// 添加不连续的补点包序
			// // 宫压
			// option.series[15].data.push([ (monotorBean[i].orde + (j + 1)) *
			// 8, '-' ]);
			// }
			// } else {
			// // 胎心率1
			// // if (Math.abs(fhr1Last[1] - monotorBean[i].fhr1)
			// // >= 30) {
			// // option.series[13].data.push([ (8 *
			// // monotorBean[i].orde), '-' ]); // 添加胎心率1
			// // } else {
			// option.series[13].data.push([ (8 * monotorBean[i].orde),
			// monotorBean[i].fhr1 != 0 ? monotorBean[i].fhr1 - 0 : '-' ]); //
			// 添加胎心率1
			// // }
			// option.series[15].data.push([ (8 * monotorBean[i].orde),
			// monotorBean[i].toco != 0 ? monotorBean[i].toco - 0 : '-' ]); //
			// 添加宫压数据
			// // 宫压
			//
			// }
			// } else {
			// option.series[13].data.push([ (8 * monotorBean[i].orde),
			// monotorBean[i].fhr1 != 0 ? monotorBean[i].fhr1 - 0 : '-' ]); //
			// 添加胎心率1
			// option.series[15].data.push([ (8 * monotorBean[i].orde),
			// monotorBean[i].toco != 0 ? monotorBean[i].toco - 0 : '-' ]); //
			// 添加宫压数据
			// }
			//
			// }
			// last = option.series[13].data[option.series[13].data.length - 1];
			//
			// }

			B1Manager.writeLog("0", "B1补点胎监数据", monotorBean);

			for (var i = 0; i < monotorBean.length; i++) {
				option.series[13].data.push([ (8 * monotorBean[i].orde), monotorBean[i].fhr1 != 0 ? monotorBean[i].fhr1 - 0 : '-' ]); // 添加胎心率1
				option.series[15].data.push([ (8 * monotorBean[i].orde), monotorBean[i].toco != 0 ? monotorBean[i].toco - 0 : '-' ]); // 添加宫压数据
			}
			myChart.setOption(option, true);
		}
	};
	// 接收参数事件
	Model.prototype.modelParamsReceive = function(event) {
		var data = store.get('$configData');
		var dev = justep.Shell.dev;
		// //console.log(dev,'设备')
		if (data.isWakeUp == 1) {
			$('.float-button').show();
		}

		$('.ad-bar-title').text('当前设备:' + dev);

		var devImg = '';
		var M = Model.prototype;
		this.comp("imgData").add({
			img : data.logo
		});
		if (connectWay == 1) {
			$(".ad-title-right").hide();
			// //console.log(2222)
			B1Manager.requestDeviceStatus(M.DeviceStatusSuccess, M.DeviceStatusError);
		} else if (connectWay == 2) {
			if (dev != 'B1') {
				$(".ad-title-right").show();
			} else {
				B1Manager.requestDeviceStatus(M.DeviceStatusSuccess, M.DeviceStatusError);
				$(".ad-title-right").hide();
			}

			// //console.log(222222222222222222222222222222);
			/**
			 * 方法名：requestDeviceStatus(function, function) 参数1：(function)
			 * 成功时回调方法 (返回状态码) 参数2：(function) 失败时回调方法 返回值：(string) 状态码
			 * 说明：查询设备监护状态
			 */
			B3Manager.requestDeviceStatus(M.DeviceStatusSuccess, M.DeviceStatusError);
		}
	};
	/*
	 * 查询设备状态成功 "207" - 设备状态_空闲 "208" - 设备状态_监护中
	 */
	// 设备状态
	Model.prototype.DeviceStatusSuccess = function(ev) {

		var str = '';
		if (ev == 207) {
			str = '已连接';
			$('.devStatus').text(str);
		} else if (ev == 208) {
			str = '监护中';
			$('.devStatus').text(str);
		}

		$('.statusDevice').attr('data', ev);
		// Model.prototype.B3Success(ev);
	};
	/* 查询设备状态失败 */
	Model.prototype.DeviceStatusError = function(ev) {

		var dev = justep.Shell.dev;
		if (connectWay == 2) {
			Model.prototype.B3error(ev);
		} else if (connectWay == 1) {
			Model.prototype.B1error(ev);
		}
	};
	// 初始化echarts
	function initCharts(obj) {
		minute = Math.ceil(750 * 0.8 / 60);
		// X轴长度
		xMinSize = 0;
		xMaxSize = minute * 60 * 10;
		yMinSize = 50;
		// var yMaxSize = 210;
		y1MinSize = 0;
		// var y1MaxSize = 100;
		// 虚线数据
		xDashed = [];
		yDashed = [];
		y1Dashed = [];
		// //console.log(minute, xMaxSize, obj.css("width"))
		// 实线数据
		xSolid = [];
		ySolid = [ {
			yAxis : 210
		}, {
			yAxis : 180
		}, {
			yAxis : 150
		}, {
			yAxis : 120
		}, {
			yAxis : 90
		} ];
		y1Solid = [ {
			yAxis : 100
		}, {
			yAxis : 80
		}, {
			yAxis : 60
		}, {
			yAxis : 40
		}, {
			yAxis : 20
		}, {
			yAxis : 0
		} ];
		for (var i = 0; i < yMaxSize; i++) {
			if (i % 10 == 0) {
				if (i != 50 && i != 60) {
					yDashed.push({
						yAxis : i
					});
				}
			}
		}
		for (var i = 0; i < y1MaxSize; i++) {
			if (i % 10 == 0) {
				y1Dashed.push({
					yAxis : i
				});
			}
		}
		// 实线计算
		for (var i = 0; i < xMaxSize; i++) {
			if (i % 100 == 0) {
				xDashed.push({
					xAxis : i
				});
			}
			if (i % 600 == 0) {
				xSolid.push({
					xAxis : i
				});
			}
		}
		function intervalLine(index, value) {
			if (index == 50) {
				return false;
			}
			if ((index - 60) % 30 == 0) {
				return true;
			}
			return false;
		}
		function intervalGLine(index, value) {
			if (index % 20 == 0) {
				return true;
			}
			return false;
		}
		legend = [ '胎心率1', '宮压', '胎心率2' ];
		series = [ {// 0
			name : "胎心率1",
			// symbol : "none", // 去掉圆点
			type : 'line',
			xAxisIndex : 0, // 对应前面x的索引位置
			yAxisIndex : 0, // 对应前面y的索引位置
			smooth : true,
			data : [],
			min : 0,
			zlevel : 1,
			markPoint : { // 胎动标记
				name : '胎动标记',
				data : [],
				symbol : 'rect',
				symbolOffset : [ 0, '-50%' ],
				symbolSize : [ '2', '15' ],
				itemStyle : {
					normal : {
						color : '#f888a4'
					}
				},
			},
		}, {
			name : "宮压",// 1
			// symbol : "none", // 去掉圆点
			type : 'line',
			xAxisIndex : 1, // 对应前面x的索引位置
			yAxisIndex : 1, // 对应前面y的索引位置
			smooth : true,
			data : [],
			zlevel : 1,
			min : 0,
		}, {
			name : "胎心x虚线",// 2
			type : 'line',
			xAxisIndex : 0, // 对应前面x的索引位置
			yAxisIndex : 0, // 对应前面y的索引位置
			markLine : {
				silent : true,
				symbolSize : 0, // 圆点0
				label : {
					normal : {
						show : false,
						position : 'start'
					}
				},
				lineStyle : {
					normal : {
						type : 'dashed',
						color : "#dddddd",
					}
				},
				data : xDashed
			}
		}, {
			name : "胎心x实线",// 3
			type : 'line',
			xAxisIndex : 0, // 对应前面x的索引位置
			yAxisIndex : 0, // 对应前面y的索引位置
			markLine : {
				silent : true,
				symbolSize : 0, // 圆点0
				label : {
					normal : {
						show : false,
						position : 'start'
					}
				},
				lineStyle : {
					normal : {
						type : 'solid',
						color : "#aaaaaa",
						width : 2
					}
				},
				data : xSolid
			}
		}, {
			name : "宫压x虚线",// 4
			type : 'line',
			xAxisIndex : 1, // 对应前面x的索引位置
			yAxisIndex : 1, // 对应前面y的索引位置
			markLine : {
				silent : true,
				symbolSize : 0, // 圆点0
				label : {
					normal : {
						show : false,
						position : 'start'
					}
				},
				lineStyle : {
					normal : {
						type : 'dashed',
						color : "#dddddd",
					}
				},
				data : xDashed
			}
		}, {
			name : "宫压x实线",// 5
			type : 'line',
			xAxisIndex : 1, // 对应前面x的索引位置
			yAxisIndex : 1, // 对应前面y的索引位置
			markLine : {
				silent : true,
				symbolSize : 0, // 圆点0
				label : {
					normal : {
						show : false,
						position : 'start',
					}
				},
				lineStyle : {
					normal : {
						type : 'solid',
						color : "#aaaaaa",
						width : 2
					}
				},
				data : xSolid
			}
		}, {
			name : "胎心y虚线",// 6
			type : 'line',
			xAxisIndex : 0, // 对应前面x的索引位置
			yAxisIndex : 0, // 对应前面y的索引位置
			markLine : {
				silent : true,
				symbolSize : 0, // 圆点0
				label : {
					normal : {
						show : false,
						position : 'start'
					}
				},
				lineStyle : {
					normal : {
						type : 'dashed',
						color : "#dddddd",
					}
				},
				data : yDashed
			}
		}, {
			name : "60虚线",// 7
			type : 'line',
			xAxisIndex : 0, // 对应前面x的索引位置
			yAxisIndex : 0, // 对应前面y的索引位置
			markLine : {
				silent : true,
				symbolSize : 0, // 圆点0
				label : {
					normal : {
						show : false,
						position : 'start',
						color : "#aaaaaa",
					}
				},
				lineStyle : {
					normal : {
						type : 'dashed',
						color : "#dddddd",
					}
				},
				data : [ {
					yAxis : 60
				} ]
			}
		}, {
			name : "胎心y实线",// 8
			type : 'line',
			xAxisIndex : 0, // 对应前面x的索引位置
			yAxisIndex : 0, // 对应前面y的索引位置
			markLine : {
				silent : true,
				symbolSize : 0, // 圆点0
				label : {
					normal : {
						show : false,
						position : 'start'
					}
				},
				lineStyle : {
					normal : {
						type : 'solid',
						color : "#aaaaaa",
						width : 2
					}
				},
				data : ySolid
			}
		}, {
			name : "宫压y虚线",// 9
			type : 'line',
			xAxisIndex : 1, // 对应前面x的索引位置
			yAxisIndex : 1, // 对应前面y的索引位置
			markLine : {
				silent : true,
				symbolSize : 0, // 圆点0
				label : {
					normal : {
						show : false,
						position : 'start'
					}
				},
				lineStyle : {
					normal : {
						type : 'dashed',
						color : "#dddddd",
					}
				},
				data : y1Dashed
			}
		}, {
			name : "宫压y实线",// 10
			type : 'line',
			xAxisIndex : 1, // 对应前面x的索引位置
			yAxisIndex : 1, // 对应前面y的索引位置
			markLine : {
				silent : true,
				symbolSize : 0, // 圆点0
				label : {
					normal : {
						show : false,
						position : 'start'
					}
				},
				lineStyle : {
					normal : {
						type : 'solid',
						color : "#aaaaaa",
						width : 2
					}
				},
				data : y1Solid
			}
		}, {
			name : "胎心区域",// 11
			type : 'line',
			xAxisIndex : 0, // 对应前面x的索引位置
			yAxisIndex : 0, // 对应前面y的索引位置
			markArea : {
				silent : true,
				itemStyle : {
					normal : {
						color : "#fef2f4"
					}
				},
				data : [ [ {
					yAxis : 110
				}, {
					yAxis : 160
				} ] ]
			}
		}, {
			name : "胎心率2",// 12
			type : 'line',

			xAxisIndex : 0, // 对应前面x的索引位置
			yAxisIndex : 0, // 对应前面y的索引位置
			smooth : true,
			data : [],
			zlevel : 1,
			min : 0
		}, {
			name : "胎心率1",// 13
			type : 'line',

			xAxisIndex : 0, // 对应前面x的索引位置
			yAxisIndex : 0, // 对应前面y的索引位置
			smooth : true,
			itemStyle : {
				normal : {
					lineStyle : {
						color : '#00a0e9',
					}
				}
			},
			data : [],
			min : 0,
			zlevel : 1,
		}, {
			name : "胎心率2",// 14
			type : 'line',

			xAxisIndex : 0, // 对应前面x的索引位置
			yAxisIndex : 0, // 对应前面y的索引位置
			smooth : true,
			itemStyle : {
				normal : {
					lineStyle : {
						color : '#f8b551',
					}
				}
			},
			data : [],
			zlevel : 1,
			min : 0
		}, {
			name : "宫压",// 15
			type : 'line',
			// symbol : "none", // 去掉圆点
			xAxisIndex : 1, // 对应前面x的索引位置
			yAxisIndex : 1, // 对应前面y的索引位置
			itemStyle : {
				normal : {
					lineStyle : {
						color : '#c490bf',
					}
				}
			},
			smooth : true,
			data : [],
			zlevel : 1,
			min : 0,
		} ];
		color = [ '#00a0e9', '#c490bf', '#ffffff', '#ffffff', '#ffffff', '#ffffff', '#ffffff', '#ffffff', '#ffffff', '#ffffff', '#ffffff', '#ffffff', '#f8b551', '#00a0e9', '#f8b551', '#c490bf' ];
		option = {
			title : {
				text : '胎监图',
				show : false
			},
			tooltip : {
				trigger : 'axis',
				axisPointer : { // 坐标轴指示器，坐标轴触发有效
					animation : false
				},
				formatter : function(params, ticket, callback) { // 添加浮窗數據
					if (params.length <= 1) {
						return params[0].seriesName + " (" + params[0].value[1] + ") ";
					} else {
						return params[0].seriesName + " (" + params[0].value[1] + ') <br />' + params[1].seriesName + " (" + params[1].value[1] + ")";
					}
				}
			},
			animation : false,
			legend : {
				data : legend,
				left : "30",
				selected : {
					'胎心率1' : true,
					'胎心率2' : false,
					'宫压' : true,
				},
				animation : false,
			},
			// 多个图，就有多个grid,排序默认0、1、2....
			grid : [
			// 0
			{
				x : '8%',
				y : '7%',
				left : 60,
				right : 20,
				height : '46%',
				backgroundColor : "#ffffff",
				show : true
			},
			// 1
			{
				x : '8%',
				y2 : '9%',
				left : 60,
				right : 20,
				height : '38%',
				backgroundColor : "#ffffff",
				show : true
			} ],
			// 多个图，就要定义多个x轴，虽然我这个表的x轴是一样的
			xAxis : [ {
				min : xMinSize,
				max : xMaxSize,
				show : false, // 隐藏了x轴
				type : 'category', // 坐标轴类型。
				gridIndex : 0, // 对应前面grid的索引位置
				axisTick : {
					show : true,
					alignWithLabel : true
				},
				data : []
			}, {
				min : xMinSize,
				max : xMaxSize,
				show : false, // 隐藏了x轴
				type : 'category', // 坐标轴类型。
				gridIndex : 1, // 对应前面grid的索引位置
				axisTick : {
					show : true,
					alignWithLabel : true
				},
				data : {}
			}, ],
			// y轴，不管有几个x轴，几个y轴，或者图，只要找到他对应的grid图的序号索引就可以精准匹配
			yAxis : [ {
				min : yMinSize,
				max : yMaxSize,
				type : 'value',
				gridIndex : 0, // 对应前面grid的索引位置
				axisTick : {
					show : false,
					alignWithLabel : true,
					interval : intervalLine,
				},
				z : 1,
				axisLabel : {
					show : false,
					formatter : function(value, index) {
						if (value == 50) {
							return ""
						}
						return value;
					}
				},
				data : {}
			}, {
				min : y1MinSize,
				max : y1MaxSize,
				type : 'value',
				gridIndex : 1, // 对应前面grid的索引位置
				z : 1,
				axisTick : {
					show : false,
					alignWithLabel : true,
					interval : intervalGLine
				},
				axisLabel : {
					show : false,
					formatter : function(value, index) {
						return value;
					}
				},
				data : {}
			}, ],
			// 数据就要选择是哪个x,y轴与之对应
			series : series,
			color : color,

		};
		return option;
	}
	Model.prototype.modelInactive = function(event) {
		var that = this;
		hasInitFormatter = true;
		enableBtn = false;
		backEnd = false;
		// myChart.clear();
	};
	Model.prototype.B3setZeroSuccess = function(ev) { // B3调零成功
		// //console.log('B3调零成功');
	};
	Model.prototype.B1setZeroSuccess = function(ev) { // B1调零成功
		// //console.log('B1调零成功');
	};
	Model.prototype.setZeroButton = function(event) { // 宫压调零
		if (enableBtn) {
			var dev = justep.Shell.dev;
			var M = Model.prototype;
			if (connectWay == 2) {
				B3Manager.setZero(M.B3setZeroSuccess, M.B3error);
			} else if (connectWay == 1) {
				B1Manager.resetUterus(M.B1setZeroSuccess, M.B1error);
			}
		}
	};
	var indexTmp = 8;
	Model.prototype.moveSuccess = function(event) {// 手动胎动成功函数
		var presentIndex = event; // 当前数据index
		moveTotal += 1;
		var markP = {
			name : presentIndex,
			coord : [ parseInt(presentIndex * indexTmp), 50 ],
			label : {
				normal : {
					show : false
				}
			}
		};
		option.series[0].markPoint.data.push(markP);
		$('.movement').html(moveTotal);
	};
	Model.prototype.moveFail = function(event) {
		// //console.log("我是手动胎动失败");
	};
	Model.prototype.manualMovement = function(event) { // 手动胎动
		//console.log(connectWay)
		var M = Model.prototype;
		var that = this;
		var dev = justep.Shell.dev; // 设备名称
		var presentIndex = option.series[0].data[option.series[0].data.length - 1]; // 当前数据index
		if (enableBtn && presentIndex) {
			// this.flag();

			if (connectWay == 2) {
				B3Manager.receiveAutoMove(M.moveSuccess, M.moveFail, (presentIndex[0] - 8) / 8);
			} else {
				// //console.log("我是B1")
				B1Manager.receiveAutoMove(M.moveSuccess, M.moveFail, (presentIndex[0] - 8) / 8);
			}
		}
	};
	Model.prototype.modelUnLoad = function(event) {
		layer.closeAll();
		myChart.clear();
		myChart.dispose();
		moveTotal = 0;
		minute = Math.ceil(750 * 0.8 / 60);
		enableBtn = false;
		number = 1;
		orderNumber = "";
		// zzq 还原物理键操作
		justep.Shell.fireEvent("regainBackClick");

	};
	Model.prototype.EScroll = function(event) {// 原固定Y轴，由于拖动一次就setOption一次太卡，改为用Html写的div固定Y轴。
		var element = $(".echarts-monitor").scrollLeft();
		var that = this;
		// if (element >= 50) {
		// option.yAxis[0].zlevel = 1;
		// option.yAxis[1].zlevel = 1;
		// option.yAxis[0].offset = 30 - element;
		// option.yAxis[1].offset = 30 - element;
		// myChart.setOption(option, true);
		// } else {
		// option.yAxis[0].offset = 0;
		// option.yAxis[1].offset = 0;
		// myChart.setOption(option, true);
		// }
	};
	Model.prototype.B3disConnectSuccess = function(event) {// 测试重连
		po.pop("断开成功");
	}
	Model.prototype.B3disConnectFail = function(event) {// 测试
		po.pop("断开失败");
	}
	Model.prototype.disConnect = function(event) { // 断线测试
		var M = Model.prototype;
		B3Manager.disConnect(M.B3disConnectSuccess, M.B3disConnectFail)
	};

	Model.prototype.connect = function(event) {// 连接测试
		// //console.log("我是重连");
		B3Manager.reconnect(Model.prototype.B3BackData, Model.prototype.B3error);
	};
	Model.prototype.modelActive = function(event) {

	};
	// 设备logo重新加载
	Model.prototype.image1Click = function(event) {
		var data = store.get('$configData');
		var url = data.logo + '&t=' + Math.random();
		//console.log(url)
		this.comp("imgData").add({
			img : url
		});
	};
	// 唤醒
	Model.prototype.awakenButtonClick = function(event) {

		var dev = justep.Shell.dev;
		if ($('.awaken-btn').hasClass('bg-pink')) {
			if (connectWay == 1) {
				B1Manager.awakenStart(function() {
				}, function() {
				});
			} else if (connectWay == 2) {
				//console.log('唤醒')
				B3Manager.awakenStart(function() {
				}, function() {
				});
			}

		} else {
			if (connectWay == 1) {
				B1Manager.awakenStop(function() {
				}, function() {
				});
			} else if (connectWay == 2) {
				B3Manager.awakenStop(function() {
				}, function() {
				});
			}
		}
	};

	// 胎心质量的弹框
	Model.prototype.FSQPopout = function(message) {
		layer.closeAll();
		layer.open({
			content : '' + message,
			style : 'background-color:rgba(0,0,0,0);color:#F77E9D; border:none;font-size:16px;', // 自定风格
			time : 10,
			fixed : true,
		});
	};
	// 哪个胎心质量有问题，参数为true和false，true有问题，false没问题
	Model.prototype.fhrAudioIsWeaken = function(IsWeaken00, IsWeaken01, IsWeaken02, IsWeaken03) {
		fhrAudioIsWeaken00 = IsWeaken00;
		fhrAudioIsWeaken01 = IsWeaken01;
		fhrAudioIsWeaken02 = IsWeaken02;
		fhrAudioIsWeaken03 = IsWeaken03;
	};
	// 胎心质量较差的提示音是否第一次播放，参数为int类型
	// 0是单胎胎心一不好的第一次播放，1是双胎两个胎心都不好的第一播放，2是双胎胎心一不好的第一次播放，3是双胎胎心二不好的第一次播放
	Model.prototype.fhr_weakenaudioOnePlay = function(type) {
		switch (type) {
		case 0:
			if (fhr_weakenaudioOnePlay00) {
				if (timerFSQFatherIs60) {
					fhr_weakenaudioOnePlay00 = false;
					fhr_weakenaudio00.pause();
					Model.prototype.FSQPopout("胎心信号质量较差，请检查探头位置");
					fhr_weakenaudio00.play();
				}

			}
			break;
		case 1:
			if (fhr_weakenaudioOnePlay01) {
				if (timerFSQFatherIs60) {
					fhr_weakenaudioOnePlay01 = false;
					fhr_weakenaudio01.pause();
					Model.prototype.FSQPopout("胎心一和胎心二信号质量较差，请检查探头位置");
					fhr_weakenaudio01.play();
				}

			}
			break;
		case 2:
			if (fhr_weakenaudioOnePlay02) {
				if (timerFSQFatherIs60) {
					fhr_weakenaudioOnePlay02 = false;
					fhr_weakenaudio02.pause();
					Model.prototype.FSQPopout("胎心一信号质量较差，请检查探头位置");
					fhr_weakenaudio02.play();
				}

			}
			break;
		case 3:
			if (fhr_weakenaudioOnePlay03) {
				if (timerFSQFatherIs60) {
					fhr_weakenaudioOnePlay03 = false;
					fhr_weakenaudio03.pause();
					Model.prototype.FSQPopout("胎心二信号质量较差，请检查探头位置");
					fhr_weakenaudio03.play();
				}

			}
			break;

		}
	};

	// 关闭所有计时器
	Model.prototype.ReleaseTimers = function(event) {
		timerFSQFatherIsStop = true;
		timerFSQSonIsStop = true;
		if (fhr_weakenaudio00 != null) {
			fhr_weakenaudio00.load();
			fhr_weakenaudio00.pause();
			fhr_weakenaudio00 = null;
		}
		if (fhr_weakenaudio01 != null) {
			fhr_weakenaudio01.load();
			fhr_weakenaudio01.pause();
			fhr_weakenaudio01 = null;
		}
		if (fhr_weakenaudio02 != null) {
			fhr_weakenaudio02.load();
			fhr_weakenaudio02.pause();
			fhr_weakenaudio02 = null;
		}
		if (fhr_weakenaudio03 != null) {
			fhr_weakenaudio03.load();
			fhr_weakenaudio03.pause();
			fhr_weakenaudio03 = null;
		}
		if (timerFSQ) {
			//console.log("探头信号质量差  定时器关闭");
			timerFSQ.stop();
			timerFSQ.free();
			timerFSQ.dtimer = null;
			timerFSQ = null;
		}
		if (timerFSQFather) {
			//console.log("探头信号质量差  定时器关闭");
			timerFSQFather.stop();
			timerFSQFather.free();
			timerFSQFather.dtimer = null;
			timerFSQFather = null
		}

	};

	// 决定播放胎心质量语音开始的定时器1 到了60秒，就开始计时器2
	Model.prototype.timeFSQFather = function(event) {
		if (timerFSQFatherIsStop) {// 停止掉计时器1
			timerFSQFather = this.comp('timerFSQFather');
			timerFSQFather.stop();
			this.comp('timerFSQFather').stop();
		}
		if (event.times == 60) {// 停止掉计时器1，开始计时器2
			timerFSQFatherIs60 = true;
			timerFSQSonIsStop = false;
			timerFSQ.start();
		}
	};
	// 第一个计时器开始工作，等第一个计时器记了60秒后，第二个计时器开始工作，也就是开始播放提示了
	Model.prototype.StartTimerFSQFather = function(event) {// 开始计时器1
		if (timerFSQFather) {
			timerFSQFatherIsStop = false;
			timerFSQFather.start();
		}
	};

	// 播放胎心质量语音的定时器2，其是否开始计时的命脉在计时器1的手里
	Model.prototype.FSQTimerSon = function(event) {
		//console.log("探头信号质量  定时器" + fhr_weakenaudioOnePlay00 + fhr_weakenaudioOnePlay01 + fhr_weakenaudioOnePlay02 + fhr_weakenaudioOnePlay03);
		if (timerFSQSonIsStop) {// 停止掉计时器2
			timerFSQ = this.comp('timerFSQSon');
			timerFSQ.stop();
			this.comp('timerFSQSon').stop();
		} else {
			fhr_weakenaudio00.load();
			fhr_weakenaudio01.load();
			fhr_weakenaudio02.load();
			fhr_weakenaudio03.load();
			//console.log("探头信号质量  定时器");
			if (fhrAudioIsWeaken00) {
				Model.prototype.FSQPopout("胎心信号质量较差，请检查探头位置");
				//console.log("当前播放状态1：" + fhr_weakenaudio00.readyState);
				fhr_weakenaudio00.pause();
				fhr_weakenaudio00.play();
			} else if (fhrAudioIsWeaken01) {
				Model.prototype.FSQPopout("胎心一和胎心二信号质量较差，请检查探头位置");
				fhr_weakenaudio01.pause();
				fhr_weakenaudio01.play();
			} else if (fhrAudioIsWeaken02) {
				Model.prototype.FSQPopout("胎心一信号质量较差，请检查探头位置");
				fhr_weakenaudio02.pause();
				fhr_weakenaudio02.play();
			} else if (fhrAudioIsWeaken03) {
				Model.prototype.FSQPopout("胎心二信号质量较差，请检查探头位置");
				fhr_weakenaudio03.pause();
				fhr_weakenaudio03.play();
			}
		}

	};
	// 处理胎心质量
	Model.prototype.handlerFSQ = function(data) {
		// 该for循环检验探头信号质量，差和断
		for (var i = 0; i < data.length; i++) {
			//console.log("探头信号质量：" + "	FHR1Quality:" + data[i].FHR1Quality + "	FHR2Quality:" + data[i].FHR2Quality + " FHR1Value:" + data[i].FHR1Value + "  FHR2Value:" + data[i].FHR2Value
			//		+ " typeNum:" + data[i].typeNum);
			if (data[i].FHR1Quality || data[i].FHR2Quality) {
				if (data[i].typeNum == 1 || data[i].typeNum == 2) {// 单胎
					if (data[i].FHR1Quality == 4 || data[i].FHR1Quality == 0 || data[i].FHR1Quality == 3) {// fhr1探头信号质量较差或断开
						//console.log("单胎：胎心率一质量差");
						Model.prototype.fhr_weakenaudioOnePlay(0);
						Model.prototype.fhrAudioIsWeaken(true, false, false, false);
					} else {
						Model.prototype.fhrAudioIsWeaken(false, false, false, false);
					}
				} else if (data[i].typeNum == 3 || data[i].typeNum == 4) {// 双胎
					if (((data[i].FHR1Quality == 4 || data[i].FHR1Quality == 0 || data[i].FHR1Quality == 3)) && ((data[i].FHR2Quality == 4 || data[i].FHR2Quality == 0 || data[i].FHR2Quality == 3))) {// fhr1或fhr2探头信号断开
						//console.log("双胎：胎心率一和胎心率二信号质量差或断开");
						Model.prototype.fhr_weakenaudioOnePlay(1);
						Model.prototype.fhrAudioIsWeaken(false, true, false, false);
					} else if (((data[i].FHR1Quality == 4 || data[i].FHR1Quality == 0 || data[i].FHR1Quality == 3))
							&& (!(data[i].FHR2Quality == 4 || data[i].FHR2Quality == 0 || data[i].FHR2Quality == 3))) {
						//console.log("双胎：胎心率一差或断，胎心率二正常");
						Model.prototype.fhr_weakenaudioOnePlay(2);
						Model.prototype.fhrAudioIsWeaken(false, false, true, false);
					} else if ((!(data[i].FHR1Quality == 4 || data[i].FHR1Quality == 0 || data[i].FHR1Quality == 3))
							&& ((data[i].FHR2Quality == 4 || data[i].FHR2Quality == 0 || data[i].FHR2Quality == 3))) {
						//console.log("双胎：胎心率一正常，胎心率二差或断");
						Model.prototype.fhr_weakenaudioOnePlay(3);
						Model.prototype.fhrAudioIsWeaken(false, false, false, true);
					} else {
						Model.prototype.fhrAudioIsWeaken(false, false, false, false);
					}
				} else {
					//console.log("单双胎未知");
				}
			}
		}
	};
	return Model;
});
define(function(require){
	var $ = require("jquery");
	var Model = function(){
		this.callParent();
	};
	Model.prototype.backBtnClick = function(event){

	};

	return Model;
});
