define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");

	var set = require("$UI/bestbaby-gravida/common/js/getItems");
	var po = require("$UI/bestbaby-gravida/common/js/popUp")
	var store = require("$UI/bestbaby-gravida/common/js/store/dist/store.modern.min");
	require('css!$UI/bestbaby-gravida/common/js/mobile/need/layer').load();
	var layer = require('$UI/bestbaby-gravida/common/js/mobile/layer');
	var Model = function() {
		this.callParent();
	};
	var settingTime = '';
	// 发送wifi的button
	Model.prototype.openBtnClick1 = function(event) {
		var wifiName = $('.js-wifiName').val();
		var pwd = $('.PWDContent').val();
		// console.log(wifiName)
		// console.log(pwd)
		var content = store.get('$b1');
		var obj = JSON.parse(content); // json格式转换对象
		// alert(wifiName!=obj.wifiName)
		if (wifiName == obj.wifiName) {

			po.pop('你输入的WiFi(' + wifiName + '),无法连接网络，请更换');
			return;
		}
		layer.open({
			type : 2,
			shadeClose : false,
			content : '正在发送wifi',
		});
		B1Manager.checkWifi(successWifi, Model.prototype.statusPop, obj.wifiName,'');
		function successWifi() {
			var M = Model.prototype;
			var wifiNameDevice = $('.wifiName').attr('data-wifi');

			B1Manager.receiveWifiInfo(M.successWifi, M.errorWifi, wifiName, pwd, wifiNameDevice);
		}

	};
	// 下一步按钮 --zzq
	Model.prototype.openBtnClick2 = function(event) {
		var configData = store.get('$configData');
		var isResume = configData == 2 ? false : true; // 是否支持读档案
		// layer.closeAll();
		layer.open({
			type : 2,
			shadeClose : false,
			content : '正在为你连接'
		});
		// $('.connectBtn').css('display', 'block');
		// $('.nextBtn').css('display', 'none');
		var M = Model.prototype;
		// var url = '$UI/bestbaby-gravida/monitor/monitor.w';
		// justep.Shell.showPage(url);

		var wCode = $('.wifiName').attr('data-wCode');
		// po.pop(wCode);
		var wifi = $('.js-wifiName').val();
		var pwd = $('.PWDContent').val();
		// alert(wifi)
		// alert(pwd)
		var alarmIf = "";
		var alarmVolume = "";
		var heartVolume = "";
		var content = store.get('$b1');
		// store.set('$content', null);

		var obj = JSON.parse(content); // json格式转换对象
		obj.wifiName2 = wifi;
		obj.wifiPwd = pwd;
		// alert(obj)
		var jsonData = JSON.stringify(obj);
		// alert(jsonData)

		store.set('$content', jsonData);
		// 存储b1设置信息
		var setData = store.get('b1Set');
		// console.log(setData)
		// var setData=store.remove('b1Set');
		if (setData == null) {
			alarmIf = 0;
			alarmVolume = 1;
			heartVolume = 1;
			var setData = new Object();
			setData.alarmIf = alarmIf;
			setData.alarmVolume = alarmVolume;
			setData.heartVolume = heartVolume;
			store.set('b1Set', JSON.stringify(setData));
		} else {
			var setData = JSON.parse(setData);
			// console.log(setData)
			alarmIf = setData.alarmIf;
			alarmVolume = setData.alarmVolume;
			heartVolume = setData.heartVolume;
		}

		// store.set('$b1', '');
		/**
		 * 方法名：startConnect(function,function,string,string,string)
		 * 参数1：(function)成功时回调方法 参数2：(function)失败时回调方法(返回错误码) 参数3：(String)W域
		 * 参数4：(String)警报是否开启(0关闭，1开启) 参数5：(String)报警音量(0低，1高)
		 * 参数6：(String)胎心音音量(0到16) 返回值：(String)状态码 说明： 设备和app进入同一wifi，开始连接
		 */
		B1Manager.startConnect(M.SuccessWifiDevice, M.errorWifiDevice, wCode, alarmIf, alarmVolume, heartVolume, wifi, pwd, isResume);
	};
	Model.prototype.changeVisible = function(event) {
		if ($('.password').hasClass('invisiable-word')) {
			$('.password').attr('type', 'text');
			$('.password').removeClass('invisiable-word');
			$('.password').addClass('visiable-word');
			$('.visiable .btn').removeClass("visiable-btn");
			$('.visiable .btn').addClass("invisiablt-btn");
		} else {
			$('.password').attr('type', 'password');
			$('.password').addClass('invisiable-word');
			$('.password').removeClass('visiable-word');
			$('.visiable .btn').removeClass("invisiablt-btn");
			$('.visiable .btn').addClass("visiable-btn");
		}
	};
	// 接受参数
	Model.prototype.modelParamsReceive = function(event) {

		var data = '';
		// alert(this.params.data.type)
		var content = store.get('$b1');
		if (content == null) {

			data = this.params.data;

			var wCode = data.wCode;
			var wifiName = data.wifiName
			$('.wifiName').attr('data-wifi', wifiName);
			$('.wifiName').attr('data-wCode', wCode);
			// }
		} else {
			content = JSON.parse(content);
			$('.wifiName').attr('data-wifi', content.wifiName);
			$('.wifiName').attr('data-wCode', content.wCode);
		}

	};
	// 返回按钮事件
	Model.prototype.backBtnClick = function(event) {
		layer.open({
			content : '请先断开设备热点wifi后再退出',
			btn : [ '取消', '确定' ],
			yes : function(index) {
				layer.closeAll();

			},
			no : function(index) {
				layer.closeAll();

				justep.Shell.closeAllOpendedPages();
			}
		});
		$(".layui-m-layercont").css({
			"padding" : "20px 30px 20px 30px",
			"font-size" : "14px",
			"color" : "#999999"
		})
		$('.layui-m-layerbtn').css({
			"border-bottom-left-radius" : "0.52rem",
			"border-bottom-right-radius" : "0.52rem",
			"background-color" : "white"
		});
		$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
		$('.layui-m-layerbtn span').eq(0).css({
			"color" : "#f77e9d",
			"border-right" : "none"
		});

	};

	// 发送wifi账号密码 成功回调

	Model.prototype.successWifi = function(message) {

		// po.pop('wifi发送成功');
		// var wifiName = $('.js-wifiName').text();
		// var pwd = $('.PWDContent').val();
		layer.open({
			type : 2,
			shadeClose : false,
			content : '正在为你连接',
			time : 6,
			end : function() { // 检查wifi
				var wifiName = $('.js-wifiName').val();
				var pwd = $('.PWDContent').val();
				B1Manager.checkWifi(successWifi, Model.prototype.statusPop, wifiName, pwd);
				function successWifi() {
					Model.prototype.openBtnClick2();
				}
			}
		});
		layer.open({
			type : 2,
			shadeClose : false,
			content : '正在为你连接',
		});
		// layer.open({
		// content : '正在为你连接',
		// style : 'background-color:rgba(0,0,0,.6);color:#fff; border:none;',
		// // 自定风格
		// time : 6,
		// fixed : true,
		// end : function() { // 检查wifi
		// var wifiName = $('.js-wifiName').val();
		// var pwd = $('.PWDContent').val();
		// B1Manager.checkWifi(successWifi, Model.prototype.statusPop, wifiName,
		// pwd);
		// function successWifi() {
		// Model.prototype.openBtnClick2();
		// }
		// }
		// });
		$(".layui-m-layercont").css("padding", "15px");
		$('.layui-m-layer0 .layui-m-layerchild').css("width", "50%")
		// $('.submit-btn .wifiBtn').css('display', 'none');
		// $('.submit-btn .nextBtn').css('display', 'block');

	}

	// 发送wifi账号密码失败回调信息
	Model.prototype.errorWifi = function(message) {
		Model.prototype.statusPop(message);

	}
	// 设备连接wifi成功回调信息
	Model.prototype.SuccessWifiDevice = function(message) {
		po.pop('B1设备连接成功');
		layer.closeAll();
		var obj = JSON.parse(store.get('$content'));
		var swVersion = "";
		if (message != null) {
			// alert(JSON.stringify(message))
			var info = JSON.parse(message);
			swVersion = info.swVersion;
		}
		var wifiData = {
			"deid" : obj.eCode,
			"wfnm" : obj.wifiName2,
			"wfpw" : obj.wifiPwd,
			"lomg" : justep.Shell.lomg,
			"lat" : justep.Shell.lat,
			"dver" : swVersion
		};
		// 添加wifi记录
		set.getTokenItems(wifiData, 'system/Gravidawifi/insert', function(success, message, data) {
			if (success) {

			}
		});
		var content = store.get('$content');
		// alert(content);
		var dataJson = {
			"code" : JSON.parse(content).eCode
		}
		set.getTokenItems({
			"info" : content,
			"code" : JSON.parse(content).eCode
		}, "system/Devicelease/updateInfo", function(success, message, data) {
			if (success) {
				set.getTokenItems(dataJson, 'system/Gdcombo/update', function(success, message, data) {
					if (success) {
						var url = '$UI/bestbaby-gravida/monitor/monitor.w';

						justep.Shell.showPage(url);
					} else {
						var url = '$UI/bestbaby-gravida/monitor/monitor.w';

						justep.Shell.showPage(url);
					}
				});

			} else {
				po.pop(message);
			}

		});

	}

	// 设备连接wifi失败回调信息
	Model.prototype.errorWifiDevice = function(message) {
		// $('.connectBtn').css('display', 'none');
		// $('.nextBtn').css('display', 'block');
		Model.prototype.statusPop(message);

	}
	/**
	 * "100" - wifi账号数据为空 "101" - 连接失败 "102" - 未切换至设备热点 "103" - W域的字符串为空 "104" -
	 * 心跳包端开，断线 "110" - 开始监测失败 "120" - 停止监测失败 "130" - 宫压调零失败 "140" - 设置报警开关失败
	 * "150" - 设置报警音量失败 "160" - 设置胎心音音量失败,"105"-当前wifi与通知设备连接的wifi不匹配"108" -
	 * 没搜索到该WIFI "109" - 用户拒绝了定位授权
	 */
	Model.prototype.statusPop = function(ev) {
		layer.closeAll();
		var type = justep.Shell.localType;
		var b1 = JSON.parse(store.get('$b1'));
		if (ev == 101) {
			po.pop("发送wifi失败，请重试");
			// B1Manager.checkWifi(successWifi, Model.prototype.statusPop,
			// b1.wifiName, '');
			// function successWifi() {
			// Model.prototype.openBtnClick1();
			// }
		} else if (ev == 102) {

			if (type == 1) {
				// po.pop('未切换至设备热点,正在为你自动切换到设备热点');
				// B1Manager.checkWifi(successWifi, Model.prototype.statusPop,
				// b1.wifiName, '');
				// function successWifi() {
				// po.pop('切换设备热点成功');
				// // po.pop('切换'+wifiName+'成功，请发送wifi');
				//
				// }
				layer.open({
					type : 2,
					shadeClose : false,
					content : '正在为你连接设备热点',
				});
				B1Manager.checkWifi(successWifi, Model.prototype.statusPop, b1.wifiName, '');
				function successWifi() {
					// po.pop('切换'+wifiName+'成功，请发送wifi');
					Model.prototype.openBtnClick1();
				}
			} else {
				Model.prototype.SettingOpen(ev);

			}

		} else if (ev == 103) {
			po.pop('W域的字符串为空');
		} else if (ev == 104) {
			// po.pop('心跳包端开，断线');
		} else if (ev == 105) {
			// Model.prototype.SettingOpen(ev);

			if (type == 1) {
				// po.pop('未切换到设备热点wifi:' + b1.wifiName + '，正为你自动切换');
				layer.open({
					type : 2,
					shadeClose : false,
					content : '正在为你连接设备热点：' + b1.wifiName,
				});
//				B1Manager.checkWifi(successWifi, Model.prototype.statusPop, b1.wifiName, '');
//				function successWifi() {
//					Model.prototype.openBtnClick1();
//				}
			} else {
				// po.pop('未切换到设备热点wifi:' + b1.wifiName);
				Model.prototype.SettingOpen(ev);
			}

		} else if (ev == 110) {
			po.pop('开始监测失败');
		} else if (ev == 120) {
			po.pop('停止监测失败');
		} else if (ev == 130) {
			po.pop('宫压调零失败');
		} else if (ev == 140) {
			po.pop('设置报警开关失败');
		} else if (ev == 150) {
			po.pop('设置报警音量失败');
		} else if (ev == 160) {
			po.pop('设置胎心音音量失败');
		} else if (ev == 108) {
			po.pop('没搜索到设备wifi，请检查是否已经打开设备');
		} else if (ev == 109) {
			po.pop('用户拒绝了定位授权');
		} else if (ev == 111) {
			po.pop('请GPS定位，否则无法获取wifi列表');
			this.comp("popPicker1").hide();
		} else if (ev == 112) {
			po.pop('请打开wifi，再连接');
		} else if (ev == 114) {
			po.pop('请打开存储权限，否则无法正常进行监测');
			history.back();
		} else if (ev == 113) {
			Model.prototype.SettingOpen(ev);
		} else if (ev == 119) {
			Model.prototype.SettingOpen(ev);
		} else if (ev == 115) {
			var wifiName = $('.js-wifiName').val();
			po.pop('没搜索到' + wifiName + '，请检查输入wifi名是否正确');
		} else if (ev == 116) {
			if (type == 1) {
				// po.pop('未切换至统一公网，正为你自动切换');
				layer.open({
					type : 2,
					shadeClose : false,
					content : '正在为你连接',
				});
			} else {
				Model.prototype.SettingOpen(ev);
			}

		} else if (ev == 170) {
			po.pop('wifi列表功能暂未开通');
		} else if (ev == 107) {
			layer.closeAll();
			if (type == 1) {
				layer.open({
					content : '无法连接设备，请重置设备(黄灯闪烁)',
					style : 'background-color:rgba(0,0,0,.6);color:#fff; border:none;', // 自定风格
					time : 10,
					fixed : true,
				});
			} else if (type == 2) {
				layer.open({
					content : '无法连接设备，请重置设备(黄灯闪烁)',
					style : 'background-color:rgba(0,0,0,.6);color:#fff; border:none;', // 自定风格
					time : 10,
					fixed : true,
					end : function() {
						layer.closeAll();
						justep.Shell.closeAllOpendedPages();
					}
				});
			}

		} else if (ev == 118) {

		} else if (ev == 117) {
			layer.closeAll();
			po.pop('胎监设备不支持5G WiFi，请更换WiFi账号及密码');
		}

	}
	Model.prototype.SettingOpen = function(ev) {
		layer.closeAll();
		var u = navigator.userAgent;
		var type = justep.Shell.localType;
		var b1 = JSON.parse(store.get('$b1'));
		if (type == 1) {
			if (ev == 119) {
				var wifiName = $('.js-wifiName').val();
				layer.open({
					content : '自动切换失败,请手动切换到wifi:' + wifiName + ',将为你跳转到wifi设置界面',
					style : 'background-color:rgba(0,0,0,.6);color:#fff; border:none;', // 自定风格
					time : 10,
					fixed : true,
					end : function() {
						setting(ev)
					}
				});
			} else if (ev == 113) {
				layer.open({
					content : '自动切换失败,请手动切换到设备热点:' + b1.wifiName + ',将为你跳转到wifi设置界面',
					style : 'background-color:rgba(0,0,0,.6);color:#fff; border:none;', // 自定风格
					time : 10,
					fixed : true,
					end : function() {
						setting(ev)
					}
				});
			}
		}

		if (type == 2) {
			if (ev == 116) {
				var wifiName = $('.js-wifiName').val();
				layer.open({
					content : '请手动切换到wifi:' + wifiName + ',将为你跳转到wifi设置界面',
					style : 'background-color:rgba(0,0,0,.6);color:#fff; border:none;', // 自定风格
					time : 10,
					fixed : true,
					end : function() {
						setting(ev)
					}
				});
			} else if (ev == 102) {
				layer.open({
					content : '未切换到设备热点，请手动切换到wifi:' + b1.wifiName + ',将为你跳转到wifi设置界面',
					style : 'background-color:rgba(0,0,0,.6);color:#fff; border:none;', // 自定风格
					time : 10,
					fixed : true,
					end : function() {
						setting(ev)
					}
				});
			} else if (ev == 105) {
				layer.open({
					content : '未切换到设备热点，请手动切换到wifi:' + b1.wifiName + ',将为你跳转到wifi设置界面',
					style : 'background-color:rgba(0,0,0,.6);color:#fff; border:none;', // 自定风格
					time : 10,
					fixed : true,
					end : function() {
						setting(ev)
					}
				});
			}
		}

		$(".layui-m-layercont").css("padding", "15px");
		$('.layui-m-layer0 .layui-m-layerchild').css("width", "50%")
		// 打开设置
		function setting(ev) {
			var b1 = JSON.parse(store.get('$b1'));
			cordova.plugins.settings.openSetting("wifi", function(data) {

				// console.log("opened wifi settings")
				// alert(wifiName==wifi)
				if (ev == 113) {

					if (type == 2) {
						if (data == b1.wifiName) {
							po.pop('切换wifi成功，请发送wifi');

						} else {
							// po.pop('请连接到' + b1.wifiName);
							B1Manager.checkWifi(successWifi, Model.prototype.statusPop, b1.wifiName, '');
							function successWifi() {
								po.pop('切换' + b1.wifiName + '成功，请发送wifi');
								// Model.prototype.openBtnClick2();
							}
						}

					} else {
						var wifiName = $('.js-wifiName').val();
						var pwd = $('.PWDContent').val();
						if (data == 230) {
							B1Manager.checkWifi(successWifi, Model.prototype.statusPop, b1.wifiName, '');
							function successWifi() {
								// po.pop('切换'+wifiName+'成功，请发送wifi');
								Model.prototype.openBtnClick2();
							}
						}

					}
				} else if (ev == 102) {
					if (type == 2) {
						if (data == wifiName) {
							po.pop('切换wifi成功，请发送wifi');
						} else {
							// po.pop('没切换正确，请切换到wifi:' + b1.wifiName);
							B1Manager.checkWifi(successWifi, Model.prototype.statusPop, b1.wifiName, '');
							function successWifi() {
								po.pop('切换' + b1.wifiName + '成功，请发送wifi');

							}

						}

					}
				} else if (ev == 105) {

					if (data == wifiName) {
						po.pop('切换' + b1.wifiName + '成功，请发送wifi');
					} else {
						// po.pop('没切换正确，请切换到wifi:' + b1.wifiName);
						B1Manager.checkWifi(successWifi, Model.prototype.statusPop, b1.wifiName, '');
						function successWifi() {
							po.pop('切换' + b1.wifiName + '成功，请发送wifi');

						}

					}

				} else if (ev == 116) {
					var wifiName = $('.js-wifiName').val();
					if (type == 2) {
						if (data == wifiName) {
							Model.prototype.openBtnClick2();

						} else {
							po.pop('请连接到' + wifiName);
							var wifiName = $('.js-wifiName').val();
							var pwd = $('.PWDContent').val();

							B1Manager.checkWifi(successWifi, Model.prototype.statusPop, wifiName, pwd);
							function successWifi() {
								// po.pop('切换'+wifiName+'成功，请发送wifi');
								Model.prototype.openBtnClick2();
							}

						}

					}

				} else if (ev == 119) {
					var wifiName = $('.js-wifiName').val();
					var pwd = $('.PWDContent').val();
					if (type == 2) {
						if (data == wifiName) {
							// po.pop('切换wifi成功，请发送wifi');
							Model.prototype.openBtnClick2();
						} else {
							// po.pop('请连接到' + wifiName);
							B1Manager.checkWifi(successWifi, Model.prototype.statusPop, wifiName, pwd);
							function successWifi() {
								// po.pop('切换'+wifiName+'成功，请发送wifi');
								Model.prototype.openBtnClick2();
							}
						}

					} else {

						if (data == 230) {
							// B1Manager.checkWifi(successWifi,
							// Model.prototype.statusPop, wifiName, pwd);
							// function successWifi() {
							// po.pop('切换'+wifiName+'成功，请发送wifi');
							Model.prototype.openBtnClick2();
							// }
						}

					}
				}

			}, function() {
				po.pop("打开wifi设置失败");
			});

		}
	}
	// 首次次点击加载
	Model.prototype.wifiList = function(data) {
		justep.Shell.wifiData = data;
		$('.wifiload').click();

	}
	// 首次次点击加载
	Model.prototype.Firload = function() {
		var data = justep.Shell.wifiData;
		// console.log(data)
		this.comp("data1").clear();

		for (var i = 0; i < data.length; i++) {
			// console.log(data[i])
			this.comp("data1").add({
				id : i,
				wifiName : data[i]
			});

		}

	}
	// 每次点击加载
	Model.prototype.wifiList2 = function(data) {
		justep.Shell.wifiData = data;
		$('.wifiload2').click();

	}
	// 每次点击加载
	Model.prototype.load = function() {
		var data = justep.Shell.wifiData;
		// console.log(data)
		this.comp("data1").clear();

		for (var i = 0; i < data.length; i++) {
			// console.log(data[i])
			this.comp("data1").add({
				id : i,
				wifiName : data[i]
			});

		}
		this.comp("popPicker1").show();

	}
	// 页面加载事件
	/**
	 * 方法名：checkWifi(function,function,string,string) 参数1：(function)成功时回调方法
	 * 参数2：(function)失败时回调方法 参数3：(string)wifi名字 参数2：(string)wifi密码 返回值:string
	 * 105 当前wifi与通知设备连接的wifi不匹配 说明：检查当前wifi与通知设备连接的wifi是否一致
	 */
	Model.prototype.modelLoad = function(event) {
		$('.js-wifiName').text(justep.Shell.wifiSSID);
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			if (!$('.wifi_panel').hasClass('ios_style')) {
				$('.wifi_panel').addClass('ios_style')
			}
		}
		$(".layui-m-layercont").css("padding", "15px");
		$('.layui-m-layer0 .layui-m-layerchild').css("width", "50%")
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {

					Model.prototype.backBtnClick(event);
				}
			}
		});
		// po.pop('请输入信号最好的wifi');
		var b1 = JSON.parse(store.get('$b1'));
		// B1Manager.checkWifi(successWifi, Model.prototype.statusPop,
		// b1.wifiName, "");
		// function successWifi() {
		// // po.pop('自动切换设备热点wifi成功，请发送wifi');
		// }
		if (!justep.Shell.wifiSSID) {
			justep.Shell.wifiSSID = '';
		}
		this.comp("defaultData").add({
			wifi : justep.Shell.wifiSSID
		});
		// alert(justep.Shell.wifiSSID)
		// B1Manager.wifiList(this.wifiList, this.statusPop);

	};

	// 页面离开
	Model.prototype.modelUnLoad = function(event) {
		// zzq 还原物理键操作
		justep.Shell.fireEvent("regainBackClick");

	};

	Model.prototype.input1Keyup = function(event) {
		var wifiName = $('.wifiName').val();
		function removeAllSpace(str) {
			return str.replace(/\s+/g, "");
		}
		$('.wifiName').val(removeAllSpace(wifiName));
		for (var i = 0; i < wifiName.length; i++) {
			if (wifiName[i] == '，' || wifiName[i] == ",") {
				po.pop("不支持带逗号的WiFi，请重新选择...");
				return;
			}
		}
	};

	Model.prototype.button6Click = function(event) {

		B1Manager.wifiList(this.wifiList2, this.statusPop);

	};

	Model.prototype.confirmClick = function(event) {
		var wifi = this.comp("picker1").getSelectedItem().val('wifiName');
		this.comp('input1').val(wifi);

	};

	return Model;
});