define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	require("$UI/bestbaby-gravida/common/js/common");
	var getItem = require("$UI/bestbaby-gravida/common/js/getItems");
	var Model = function() {
		this.callParent();
		this.none = justep.Bind.observable('none');
		this.block = justep.Bind.observable('block');
	};
	var pmot = '';
    var getPmot = '';
	// 选中病史
	Model.prototype.selectBtn = function(event) {
		$('.wu-icon').hide();
		var select = $(event.currentTarget);
		//console.log(select.hasClass('select'),'---',select.text(),'---',select.index());
		if(select.text().match('其它')){
			var params = {
					data : {
						title : "孕期特殊情况",
						type : "6",
                        getPmot  : getPmot
					},
			};	   
			this.comp("windowDialog1").open(params);
		}else{
			if ($('.no-repeat ul').hasClass('selected')) {
			select.find('.icon-correct-pink').css('display', 'block');
			select.addClass('selected');
			select.removeClass('select');
			$('.no-repeat ul').find('.icon-correct-pink').css('display', 'none');
			$('.no-repeat ul').removeClass('selected');
			$('.no-repeat ul').addClass('select');
		} else { // 未选中
			if (select.hasClass('select')) {
				select.find('.icon-correct-pink').css('display', 'block');
				select.addClass('selected');
				select.removeClass('select');
			} else {
				select.find('.icon-correct-pink').css('display', 'none');
				select.addClass('select');
				select.removeClass('selected');
			}

		}
		}

	};

	// 选中“无”
	Model.prototype.ul1Touchstart = function(event) {
		var select = $(event.currentTarget);
		if (select.hasClass('select')) {
			select.removeClass('select');
			select.addClass('selected');
			select.find('.icon-correct-pink').css('display', 'block');
			$('.branch-detail ul li .btn').removeClass('selected');
			$('.branch-detail ul li .btn').addClass('select');
			$('.branch-detail ul li .btn').find('.icon-correct-pink').css('display', 'none');
		} else {
			select.removeClass('selected');
			select.addClass('select');
			select.find('.icon-correct-pink').css('display', 'none');
		}

	};

	// 返回选中的标签 返回按钮

	Model.prototype.modelParamsReceive = function(event) {
		// var urlData = this.getContext().getRequestParameter("data");
		var ids = '';
		var that = this;
		var info = this.comp('pmhy');
		ids = this.params.data.ids;
        getPmot = this.params.data.pmot;
		if (ids) {
			var arr = ids.split(',');
			// console.log(arr)
			if (arr) {
				for (var i = 0; i < arr.length; i++) {
					info.setValueByID('cho', 1, arr[i]);
				}
			} else {
				$('.none').addClass('selected');

			}
		} else {
//			$('.wu-icon').show();
		}

	};

	Model.prototype.modelActive = function(event) {

	};

	Model.prototype.modelLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			if (!$('.infoBranch_panel').hasClass('ios_style')) {
				$('.infoBranch_panel').addClass('ios_style')
			}
		}
	};

	Model.prototype.button1Click = function(event) {
		var id = [];
		var ids = '';
		var bingshi = [];
		var arrId = $('.pmhy-box .selected').find('p');
		for (var i = 0; i < arrId.length; i++) {
			for (var i = 0; i < arrId.length; i++) {
				bingshi.push(arrId[i].innerText);
				switch (bingshi[i]) {
				case "习惯性流产史":
					id.push('1');
					break;
				case "早产史":
					id.push('2');
					break;
				case "难产史":
					id.push('3');
					break;
				case "死胎死产史":
					id.push('4');
					break;
				case "妊娠高血压":
					id.push('5');
					break;
				case "妊娠糖尿病":
					id.push('6');
					break;
				case "前置胎盘":
					id.push('7');
					break;
				case "羊水过多":
					id.push('8');
					break;
				case "羊水过少":
					id.push('9');
					break;
				case "胎位不正":
					id.push('a');
					break;
				case "胎儿过大":
					id.push('b');
					break;
				case "胎儿发育迟缓":
					id.push('c');
					break;
				case "骨盆异常":
					id.push('d');
					break;
				case "妊娠合并心脏病":
					id.push('e');
					break;
				case "脐带绕颈":
					id.push('f');
					break;
				default:
					id = [];
					break;
				}
			}
			ids = id.join(',');
		}
		if (typeof (ids) == "undefined")(
				ids=''
		); 
		var arr = [];
		arr = $(this.getElementByXid('pmhy-box')).find('.selected')
		// console.log(arr);
		var params = [];
		params['arr'] = arr;
		params['ids'] = ids;
		params['pmot'] = pmot;
		console.log('aaa',pmot,params)
		this.owner.send(params);
		this.owner.close();
	};

	Model.prototype.backBtnClick = function(event) {
		this.owner.close();
	};

	Model.prototype.windowDialog1Receive = function(event){
		console.log(event.data);
		pmot=event.data.pmot;
	};

	return Model;
});
