define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	require("$UI/bestbaby-gravida/common/js/common");
	var userModel = require("$UI/bestbaby-gravida/common/js/modules/user");
	var count = require("$UI/bestbaby-gravida/common/js/calculate");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var store = require("$UI/bestbaby-gravida/common/js/store/dist/store.modern.min");
	var Model = function() {
		this.callParent();

	};
	var p1 = '';// 密码
	var p2 = '';// 联系号码
	var v1 = '';// 验证码
	var age = '';// 年龄
	var height = '';// 身高
	var weight = '';// 体重
	var MT = '';// 末次月经
	var YCQ = '';// 预产期
	var pmot = '';//其它特殊
	// 提交注册信息
	Model.prototype.finish = function(event) {// 检测注册资料
	
		var that = this;
		var temp_account = localStorage.getItem('temp_account');
		var account = JSON.parse(temp_account);
		var nameReg =  /^[\u4E00-\u9FA5A-Za-z]+$/;
		
		var eyct = this.comp("eyct").val();		  // 紧急联系人
		var eyml = this.comp("eyml").val();		  // 紧急联系电话
		var name = this.comp("name").val();		  // 姓名
		var mail = this.comp("mail").val();		  // 邮箱
		var getWeight = $('.weight-span').text()  // 体重
		var getHeight = $('.height-span').text()  // 身高
		var getAge = $('.age-span').text()   	  // 年龄
		var pmhy = $('.pmhy-span').text();
		var pmhy_arr =[];
		
		if(!name){
			pop.pop('请填写姓名')
			return;
		}
		if(name.length < 2){
			pop.pop('姓名长度过短，请重新输入');
			return false;
		}
		if(!nameReg.test(name)){
			pop.pop('名字只能是中文或者英文,不能包含空格和特殊字符');
			return;
		}
		if(!MT){
			pop.pop('请选择末次月经时间');
			return;
		}
		if(getAge.indexOf('岁')<0){
			pop.pop('请选择年龄');
			return;
		}
		
		if(eyct){
			if(eyct.length<2){
				pop.pop('紧急联系人名字长度最少为两个字');
				return;
			}
			if(!nameReg.test(eyct)){
				pop.pop('紧急联系人只能是中文或者英文名字,不能包含空格和特殊字符');
				return;
			}
		}
		
		if(eyml){
			if(!app.checkMobile(eyml)){
				pop.pop('请输入正确的紧急联系人手机号码');
				return
			}
		}

		if(mail){
			if(!app.checkEmail(mail)){
				pop.pop('请输入正确的邮箱');
				return;
			}
		}
		if (pmhy.indexOf('无') > -1 || !pmhy){
			pmhy_arr = [];
		}if (pmhy.indexOf('习惯性流产史') > -1){
			pmhy_arr.push(1)
		}if (pmhy.indexOf('早产史') > -1){
			pmhy_arr.push(2)
		}if (pmhy.indexOf('难产史') > -1){
			pmhy_arr.push(3)
		}if (pmhy.indexOf('死胎死产史') > -1){
			pmhy_arr.push(4)
		}if (pmhy.indexOf('妊娠高血压') > -1){
			pmhy_arr.push(5)
		}if (pmhy.indexOf('妊娠糖尿病') > -1){
			pmhy_arr.push(6)
		}if (pmhy.indexOf('前置胎盘') > -1){
			pmhy_arr.push(7)
		}if (pmhy.indexOf('羊水过多') > -1){
			pmhy_arr.push(8)
		}if (pmhy.indexOf('羊水过少') > -1){
			pmhy_arr.push(9)
		}if (pmhy.indexOf('胎位不正') > -1){
			pmhy_arr.push('a')
		}if (pmhy.indexOf('胎儿过大') > -1){
			pmhy_arr.push('b')
		}if (pmhy.indexOf('胎儿发育迟缓') > -1){
			pmhy_arr.push('c')
		}if (pmhy.indexOf('骨盆异常') > -1){
			pmhy_arr.push('d')
		}if (pmhy.indexOf('妊娠合并心脏病') > -1){
			pmhy_arr.push('e')
		}if (pmhy.indexOf('脐带绕颈') > -1){
			pmhy_arr.push('f')
		}
		var pmhy_str = pmhy_arr.join(',');
		var data2 = {
			mobl : account.mobile, // 联系号码
//			code : account.code, // 短信验证码
			pswd : account.pwd, // 登录密码
			name : name, // 真实姓名
			ages : age.split("岁")[0], // 年龄
			lmp : MT, // 末次月经
			dede : YCQ, // 预产期
			eyct : eyct, // 紧急联系人
			eyml : eyml, // 紧急联系电话
			pmhy : pmhy_str, // 既往病史
			cdno : "", // -身份证号码
			mail : mail, // -联系邮箱
			bith : "", // -出生日期
			htcm : height, // -身高
			wtkg : weight, // -体重
			logo : '', // -头像
			cdhd : "", // -身份证正面照片
			cdtl : "", // -身份证反面照片
			pmot : pmot, 
		};
	   that.comp("button3").set({
	     disabled:true
	   });
		if (data2) {
			userModel.register(data2, function(success, message, data) {
				if (success) {

					userModel.login({mobl: account.mobile, pswd: account.pwd}, function(success, message, tokenData) {
						if (success) {
								justep.Shell.isLoginToMain=justep.Bind.observable();
                                justep.Shell.isLoginToMain.set("false");
                          userModel.updateUser({}, function(success, message, userInfo) {// 获取用户信息
                                if(success){
                                 console.log(app.getToken())
                                 console.log("我是app.getToken()")
                                localStorage.removeItem("$phone")
                                localStorage.setItem('$phone',account.mobile)
								
                                justep.Shell.showMainPage();
							    that.getParent().getParent().getParent().comp("signWindowDialog").close();
                                }else{
                                  pop.pop(message)
                                }
                            
                          })
							
							
							// 保存极光推送注册的ID到登录账户
							if(justep.Browser.isX5App) {
								var jpushId = store.get("JPushRegistrationId") || "";
								userModel.bindJpushId(jpushId, function(res, msg, saveData) {
								});
							}
						} else {
						   that.comp("button3").set({
						     disabled:false
						   });
							pop.pop('注册成功，但自动登录失败，请手动登录');
							// justep.Shell.showPage("sign");
							that.getParent().getParent().comp("signContents").to("loginContent");
						}
					})

				} else {
				  that.comp("button3").set({
				     disabled:false
				   });
				  
					pop.pop(message);
				}
			});
		}

	};

	Model.prototype.openSpecialState = function(event) {
		var url = '$UI/bestbaby-gravida/register/infoBranch.w';
		justep.Shell.showPage(url);
	};

	Model.prototype.OKBtnClickEvent = function(event) {
		var NT = new Date().getFullYear() + "-" + (parseInt(new Date().getMonth()) + 1) + "-" + new Date().getDate();// 当前日期
		if(this.comp('month').getCount()== 0){
			return
		}
		if(this.comp('day').getCount() == 0){
			pop.pop('请选择日期');
			return
		}
		
		var year = this.comp("popPicker1").getInnerPickers()[0].getSelectedItem().val('year');// 年
		var month = this.comp("popPicker1").getInnerPickers()[1].getSelectedItem().val('month');// 月
		var day = this.comp("popPicker1").getInnerPickers()[2].getSelectedItem().val('date');// 日
		
		
		MT = formatDate(year.split("年")[0]) + "-" + formatDate(month.split("月")[0]) + "-" + formatDate(day.split("日")[0]);// 末次月经日期

		var YT = count.yqWeek(MT, NT);// 怀孕天数
		var mod = YT >= 7 ? YT / 7 : 0;// 周数
		// var YZ = YT >= 7 ? (YT / 7) + mod : YT;// 天数
		// console.log(YT - (7 * parseInt(mod)), mod)
		YCQ = getNewDay(MT, 280);
		$('.output1').html(year + month + day);
		$('.output3').html("<span>" + parseInt(mod) + "周，" + "</span>" + "<span>" + (YT - (7 * parseInt(mod))) + "天" + "</span>");
		$('.output4').html(YCQ.split("-")[0] + '年' + YCQ.split("-")[1] + '月' + YCQ.split("-")[2] + '日');
		// console.log(YCQ)
	};
	
	// 格式化日期显示
	function formatDate(num){
		if(typeof num == 'string'){
			num = num*1;
		}
		if(num >= 10 ){
			return num;
		}else{
			return '0'+num;
		}
	}

    function getNewDay(dateTemp, days) {
    
                var dateTemp = dateTemp.split("-");
                console.log(dateTemp)
                var nDate = new Date(dateTemp[1] + '/' + dateTemp[2] + '/' + dateTemp[0]); // 转换为MM-DD-YYYY格式
                var millSeconds = Math.abs(nDate) + (days * 24 * 60 * 60 * 1000);
                var rDate = new Date(millSeconds);
                var year = rDate.getFullYear();
                var month = rDate.getMonth() + 1;
                if(month < 10) month = "0" + month;
                var date = rDate.getDate();
                if(date < 10) date = "0" + date;
                console.log(year,month,date)
                return(year + "-" + month + "-" + date);
   }
	Model.prototype.ageBtn = function(event) {
		age = this.comp("popPicker2").getInnerPickers()[0].getSelectedItem().val('age');// 年龄
		
		$('.output2').html(age);

	};

	Model.prototype.okBtnClick2 = function(event) {
		height = this.comp("popPicker4").getInnerPickers()[0].getSelectedItem().val('cm');// 身高
		$('.output5').html(height);
		height = height.split("cm")[0];
	};

	Model.prototype.okBtnClick3 = function(event) {
		weight = this.comp("popPicker5").getInnerPickers()[0].getSelectedItem().val('weight');// 体重
		$('.output6').html(weight);
		weight = weight.split("公斤")[0];
	};

	Model.prototype.modelParamsReceive = function(event) {
		p1 = this.params.p1;
		v1 = this.params.v1;
		p2 = this.params.p2;
		// console.log(p1, v1, p2);
	};
	
	function widthCheck (str,maxLen){
			var w = 0;
			var tempCount = 0;
			for(var i =0; i < str.value.length ; i++){
				var c = str.value.charCodeAt(i);
				if ((c >= 0x0001 && c <= 0x007e) || (0xff60<=c && c<=0xff9f)) {  
					w++;  
				}else {    
					w+=2;  
				}  
				if (w > maxLen) {  
					str.value =  str.value.substr(0,i); 
					pop.pop('名字最多只能输入八个汉字或十六个英文字母');
					break;
				}
			}
	}
	
	Model.prototype.modelLoad = function(event) {
		$('.js-name-input').bind('input prototypechange', function() {
			widthCheck(this, 16);
		})

//		if (justep.Shell.localType == 2) {
//			if (device.model == 'iPhone10,1') {
//				this.comp('content1').setCSS({
//					'top' : '1.7rem'
//				});
//			}
//		}
		var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
			if(!$('.registerInfo_panel').hasClass('ios_style')){
				$('.registerInfo_panel').addClass('ios_style')
			}
		}
		var years = this.comp('year');
		var ageNumber = this.comp("age");
		var height = this.comp("height");
		var weight = this.comp("weight");
		
		// 设置末次月经可选范围
		var date = new Date();
		var nowDate = date.getTime();    // 现在时间毫秒数
		var maxDay = 280*24*60*60*1000;   // 280天毫秒数
		var startDate = new Date(nowDate-maxDay)    // 280天前的日期
		
		var startYear = startDate.getFullYear();    // 起始年份
		var startMonth = startDate.getMonth()+1;    // 起始月份
		var startDay = startDate.getDate();
		// 加载年份
		years.clear();
		for(var i = startYear ; i<=date.getFullYear(); i++){
			years.add({
				id : i,
				year: i + '年'
			})
		}
		// 设置默认值
		for (var i = 18; i < 61; i++) {
			var m = "";

			m = i + "岁";
			ageNumber.add({
				id : i,
				age : m,
			})
		}
		for (var i = 130; i < 251; i++) {
			var m = "";
			m = i + "cm";
			height.add({
				id : i,
				cm : m,
			})

		}
		for (var i = 30; i < 101; i++) {
			var m = "";

			m = i + "公斤";
			weight.add({
				id : i,
				weight : m,
			})
		}
	};
	
	Model.prototype.button9Click = function(event) {
		var pmhy = $(this.getElementByXid("pmhy")).html();
		var ids=$(this.getElementByXid('pmhy')).attr('data-ids');
		var params={
			data : {
			ids:ids,
			pmhy:pmhy
			},
			
		}
//		console.log(params)
		this.comp("windowDialog1").open(params);
	};

	Model.prototype.windowDialog1Receive = function(event) {
		var arr = [];
		var b = [];
		pmot = event.data.pmot;
		var pmhy = $(this.getElementByXid("pmhy"));
		$('.pmhy-span').text("")
		$(this.getElementByXid('pmhy')).attr('data-ids', event.data['ids']);
		// console.log(event.data['ids'])
		$(event.data['arr']).find("p").map(function(value, index) {
			arr.push($(index).html())
			b = arr.join(',')
		});
		if (b.length == 0 || b == '无') {
			b = '';
		}
		$('.pmhy-span').text(pmot ? (b ? (b + ',' + pmot) : pmot) : b);
	};

	Model.prototype.ageBtnClick = function(event) {
		this.comp("popPicker2").show();
	};

	// 返回 - Eagle
	Model.prototype.back = function(event){
		this.getParent().comp("registerContents").to("mobileContent");
	};

	Model.prototype.eymlKeyup = function(event){
		app.checkLength('.register-phone-num',11,'手机号码');
	};
  
	Model.prototype.picker1Change = function(event){
		var that = this;
		var month = this.comp('month')
		var years = this.comp('year');
		var choseY = years.getCurrentRow().val('year');
		var date = new Date()
		var nowDate = date.getTime();    // 现在时间毫秒数
		var maxDay = 280*24*60*60*1000;   // 280天毫秒数
		var startDate = new Date(nowDate-maxDay);
		
		month.clear();
	// console.log(choseY.split('年')[0])
		// console.log(date.getFullYear())
		if(choseY.split('年')[0] < date.getFullYear()){   // 不是当前年份
			for(var i = (startDate.getMonth()+1); i<=12; i++){
				month.add({
					id : i,
					month : i + '月'
				});
			}
		}else{    // 当前年份
			if(startDate.getMonth()+1 >= date.getMonth()+1){
				for(var i = 1 ; i<=date.getMonth()+1; i++){
				month.add({
					id : i,
					month : i + '月'
				});
			}
			}else{
				for(var i = (startDate.getMonth()+1) ; i<=date.getMonth()+1; i++){
					month.add({
						id : i,
						month : i + '月'
					})
				}
			}
		}
		setTimeout(function(){
			that.comp('picker2').setSelectedIndex(0);
		},20)
	};
	
	// 获取当月天数
	function getDaysInOneMonth(year, month){  
		month = parseInt(month, 10);  
		var d= new Date(year, month, 0);  
		return d.getDate();  
	}  
	Model.prototype.picker2Change = function(event){
		var month = this.comp('month')
		var years = this.comp('year');
		var day = this.comp('day');
	
		var choseY = years.getCurrentRow().val('year');
		var choseM = month.getCurrentRow().val('month');
		var date = new Date();
		var nowDate = date.getTime();    // 现在时间毫秒数
		var maxDay = 280*24*60*60*1000;   // 280天毫秒数
		var startDate = new Date(nowDate-maxDay);
		
		var dayCount = getDaysInOneMonth(choseY.split('年')[0],choseM.split('月')[0]);
			
		// 加载日期 -- 根据年份和月份判断， 动态加载
		
		day.clear();
		if(choseY.split('年')[0] < date.getFullYear()){  // 不是当前年份
			// 所选月份为280天前第一个月份
			if(choseM.split('月')[0] == startDate.getMonth()+1){
				for(var i = startDate.getDate(); i<= dayCount;i++){
					day.add({
						id : i,
						date : i + '日'
					});
				}
			}else{
				for(var i = 1 ; i<=dayCount ; i++){
					day.add({
						id : i,
						date : i + '日'
					})
				}
			}
		}else{   // 当前年份
			if(choseM.split('月')[0] == startDate.getMonth()+1){
				for(var i = startDate.getDate(); i<= dayCount ; i++){
					day.add({
						id : i,
						date : i + '日'
					})
				}
			}else{
				console.log(date.getDate())
				if(choseM.split('月')[0] == date.getMonth()+1){ // 所选月份为当前月份
					for(var i =1 ; i<=date.getDate() ; i++){
						day.add({
							id : i,
							date : i + '日'
						})
					}
				}else{
					for(var i =1 ; i<=dayCount; i++){
						day.add({
							id : i,
							date : i + '日'
						})
					}
				}
			}
		}
	};

	Model.prototype.picker1AfterRender = function(event){
		var date = new Date();
		var nowDate = date.getTime();    // 现在时间毫秒数
		var maxDay = 280*24*60*60*1000;   // 280天毫秒数
		var startDate = new Date(nowDate-maxDay);
		var startYear = startDate.getFullYear();
		var startMonth = startDate.getMonth()+1;
		var startDay = startDate.getDate();
		var dayCount = getDaysInOneMonth(startYear,startMonth);
		var day = this.comp('day');
		for(var i = startDay; i<=dayCount;i++){
			day.add({
				id:i,
				date: i + '日'
			});
		}
	};

	Model.prototype.lmpClick = function(event){
		this.comp('popPicker1').show();
		this.comp('picker1').setSelectedIndex(0);
	};

	Model.prototype.picker3AfterRender = function(event){
	};

	Model.prototype.picker2AfterRender = function(event){
	};

	return Model;
});