cordova.define("com.justep.cordova.plugin.baidulocation.BaiduLocation", function(require, exports, module) {


var baidulocation = {
		execute: function(action, successCallback, errorCallback) {
			cordova.exec(
				function(pos) {
					var errcode = pos.code;
					if (errcode == 61 || errcode == 65 || errcode == 161) {
						successCallback(pos);
					} else {
						if (typeof(errorCallback) != "undefined") {
							if (errcode >= 162) {
								errcode = 162;
							}
							errorCallback(pos);
						};
					}
				},
				function(err){},
				"BaiduLocation",
				action,
				[]
			)
		},
		getCurrentPosition: function(successCallback, errorCallback) {
                        this.execute("getCurrentPosition", successCallback, errorCallback);
		},
		stop: function(action, successCallback, errorCallback) {
			this.execute("stop", successCallback, errorCallback);
		},
		isGPSOpen: function(successCallback, errorCallback) {
			cordova.exec(successCallback, errorCallback, "BaiduLocation", "isGPSOpen");
		},
		enableGPS: function(successCallback, errorCallback, arguments) {
			cordova.exec(successCallback, errorCallback, "BaiduLocation", "enableGPS");
		},

        watchPosition: function (successCallback, errorCallback, options) {
            this.execute("watchPosition", successCallback, errorCallback);
            return 1;
        },

        clearWatch: function (id) {
         this.execute("stop", function(){}, function(){});
        }
};

module.exports =  baidulocation;
});
