cordova.define("com.sunray.B3Manager.B3Manager", function(require, exports, module) {
var exec = require('cordova/exec');
//连接设备
exports.connect = function(success,error,content,uuid,alert,alertVol,vol,readFile) {
	  exec(success,error,"B3Manager","connect",[content,uuid,alert,alertVol,vol,readFile]);
};
//断开蓝牙连接
exports.closeGatt = function(success,error) {
	  exec(success,error,"B3Manager","closeGatt",[]);
};
//开始胎监
exports.startMonitor = function(success,error,num) {
	  exec(success,error,"B3Manager","startMonitor",[num]);
};
//停止胎监
exports.stopMonitor = function(success,error) {
	  exec(success,error,"B3Manager","stopMonitor",[]);
};
//宫压调零
exports.setZero = function(success,error) {
	  exec(success,error,"B3Manager","setZero",[]);
};
//设置报警开关
exports.setAlert = function(success, error, alert) {
	  exec(success,error,"B3Manager","setAlert",[alert]);
};
//设置报警音量
exports.setAlertVol = function(success, error, vol) {
	  exec(success,error,"B3Manager","setAlertVol",[vol]);
};
//设置胎心音音量大小
exports.setVol = function(success, error, vol) {
	  exec(success,error,"B3Manager","setVol",[vol]);
};
//查询设备工作状态
exports.requestDeviceStatus = function(success, error) {
	  exec(success,error,"B3Manager","requestDeviceStatus",[]);
};
//每分钟上传数据
exports.uploadDatas = function(success, error, cdno) {
	  exec(success,error,"B3Manager","uploadDatas",[cdno]);
};
//打开蓝牙
exports.enableBluetooth = function(success, error) {
	  exec(success,error,"B3Manager","enableBluetooth",[]);
};
//蓝牙断线重连
exports.reconnect = function(success,error) {
	  exec(success,error,"B3Manager","reconnect",[]);
};
//手动胎动
exports.receiveAutoMove = function(success,error,index) {
	  exec(success,error,"B3Manager","receiveAutoMove",[index]);
};
//计时器
exports.timeFire = function(success,error) {
	  exec(success,error,"B3Manager","timeFire",[]);
};
//写日志
exports.writeLog = function(flag,url,json) {
	  exec(success("logSuccess"),error("logError"),"B3Manager","writeLog",[flag,url,json]);
};
//结束回调
exports.callBackResult = function(success,error) {
	  exec(success,error,"B3Manager","callBackResult",[]);
};
//以下为测试用的方法======================================================
//手动发送心跳包（测试用）
exports.handHeart = function(success,error,content) {
	  exec(success,error,"B3Manager","handHeart",[content]);
};
//手动发送请求文件（测试用）
exports.requestFileContents = function(success,error,content) {
	  exec(success,error,"B3Manager","requestFileContents",[content]);
};
//Test（测试用）
exports.test = function(success,error,content) {
	  exec(success,error,"B3Manager","test",[content]);
};
//断开蓝牙连接（测试用）
exports.disConnect = function(success,error) {
	  exec(success,error,"B3Manager","disConnect",[]);
};
//设置单双胎（无效）
exports.setBirthNums = function(success,error,content) {
	  exec(success,error,"B3Manager","setBirthNums",[content]);
};
//胎儿唤醒-开始
exports.awakenStart = function(success,error) {
	  exec(success,error,"B3Manager","awakenStart",[]);
};
//胎儿唤醒-停止
exports.awakenStop = function(success,error) {
	  exec(success,error,"B3Manager","awakenStop",[]);
};
//不继续胎监，选择直接上传数据的时候调用
exports.directUpload = function(success,error,json) {
	  exec(success,error,"B3Manager","directUpload",[json]);
};

//发送强制结束胎监命令
exports.sendForceMonitor = function(success,error) {
	  exec(success,error,"B3Manager","sendForceMonitor");
};

function success(str){
	// console.log(str);
}

function error(str){
	// console.log(str);
}

});
