define(function(require) {
	var $ = require("jquery");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var justep = require("$UI/system/lib/justep");
	var mailModel = require("$UI/bestbaby-gravida/common/js/modules/mail");
	var ChinesePY = require("$UI/bestbaby-gravida/common/js/chinesePY");
	var adm = require('../common/js/common');
	var Model = function() {
		this.callParent();
		this.keywords = justep.Bind.observable("");
		this.searchCount = justep.Bind.observable(0);
	};

	Model.prototype.button1Click = function(event) {
		var id = this.comp("infoData").val('id');
	};

	// 搜索用户
	Model.prototype.searchUsers = function(event) {
		function removeAllSpace(str) {
			return str.replace(/\s+/g, "");
		}

		var $model = this;
		var account = removeAllSpace($model.keywords.get());
		var dataModel = $model.comp("infoData");

		dataModel.clear();
		mailModel.getListByAcount(account, 1, 0, function(res, msg, data) {
			if (res) {
				$model.searchCount.set(data.total);
				console.log(data.list)
				if (data.list.length > 0) {
					
					for (var i = 0; i < data.list.length; i++) {
						if (data.list[i]) {
							if (data.list[i].cate == 1) {
								var img = '../bestbaby-gravida/common/images/icon-cate-1.png';
							} else if (data.list[i].cate == 2) {
								var img = '../bestbaby-gravida/common/images/icon-cate-2.png';
							} else if (data.list[i].cate == 3) {
								var img = '../bestbaby-gravida/common/images/icon-cate-3.png';
							}
							dataModel.add({
								id : data.list[i].id,
								name : data.list[i].name,
								imagePath : data.list[i].logo || require.toUrl('../common/images/default-logo.png'),
								mobile : data.list[i].mobl,
								cate : img,
							})
						}
					}
				}
			} else {
				pop.pop(msg || "搜索失败");
				return false;
			}
		});
	};

	Model.prototype.sendMsg = function(event) {// ————（发起聊天）————改为直接跳转回通讯录
		// this.getParentModel().getContent("contacts").active();
		var letterArr = "";
		var item = event.bindingContext.$object;
		NIM_Instance.addFriend({
			account : item.val('id'),
			ps : 'ps',
			done : addFriendDone
		});
		function addFriendDone(error, obj) {
			// console.log(error);
			 console.log(obj);
			console.log('直接加为好友' + (!error ? '成功' : '失败'));
			if (!error) {
				onAddFriend(obj.friend);
			}
		}
		function onAddFriend(friend) {
			// console.log(friend)

			window.NIM_DATA.friends = NIM_Instance.mergeFriends(window.NIM_DATA.friends, friend);
//			 console.log(NIM_DATA.friends)
			justep.Shell.fireEvent("swipeContent");
			justep.Shell.closePage();
			NIM_Instance.getUser({
				account : friend.account,
				done : getContactUserDone,
			})
		}
		function getContactUserDone(error, user) {
			if (!error) {
				 console.log("加了还有之后呢")
				 console.log(user)
				//               
			}
		}

	}

	Model.prototype.modelLoad = function(event) {
		// 修复ios顶部下沉样式问题
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			$('.addFriend_x_panel').css('top', '-.75rem')
		}

		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
					justep.Shell.closePage();
				}
			}
		});
	};

	Model.prototype.modelUnLoad = function(event) {
		// zzq 还原物理键操作
		justep.Shell.fireEvent("regainBackClick");
	};

	Model.prototype.input1Blur = function(event) {
		var inputText = $('.js-input-zhh').val();
		if (inputText.length <= 0) {
			var dataModel = this.comp("infoData");
			dataModel.clear();
			this.searchCount.set(0);
		}
	};

	return Model;
});