define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var mailModel = require("$UI/bestbaby-gravida/common/js/modules/mail");

	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var app = require('$UI/bestbaby-gravida/common/js/app');
	require("css!$UI/bestbaby-gravida/common/css/common").load();
	var adm = require('../common/js/common');
	var getItem = require('$UI/bestbaby-gravida/common/js/getItems');
	var typeMap = {
		"analysis" : 1,
		"diagnosis" : 2,
		"payment" : 3,
		"system" : 4
	}
	var isDownIng = false;//如果正在下载中，就不让返回上一页

	var Model = function() {
		this.callParent();
	};

	Model.prototype.modelLoad = function(event) {
		this.comp("msgTitleBar").set({
			title : this.params.title
		}); // 设置标题
		this.initMailData(); // 初始化数据
		this.mailRead(); // 信息已读，全部设置为已读状态

    var self=this;
	document.addEventListener('backbutton', function(){
		if(!isDownIng){
			self.close();
		}
		
	}, false)
	};

	// 点击跳转
	Model.prototype.div11Click = function(event) {
		var userInfo = app.getUser();
		var row = event.bindingContext.$object;
		var url = row.val('url');
		var type = row.val('type');
		var exte = row.val('exte');
		var klid = row.val('klid');
		 console.log(url,type,exte,klid)
		if (type == 4) {
			if (url) {
			
			
				if((navigator.userAgent).indexOf('Android') > -1 || (navigator.userAgent).indexOf('Adr') > -1){
					if(url.indexOf(".apk") != -1){
						
							var windowDialog1 = this.comp("windowDialog1");
							var windowDialog2 = this.comp("windowDialog2");
							var windowDialog3 = this.comp("windowDialog3");
							
							// 判断手机系统
							var apkurl = "system/Appversion/select";
							var dataList = {cate : 1,type : 1,}
							getItem.getItems(dataList, apkurl, function(success, message, data) {
								if (success) {
									var a = data.content;
									if (a != null) {
										if(a.durl==url){//点击的版本地址是否和服务器最新apk地址相同，不相同则版本不一致
											if (justep.Shell.appNver < a.nver) {
												justep.Shell.newVersion.set("v"+a.aver);
												justep.Shell.oldVersion.set("v"+justep.Shell.localVerson);
												justep.Shell.newVersionInfo.set( a.remk);
												justep.Shell.isMustUpdate.set(false);
												justep.Shell.apkUrl.set(""+a.durl); 
												
												windowDialog1.open();
												windowDialog1.on('onReceive', function(evt) { 
															console.log(evt.data);
															if(evt.data=="update"){
																if((navigator.userAgent).indexOf('Android') > -1 || (navigator.userAgent).indexOf('Adr') > -1){//如果是Android，则走Android更新
																	windowDialog2.open();
																	isDownIng=true;
																}else {
																	window.open(a.durl, '_system');
																}
																
															}else if(evt.data=="yihouzaishuo"){//点击以后再说	跳
				
															}
														}, this);
												windowDialog2.on('onReceive', function(evt) { 
													console.log(evt.data);
													if(evt.data=="quxiao"){//点击取消安装	跳
														isDownIng = false;
													}else if(evt.data=="netError"){//断开了网络等问题报 code=3 的错就打开windowDialog3
														windowDialog3.open();
													}
												}, this);
											
											}else if(justep.Shell.appNver == a.nver){//版本比服务器高或相等	跳登陆或首页
												pop.pop('已安装相同版本，无需更新');
											}else{
												pop.pop('最新下载版本比当前版本低，无需更新');
											}
										}else{
											pop.pop('下载版本比当前版本低，无需更新');
										}
										
									}else{//如果a等于空	跳
										
									}
								} else {//请求返回失败	跳
										
									console.log(data)
								}
							});
						
						}else{//不是apk的下载地址，正常跳转
							window.open(url, '_system');
						}
					}else{//不是安卓，正常跳转
						window.open(url, '_system');
					}
			
			
			
//				window.open(url, '_system');
			} else {
				var params = {
					data : klid,
				}
				justep.Shell.showPage(require.toUrl('../knowledge/articleDetail.w'), params);
			}

		} else if (type == 3) {
			var params = {
				data : userInfo.hlid,
				toContent : 1
			}
			justep.Shell.showPage(require.toUrl('../main/bill.w'), params);

		} else {
			if (exte) {
				var cdno = JSON.parse(exte).cdno;
				var moniData = {
					data : cdno
				}
				justep.Shell.showPage(require.toUrl('../file/monitorDetail.w'), moniData);
			}
		}
	};

	// 获取消息数据
	// 返回数组
	Model.prototype.initMailData = function() {

		var $model = this;
		var $msgData = $model.comp("messageData");
		var typeData = $model.comp("messageData");
		// 清理数据
		$msgData.clear();
		var that = this;
		// 动态获取数据
		// alert(this.params.type)
		mailModel.getListByLoginUser(typeMap[this.params.type], 1, 0, function(res, msg, data) {

			if (res) {

				// console.log(justep.Shell.localType)
				var items = data.list;

				if (items.length > 0) {
					console.log(justep.Shell.localType)
					for (var i = 0; i < items.length; i++) {
						if (items[i].type == 4) { // 系统消息
							var exte = JSON.parse(items[i].exte)
							if (exte.type) {
								$.each(items[i], function(index,item) {
									console.log("遍历："+item)
								});
				console.log(items[i]+"德玛西亚cntt:"+items[i].cntt+";  date:"+items[i].crtm+";  title:"+items[i].titl+";  url:"+exte.durl+";  exteType:"
												+exte.type+";  type:"+items[i].type+";  exte:"+items[i].exte);
								// exte.type = justep.Shell.localType;
								// typeData.add({
								// "type":exte.type
								// });
								$msgData.add({
									"id" : items[i].id,
									"content" : items[i].cntt,
									"date" : items[i].crtm,
									"title" : items[i].titl,
									"url" : exte.durl,
									"exteType" : exte.type,
									"type" : items[i].type,
									"exte" : items[i].exte,

								});
							} else {
								$msgData.add({
									"id" : items[i].id,
									"content" : items[i].cntt,
									"date" : items[i].crtm,
									"title" : items[i].titl,
									"url" : exte.durl,
									"exteType" : justep.Shell.localType,
									"type" : items[i].type,
									"exte" : items[i].exte,
									"klid" : exte.klid,
								});
							}

						} else {
							console.log(items[i])
							$msgData.add({
								"id" : items[i].id,
								"content" : items[i].cntt,
								"date" : items[i].crtm,
								"exteType" : justep.Shell.localType,
								"title" : items[i].titl,
								"type" : items[i].type,
								"exte" : items[i].exte
							});
						}
					}
				}
			} else {
				pop.pop(msg);
				$model.close();
			}
		});
	};

	// 设置消息已读
	Model.prototype.mailRead = function() {
		var $model = this;

		mailModel.setReadByType(typeMap[this.params.type], function(res, msg, data) {
			if (res) {
				// 更新消息列表未读数
				$model.getParent().comp("notificationData").setValueByID("unread", 0, $model.params.type);
			} else {
				// pop.pop(msg);
			}
		});
	}

	Model.prototype.scrollView1PullDown = function(event) {
		this.initMailData(); // 初始化数据
		this.mailRead(); // 信息已读，全部设置为已读状态
	};
	// 更新
	Model.prototype.div8Click = function(event) {

	};



	Model.prototype.backBtnClick = function(event){
     this.close();
	};



	return Model;
})
