/**
 * 模拟app常规行为的模块
 */
define(function(require) {

	var $ = require("jquery");

	var calculate; // 计算两个日期相隔的天数

	// 存储用户信息到本地
	function DateDiff(sDate1, sDate2) { // sDate1和sDate2是2006-12-18格式
		
		if (sDate1) {
			var aDate, oDate1, oDate2, iDays;
			aDate = sDate1.split("-");
			oDate1 = new Date(aDate[1] + '/' + aDate[2] + '/' + aDate[0]); // 转换为12-18-2006格式
			aDate = sDate2.split("-");
			oDate2 = new Date(aDate[1] + '/' + aDate[2] + '/' + aDate[0]);
			// alert(oDate2)
			var day = oDate1 - oDate2;
			if (day >= 0) {
				iDays = parseInt(Math.abs(day) / 1000 / 60 / 60 / 24); // 把相差的毫秒数转换为天数
				return (iDays );
			} else {
				iDays = parseInt(Math.abs(day) / 1000 / 60 / 60 / 24); // 把相差的毫秒数转换为天数
				return -(iDays);
			}

		}
	}
	function yqWeek(sDate1, sDate2) { // sDate1和sDate2是2006-12-18格式
		if (sDate1) {
			var aDate, oDate1, oDate2, iDays;
			aDate = sDate1.split("-");
			oDate1 = new Date(aDate[1] + '/' + aDate[2] + '/' + aDate[0]); // 转换为12-18-2006格式
			aDate = sDate2.split("-");
			oDate2 = new Date(aDate[1] + '/' + aDate[2] + '/' + aDate[0]);
			// alert(oDate2)
			var day = oDate1 - oDate2;

			iDays = parseInt(Math.abs(day) / 1000 / 60 / 60 / 24); // 把相差的毫秒数转换为天数
			return iDays;
		}
	}
	function Date2Diff(sDate1, sDate2) { // sDate1和sDate2是2006-12-18格式
		var aDate, oDate1, oDate2, iDays
		aDate = sDate1.split("-")
		oDate1 = new Date(aDate[1] + '/' + aDate[2] + '/' + aDate[0]) // 转换为12-18-2006格式
		aDate = sDate2.split("-")
		oDate2 = new Date(aDate[1] + '/' + aDate[2] + '/' + aDate[0])
		iDays = parseInt(Math.abs(oDate1 - oDate2) / 1000 / 60 / 60 / 24) // 把相差的毫秒数转换为天数
		return iDays;
	}
	var getDateFormat = function(options) {

		var cmonth = [ '01', '02', '03', '04', '05', '06', '07', '08', '09', '10', '11', '12' ]
		var time = options.substring(16, 24);
		var mons = options.substring(4, 7);
		var dat = options.substring(8, 10);
		var year = options.substring(11, 15);
		var month = [ 'Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec' ];
		var chinM = "";
		for (var i = 0; i < month.length; i++) {
			if (mons == month[i]) {

				chinM = cmonth[i]
			}

		}

		return year + '-' + chinM + "-" + dat + " " + time;
	}
	var getHour = function(s1, s2) {
		s1 = new Date(s1.replace(/-/g, '/'));
		s2 = new Date(s2.replace(/-/g, '/'));
		var ms = Math.abs(s1.getTime() - s2.getTime());
		return ms / 1000 / 60 / 60;

	}

	return {
		calculate : DateDiff,// 计算日期相差
		formater : getDateFormat,// 格式化日期
		totalHour : getHour,
		yqWeek : yqWeek,
		Date2Diff : Date2Diff,
	// 计算总时间
	}

});