define(function(require) {
	var r = require("$UI/bestbaby-gravida/common/js/request");
	var app = require("$UI/bestbaby-gravida/common/js/app");

	var 
	getItems,
	getTokenItems;// 
	/**
	 * 
	 */
	getItems = function(data,url,callback) {//没token的请求
		data = data || {};
		r.ajax({
			url : url,
			method : 'POST',
			data : data,
			token : false,
			onSuccess : function(data) {
				callback(true, data.msg, data);
			},
			onFail : function(data) {
				B1Manager.writeLog("0", 'Fail:'+url, "链接");
				B1Manager.writeLog("0", data, "接口返回数据");
				callback(false, data.msg, data);
			},
			onError : function(data) {
				callback(false, r.requestErrorMsg);
				B1Manager.writeLog("0", 'Error'+url, "链接");
				B1Manager.writeLog("0", data, "接口返回数据");
			}
		});

	}
	getTokenItems = function(data,url,callback){//有token的请求
		data = data || {};
		var params=data;
		r.ajax({
			url : url,
			method : 'POST',
			data : data,
			onSuccess : function(data) {
				callback(true, data.msg, data);
			},
			onFail : function(data) {
				callback(false, data.msg, data);
				B1Manager.writeLog("0", 'Fail:'+url, "链接-getTokenItems");
				B1Manager.writeLog("0", params, "参数");
				B1Manager.writeLog("0", data, "接口返回数据");
			},
			onError : function(data) {
				callback(false, r.requestErrorMsg);
				B1Manager.writeLog("0", 'Error:'+url, "链接-getTokenItems");
				B1Manager.writeLog("0", params, "参数");
				B1Manager.writeLog("0", data, "接口返回数据");
				
			}
		});	
			
		
	}

	return {
		getItems:getItems,
		getTokenItems:getTokenItems,
	};

});