define(function(require) {
	var $ = require("jquery");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var commonUrl = require("$UI/bestbaby-gravida/common/js/commonUrl");
	var store = require("$UI/bestbaby-gravida/common/js/store/dist/store.modern.min");
	var pop = require('./popUp');
	const TIMEOUT = 30000; // 请求超时30s
	const requestErrorMsg = '请求异常';
	var host = commonUrl;
	// var host ="http://youbeibei.free.ngrok.cc/bestbaby-api-gravida"; //测试
	// var host = "http://free.ngrok.cc:18077"//Ynzs'GK' 测试

	var ajax = function(parameter) {
		var data = JSON.stringify(parameter.data) || {}; // 参数json对象转为json字符串

		var headers = {
			'Content-type' : 'application/json'
		};

		if (parameter.token != false) {
			if (typeof parameter.token === 'string') {
				// var tokenObj = parameter.token;
				headers.token = parameter.token;
			} else {
				var tokenObj = app.getToken();// 获取本地token
				headers.token = tokenObj.token;
			}
			// 默认为接口加上token字段
			// console.log(tokenObj.token)
		}
		// zzq 加密key请求
		if (parameter.key) {
			var CryptoJS = require("$UI/bestbaby-gravida/common/js/encryct/crypto-js");
			var timeStamp = new Date().getTime();
			// console.log(timeStamp)
			var pwd = "bestbaby_" + timeStamp;
			// 加密
			function Encrypt(word) {
				var key = CryptoJS.enc.Utf8.parse("bestbabybestbaby");

				var srcs = CryptoJS.enc.Utf8.parse(word);
				var encrypted = CryptoJS.AES.encrypt(srcs, key, {
					mode : CryptoJS.mode.ECB,
					padding : CryptoJS.pad.Pkcs7
				});
				return encrypted.toString();
			}
			// 解密
			// function Decrypt(word){
			// var key = CryptoJS.enc.Utf8.parse("bestbabybestbaby");
			//		  
			// var decrypt = CryptoJS.AES.decrypt(word, key,
			// {mode:CryptoJS.mode.ECB,padding: CryptoJS.pad.Pkcs7});
			// return CryptoJS.enc.Utf8.stringify(decrypt).toString();
			// }

			var mm = Encrypt(pwd);
			// console.log(mm)
			// var jm =Decrypt(mm);
			// console.log(jm)
			headers.encrypt = mm;

		}

		$.ajax({
			type : parameter.method,
			url : buildUrl(parameter.url),
			data : data,
			dataType : 'json',
			async : true,// 建议所有请求为异步操作
			timeout : parameter.timeout || TIMEOUT,//
			headers : headers,
			success : function(data, textStatus, xhr) {
				if (data.code == responeCode.success) {
					parameter.onSuccess(data);
				

				} else if (data.code == responeCode.fail) {
					parameter.onFail(data);
					// console.log(data)
				} else if (data.code == responeCode.error) {
					parameter.onError(data);
				} else if (data.code == responeCode.notLogin || data.code == responeCode.tokenFormatError || data.code == responeCode.tokenTimeOut) {
				
					app.setToken({});
					app.setUser({});

					    
						B1Manager.writeLog("0", 'Error:'+data.code, "请登录");
					
					var index = require.toUrl("$UI/bestbaby-gravida/index.w");
					layer.open({
						content : '请登录,在您确认后将回到登录页面',
						btn : '确定',
						shadeClose : false,
						yes : function() {
							window.location.href = index;
						}
					});
					$(".layui-m-layercont").css({
						"padding" : "20px 30px 20px 30px",
						"font-size" : "14px",
						"color" : "#999999"
					})
					$('.layui-m-layerbtn').css({
						"border-bottom-left-radius" : "0.52rem",
						"border-bottom-right-radius" : "0.52rem",
						"background-color" : "white"
					});
					$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
					$('.layui-m-layerbtn span').eq(0).css({
						"color" : "#f77e9d",
						"border-right" : "none"
					});
					// justep.Shell.showPage('sign');
				} else if (data.code == responeCode.tokenRemoteLogin) {
					// pop.pop("您的账号在其他地方登录");
					B1Manager.writeLog("0", 'Warning:'+parameter.url, "触发被顶链接");
	                B1Manager.writeLog("0", 'Warning:'+data.code, "被顶退");
					
					var index = require.toUrl("$UI/bestbaby-gravida/index.w");
					app.setToken({});
					app.setUser({});
					layer.open({
						content : '您的账号已在其他手机中登录，在您确认后将回到登录页面',
						btn : '确定',
						shadeClose : false,
						yes : function() {
							window.location.href = index;
						}
					});
					$(".layui-m-layercont").css({
						"padding" : "20px 30px 20px 30px",
						"font-size" : "14px",
						"color" : "#999999"
					})
					$('.layui-m-layerbtn').css({
						"border-bottom-left-radius" : "0.52rem",
						"border-bottom-right-radius" : "0.52rem",
						"background-color" : "white"
					});
					$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
					$('.layui-m-layerbtn span').eq(0).css({
						"color" : "#f77e9d",
						"border-right" : "none"
					});

				} else {
					pop.pop(data.msg)
				}
			},
			error : function(data, textStatus, xhr) {	
//				console.log(data,textStatus,xhr)
//				justep.shell.netError=true;
				if(textStatus=='error')
				{
					parameter.onError(data);
					pop.pop("网络异常")
				}
				if (data.code == responeCode.fail) {
					parameter.onFail(data);
					pop.pop("网络异常")
				} else if (data.code == responeCode.error) {
					parameter.onError(data);
					pop.pop("网络异常")
				} else if (data.code == responeCode.notLogin) {
					// 未登录状态直接跳转进入登录页面
				} else if (data.code == responeCode.noPermission) {
					// 提示错误信息
				} else if (data.code == responeCode.tokenFormatError) {
					// 提示错误信息
				} else if (data.code == responeCode.tokenTimeOut) {
					// 自动刷新token
				} else if (data.code == responeCode.tokenRemoteLogin) {
					// 清除本地用户信息和token，提示错误信息并自动跳转到登录页面
				}
			}
		});

	}

	/** * 构建URL */
	function buildUrl(key) {
		return host + '/' + key;
	}

	/** * 状态码枚举 */
	var responeCode = {
		success : 1000, // 成功返回码
		fail : 1001, // 请求失败返回码
		error : 1002, // 请求抛出异常返回码
		notLogin : 1003, // 未登陆状态返回码
		noPermission : 1004, // 无操作权限返回码
		tokenFormatError : 1005, // Token格式错
		tokenTimeOut : 1006, // Token超时
		tokenRemoteLogin : 1007
	// Token可能在别的地方登录
	}

	return {
		ajax : ajax,
		responeCode : responeCode,
		requestErrorMsg : requestErrorMsg,
	}
});