define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var jpushInstance = require("./jpush");
	require("$UI/bestbaby-gravida/common/js/common");

	// require("css!$UI/bestbaby-gravida/common/css/layout").load();
	require("$UI/system/lib/cordova/cordova"); // cordova运行环境，多个页面用cordova插件，每个页面都需要require进来
	require("cordova!cordova-plugin-app-version");
	require("cordova!cordova-plugin-device");
	require("cordova!cn.jpush.phonegap.JPushPlugin");
	require("cordova!com.justep.cordova.plugin.weibo");
	require("cordova!com.justep.cordova.plugin.weixin.v3");
	require("cordova!cordova-plugin-camera");
	require("cordova!com.justep.cordova.plugin.baidulocation");
	require("cordova!com.justep.cordova.plugin.baiduMapBase");
	require("cordova!cordova-plugin-geolocation");
	require("cordova!cordova-open-native-settings");
	require("cordova!cordova-plugin-wifi");
	require("cordova!cordova-plugin-statusbar"); // 处理ios设备中，应用标题栏被系统状态栏覆盖的bug
	require("cordova!com.sunray.BUtils");
	require("cordova!com.sunray.base64");
	require("cordova!com.sunray.B3Manager");
	require("cordova!com.sunray.B1Manager");
	require("cordova!cordova-plugin-file-transfer"); //上传下载插件
	var ShellImpl = require('$UI/system/lib/portal/shellImpl');
	var app = require('$UI/bestbaby-gravida/common/js/app');
	var user = require('$UI/bestbaby-gravida/common/js/modules/user');
	var getItem = require("$UI/bestbaby-gravida/common/js/getItems");
	require('css!$UI/bestbaby-gravida/common/js/mobile/need/layer').load();
	var layer = require('$UI/bestbaby-gravida/common/js/mobile/layer');
	var store = require("$UI/bestbaby-gravida/common/js/store/dist/store.modern.min");
	var CommonUtils = require("$UI/system/components/justep/common/utils");// 物理键操作插件
	var AppConst = require("$UI/bestbaby-gravida/common/js/appConst");// 系统常量
	var po = require("$UI/bestbaby-gravida/common/js/popUp");
	window.NIM_Instance = {};

	// var carousel = require('$UI/system/components/bootstrap/casousel');

	var Model = function() {
		this.callParent();
		// 判断手机系统
		var url = "system/Appversion/select";
		var u = navigator.userAgent;
		var type = "";
		var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1;
		// android
		var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); // ios

		if (isAndroid) {
			type = 1;

		}
		if (isiOS) {
			type = 2;
//			window.StatusBar.hide();
//			B1Manager.iphoneType(Model.prototype.getIphoneType, Model.prototype.notGetType);// 需要iphonex真机测试所以暂且注释
		}
		//		

		var shellImpl = new ShellImpl(this, {
			"contentsXid" : "pages",
			"pageMappings" : {
				"main" : {
					url : require.toUrl('./main/main.w')
				}
			}
		});

		justep.Shell.globalUnread = justep.Bind.observable(0);
	};
	Model.prototype.getIphoneType = function(type) {//type:string 返回1或0,1为爱疯x，0为其他机型
		if (type == "1") {
			console.log("是爱疯x");
		} else if (type == "0") {
			console.log("不是爱疯x");
		}

	}
	Model.prototype.notGetType = function(type) {
     
	}
	Model.prototype.notGetType = function(type) {
		window.StatusBar.hide();
	}
	Model.prototype.cancelClick = function(even) {

	}

	Model.prototype.modelLoad = function(event) {
		justep.Shell.dev='';
		// 判断手机系统
		var url = "system/Appversion/select";
		var u = navigator.userAgent;
		var type = "";
		var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1;
		// android
		var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); // ios

		if (isAndroid) {
			type = 1;
		}
		if (isiOS) {
			type = 2;
		}
		var dataList = {
			cate : 1,
			type : type,
		}
		justep.Shell.localType = type;

		/**
		 * 获取对应登录信息，由于用到cordova插件，暂时注释
		 */

		justep.Shell.newVersion = justep.Bind.observable();
		justep.Shell.oldVersion = justep.Bind.observable();
		justep.Shell.newVersionInfo = justep.Bind.observable();
		justep.Shell.isMustUpdate = justep.Bind.observable();
		justep.Shell.process = justep.Bind.observable();
		justep.Shell.processText = justep.Bind.observable();
		justep.Shell.apkUrl = justep.Bind.observable();
		
		var indexBgmImg= $(this.getElementByXid('image1'));
		indexBgmImg.css({"display" : "block"});
		var windowDialog1 = this.comp("windowDialog1");
		var windowDialog2 = this.comp("windowDialog2");
		var windowDialog3 = this.comp("windowDialog3");
		var signWindowDialog= this.comp("signWindowDialog");

		this.success = function(result) {
			justep.Shell.localVerson = result;
			justep.Shell.appNver = parseInt(result.replace(".", "").replace(".", "")); // 生成内部版本号外部版本号去点
			getItem.getItems(dataList, url, function(success, message, data) {
				if (success) {
						var a = data.content;
						if (a != null) {
							if (justep.Shell.appNver < a.nver) {
								if (a.dltp == 1) {//强制更新
								
									justep.Shell.newVersion.set("v"+a.aver);
									justep.Shell.oldVersion.set("v"+result);
									justep.Shell.newVersionInfo.set(a.remk);
									justep.Shell.isMustUpdate.set(true);
									justep.Shell.apkUrl.set(""+a.durl); 
									
									windowDialog1.open();
	
									windowDialog1.on('onReceive', function(evt) {
												//console.log(evt.data);
												if(evt.data=="update"){
													if((navigator.userAgent).indexOf('Android') > -1 || (navigator.userAgent).indexOf('Adr') > -1){//如果是Android，则走Android更新
														windowDialog2.open();
													}else {
														indexBgmImg.css({"display" : "none"});
														window.open(a.durl, '_system');
													}
												}else if(evt.data=="yihouzaishuo"){//点击以后再说	跳登陆或首页
													indexBgmImg.css({"display" : "none"});
													if (app.isLogin() == true) {
														signWindowDialog.close();
															justep.Shell.showPage('main');
														} else {
															signWindowDialog.open();
														}
												}
											}, this);
									windowDialog2.on('onReceive', function(evt) { 
										//console.log(evt.data);
										if(evt.data=="netError"){//断开了网络等问题报 code=3 的错就打开windowDialog3
											windowDialog3.open();
										}
									}, this);		
	
								} else if(a.dltp == 2){//建议更新
								
									justep.Shell.newVersion.set("v"+a.aver);
									justep.Shell.oldVersion.set("v"+result);
									justep.Shell.newVersionInfo.set( a.remk);
									justep.Shell.isMustUpdate.set(false);
									justep.Shell.apkUrl.set(""+a.durl); 
									
									windowDialog1.open();
	
									windowDialog1.on('onReceive', function(evt) { 
												//console.log(evt.data);
												if(evt.data=="update"){
													if((navigator.userAgent).indexOf('Android') > -1 || (navigator.userAgent).indexOf('Adr') > -1){//如果是Android，则走Android更新
														windowDialog2.open();
													}else {
														indexBgmImg.css({"display" : "none"});
														window.open(a.durl, '_system');
													}
												}else if(evt.data=="yihouzaishuo"){//点击以后再说	跳登陆或首页
													indexBgmImg.css({"display" : "none"});
													if (app.isLogin() == true) {
														signWindowDialog.close();
															justep.Shell.showPage('main');
														} else {
															signWindowDialog.open(); 
														}
	
												}
											}, this);
									windowDialog2.on('onReceive', function(evt) { 
										//console.log(evt.data);
										if(evt.data=="quxiao"){//点击取消安装	跳登陆或首页
											indexBgmImg.css({"display" : "none"});
											if (app.isLogin() == true) {
												signWindowDialog.close();
													justep.Shell.showPage('main');
												} else {
													signWindowDialog.open();
												}
	
										}else if(evt.data=="netError"){//断开了网络等问题报 code=3 的错就打开windowDialog3
											windowDialog3.open();
										}
									}, this);
									
								}else{//如果版本类型不是强制更新也不是推荐下载		跳登陆或首页
									indexBgmImg.css({"display" : "none"});
									if (app.isLogin() == true) {
									signWindowDialog.close();
										justep.Shell.showPage('main');
									} else {
										signWindowDialog.open();
									}
								}
								
								$(".layui-m-layercont").css({
									"padding" : "20px 30px 20px 30px",
									"font-size" : "14px",
									"color" : "#999999"
								})
								$('.layui-m-layerbtn').css({
									"border-bottom-left-radius" : "0.52rem",
									"border-bottom-right-radius" : "0.52rem",
									"background-color" : "white"
								});
								$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
								$('.layui-m-layerbtn span').eq(0).css({
									"color" : "#f77e9d",
									"border-right" : "none"
								});
							}else{//版本比服务器高或相等	跳登陆或首页
								indexBgmImg.css({"display" : "none"});
								if (app.isLogin() == true) {
								signWindowDialog.close();
									justep.Shell.showPage('main');
								} else {
									signWindowDialog.open();
								}
							}
						}else{//如果a等于空	跳登陆或首页
							indexBgmImg.css({"display" : "none"});
							if (app.isLogin() == true) {
								signWindowDialog.close();
									justep.Shell.showPage('main');
								} else {
									signWindowDialog.open();
								}
						}
					
					
				

				} else {//请求返回失败	跳登陆或首页
						indexBgmImg.css({"display" : "none"});
						if (app.isLogin() == true) {
							signWindowDialog.close();
							justep.Shell.showPage('main');
						} else {
							signWindowDialog.open();
						}
						//console.log(data)
				}
			});
		};		
		
		this.error = function() {
			// justep.Util.hint("获取失败");·····························
		};
		
		// 删除多余日志
//		B1Manager.deleteLog(function success(data) {
//		}, function error() {
//		});

		cordova.getAppVersion.getVersionNumber(this.success, this.error); // 获取app外部版本号
		cordova.getAppVersion.getAppName(getSuccess, getError) // 获取应用包名

		function getSuccess(msg) {
			justep.Shell.appName = msg;
		}
		function getError(msg) {
			//console.log(msg)
		}

		var M = Model.prototype;
		// 获取经纬度

		navigator.geolocation.getCurrentPosition(M.successLocation, M.errorLocation);

		// 注册shell分支事件
		justep.Shell.on('regainBackClick', this.regainBackClick, this);// 恢复物理键
		justep.Shell.on('changeBackClick', this.changeBackClick, this);// 改变物理键

		// 注册极光推送
		if (justep.Browser.isX5App) {
			console.log(jpushInstance.registrationID)

			store.set("JPushRegistrationId", jpushInstance.registrationID);
			// console.log("local storage jpush id:"
			// +jpushInstance.registrationID)
			// localStorage.getItem("JPushRegistrationId"));
		}


//		给pc调试用
//		 APP启动的时候，判断是否存在有效的登录信息，有就直接进入APP主页，没有就进入登录注册
//		if (app.isLogin() == true) {
//			justep.Shell.showPage('main');
//		} else {
//			this.comp('signWindowDialog').open();
//		}

	};

	// 定位成功
	Model.prototype.successLocation = function(data) {
		justep.Shell.lomg = data.coords.longitude;
		justep.Shell.lat = data.coords.latitude;
	};

	// 定位失败
	Model.prototype.ErrorLocation = function(data) {
		justep.Shell.lomg.set = "";
		justep.Shell.lat.set = "";
	};

	Model.prototype.modelUnLoad = function(event) {

		// 注销shell分支事件
		justep.Shell.off('regainBackClick', this.regainBackClick, this);// 恢复物理键
		justep.Shell.off('changeBackClick', this.changeBackClick, this);// 改变物理键
	};
	/**
	 * 改变物理键 原有事件 zzq
	 * 
	 * @param event
	 */
	Model.prototype.changeBackClick = function(event) {
		var options = event.options;
		CommonUtils.attachDoubleClickExitApp(function() {
		}, options);
	};

	/**
	 * 恢复物理返回按钮原有事件 zzq
	 * 
	 * @param event
	 */
	Model.prototype.regainBackClick = function(event) {
		CommonUtils.attachDoubleClickExitApp(function() {

		});
	};
	Model.prototype.signWindowDialogLoad = function(event) {
	};
	return Model;
});