define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var about = require("$UI/bestbaby-gravida/common/js/getItems");
	var Model = function() {
		this.callParent();
	};

	Model.prototype.modelParamsReceive = function(event) {
		var data = this.params.data;
		var that = this;
		var dataList = {
			id : data.id,
		};

		var intro = this.comp("intro");
		about.getTokenItems(dataList, "system/About/select", function(success, message, data) {
			var data = data.content;
			if (success) {
				intro.add({
					id : data.id,
					title : data.titl,
					detl : data.detl
				})
				$(that.getElementByXid("comBar")).attr("title", data.titl);
				$(that.getElementByXid("comBar")).find(".common-titlebar-title").html(data.titl)
			} else {
			}
		});

	};

	Model.prototype.modelLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			$('.bestIntro_panel').addClass('ios_style')
		}
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
				
					Model.prototype.backBtnClick();
				}
			}
		});
	};

	Model.prototype.backBtnClick = function(event) {
		justep.Shell.closePage();
	};

	Model.prototype.modelUnLoad = function(event) {

		// zzq 还原物理键操作
		justep.Shell.fireEvent("regainBackClick");

	};

	return Model;
});