define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dairy = require("$UI/bestbaby-gravida/common/js/getItems");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp")
	var Model = function() {
		this.callParent();
	};
	/** 闹钟重复* */
	Model.prototype.openBtnClick1 = function(event) {
		var dateData = this.comp('clockSet');
		var dateJ = {
			"mon" : dateData.val('mon'),
			"tue" : dateData.val('tue'),
			"wed" : dateData.val('wed'),
			"thu" : dateData.val('thu'),
			"fri" : dateData.val('fri'),
			"sat" : dateData.val('sat'),
			"sun" : dateData.val('sun')
		};
		this.comp("windowDialog1").open({
			data : dateJ
		});
	};

	Model.prototype.button4Click = function(event) {
		var hour = this.comp("hour").val('hour');
		var mi = this.comp("min").val('min');
		$('.time').text(hour + ':' + mi);
	};

	Model.prototype.windowDialog1Receive = function(event) {
		// var dataD=this.comp("clockSet");
		var arr = [];
		var b = [];
		$(event.data).map(function(value, index) {
			arr.push($(index).html())

//			 console.log(arr)
			b = arr.join(',')
		});
		$('.fr').find('.day').html(b);
	};
	// 组装闹钟启动日期字段
	Model.prototype.dayData = function(mon, tue, wed, thu, fri, sat, sun) {
		var str = '';
		if (mon == 1) {
			str = str + '周一,';
		}
		if (tue == 1) {
			str = str + '周二,';
		}
		if (wed == 1) {
			str = str + '周三,';
		}
		if (thu == 1) {
			str = str + '周四,';
		}
		if (fri == 1) {
			str = str + '周五,';
		}
		if (sat == 1) {
			str = str + '周六,';
		}
		if (sun == 1) {
			str = str + '周日,';
		}
		if (str == '') {
			str = str + '不重复';
		}
		return str;
	}
	// 保存
	Model.prototype.button1Click = function(event) {
		var id = this.params.data;
		
		var content = $('.contentT').val();
		var date = $('.fr').find('.day').text();
		var time = $('.time').text();
		
		
		var mon = date.search("周一") !== -1 ? 1 : 2;
		var tue = date.search("周二") !== -1 ? 1 : 2;
		var wed = date.search("周三") !== -1 ? 1 : 2;
		var thu = date.search("周四") !== -1 ? 1 : 2;
		var fri = date.search("周五") !== -1 ? 1 : 2;
		var sat = date.search("周六") !== -1 ? 1 : 2;
		var sun = date.search("周日") !== -1 ? 1 : 2;
		
		var url = "system/Clock/update";
		var dataJson = {
			"id":id,
			"time" : time,
			"remk" : content,
			"mon" : mon,
			"tue" : tue,
			"wed" : wed,
			"thu" : thu,
			"fri" : fri,
			"sat" : sat,
			"sun" : sun,
			"stat" : 1

		};
		// console.log(dataJson)
		dairy.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) {
				//	
//				window.close();
				justep.Shell.closePage();
			}else{
			}

		});
	};

	Model.prototype.modelParamsReceive = function(event) {
		var id = this.params.data;
		var url = 'system/Clock/select';
		var dateData = this.comp("clockSet");
		var dataJson = {
			id : id
		};
		var that = this;
		dairy.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) {
				var a = data.content;
				console.log(a)
				dateData.add({
					mon : a.mon,
					tue : a.tue,
					wed : a.wed,
					thu : a.thu,
					fri : a.fri,
					sat : a.sat,
					sun : a.sun,
				});
				console.log(a,'a')
				$('.time').text(a.time);
				$('.contentT').val(a.remk);
			}

		});
	};

	//时间picker 设置默认值
	Model.prototype.button2Click = function(event){
		this.comp('popPicker1').show();
		var getTime = $('.time').text().split(':');
		this.comp('picker1').setSelectedIndex(getTime[0]);
		this.comp('picker2').setSelectedIndex(getTime[1]);
	};

	Model.prototype.modelLoad = function(event){
		var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
				$('.alarmSet_panel').addClass('ios_style')
		}
	};

	return Model;
});