define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var record = require("$UI/bestbaby-gravida/common/js/getItems");
	var Model = function() {
		this.callParent();
		this.pages = 0;
		this.pageNum = 2;
	};

	Model.prototype.hireListCustomRefresh = function(event) {
		
	};
	
	//获取列表数据
	function getRecordData(pageNum){
		var _pageNum = pageNum || 1;
		var buyList = this.comp("buyList");
		var params = {
		    "pageNum": _pageNum, 
		    "pageSize": 7, 
		    "filters": {
		        "name": ""
		    }
		}
		record.getTokenItems(params,'system/Transaction/listbuy',function(success,message,data){
			if(success){
				console.log('购买记录列表',data);
				var len = data.content.list.length;
				pages = data.content.pages;
//				pages = 5;
				if(len>0){
					var _data = data.content.list;
					for(var i = 0; i<len; i++){
						buyList.add({
							id : _data[i].id,
							orno : _data[i].orno,
							gdid : _data[i].gdid,   // 孕妇id
							paid : _data[i].paid,   // 套餐id
							name : _data[i].name,   // 套餐名
							dept : _data[i].dept, //  押金
							rent : _data[i].rent,   //  套餐费（服务费）
							epcg : _data[i].epcg,   //  快递费
							type : _data[i].type,   // 订单类型（单次、续费、单次）
							pytm : _data[i].pytm,   // 付款时间
							money:_data[i].dept+_data[i].rent+_data[i].epcg,
							stat : _data[i].stat    // 状态：1-待付款、2-待发货、3-已发货、4-已签收、5-已取消         
						})
					}
				}
			}
		})
	}

	Model.prototype.typeChange = function(type){
		var str = '单次计费';
		if(type == 1){
			str = '首次购买';
		}else if(type == 2 ){
			str = '续费套餐';
		}
		return str;
	}
	Model.prototype.modelLoad = function(event) {
		pages = 0;
		pageNum = 2;
		var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
				$('.hireR_panel').addClass('ios_style')
		}
		this.comp("buyList").clear();
		getRecordData.call(this);
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
			
//					self.close();
                  Model.prototype.backBtnClick();
				}
			}
		});
	};


	// 订单状态
	Model.prototype.statuslabel = function(ev) {
//	console.log(ev)
		var str = '';
		if (ev == 1) {
			str = '待付款';
		} else if (ev == 2) {	
			str = '待发货';
		} else if (ev == 3) {
			str = '已发货';
		} else if (ev == 4) {
			str = '已签收';
		} else if (ev == 5) {
			str = '已取消';
		}
		return str;
	};

	Model.prototype.button2Click = function(event){
		var row = event.bindingContext.$object;
		var id = row.val('id');
		var orno = row.val('orno');
//		var select = $(event.currentTarget);
//		var order = select.find('.codeOrder').text();
		var params = {
				"orno": orno,
		}
		var url = '$UI/bestbaby-gravida/individual/buyList/orderDetail.w';
		justep.Shell.showPage(url,params);
	};

	Model.prototype.scrollView1PullDown = function(event){
		pageNum = 2;
		this.comp("buyList").clear()
		getRecordData.call(this);
	};

	Model.prototype.scrollView1PullUp = function(event){
		if(pages >0){
			if(pageNum <=pages){
				getRecordData.call(this,pageNum);
				pageNum++;
			}
		}
//		if(pages == 0){
//			if(pageNum <=2 ){
//				getRecordData.call(this,pageNum);
//				pageNum++;
//			}
//		}else{
//			if(pageNum <= pages){
//				getRecordData.call(this,pageNum);
//				pageNum++;
//			}
//		}
	};

	Model.prototype.backBtnClick = function(event){
       justep.Shell.closePage();
	};

	Model.prototype.modelUnLoad = function(event){
		
	//还原物理键
		justep.Shell.fireEvent("regainBackClick");
	};

	Model.prototype.modelInactive = function(event){
//        justep.Shell.closePage();
	};

	return Model;
});