define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var help = require("$UI/bestbaby-gravida/common/js/getItems");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var Model = function() {
		this.callParent();
	};

	Model.prototype.openBtnClick1 = function(event) {
		var url = '$UI/bestbaby-gravida/individual/help/questionDetail.w';
		justep.Shell.showPage(url);
	};

	Model.prototype.input1Focus = function(event) {
		$(this.getElementByXid('input1')).removeClass('icon-focus');
		$('.function-title').html("相关问题")
		$(".cancelBtn").show();
	};

	Model.prototype.input1Blur = function(event) {
		$(".cancelBtn").hide();
		if ($(this.getElementByXid('input1')).val().length == 0) {
			$(this.getElementByXid('input1')).addClass('icon-focus');
		} else {
			$(this.getElementByXid('input1')).removeClass('icon-focus');

		}
		var title = $(this.getElementByXid('input1')).val();
		if(title){

		}else{
			$('.function-title').html("热点问题")
			this.button2Click(event);
		}

	};

	Model.prototype.button6Click = function(event) {
		var url = '$UI/bestbaby-gravida/individual/help/questionSort.w';
		justep.Shell.showPage(url);
	};

	Model.prototype.modelLoad = function(event) {
		var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
			if(!$('.help_panel').hasClass('ios_style')){
				$('.help_panel').addClass('ios_style')
			}
		}
				// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
                 	Model.prototype.backBtnClick();
				}
			}
		});


		var self = this;
		$('.js-search-zzh').bind('input prototypechange', function(){
			function removeAllSpace(str) {
				return str.replace(/\s+/g, "");
			}

			// 帮助问题
			var data2 = self.comp("question");
			var title = removeAllSpace(	$('.js-search-zzh').val());
			var dataList = {
					pageNum : 1,
					pageSize : 0,
					filters : {
						id : "",
						prbm : title,
						pbtp : "",
						isht : "",
					}
			};
			help.getTokenItems(dataList, "system/Help/list", function(success, message, data) {
				if (success) {

					data2.clear();
//					console.log(data.content)

					var list = data.content.list;
					for (var i = 0; i < list.length; i++) {
						data2.add({
							"id" : list[i].id,
							"prbm" : list[i].prbm,
							"detl" : list[i].detl,
							"pbtp" : list[i].pbtp,
							"isht" : list[i].isht,
							"dast" : list[i].dast,
							"crtm" : list[i].crtm,
							"mdtm" : list[i].mdtm
						})
					}
					if (list.length == 0) {
						$('.function-title').html("无相关问题")
					} else {
					}
				} else {
					pop.pop(message);
				}
			});
		})

		var data2 = this.comp("question");
		var dataList = {
				pageNum : 1,
				pageSize : 0,
				filters : {
					id : "",
					prbm : "",
					pbtp : "",
					isht : "1",
				}
		};
		help.getTokenItems(dataList, "system/Help/list", function(success, message, data) {// 热点问题
			if (success) {
				var list = data.content.list;
				for (var i = 0; i < list.length; i++) {
					data2.add({
						"id" : list[i].id,
						"prbm" : list[i].prbm,
						"detl" : list[i].detl,
						"pbtp" : list[i].pbtp,
						"isht" : list[i].isht,
						"dast" : list[i].dast,
						"crtm" : list[i].crtm,
						"mdtm" : list[i].mdtm
					});
				}
			} else {
			}
		});
	};

//	Model.prototype.button2Touchstart = function(event) {
//		var params = {
//				id : $(event.currentTarget).find('.detail-id').html(),
//				name : $(event.currentTarget).find('.text-des').html()
//		};
//		var url = '$UI/bestbaby-gravida/individual/help/questionDetail.w';
//		justep.Shell.showPage(url, params);
//	};


	Model.prototype.button2Click = function(event) {
		var data2 = this.comp("question");
		$('.js-search-zzh').val('')
//		$('.js-search-zzh').blur();
		$(".cancelBtn").hide();
		var dataList = {
				pageNum : 1,
				pageSize : 0,
				filters : {
					id : "",
					prbm : "",
					pbtp : "",
					isht : "1",

				}
		};
		data2.clear();
		help.getTokenItems(dataList, "system/Help/list", function(success, message, data) {// 热点问题

			if (success) {
				var data = data.content;
				var list = data.list;
				for (var i = 0; i < list.length; i++) {
					data2.add({
						"id" : list[i].id,
						"prbm" : list[i].prbm,
						"detl" : list[i].detl,
						"pbtp" : list[i].pbtp,
						"isht" : list[i].isht,
						"dast" : list[i].dast,
						"crtm" : list[i].crtm,
						"mdtm" : list[i].mdtm
					});
				}
			} else {
				// console.log(data);
			}
		});
	};





	Model.prototype.listClick = function(event){
	var row = event.bindingContext.$object;
		var params = {
				id : row.val('id'),
				name : row.val('prbm')
		};
		var url = '$UI/bestbaby-gravida/individual/help/questionDetail.w';
		justep.Shell.showPage(url, params);
	};





	Model.prototype.backBtnClick = function(event){
         justep.Shell.closePage();
	};





	Model.prototype.modelUnLoad = function(event){
		// zzq 还原物理键操作
		justep.Shell.fireEvent("regainBackClick");
	};





	Model.prototype.modelActive = function(event){
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
                 	Model.prototype.backBtnClick();
				}
			}
		});
	};





	return Model;
});