define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
    var help = require("$UI/bestbaby-gravida/common/js/getItems");
	var Model = function() {
		this.callParent();
	};
	
	document.addEventListener('backbutton', function(){
		window.close();
	}, false)

	Model.prototype.modelParamsReceive = function(event) {
		var id = this.params.id;
		var name = this.params.name;
		var form = this.comp("form");
		var titleBar=$(this.getElementByXid("titleBar"))
		titleBar.attr("title",name);
		titleBar.find(".x-titlebar-title").html(name)

		var dataList = {
			pageNum : 1,
			pageSize : 0,
			filters : {
				id : "",
				prbm : "",
				pbtp : id,
				isht : ""
			}

		}
		help.getTokenItems(dataList, "system/Help/list", function(success, message, data) {
			
			
			if (success) {
				
				var data =data.content.list;
//				console.log(data)
				for (var i = 0; i <data.length; i++) {
					form.add({
						"id" : data[i].id,
						"detl" : data[i].detl,
						"isht" : data[i].isht,
						"dast" : data[i].dast,
						"mdtm" : data[i].mdtm,
						"pbtp" : data[i].pbtp,
						"prbm" : data[i].prbm,
						"crtm" :data[i].crtm,
					});
				}

			} else {
			}
		});

	};


	Model.prototype.button2Touchstart = function(event){
         var row = event.bindingContext.$object;
         var params = {
			id : row.val('id'),
			name : row.val('prbm')
		};
//		console.log(params)
		var url = '$UI/bestbaby-gravida/individual/help/questionDetail.w';
		justep.Shell.showPage(url, params);
	};


	Model.prototype.modelLoad = function(event){
		var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
				$('.quesList_panel').addClass('ios_style')
		}
				// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
                 		Model.prototype.backBtnClick();
				}
			}
		});
	};


	Model.prototype.backBtnClick = function(event){
     justep.Shell.closePage();
	};


	Model.prototype.modelUnLoad = function(event){
		// zzq 还原物理键操作
		justep.Shell.fireEvent("regainBackClick");
	};


	Model.prototype.modelActive = function(event){
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
                 	Model.prototype.backBtnClick();
				}
			}
		});
	};


	return Model;
});