define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var search = require("$UI/bestbaby-gravida/common/js/getItems");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var getItem = require("$UI/bestbaby-gravida/common/js/getItems");
	var userModel = require("$UI/bestbaby-gravida/common/js/modules/user");
	var Model = function() {
		this.callParent();
	};

	Model.prototype.button8Click = function(event) {

		// var select = this.
		var row = event.bindingContext.$object;
		var id = row.val('id');
		var idJson = {
				hlid : id
		}

		getItem.getTokenItems(idJson, "system/Gravida/bindHospital", function(success, message, data) {// 绑定医院
			if (success) {
				pop.pop('绑定成功');
				userModel.storageUser(idJson);
				justep.Shell.closeAllOpendedPages();
			} else {
				pop.pop('已绑定该医院');
			}
		})
	};

	Model.prototype.modelLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			$('.js-xpanel-all-zhh').addClass('ios_style')
		}

		var self = this;
		$('.js-hospital-input-zhh').bind('input prototype',function(){
			function removeAllSpace(str) {
				return str.replace(/\s+/g, "");
			}

			var searchVal = removeAllSpace($(self.getElementByXid('search')).val());
			var hospitalData = self.comp("hospital");
			var dataList = {
					"pageNum" : 1,
					"pageSize" : 0,
					"filters" : {
						"id" : "",
						"hlfn" : searchVal,
						"prve" : "",
						"city" : "",
						"coty" : ""
					}
			}

			search.getTokenItems(dataList, "system/Hospital/list", function(success, message, data) {// 模糊搜索
				hospitalData.clear();
				var result = null;
				if (success) {
					var data = data.content.list;
					if (searchVal == "") {
						result = 0;
						hospitalData.clear();
					} else {
						for (var i = 0; i < data.length; i++) {
							hospitalData.add({
								"id" : data[i].id,// 医院id
								"hlfn" : data[i].hlfn,// 医院名称全称
								"hlsn" : data[i].hlsn,// 医院名称简称
								"hlad" : data[i].hlad,// 医院地址
								"hlab" : data[i].hlab,// 医院简介
								"logo" : data[i].logo,// 医院logo
								"prve" : data[i].prve,// 省份
								"city" : data[i].city,// 城市
								"coty" : data[i].coty,// 区县
								"hlim" : data[i].hlim,// 医院图片
							})
						}
						result = data.length;
					}
					$('.nav-title p').html("在" + self.params.name + "共" + result + "个搜索结果");
				} else {
				}
			})
		})
	};

//	Model.prototype.searchChange = function(event){
//		this.input3Keyup(event);
//	};

	return Model;
});