define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	require("$UI/bestbaby-gravida/common/js/common");
	require("css!$UI/bestbaby-gravida/common/css/layout").load();
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var userModel = require("$UI/bestbaby-gravida/common/js/modules/user");
	var modified = require("$UI/bestbaby-gravida/common/js/getItems");
	var image = require("$UI/system/api/native/image");
	var commonUrl = require("$UI/bestbaby-gravida/common/js/commonUrl");
	var count = require("$UI/bestbaby-gravida/common/js/calculate");

	require('css!$UI/bestbaby-gravida/common/js/mobile/need/layer').load();
	var layer = require('$UI/bestbaby-gravida/common/js/mobile/layer');

	var Model = function() {
		this.callParent();
	};
	var token = '';
	var name = "";
	var mail = "";
	var sr = "";
	var logo = "";
	var phone = "";
	var weight = "";
	var height = "";
	var jjPhone = "";
	var jjPeople = "";
	var id = "";
	var birth = "";
	var argu = {};
	var age = "";
	var pmhy = '';
	var otpm = '';
	Model.prototype.openBtnClick = function(event) {
		var url = '$UI/bestbaby-gravida/individual/info/infoModifiedCom.w';
		var params = {};
		var target = $(event.currentTarget).find(".text-des").html();
		if (target == "姓名") {

			params = {
				con : name,
				title : "编辑姓名",
				type : "1",

			};
		}
		if (target == "联系邮箱") {
			params = {
				con : mail,
				title : "编辑邮箱",
				type : "2",
			};
		}
		if (target == "身份证号码") {
			params = {
				con : id,
				title : "编辑身份证",
				type : "3",
			};

		}
		if (target == "紧急联系人姓名") {
			params = {
				con : jjPeople,
				title : "编辑姓名",
				type : "4",
			};
		}
		if (target == "紧急联系人电话") {
			params = {
				con : jjPhone,
				title : "编辑手机号码",
				type : "5",
			};
		}

		justep.Shell.showPage(url, params);
	};

	Model.prototype.modelLoad = function(event) {
	var years = this.comp('year');
	// 设置末次月经可选范围
		var date = new Date();
		var nowDate = date.getTime();    // 现在时间毫秒数
		var maxDay = 280*24*60*60*1000;   // 280天毫秒数
		var startDate = new Date(nowDate-maxDay)    // 280天前的日期
		
		var startYear = startDate.getFullYear();    // 起始年份
		var startMonth = startDate.getMonth()+1;    // 起始月份
		var startDay = startDate.getDate();
		// 加载年份
		years.clear();
		for(var i = startYear ; i<=date.getFullYear(); i++){
			//console.log(i)
			years.add({  
				id : i,
				year: i + '年'
			})
		}
	
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			if (!$('.perInfo_panel').hasClass('ios_style')) {
				$('.perInfo_panel').addClass('ios_style')
			}
		}
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
                 	Model.prototype.backBtnClick();
				}
			}
		});
		token = app.getToken().token;
		var info = this.comp("info");
		var ageNumber = this.comp("ages");
		var year = this.comp("year");
		var birthyears = this.comp('birthyear');
		var birthmonths = this.comp('birthmonth');
		var birthdays = this.comp('birthday');
		var month = this.comp("month");
		var date = this.comp("date");
		var htcm = this.comp("htcm");
		var wtkg = this.comp("wtkg");
		var days = $(this.getElementByXid("bith"));
		var dede = $(this.getElementByXid("dede"));
		var lmp = $(this.getElementByXid("lmp"));

		userModel.updateUser({}, function(success, message, data) {

			if (success) {
				var data = data.content;
				//console.log('user',data);
				// if (!data.cdhd) {
				// data.cdhd =
				// "http://fbzd.oss-cn-shenzhen.aliyuncs.com/bestbaby/cardId/CARD-20171029140457466.jpg";
				// }
				// if (!data.cdtl) {
				// data.cdtl =
				// "http://fbzd.oss-cn-shenzhen.aliyuncs.com/bestbaby/cardId/CARD-20171029141042925.jpg";
				// }
				if (!data.logo) {
					data.logo = require.toUrl('../common/images/default-logo.png')
				}
				argu = {
					id : data.id,
					name : data.name,
					pswd : data.pswd,
					sex : data.sex,
					logo : data.logo,
					bith : data.bith,
					ages : data.ages,
					mobl : data.mobl,
					cdno : data.cdno,
					mail : data.mail,
					cdhd : data.cdhd,
					cdtl : data.cdtl,
					dede : data.dede,
					lmp  : data.lmp,
					htcm : data.htcm,
					wtkg : data.wtkg,
					eyct : data.eyct,
					eyml : data.eyml,
					pmhy : data.pmhy,
					otpm : data.pmot
				};
				pmhy = data.pmhy;
				otpm = data.pmot;
				name = data.name;
				mail = data.mail;
				sr = data.bith;
				logo = data.logo;
				phone = data.mobl;
				weight = data.wtkg;
				height = data.htcm;
				jjPhone = data.eyml
				jjPeople = data.eyct;
				id = data.cdno
				birth = data.bith;

				// $('.logo-img').eq(0).attr('src', logo);
				// ../common/images/person-pic-1.png
				info.add(argu);
				if (data.bith) {
					days.html(data.bith.split("-")[0] + "年" + data.bith.split("-")[1] + "月" + data.bith.split("-")[2] + "日")
				}

				if (data.dede) {
					dede.html(data.dede.split("-")[0] + "年" + data.dede.split("-")[1] + "月" + data.dede.split("-")[2] + "日")
				}
				if (data.lmp) {
					lmp.html(data.lmp.split("-")[0] + "年" + data.lmp.split("-")[1] + "月" + data.lmp.split("-")[2] + "日")
				}

			} else {
			}
		});

		for (var i = 18; i < 61; i++) {// 添加岁数数据
			// var m = "";
			//
			// m = i + "岁";
			ageNumber.add({
				id : i,
				age : i,
			})
			// console.log(i)

		}
		for (var i = (new Date()).getFullYear()-60; i < (new Date()).getFullYear()-12; i++) {// 添加出生日期的年份
			var y = "";
			//
			y = i + "年";
			birthyears.add({
				id : i,
				year : y,
			})
			// console.log(i)

		}
		for (var i = 1; i < 13; i++) {// 添加出生日期的月份
			var m = "";
			//
			m = i + "月";
			birthmonths.add({
				id : i,
				month : m,
			})
			// console.log(i)

		}
		for (var i = 1; i < 13; i++) {// 添加末次月经的月份
			var m = "";
			//
			m = i + "月";
			month.add({
				id : i,
				month : m,
			})
			// console.log(i)

		}
		for (var i = 1; i < 32; i++) {// 添加出生日期的日
			var d = "";
			//
			d = i + "日";
			birthdays.add({
				id : i,
				date : d,
			})
			// console.log(i)

		}
		for (var i = 1; i < 32; i++) {// 添加末次月经的日
			var d = "";
			//
			d = i + "日";
			date.add({
				id : i,
				date : d,
			})
			// console.log(i)

		}
		for (var i = 100; i <= 220; i++) {// 添加身高
			var h = "";
			//
			h = i + "CM";
			htcm.add({
				id : i,
				height : h,
			})
			// console.log(i)

		}

		for (var i = 30; i <= 100; i++) {// 添加体重
			var w = "";
			//
			w = i + "KG";
			wtkg.add({
				id : i,
				weight : w,
			})
			// console.log(i)

		}

	};

	Model.prototype.modelActive = function(event) {
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
                 	Model.prototype.backBtnClick();
				}
			}
		});
		var info = this.comp("info");

		var days = $(this.getElementByXid("bith"));
		var dede = $(this.getElementByXid("dede"));
		var lmp = $(this.getElementByXid("lmp"));

		userModel.updateUser({}, function(success, message, data) {

			if (success) {
				var data = data.content;

				// if (!data.cdhd) {
				// data.cdhd =
				// "http://fbzd.oss-cn-shenzhen.aliyuncs.com/bestbaby/cardId/CARD-20171029140457466.jpg";
				// }
				// if (!data.cdtl) {
				// data.cdtl =
				// "http://fbzd.oss-cn-shenzhen.aliyuncs.com/bestbaby/cardId/CARD-20171029141042925.jpg";
				// }
				if (!data.logo) {
					data.logo = require.toUrl('../common/images/default-logo.png');
				}

				argu = {
					id : data.id,
					name : data.name,
					pswd : data.pswd,
					sex : data.sex,
					logo : data.logo,
					bith : data.bith,
					ages : data.ages,
					mobl : data.mobl,
					cdno : data.cdno,
					mail : data.mail,
					cdhd : data.cdhd,
					cdtl : data.cdtl,
					dede : data.dede,
					lmp  : data.lmp,
					htcm : data.htcm,
					wtkg : data.wtkg,
					eyct : data.eyct,
					eyml : data.eyml,
					pmhy : data.pmhy,
					otpm : data.pmot
				};
				name = data.name;
				mail = data.mail;
				sr = data.bith;
				logo = data.logo;
				phone = data.mobl;
				weight = data.wtkg;
				height = data.htcm;
				jjPhone = data.eyml
				jjPeople = data.eyct;
				id = data.cdno
				birth = data.bith;
				pmhy = data.pmhy;
				otpm = data.pmot;
				info.add(argu);
				if (data.bith) {
					days.html(data.bith.split("-")[0] + "年" + data.bith.split("-")[1] + "月" + data.bith.split("-")[2] + "日")
				}
				if (data.dede) {
					dede.html(data.dede.split("-")[0] + "年" + data.dede.split("-")[1] + "月" + data.dede.split("-")[2] + "日")
				}
				if (data.lmp) {
					lmp.html(data.lmp.split("-")[0] + "年" + data.lmp.split("-")[1] + "月" + data.lmp.split("-")[2] + "日")
				}
				app.setUser(data);
			} else {
				// console.log(message)
			}
		});
	};

	Model.prototype.button14Touchstart = function(event) {// 修改年龄
		var ages = $(this.getElementByXid("age"));
		age = this.comp("popPicker1").getInnerPickers()[0].getSelectedItem().val('age');// 年龄
		ages.html(age)
		var dataList = {
			ages : age,
		};
		modified.getTokenItems(dataList, "system/Gravida/update", function(success, message, data) {

			if (success) {
			} else {
			}
		});

	};

	Model.prototype.button16Click = function(event) {// 修改出生日期
		var bith = $(this.getElementByXid("bith"));

		var birth = this.comp("popPicker2").getInnerPickers()[0].getSelectedItem().val('year') + this.comp("popPicker2").getInnerPickers()[1].getSelectedItem().val('month')
				+ this.comp("popPicker2").getInnerPickers()[2].getSelectedItem().val('date');// 出生月日

		bith.html(birth);

		var dataList = {
			bith : birth.split("年")[0] + "-" + birth.split("年")[1].split("月")[0] + "-" + birth.split("月")[1].split("日")[0],
		};
		modified.getTokenItems(dataList, "system/Gravida/update", function(success, message, data) {// 修改年龄,身高,体重

			if (success) {

			} else {
			}
		});

	};
	
	Model.prototype.button21Click = function(event){
		var lmp = $(this.getElementByXid("lmp"));  //末次月经
		var dede = $(this.getElementByXid("dede"));//预产期
		

		var NT = new Date().getFullYear() + "-" + (parseInt(new Date().getMonth()) + 1) + "-" + new Date().getDate();// 当前日期
		if(this.comp('month').getCount()== 0){
			return
		}
		
		if(this.comp('date').getCount() == 0){
			pop.pop('请选择日期');
			return
		}
		
		var year = this.comp("popPicker5").getInnerPickers()[0].getSelectedItem().val('year');// 年
		var month = this.comp("popPicker5").getInnerPickers()[1].getSelectedItem().val('month');// 月
		var day = this.comp("popPicker5").getInnerPickers()[2].getSelectedItem().val('date');// 日
		MT = formatDate(year.split("年")[0]) + "-" + formatDate(month.split("月")[0]) + "-" + formatDate(day.split("日")[0]);// 末次月经日期
		
		var YT = count.yqWeek(MT, NT);// 怀孕天数
		var mod = YT >= 7 ? YT / 7 : 0;// // 周数
		// var YZ = YT >= 7 ? (YT / 7) + mod : YT;// 天数
		// console.log(YT - (7 * parseInt(mod)), mod)
		YCQ = getNewDay(MT, 280);
		$('.output1').html(year + month + day);
		$('.output3').html("<span>" + parseInt(mod) + "周，" + "</span>" + "<span>" + (YT - (7 * parseInt(mod))) + "天" + "</span>");
		$('.output4').html(YCQ.split("-")[0] + '年' + YCQ.split("-")[1] + '月' + YCQ.split("-")[2] + '日');
		//console.log('MT末次月经日期：',MT);
		//console.log('YCQ预产期：',YCQ);
		lmp .html(MT.split("-")[0] + '年' + MT.split("-")[1] + '月' + MT.split("-")[2] + '日');
		dede.html(YCQ.split("-")[0] + '年' + YCQ.split("-")[1] + '月' + YCQ.split("-")[2] + '日')
		
		var lmpText = this.comp("popPicker5").getInnerPickers()[0].getSelectedItem().val('year') + this.comp("popPicker5").getInnerPickers()[1].getSelectedItem().val('month')
				+ this.comp("popPicker5").getInnerPickers()[2].getSelectedItem().val('date');
		var dataList = {
			lmp : MT,
			dede: YCQ,
		};
		//console.log('末次月经：',dataList); 
		
		modified.getTokenItems(dataList, "system/Gravida/update", function(success, message, data) {// 修改年龄,身高,体重

			if (success) {

			} else { 
			}
		});
		
	};
	
	Model.prototype.button17Click = function(event) {// 修改体重身高

		var sg = $(this.getElementByXid("height"));
		var tz = $(this.getElementByXid("weight"));
		var s = this.comp("popPicker3").getInnerPickers()[0].getSelectedItem().val('height');
		var w = this.comp("popPicker4").getInnerPickers()[0].getSelectedItem().val('weight')
		// console.log(w,s)
		sg.html(s.split("CM")[0]);
		tz.html(w);
		var dataList = {
			htcm : s.split("CM")[0],
			wtkg : w,
		};
		modified.getTokenItems(dataList, "system/Gravida/update", function(success, message, data) {// 修改年龄,身高,体重

			if (success) {

			} else {
			}
		});

	};

	function upLoadImg(_file, showEl, url, type) {
		var file = _file;
		if (!file) {
			return;
		} else {
			var form = new FormData();
			form.append('file', file);
			form.append('type', type);
			if (file) {
				if (/^image\/\w+$/.test(file.type)) { // 如果是图片文件
					$.ajax({
						url : commonUrl + '/' + url,
						type : 'POST',
						cache : false,
						async : true,
						headers : {
							token : app.getToken().token
						},
						timeout:30000,
						data : form,
						processData : false,
						contentType : false
					}).done(function(res) {
						layer.closeAll();
						if (res.code == 1000) {
							imgUrl = res.content;
							showEl.attr('src', res.content);
							layer.closeAll();
						} else {
						}
					}).fail(function(res) {
						layer.closeAll();
						pop.pop('上传失败')
					});
				} else { // 如果用户选的的不是图片
				  layer.closeAll();
					pop.pop('请选择图片文件');
					
				}
			}
		}
	}

	// 头像
	Model.prototype.input1Change = function(event) {
		var file = document.getElementById('logoImg'); // 判断
		if (file.files[0]) {
			var size = file.files[0].size;
			if (size) {
				if (size / 1024 < 10240) {
					layer.open({
						type : 2,
						shadeClose : false,
						content : '上传中',
					})
					var url = "system/Gravida/upload";
					var file = $('.logo')[0].files[0];
					var showEl = $('.logo-img').eq(0)
					var type = 1;
					upLoadImg(file, showEl, url, type);
				} else {
					pop.pop('上传失败，上传图片大小不能大于10M');
				}

			}
		}

	};

	// 身份证背面
	Model.prototype.input2Change = function(event) {

		var file = document.getElementById('IDCardB'); // 判断
		if (file.files[0]) {
			var size = file.files[0].size;
			if (size) {
				if (size / 1024 < 10240) {
					layer.open({
						type : 2,
						shadeClose : false,
						content : '上传中',
					})
					var url = "system/Gravida/upload";
					var file = $('.id-back')[0].files[0];
					var showEl = $('.id-black-img').eq(0)
					var type = 3;
					upLoadImg(file, showEl, url, type);
				} else {
					pop.pop('上传失败，上传图片大小不能大于10M');
				}

			}
		}

	};

	// 身份证正面
	Model.prototype.input3Change = function(event) {

		var file = document.getElementById('IDCardF'); // 判断
		if (file.files[0]) {
			var size = file.files[0].size;
			if (size) {
				if (size / 1024 < 10240) {
					layer.open({
						type : 2,
						shadeClose : false,
						content : '上传中',
					})
					var url = "system/Gravida/upload";
					var file = $('.id-font')[0].files[0];
					var showEl = $('.id-font-img').eq(0);
					var type = 2;
					upLoadImg(file, showEl, url, type);
				} else {
					pop.pop('上传失败，上传图片大小不能大于10M');
				}

			}
		}

	};
	

	// 格式化日期显示
	function formatDate(num){
		if(typeof num == 'string'){
			num = num*1;
		}
		if(num >= 10 ){
			return num;
		}else{
			return '0'+num;
		}
	}
	
	// 日期加上天数得到新的日期
	// dateTemp 需要参加计算的日期，days要添加的天数，返回新的日期，日期格式：YYYY-MM-DD
	function getNewDay(dateTemp, days) {
                var dateTemp = dateTemp.split("-");
                var nDate = new Date(dateTemp[1] + '/' + dateTemp[2] + '/' + dateTemp[0]); // 转换为MM-DD-YYYY格式
                var millSeconds = Math.abs(nDate) + (days * 24 * 60 * 60 * 1000);
                var rDate = new Date(millSeconds);
                var year = rDate.getFullYear();
                var month = rDate.getMonth() + 1;
                if(month < 10) month = "0" + month;
                var date = rDate.getDate();
                if(date < 10) date = "0" + date;
                return(year + "-" + month + "-" + date);
    }
	
	
	Model.prototype.lmpBtnClick = function(event) {
		var that =this;
		modified.getTokenItems({}, "system/Gdcombo/select", function(success, message, data) {
			if (success) {
				//console.log('请求成功data', data);
				if (data.content == null) { 
					//console.log('暂未购买套餐');
					that.comp('popPicker5').show();
				} else {
					// 状态：1-已租赁、2-归还中、3-已归还、4-已结算
					if (data.content.dlstat == 3 || data.content.dlstat == 4) {
						//console.log("已归还/ 已结算");
						that.comp('popPicker5').show();
					} else if (data.content.dlstat == 1 || data.content.dlstat == 2){
						pop.pop("套餐结束之前暂不可修改末次月经！");
					}else{
						pop.pop("套餐结束之前暂不可修改末次月经！");
					}
				}
			} else {
				if (data) {
					if (data.msg == "没有购买套餐") {
						//console.log('没有购买套餐');
						that.comp('popPicker5').show();
					}
				} else { 
					pop.pop('请求异常');
				}
				console.log('请求失败data', data);
			}
		});
		
		var date = new Date()
		var nowDate = date.getTime();    // 现在时间毫秒数
		var maxDay = 280*24*60*60*1000;   // 280天毫秒数
		var startDate = new Date(nowDate-maxDay);
		var startYear = startDate.getFullYear();
		var startMonth = startDate.getMonth()+1;
		var startDay = startDate.getDate();
		var lmp = $(this.getElementByXid('lmp')).text();
		if (lmp) {
			lmp = lmp.replace('年', '-').replace('月', '-').replace('日', '');
			var arr = lmp.split("-");
			var year = arr[0];
			var month = arr[1];  
			var day = arr[2];
			year = year - startYear;
			if(month<startMonth){
				months = month - 1;
			}else{
				months = month - startMonth;
			}
			if(month==startMonth){
				day = day - startDay;
			}else{
				day = day - 1;
			}
			this.comp("picker12").setSelectedIndex(year);// 出生日期设置默认选项
			this.comp("picker13").setSelectedIndex(months);
			this.comp("picker14").setSelectedIndex(day);
		}
	};
	Model.prototype.ageBtnClick = function(event) {
		this.comp("popPicker1").show();
		var age = $(this.getElementByXid('age')).text();
		age = age - 18;
		this.comp("picker1").setSelectedIndex(age); // 年龄设置默认选项
	};

	Model.prototype.tallBtnClick = function(event) {
		this.comp("popPicker3").show();
		var tall = $(this.getElementByXid('height')).text();
		tall = tall - 100;
		this.comp("picker5").setSelectedIndex(tall);// 身高设置默认选项
	};

	Model.prototype.weightBtnClick = function(event) {
		this.comp("popPicker4").show();
		var weight = $(this.getElementByXid('weight')).text();
		weight = weight - 30;
		this.comp("picker6").setSelectedIndex(weight); // 体重设置默认选项
	};

	Model.prototype.bithBtnClick = function(event) {
		this.comp("popPicker2").show();
		var dede = $(this.getElementByXid('bith')).text();
		if (dede) {
			dede = dede.replace('年', '-').replace('月', '-').replace('日', '')
			var arr = dede.split("-");
			var year = arr[0];
			var month = arr[1];
			var day = arr[2];
			year = year - ((new Date()).getFullYear()-60);
			month = month - 1;
			day = day - 1;
			this.comp("picker2").setSelectedIndex(year);// 出生日期设置默认选项
			this.comp("picker3").setSelectedIndex(month);
			this.comp("picker4").setSelectedIndex(day);
		}
	};

	Model.prototype.specialInfoClick = function(event) {
		var params = {
			pmhy : pmhy,
			otpm : otpm
		};
		justep.Shell.showPage("$UI/bestbaby-gravida/individual/setting/specialInfo.w", params);
	};

	Model.prototype.modelParamsReceive = function(event) {

	};
	// function readFile(fileEntry) {
	//
	// fileEntry.file(function (file) {
	// var reader = new FileReader();
	//
	// reader.onloadend = function() {
	// console.log("Successful file read: " + this.result);
	// displayFileData(fileEntry.fullPath + ": " + this.result);
	// };
	//
	// reader.readAsText(file);
	//
	// }, onErrorReadFile);
	// }

	Model.prototype.button1Click = function(event) {

		// navigator.camera.getPicture(onSuccess, onFail, {
		// quality : 50,
		// destinationType : navigator.camera.DestinationType.NATIVE_URI,
		// sourceType : 1,
		// // targetWidth:100,
		// // targetHeight:100,
		// allowEdit : true
		// });
		// function onSuccess(imageURI) {
		// localStorage.setItem("imageURI", imageURI);
		// function onSuccess(fileEntry) {
		// function win(file) {
		// console.log('filefilefilefl',file)
		// // var url = "system/Gravida/upload";
		// // console.log('ccccccccccccc')
		// // console.log(file);
		// // var showEl = $('.logo-img').eq(0)
		// // var type = 1;
		// // upLoadImg(file, showEl, url, type);
		// var reader = new FileReader();
		// reader.onloadend = function(evt) {
		// console.log("read success");
		// console.log(evt.target.result);
		// }
		// reader.readAsDataURL(file);
		//
		//
		// fs.root.getFile(file, { create: true, exclusive: false }, function
		// (fileEntry) {
		//
		// console.log("fileEntry is file?" + fileEntry.isFile.toString());
		// // fileEntry.name == 'someFile.txt'
		// // fileEntry.fullPath == '/someFile.txt'
		// writeFile(fileEntry, null);
		//
		// }, onErrorCreateFile);
		// }
		// var fail = function(evt) {
		// console.log('shibaishibai',evt)
		// };
		// fileEntry.file(win, fail);
		// }
		// window.resolveLocalFileSystemURI(imageURI, onSuccess, function(error)
		// {
		// coonsole.log('resolveLocalFileSystemURI')
		// });
		// }
		// function onFail(message) {
		// setTimeout(function() {
		// console.log('选择头像失败');
		// }, 1000);
		// }
	};
    //返回事件
	Model.prototype.backBtnClick = function(event){
      justep.Shell.closePage();
	};

	Model.prototype.modelUnLoad = function(event){
		// zzq 还原物理键操作
		justep.Shell.fireEvent("regainBackClick");
	};
 
	// 获取当月天数
	function getDaysInOneMonth(year, month){  
		month = parseInt(month, 10);  
		var d= new Date(year, month, 0);  
		return d.getDate();  
	}
	  
	Model.prototype.picker12Change = function(event){
		var that = this;
		var month = this.comp('month');
		var years = this.comp('year');
		var choseY = years.getCurrentRow().val('year');
		var date = new Date();
		var nowDate = date.getTime();    // 现在时间毫秒数
		var maxDay = 280*24*60*60*1000;   // 280天毫秒数
		var startDate = new Date(nowDate-maxDay);
		month.clear();
		//console.log(choseY.split('年')[0])
		//console.log(date.getFullYear())
		if(choseY.split('年')[0] < date.getFullYear()){   // 不是当前年份
			for(var i = (startDate.getMonth()+1); i<=12; i++){
				month.add({
					id : i,
					month : i + '月'
				});
			}
		}else{    // 当前年份
			if(startDate.getMonth()+1 >= date.getMonth()+1){
				for(var i = 1 ; i<=date.getMonth()+1; i++){
				month.add({
					id : i,
					month : i + '月'
				});
			}
			}else{
				for(var i = (startDate.getMonth()+1) ; i<=date.getMonth()+1; i++){
					month.add({
						id : i,
						month : i + '月'
					});
				}
			}
		}
		setTimeout(function(){
			that.comp('picker13').setSelectedIndex(0);
		},20);
	}; 
 

	Model.prototype.picker12AfterRender = function(event){
		var date = new Date();
		var nowDate = date.getTime();    // 现在时间毫秒数
		var maxDay = 280*24*60*60*1000;   // 280天毫秒数
		var startDate = new Date(nowDate-maxDay);
		var startYear = startDate.getFullYear();
		var startMonth = startDate.getMonth()+1;
		var startDay = startDate.getDate();
		var dayCount = getDaysInOneMonth(startYear,startMonth);
		var day = this.comp('date');
		for(var i = startDay; i<=dayCount;i++){
			day.add({
				id:i,
				date: i + '日'
			});
		}
	};
	
	Model.prototype.picker13Change = function(event){
		var month = this.comp('month');
		var years = this.comp('year');
		var day = this.comp('date');
	
		var choseY = years.getCurrentRow().val('year');
		var choseM = month.getCurrentRow().val('month');
		var date = new Date();
		var nowDate = date.getTime();    // 现在时间毫秒数
		var maxDay = 280*24*60*60*1000;   // 280天毫秒数
		var startDate = new Date(nowDate-maxDay);
		
		var dayCount = getDaysInOneMonth(choseY.split('年')[0],choseM.split('月')[0]);
			
		// 加载日期 -- 根据年份和月份判断， 动态加载
		
		day.clear();
		if(choseY.split('年')[0] < date.getFullYear()){  // 不是当前年份
			// 所选月份为280天前第一个月份
			if(choseM.split('月')[0] == startDate.getMonth()+1){
				for(var i = startDate.getDate(); i<= dayCount;i++){
					day.add({
						id : i,
						date : i + '日'
					});
				}
			}else{
				for(var i = 1 ; i<=dayCount ; i++){
					day.add({
						id : i,
						date : i + '日'
					});
				}
			}
		}else{   // 当前年份
			if(choseM.split('月')[0] == startDate.getMonth()+1){
				for(var i = startDate.getDate(); i<= dayCount ; i++){
					day.add({
						id : i,
						date : i + '日'
					});
				}
			}else{
				//console.log(date.getDate());
				if(choseM.split('月')[0] == date.getMonth()+1){ // 所选月份为当前月份
					for(var i =1 ; i<=date.getDate() ; i++){
						day.add({
							id : i,
							date : i + '日'
						});
					}
				}else{
					for(var i =1 ; i<=dayCount; i++){
						day.add({
							id : i,
							date : i + '日'
						});
					}
				}
			}
		}
	};

	Model.prototype.picker13AfterRender = function(event){

	};
 
 

	return Model;
});
