define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var getItem = require("$UI/bestbaby-gravida/common/js/getItems");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var store = require("$UI/bestbaby-gravida/common/js/store/dist/store.modern.min");
	var layer = require('$UI/bestbaby-gravida/common/js/mobile/layer');
	
	require('css!$UI/bestbaby-gravida/common/js/mobile/need/layer').load();
	var layer = require('$UI/bestbaby-gravida/common/js/mobile/layer');
	var commonUrl = require("$UI/bestbaby-gravida/common/js/commonUrl");
	var Model = function() {
		this.callParent();
	};
	
	var file = '';
	Model.prototype.input1Change = function(event) {
		function clearImg() {
			$('.bill-pre').eq(0).find('img').remove();
		}
		
		var fileSize = document.getElementById('mailCdno'); // 判断大小
		if (fileSize.files[0]) {
			var fileType = fileSize.files[0].type;
			var size = fileSize.files[0].size;
//			   类型判断，只能接受图片   -zhh
			if( fileType.indexOf('video') > -1 || fileType.indexOf('audio') > -1 ){
				file = '';
				clearImg();
				pop.pop('只能选择图片，请重新选择');
				return
			}
			//大小判断，10m以内   -zhh
			if (size) {
				if (size / 1024 > 10240) {
					file = '';
					clearImg();
					pop.pop('上传图片大小不能大于10M');
					return 
				}
			}
			file = $('.img-pick')[0].files[0];
		}
		if (file) {
			clearImg()
			var img = new Image(), url = img.src = URL.createObjectURL(file);
			var $img = $(img)
			img.onload = function() {
				URL.revokeObjectURL(url);
				$img.addClass('showImg');
				$('.bill-pre').eq(0).append($img);
			}
		} else {
			clearImg()
			return;
		}
	};

	//提交按钮
	Model.prototype.button1Click = function(event) {
		// justep.Shell.showPage('$UI/bestbaby-gravida/individual/setOpenup/hasSeted/returnState.w');
		console.log(file)
		layer.open({
				type:2,
				content: '加载中',
				shadeClose: false,
			})
		store.remove('$content');
		store.remove('$b1');
		store.remove('$b3');
		store.remove('dev');
		var postUrl = commonUrl+'/system/Devicelease/upload';
		var submitUrl = 'system/Devicelease/updateRemand';
		var self = this;
		var token = app.getToken().token;
		var form = new FormData();
		
		if (file) {
		console.log('yes')
			form.append('file', file);
			$.ajax({
				url : postUrl,
				type : 'POST',
				cache : false,
				headers : {
					token : token
				},
				data : form,
				timeout: 30000,
				processData : false,
				contentType : false,
				async : true,
			}).done(function(res) {
				if (res.code == 1000) {
					var img = res.content;
					//请求参数
					var params = {
						phone:$('.get_name').text(),
						uName:$('.get_phone').text(),
						rAddress:$('.get_address').text(),
						rtim : res.content
					}
					//归还设备请求
					getItem.getTokenItems(params, submitUrl, function(success, message, data) {
						if (success) {
							var hasReturnData = {
								img : img,
								stat : 2
							}
							layer.closeAll();
							justep.Shell.showPage('$UI/bestbaby-gravida/individual/setOpenup/hasSeted/returnState.w', hasReturnData)

						} else {
							pop.pop(message)
							layer.closeAll();
						}
					})
				} else {
					layer.closeAll();
					pop.pop(res.msg)
				}
			}).fail(function(res) {

				layer.closeAll();
				pop.pop('上传失败')
			});
		} else {

			layer.closeAll();
			pop.pop('请上传快递单据');
		}
	};

	Model.prototype.modelLoad = function(event) {
		var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
				$('.mailR_panel').addClass('ios_style')
		}
			// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
                 	Model.prototype.backBtnClick();
				}
			}
		});
		var info = this.comp("infoData");
		getItem.getTokenItems({}, 'system/Dictionary/company', function(success, message, data) {
			if (success) {
			       console.log(data)
				for (var i = 0; i < data.content.length; i++) {
					if (data.content[i].dkey == '收货人联系电话') {
						tel = data.content[i].vale;
					} else if (data.content[i].dkey == '公司地址') {
						addr = data.content[i].vale;
					} else if (data.content[i].dkey == '收货人') {
						name = data.content[i].vale;
					}
				}
				info.add({
					id : 1,
					name : name,
					tel : tel,
					address : addr
				});

			}else{
			console.log(message)
			}
		});
	};

	Model.prototype.modelUnLoad = function(event){
		// zzq 还原物理键操作
		justep.Shell.fireEvent("regainBackClick");
	};

	Model.prototype.backBtnClick = function(event){
         justep.Shell.closePage();
	};

	Model.prototype.modelActive = function(event){
        // 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
                 	Model.prototype.backBtnClick();
				}
			}
		});
	};

	return Model;
});