define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var getSetData = require("$UI/bestbaby-gravida/common/js/getItems");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var store = require("$UI/bestbaby-gravida/common/js/store/dist/store.modern.min");
	var layer = require("$UI/bestbaby-gravida/common/js/mobile/layer");
	var Model = function() {
		this.callParent();
	};

	Model.prototype.openBtnClick2 = function(event) {

		var url = '$UI/bestbaby-gravida/individual/setOpenup/noSet/hireRecord.w';
		justep.Shell.showPage(url);
	};

	// 续费
	Model.prototype.openBtnClick1 = function(event) {
		var taocan = $('.taocan').text();
		if (taocan.indexOf('体验') > 0) {
			// justep.Util.confirm('当前套餐为体验套餐，续费将正式购买我们的套餐，会收取设备押金，是否继续购买?',
			// function() {
			// getSetData.getTokenItems({}, 'system/Gravida/select',
			// function(success, message, data) {
			// var params = {
			// pprid : data.content.pprid,
			// type : 1,
			// }
			// var url =
			// '$UI/bestbaby-gravida/individual/setOpenup/hasSeted/renewal.w';
			// justep.Shell.showPage(url, params);
			// })
			// }, function() {
			// });
			layer.open({
				content : '当前套餐为体验套餐，续费将正式购买我们的套餐，会收取设备押金，是否继续购买？',
				btn : [ '取消', '确定' ],
				yes : function(index) {
					layer.close(index);
				},
				no : function(index) {
					getSetData.getTokenItems({}, 'system/Gravida/select', function(success, message, data) {
						layer.close(index);
						var params = {
							pprid : data.content.pprid,
							type : 1,
						}
						var url = '$UI/bestbaby-gravida/individual/setOpenup/hasSeted/renewal.w';
						justep.Shell.showPage(url, params);
					})

				},
			});
			$(".layui-m-layercont").css({
				"padding" : "20px 30px 20px 30px",
				"font-size" : "14px",
				"color" : "#999999"
			});
			$('.layui-m-layerbtn').css({
				"border-bottom-left-radius" : "0.52rem",
				"border-bottom-right-radius" : "0.52rem",
				"background-color" : "white"
			});
			$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
			$('.layui-m-layerbtn span').eq(0).css({
				"color" : "#f77e9d",
				"border-right" : "none"
			});
		} else {
			getSetData.getTokenItems({}, 'system/Gravida/select', function(success, message, data) {
				var params = {
					pprid : data.content.pprid,
					type : 2
				}
				var url = '$UI/bestbaby-gravida/individual/setOpenup/hasSeted/renewal.w';
				justep.Shell.showPage(url, params);
			})
		}
	};

	// 归还按钮
	var theUrl = '';
	var hasReturnData = {};
	Model.prototype.openBtnClick = function(event) {

		// justep.Shell.showPage(theUrl, hasReturnData);
		var url = '';
		var stat = this.comp('infoData').val('stat'); // 状态：1-已租赁、2-归还中、3-已归还、4-已结算
		var ofrttp = this.comp('comboData').val('ofrttp'); // 收货类型：1-现场、2-快递
		var that = this;
		console.log('ofrttp', ofrttp)
		console.log('stat', stat)
		if (stat == 1) { // 已租赁
			console.log(ofrttp)
			if (ofrttp == 1) {
				layer.open({
					content : '确认归还？',
					btn : [ '否', '是' ],
					yes : function(index) {
						layer.close(index);
					},
					no : function(index) {
						// console.log("我是成功归还");
						layer.close(index);
						getSetData.getTokenItems({
							rrtp : 2
						}, 'system/Devicelease/updateRemand', function(success, message, data) {

							if (success) {
								// pop.pop('操作成功,请回到领设备医院完成归还')
								store.remove("$content");
								// history.back(); //会导致页面跳转错乱 --zhh
								justep.Shell.closePage();

							} else {
								pop.pop(message)
							}
						})
						// pop.pop('操作取消');
						// return false;

					}
				})
				$(".layui-m-layercont").css({
					"padding" : "20px 30px 20px 30px",
					"font-size" : "14px",
					"color" : "#999999"
				})
				$('.layui-m-layerbtn').css({
					"border-bottom-left-radius" : "0.52rem",
					"border-bottom-right-radius" : "0.52rem",
					"background-color" : "white"
				});
				$('.layui-m-layerbtn span').eq(1).css("color", "#999999");
				$('.layui-m-layerbtn span').eq(0).css({
					"color" : "#f77e9d",
					"border-right" : "none"
				});
				// pop.pop('请回到领设备医院归还')

			} else if (ofrttp == 2) {
				url = '$UI/bestbaby-gravida/individual/setOpenup/hasSeted/mailReturn.w';
				justep.Shell.showPage(url, hasReturnData);
			}
		} else { // 快递
			if (ofrttp == 1) { // 现场
				pop.pop('请联系客服,回到领设备医院完成归还');
			} else {
				url = '$UI/bestbaby-gravida/individual/setOpenup/hasSeted/returnState.w';
				justep.Shell.showPage(url, hasReturnData);
			}
		}

	};

	Model.prototype.modelLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			$('.mySet_panel').addClass('ios_style')
		}
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
					Model.prototype.backBtnClick();
				}
			}
		});
		var self = this;
		var showif = false;
		// 获取孕妇信息
		getSetData.getTokenItems({}, 'system/Gravida/select', function(success, message, data) {
			if (success) {
				var priInfo = data.content;
				// 查询租赁信息
				getSetData.getTokenItems({}, 'system/Devicelease/select', function(success, message, data) {
					if (success) {
						var list = data.content;
						// 返回列表为空表示未发货
						if (list) {

							self.comp('infoData').clear();
							self.comp('infoData').add({
								pname : list.pname,
								id : list.id,
								deid : list.deid,
								pcode : list.dcode,
								odept : Number(list.odept).toFixed(2),
								gname : list.gname,
								gcdno : list.gcdno,
								stat : list.stat
							})
							// console.log(list.stim);
							if (list.stat == 1) {
								hasReturnData = {
									stat : list.stat,
									img : list.rtim,
								}
							} else {
								hasReturnData = {
									img : list.rtim,
									stat : list.stat
								}
							}

						} else {
							$('.dec-info').hide();
							$('.dec-title').hide();
						}
					} else {
						pop.pop(message);
						// console.log(data)
					}
				})
				// 查询租赁信息 ---end
			} else {
				pop.pop(message);
			}
			// 获取孕妇信息 ---end
		})

		// 孕妇套餐
		getSetData.getTokenItems({}, 'system/Gdcombo/select', function(success, message, data) {
			if (success) {
				var data = data.content;
				if (data.dlstat == 2) {

					layer.open({
						content : "请等归还确认后再购买套餐，请耐心等待",
						style : 'background-color:rgba(0,0,0,.6);color:#fff; border:none;', // 自定风格
						time : 3,
						fixed : true,
						end : Model.prototype.backBtnClick()
					});
					$(".layui-m-layercont").css("padding", "15px");
					$('.layui-m-layer0 .layui-m-layerchild').css("width", "50%")
					// Model.prototype.backBtnClick();
				}
				var hgDnsp = 0;
				if (data.hgDnsp) {
					hgDnsp = data.hgDnsp;
				}
				var dnsp = 0;
				if (data.dnsp) {
					dnsp = data.dnsp;
				}
				if (!data.edtm) {
					data.edtm = '从绑定设备开始计算';
				} else {
					if (data.dlstat == 1 && data.cbtype!=5) {
						$('.keep-alive-btn').show();
					}
				}
				self.comp('comboData').clear();
				self.comp('comboData').add({
					id : data.id,
					cbtype : data.cbname,
					detm : data.edtm,
					crtm : data.ctrm,
					dnsp : dnsp,
					hgdnsp : hgDnsp,
					ansp : data.ansp,
					ofrttp : data.ofrttp,
				})
			} else {
				pop.pop(message);
				// justep.Shell.closePage();
				// console.log(data);
			}
		})

	};

	Model.prototype.modelParamsReceive = function(event) {
	};

	Model.prototype.backBtnClick = function(event) {
		justep.Shell.closeAllOpendedPages();
	};

	Model.prototype.modelActive = function(event) {
		// console.log('active')
		this.modelLoad(event);
	};

	Model.prototype.modelUnLoad = function(event) {
		// zzq 还原物理键操作
		justep.Shell.fireEvent("regainBackClick");
	};

	return Model;
})