define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var getItem = require("$UI/bestbaby-gravida/common/js/getItems");
	var Model = function() {
		this.callParent();
	};
	Model.prototype.openBtnClick1 = function(event) {
		var params = {
			id : this.params.id,
			name : this.params.name
		}
		// console.log(params)
		var url = '$UI/bestbaby-gravida/individual/setOpenup/noSet/orderFill.w';
		justep.Shell.showPage(url, params);
	};

	Model.prototype.modelLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		var agreement = this.comp("agreement");
		if (has_ios) {
			if (!$('.hireAgree_panel').hasClass('ios_style')) {
				$('.hireAgree_panel').addClass('ios_style')
			}
		}
				// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
                 	Model.prototype.backBtnClick();
				}
			}
		});
		var protocol = {
			dkey : "远程胎儿监护仪租用协议书"
		}
		var notification = {
			dkey :"用户告知书"
		}
		$('.fixed-bottom3 .btn').attr('disabled', 'true')
		$('.scroll-text').scroll(function() {

			var h = $('.scroll-text').find('.scroll-warp').height() - $('.scroll-text').scrollTop();
			if (h - $('.scroll-text').height() <= 3) {
				$('.icon-pink-circle').css('background-color', '#f77e9d');
				$('.eq-agreement-click span').css('color', '#f77e9d');
				$('.fixed-bottom3 .btn').css('background-color', '#f77e9d');
				$('.fixed-bottom3 .btn').removeAttr('disabled')

			} else {
				$('.icon-pink-circle').css('background-color', '#d2d2d2');
				$('.eq-agreement-click span').css('color', '#d2d2d2');
				$('.fixed-bottom3 .btn').css('background-color', '#d2d2d2');
				$('.fixed-bottom3 .btn').attr('disabled', 'true')

			}
		});
		getItem.getTokenItems(protocol, 'system/Dictionary/protocol', function(success1, message1, data1) {
			if (success1) {
                  console.log(data1)
				getItem.getTokenItems(notification, 'system/Dictionary/protocol', function(success2, message2, data2) {
					if (success2) {
						var agreementVale=data1.content!=null?data1.content.vale:"";
						var notice=data2.content!=null?data2.content.vale:"";
						console.log(data2)
						agreement.add({
							"id" : "1",
							"agreement" : agreementVale,
							"notice":notice,
						})
					}

				});

			} else {

			}
		});

	};

	Model.prototype.modelParamsReceive = function(event) {
		// id = this.params.id;
		// name = this.params.name;
	};

	Model.prototype.backBtnClick = function(event){
         justep.Shell.closePage();
	};

	Model.prototype.modelUnLoad = function(event){
		// zzq 还原物理键操作
		justep.Shell.fireEvent("regainBackClick");
	};

	Model.prototype.modelActive = function(event){
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
                 	Model.prototype.backBtnClick();
				}
			}
		});
	};

	return Model;
});