define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var record = require("$UI/bestbaby-gravida/common/js/getItems");
	var Model = function() {
		this.callParent();
	};

	Model.prototype.hireListCustomRefresh = function(event) {
		// var url =require.toUrl("./../../../common/json/hireList.json");
		// $.ajaxSettings.async=true;
		// $.getJSON(url,function(data){
		// event.source.loadData(data);
		// });
	};

	Model.prototype.modelLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			$('.hireR_panel').addClass('ios_style')
		}

		var hireData = this.comp("hireList");
		var dataList = {
			"pageNum" : 1,
			"pageSize" : 0
		}
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
					Model.prototype.backBtnClick();
				}
			}
		});
		record.getTokenItems(dataList, "system/Orderform/list", function(success, message, data) {
			if (success) {
				// console.log(data)
				var list = data.content.list;
				hireData.clear();
				for (var i = 0; i < list.length; i++) {
					var a = list[i];
					hireData.add({
						id : a.id,
						eqName : a.cname,
						hireState : a.stat,
						eqImg : a.plogo,
						eqName : '',
						code : a.orno,
						eqCode : a.code,
						comboName : a.name

					});

				}

			} else {
			}
		})
	};

//	document.addEventListener('backbutton', function() {
//		justep.Shell.closeAll();
//	}, false)
	// 订单状态
	Model.prototype.statuslabel = function(ev) {
		// console.log(ev)
		var str = '';
		if (ev == 1) {
			str = '待付款';
		} else if (ev == 2) {
			str = '待发货';
		} else if (ev == 3) {
			str = '已发货';
		} else if (ev == 4) {
			str = '已签收';
		} else if (ev == 5) {
			str = '已取消';
		}
		return str;
	};

	Model.prototype.button2Click = function(event) {
		var select = $(event.currentTarget);
		var order = select.find('.codeOrder').text();
		var url = '$UI/bestbaby-gravida/individual/setOpenup/noSet/orderDetail.w';
		justep.Shell.showPage(url, {
			order : order
		});
	};

	Model.prototype.backBtnClick = function(event) {
		justep.Shell.closePage();
	};

	Model.prototype.modelUnLoad = function(event) {
		// zzq 还原物理键操作
		justep.Shell.fireEvent("regainBackClick");
	};

	Model.prototype.modelActive = function(event){
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
					Model.prototype.backBtnClick();
				}
			}
		});
	};

	return Model;
});