define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var store = require("$UI/bestbaby-gravida/common/js/store/dist/store.modern.min");
	var cnNumber = require("$UI/bestbaby-gravida/common/js/number");// 转换成中文数字
	var dairy = require("$UI/bestbaby-gravida/common/js/getItems");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var address = '';
	var Model = function() {
		this.callParent();
	};

	// 去付款
	Model.prototype.openBtnClick1 = function(event) {
		console.log('首次购买-去付款页面😄')
		if (this.comp("pickUp").getValue("type") === 1) { // 现场取货

		} else {
			if (!this.comp("info").getValue("add")) {
				pop.pop('请选择地址');
				return;
			}
		}

		var params = {
			paid : this.comp("combo").getValue("id"),// 套餐id
			name : this.comp("combo").getValue("name"),// 套餐名称
			dept : this.comp("combo").getValue("dept"),// 押金
			rent : this.comp("combo").getValue("pacg"),// 套餐费
			epcg : this.comp("pickUp").getValue("fee"),// 快递费
			type : 1,// 设备套餐类型
			cnts : this.comp("info").getValue("name"),// 联系人
			mobl : this.comp("info").getValue("phone"),// 联系号码
			addr : this.comp("info").getValue("add"), // 地址
			rttp : this.comp("pickUp").getValue("type"), // 收货类型
			dnat : this.comp("combo").getValue('dnat'),
			anat : this.comp("combo").getValue('anat'),
			sfcm : this.comp("combo").getValue('sfcm'),// 缴费类型
			payType : 1
		// 1直接付款，2在订单列表支付
		}
		// 体验套餐直接提交订单并支付
		var addData = this.comp("pickUp").getValue("type");
		var typeData = $('.setType').text(); // 套餐类型
		var userInfo = app.getUser();
		console.log('付款参数', params)
		if (params.dept == 0 && params.rent == 0 && params.epcg == 0) {
			//console.log('新增特殊费用套餐');
			dairy.getTokenItems(params, "system/Orderform/insert", function(success, message, data) {
				if (success) {
					var url = '$UI/bestbaby-gravida/individual/setOpenup/noSet/paidFeedback.w';
					justep.Shell.showPage(url);
				} else {
					// console.log(data)
					pop.pop(message);
				}
			});
		} else {
			if (typeData == 5) { // 体验套餐
				dairy.getTokenItems(params, "system/Orderform/insert", function(success, message, data) {
					if (success) {
						var testParams = {
							test : 1
						} // 1为体验套餐
						var url = '$UI/bestbaby-gravida/individual/setOpenup/noSet/paidFeedback.w';
						justep.Shell.showPage(url, testParams);
					} else {
						// console.log(data)
						pop.pop(message);

					}
				});
			} else {
				// if(!userInfo.eyct || !userInfo.eyml || !userInfo.htcm ||
				// !userInfo.wtkg){
				// pop.pop('完善个人信息后才可以购买正式套餐');
				// var otherInfoUrl =
				// require.toUrl('$UI/bestbaby-gravida/register/otherRegisterInfo.w');
				// justep.Shell.showPage(otherInfoUrl);
				// return
				// }

				dairy.getTokenItems(params, "system/Orderform/insert", function(success, message, data) {
					if (success) {
						params.order = data.content;
						var url = '$UI/bestbaby-gravida/individual/setOpenup/noSet/orderPay.w';
						justep.Shell.showPage(url, params);
					} else {
						if (data) {
							if (data.code == 1001) {
								pop.pop(message)
							}
						} else {
							pop.pop('请求异常');
						}
					}
				});
			}
		}
	};

	Model.prototype.modelLoad = function(event) { 
		// this.comp('addressSelect').close();
		$('.express-fee').hide();
		var userInfo = app.getUser();
		// console.log('用户信息userInfo', userInfo);
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			$('.orderFill_panel').addClass('ios_style')
		}
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
					Model.prototype.backToMain();
				}
			}
		});
		console.log('接收参数🆕', this.params);
		var info = this.comp("info");
		info.clear();
		var combo = this.comp("combo");// 套餐列表
		var way = this.comp("pickUp");// 取货方式
		var eqid = this.params.id;// 设备id
		var type = this.params.name;// 设备名字
		var userName = app.getUser();// 获取用户名
		var that = this;
		var detailAdd = "";
		var hireName = "";
		var contancrNumber = "";

		var url = "system/Address/list";
		var dataJson = {
			"pageNum" : 1,
			"pageSize" : 0
		}
		var that = this;
		// 孕妇地址列表
		dairy.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) {

				var list = data.content.list;
				if (list.length > 0) {
					// console.log(that.params.name);
					// console.log("我是if", list)
					for (var i = 0; i < list.length; i++) {
						if (list[i].isrd == 1) {
							// console.log(list[i])
							info.add({
								id : that.params.id,
								type : that.params.name,
								name : app.getUser().name,
								nameAddr : list[i].name,
								add : list[i].apvce + "" + list[i].acity + "" + list[i].acoty + "" + list[i].adrs,
								phone : list[i].mobl,
								hlfn : app.getUser().hlfn,
							})

						} else {
							info.add({
								id : that.params.id,
								type : that.params.name,
								name : app.getUser().name,
								nameAddr : app.getUser().name,
								add : "",
								phone : "",
								hlfn : app.getUser().hlfn,
							})
						}
					}

				} else {
//					console.log(that.params.name);
//					console.log("我是else", list)
					info.add({
						id : that.params.id,
						type : that.params.name,
						name : app.getUser().name,
						nameAddr : app.getUser().name,
						add : "",
						phone : app.getUser().mobl,
						hlfn : app.getUser().hlfn,
					})

				}

			} else {
			}
		});

		var self = this;

		combo.clear();// 每次加载进来，清空一下数据.
		var comboList = JSON.parse(localStorage.getItem('setList'));// 获取刚刚页面的套餐信息
		if (!comboList) {
			pop.pop('暂没可购买的套餐');
			history.back();
			return;
		}
		console.log('获取的套餐列表数据');
		console.log(comboList);
		for (var i = 0; i < comboList.length; i++) { 
			if (comboList[i].sfcm == 2 && comboList[i].wdsf == 1) {
				pfpc='设备押金（平台缴费）';
				scpc='服务费（现场缴费）';
				epfee='快递费（平台缴费）';
			}else if (comboList[i].sfcm == 2 && comboList[i].wdsf == 2){
				$('.service-fee').hide();
				pfpc='设备押金';
				scpc='服务费';
				epfee='快递费';
			}else{
				pfpc='设备押金';
				scpc='服务费';
				epfee='快递费';
			}
			if (comboList[i].type !== 4) {
				combo.add({
					"select_id" : i,
					"id" : comboList[i].id,
					"dast" : comboList[i].dast,
					"crtm" : comboList[i].crtm,
					"mdtm" : comboList[i].mdtm,
					"name" : comboList[i].name,
					"remk" : comboList[i].remk,
					"pacg" : comboList[i].pacg,//服务费
					"dnat" : comboList[i].dnat,
					"anat" : comboList[i].anat,
					"type" : comboList[i].type,
					"prid" : comboList[i].prid,
					"oltm" : comboList[i].oltm,
					"oftm" : comboList[i].oftm,
					"ancs" : comboList[i].ancs,
					"dncs" : comboList[i].dncs,
					"dept" : comboList[i].dept,// 押金
					"epcg" : comboList[i].epcg,// 快递费
					"sfcm" : comboList[i].sfcm,// 缴费类型
					"wdsf" : comboList[i].wdsf,// 是否显示
					"pfpc" : pfpc,		  	   // 设备押金-平台缴费
					"scpc" : scpc,		  	   // 服务费-现场缴费
					"epfee": epfee,		  	   // 快递费-平台缴费
					"setName" : "套餐" + cnNumber.NumberToChinese(i + 1) + ":" + comboList[i].name,
				})
				// console.log(typeof comboList[i].dept);
				// console.log("套餐")
				var pick = [ {
					"id" : "0",
					"way" : "快递服务",
					"fee" : 0,
					"type" : 2,
				}, {
					"id" : "1",
					"way" : "医院现场取设备",
					"fee" : 0,
					"type" : 1,
				} ]
			}
		}
		// 设置默认选中第一个套餐;
		setTimeout(function() {
			that.comp("picker1").setSelectedIndex(0);
		}, 1)

		way.clear();
		for (var i = 0; i < pick.length; i++) {
			way.add({
				id : pick[i].id,
				way : pick[i].way,
				fee : pick[i].fee,
				type : pick[i].type,
			})
		}
		$('.show-address-box').hide();
	};

	// 地址选择
	Model.prototype.button5Click = function(event) {
		// this.comp('addressSelect').set({"top":"500px",left:"500px"});
		// this.comp('addressSelect').open();
		justep.Shell.showPage("$UI/bestbaby-gravida/individual/address/addressSelect.w");
	};

	Model.prototype.modelActive = function(event) {
		// alert()
		var info = this.comp("info");
		info.clear();
		var combo = this.comp("combo");// 套餐列表
		var way = this.comp("pickUp");// 取货方式
		var eqid = this.params.id;// 设备id
		var type = this.params.name;// 设备名字
		var userName = app.getUser();// 获取用户名
		var that = this;
		var detailAdd = "";
		var hireName = "";
		var contancrNumber = "";
		var url = "system/Address/list";
		var dataJson = {
			"pageNum" : 1,
			"pageSize" : 0
		}
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
					Model.prototype.backToMain();
				}
			}
		});
		var that = this;

		// 孕妇地址列表
		// console.log(store.get('defaultAdd'),1111)
		if (store.get('defaultAdd')) {
			var localStore = store.get('defaultAdd');
			 console.log(localStore,111);
			info.add({
				id :  that.params.id,
				type :  that.params.name,
				name : app.getUser().name,
				nameAddr : localStore.name,
				add : localStore.provName + "" + localStore.cityName + "" + localStore.areaName + "" + localStore.address,
				phone : localStore.tel,
				hlfn : app.getUser().hlfn,
			})

		} else {
			dairy.getTokenItems(dataJson, url, function(success, message, data) {
				if (success) {

					var list = data.content.list;
					if (list.length > 0) {
						for (var i = 0; i < list.length; i++) {
							if (list[i].isrd == 1) {
								info.add({
									id : that.params.id,
									type : that.params.name,
									nameAddr : list[i].name,
									add : list[i].apvce + "" + list[i].acity + "" + list[i].acoty + "" + list[i].adrs,
									phone : list[i].mobl,
									hlfn : app.getUser().hlfn,
								})

							} else {
								info.add({
									id : that.params.id,
									type : that.params.name,
									name : app.getUser().name,
									hlfn : app.getUser().hlfn,
									nameAddr : app.getUser().name,
								})
							}
						}

					} else {
						info.add({
							id : that.params.id,
							type : that.params.name,
							name : app.getUser().name,
							hlfn : app.getUser().hlfn,
							nameAddr : app.getUser().name,
						})
					}
				} else {
				}
			});
		}

	};

	// 打开套餐
	Model.prototype.comboBtnClick = function(event) {
		this.comp("popPicker1").show();
	};

	// 打开收货方式，并设置默认选择 zzq
	Model.prototype.wayBtnClick = function(event) {
		this.comp("popPicker2").show();
		var pick = this.comp("pickUp");
		var id = pick.val('id');

		this.comp("picker2").setSelectedIndex(id);
	};

	// 套餐选择改变
	Model.prototype.picker1Change = function(event) {
		var pick = this.comp("pickUp");
		var type = pick.val('type');
		var fee = this.comp('combo').val('epcg');
		if (type == 2) {
			this.comp("pickUp").setValue('fee', fee);
		}
		if ($('.setType').text() == 5) { // 体验套餐
			this.comp('wayBtn').set({
				disabled : true
			})
			this.comp("popPicker2").getInnerPickers()[0].setSelectedIndex(1);
		} else {
			this.comp('wayBtn').set({
				disabled : false
			})
			$('.show-address-box').show();
			if ($('.pickWay').text() === '医院现场取设备') {
				$('.show-address-box').hide();
			} else {
				$('.show-address-box').show();
			}
		}
	};

	// 收货方式改变
	Model.prototype.picker2Change = function(event) {
		var pick = this.comp("pickUp");

		var type = pick.val('type');
		var fee = this.comp('combo').val('epcg');

		if (type == 2) {
			this.comp("pickUp").setValue('fee', fee);
			$('.express-fee').show();
			$('.show-address-box').show();
		} else {
			$('.show-address-box').hide();
			$('.express-fee').hide();
		}

		var pickWay = this.comp("popPicker2").getInnerPickers()[0].getSelectedItem().val('way');// 套餐名字

		$(".pickWay").html(pickWay);// 获取收货方式
	};

	Model.prototype.backToMain = function(event) {
		justep.Shell.closeAllOpendedPages()
	};

	return Model;
});