define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var po = require("$UI/bestbaby-gravida/common/js/popUp");
	var userModel = require("$UI/bestbaby-gravida/common/js/modules/user");
	var dairy = require("$UI/bestbaby-gravida/common/js/getItems");
	var store = require("$UI/bestbaby-gravida/common/js/store/dist/store.modern.min");
	var layer = require('$UI/bestbaby-gravida/common/js/mobile/layer');
	var userModel = require("$UI/bestbaby-gravida/common/js/modules/user");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var isResume = '';
	var Model = function() {
		this.callParent();
	};
	var connectWay = 0; // 设备连接方式1wifi，2：蓝牙，0为未知
	Model.prototype.openBtnClick1 = function(event) {
		var hospitalData = this.comp("hospital");
		var userInfo = app.getUser();
		userModel.updateUser({}, function(success, message, data) {
			if (success) {
				var data = data.content;
				var params = {
					"id" : data.id,
					"hlid" : data.hlid,
				};
				hospitalData.newData(params);
				if (!userInfo.hlid || userInfo.hlid === 'undefind' || userInfo.hlid === 'null') {
					po.pop('请先绑定医院');
					justep.Shell.showPage("$UI/bestbaby-gravida/individual/hospital/city.w");
				} else {
					justep.Shell.showPage('$UI/bestbaby-gravida/individual/setOpenup/noSet/setOpenup.w');
				}
			} else {
				// console.log(message)
			}
		});

	};
	Model.prototype.openBtnClick2 = function(event) {
		var url = '$UI/bestbaby-gravida/individual/setOpenup/noSet/hireRecord.w';
		justep.Shell.showPage(url);
	};

	Model.prototype.modelLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			$('.noSet_set_panel').addClass('ios_style')
		}
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
					Model.prototype.backBtnClick();
				}
			}
		});

		var dataJson = {
			hlid : app.getUser().hlid,
			usid : app.getUser().id
		}
		dairy.getTokenItems(dataJson, "system/Combo/exist", function(success, message, data) {
			if (success) {
				$('.qoe-Button').show();
			} else {

			}
		});

	};

	Model.prototype.backBtnClick = function(event) {
		justep.Shell.closePage();
	};

	Model.prototype.modelUnLoad = function(event) {
		// zzq 还原物理键操作
		justep.Shell.fireEvent("regainBackClick");
	};

	Model.prototype.modelActive = function(event) {
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
					Model.prototype.backBtnClick();
				}
			}
		});
	};
	// 获取wifi信息成功回调
	Model.prototype.successWifi = function(message) {

		justep.Shell.wifiSSID = message.activity.SSID.replace("\"", "").replace("\"", ""); // 去掉双引号
		if (message.activity.SSID == "<unknown ssid>") {
			justep.Shell.wifiSSID = '';
		}

		// console.log(justep.Shell.wifiSSID)

	}
	// 获取wifi信息失败回调信息
	Model.prototype.errorWifi = function(message) {
		// po.pop(message);
		// console.log(message)
		justep.Shell.wifiSSID = '';
	}
	// 体验按钮
	Model.prototype.openSacnButtonClick = function(event) {

		var M = Model.prototype;
		// 获取wifi
		window.plugins.WifiAdmin.getWifiInfo(M.successWifi, M.errorWifi);
		var dataLiat = {
			pageNum : 1,
			pageSize : 0

		}
		// 获取设备列表数据
		dairy.getTokenItems(dataLiat, "system/Product/list", function(success, message, data) {
			if (success) {
				var data = data.content.list;
				store.set('$device', data);
			} else {

			}
		});
		this.comp("scan1").scanQRCode();
	};

	// 扫码成功
	Model.prototype.scan1ScanQRCodeSuccess = function(event) {

		var datas = event.data;
		var M = Model;
		var type = justep.Shell.localType;
		if (type == 1) {
			TranslateCode.tranCodeGreen(M.prototype.tranCodeSuccess, M.prototype.tranCodeError, datas);
		} else {
			TranslateCode.tranCode(M.prototype.tranCodeSuccess, M.prototype.tranCodeError, datas);
		}

	};

	// 扫码失败
	Model.prototype.scan1ScanQRCodeFail = function(event) {
		po.pop('无法进行扫码操作，请在手机设置中开启本应用（' + justep.Shell.appName + '）的相机访问权限');
	};
	// 解析成功回调方法
	Model.prototype.tranCodeSuccess = function(content) {

		$('.qoe-Button').attr('disabled', true);
		$('.qoe-Button').css('color', '#f77e9d');
		$('.qoe-Button').css('background-color', 'white');
		$('.qoe-Button').css('border-color', '#f77e9d');

		var obj = JSON.parse(content); // json格式转换对象
		// 获取设备连接方式：connectWay:
		// 1.Wi-Fi
		// 2.BLE
		if (obj.bCode.length == 17) {
			justep.Shell.connectWay = 2;
			connectWay = 2;
		} else {
			justep.Shell.connectWay = 1;
			connectWay = 1;
		}
		var device = store.get('$device');
		var type = justep.Shell.localType;
		var prid = ''; // 设备类型id
		for (var i = 0; i < device.length; i++) {
			if (obj.tCode == device[i].code) {
				prid = device[i].id;
			}
		}
		layer.open({
			type : 2,
			shadeClose : false,
			content : '正在为你连接设备，请稍候'
		});
		// 获取设备配置数据
		var dataJson = {
			"id" : prid
		};
		justep.Shell.dev = obj.tCode;
		var configData = {};
		var selectCode = {
			code : obj.eCode
		};
		// console.log(selectCode)
		dairy.getTokenItems(selectCode, "system/Devicelease/selectDeviceByCode", function(success, message, data) { // 查询是否能租用
			B1Manager.writeLog("0", data, "system/Devicelease/selectDeviceByCode");
			if (success) {

				dairy.getTokenItems(dataJson, "system/Product/select", function(success, message, data) { // 获取配置数据
					B1Manager.writeLog("0", data, "system/Product/select");
					if (success) {
						// console.log('获取连接方式1🔗',data.content.connectType,data);

						var cData = data.content;
						// 配置参数
						configData = {
							logo : cData.logo,
							connectType : cData.connectType, // 设备连接方式
							// 1wifi
							// 2蓝牙
							isHeartSound : cData.isHeartSound, // 支持胎心音
							// 1 是2
							// 否
							isAutoMove : cData.isAutoMove, // 支持自动胎动
							// 1 是2
							// 否
							isWakeUp : cData.isWakeUp,// 支持睡眠唤醒
							// 1
							// 是2否
							isResume : cData.isResume,// 支持获取档案1
							// 是2否
							operationStatus : cData.operationStatus
						// 设备运营状态 1未运营2: 运营中
						}
						if(cData.connectType!=3){
							justep.Shell.connectWay=cData.connectType;
							connectWay=cData.connectType;
						}
						
						isResume = cData.isResume == 2 ? false : true;
						store.set('$configData', configData);
						var dataList2 = {
							"pageNum" : 1,
							"pageSize" : 0,
							"filters" : {
								"prid" : prid,
							}

						}

						var params = {};
						// 获取套餐列表
						dairy.getTokenItems(dataList2, "system/Combo/list", function(success, message, data) {
							B1Manager.writeLog("0", data, "system/Combo/list");
							if (success) {
								var data = data.content.list;
								// 拿当前扫码设备体验套餐的数据
								for (var i = 0; i < data.length; i++) {
									if (data[i].type == 5) {
										params = {
											paid : data[i].id,// 套餐id
											name : data[i].name,// 套餐名称
											dept : data[i].dept,// 押金
											rent : data[i].pacg,// 套餐费
											epcg : data[i].epcg,// 快递费
											type : 1,// 设备套餐类型
											cnts : app.getUser().name,// 联系人
											mobl : app.getUser().mobl,// 联系号码
											addr : '', // 地址
											rttp : 1, // 收货类型
											dnat : data[i].dnat,
											anat : data[i].anat,
											payType : 1
										// 1直接付款，2在订单列表支付
										};
									}
								}

								if (!params.paid) {
									$('.qoe-Button').attr('disabled', false);
									layer.closeAll();
									po.pop('该设备暂没体验套餐');
									//
								} else {

									// 购买体验套餐
									dairy.getTokenItems(params, "system/Orderform/insert", function(success, message, data) {
										B1Manager.writeLog("0", data, "system/Orderform/insert");
										if (success) {

											var devJson = {
												"dcode" : obj.eCode,
												"ocode" : data.content
											};
											// console.log(devJson)
											// 调用交付设备接口
											dairy.getTokenItems(devJson, "system/Devicelease/updateDeliver", function(success, message, data) {
												B1Manager.writeLog("0", data, "system/Devicelease/updateDeliver");
												if (success) {
													userModel.updateUser({}, function(success, message, data) {

														if (success) {
															var data = data.content;
															// console.log('login
															// data', data)
															var params = {
																"id" : data.id,
																"name" : data.name,
																"pswd" : data.pswd,
																"sex" : data.sex,
																"logo" : data.logo,
																"bith" : data.bith,
																"ages" : data.ages,
																"mobl" : data.mobl,
																"cdno" : data.cdno,
																"mail" : data.mail,
																"cdhd" : data.cdhd,
																"cdtl" : data.cdtl,
																"lmp" : data.lmp,
																"dede" : data.dede,
																"htcm" : data.htcm,
																"wtkg" : data.wtkg,
																"hlid" : data.hlid,
																"hlfn" : data.hlfn,
																"tokn" : data.tokn,
																"rttm" : data.rttm,
																"eyct" : data.eyct,
																"eyml" : data.eyml,
																"pmhy" : data.pmhy,
																"pmot" : data.pmot,
																"dast" : data.dast,
																"crtm" : data.crtm,
																"mdtm" : data.mdtm,
																"pprid" : data.pprid
															};
															app.setUser(params)
															var type = justep.Shell.localType;
															// console.log(params)
															// 购买成功后进入连接设备流程
															if (connectWay == 1) { // wifi连接
																store.set('$b1', content);
																B1Manager.checkWifi(successWifi, Model.prototype.statusPop, obj.wifiName, '');

																if (type == 1) {
																	function successWifi() {
																	}
																	$('.qoe-Button').attr('disabled', true);
																	url = '$UI/bestbaby-gravida/monitor/wifi.w';
																	justep.Shell.showPage(url, {
																		data : obj
																	});
																} else {
																	function successWifi() {
																		$('.qoe-Button').attr('disabled', true);
																		url = '$UI/bestbaby-gravida/monitor/wifi.w';
																		justep.Shell.showPage(url, {
																			data : obj
																		});

																	}
																}

															} else if (connectWay == 2) { // 蓝牙连接
																store.set('$b3', content);
																var M = Model.prototype;

																var that = this;
																var alarmIf = "";
																var alarmVolume = "";
																var heartVolume = "";
																if (type == 1) {
																	/**
																	 * 方法名：enableBluetooth(function,
																	 * function)
																	 * 参数1：(function)
																	 * 成功时回调方法
																	 * 参数2：(function)
																	 * 失败时回调方法（返回状态码）
																	 * 返回值：(string)
																	 * 状态码
																	 * 说明：蓝牙使能
																	 */
																	B3Manager.enableBluetooth(M.openBluetoothSuccess, M.B3error);
																} else if (type == 2) {
																	content = JSON.parse(content);
																	// 存储b3设置信息
																	var setData = store.get('b3Set');
																	// console.log('存储b3设置信息💣');
																	// console.log(setData);
																	if (setData == null) {
																		alarmIf = 1;
																		alarmVolume = 1;
																		heartVolume = 1;
																		var setData = new Object();
																		setData.alarmIf = alarmIf;
																		setData.alarmVolume = alarmVolume;
																		setData.heartVolume = heartVolume;
																		store.set('b3Set', JSON.stringify(setData));
																	} else {
																		var setData = JSON.parse(setData);
																		// console.log(setData);
																		alarmIf = setData.alarmIf;
																		alarmVolume = setData.alarmVolume;
																		heartVolume = setData.heartVolume;
																	}
																	console.log('B3Manager--content:', content);
																	var uCode = content.uCode;
																	var bCode = content.bCode;
																	var eCode = content.eCode;
																	B3Manager.connect(M.B3Success, M.B3error, bCode, uCode, alarmIf, alarmVolume, heartVolume, isResume, eCode, justep.Shell.dev);
																}

															}
														} else {
															po.pop(message);
														}
													});

												} else {
													$('.qoe-Button').attr('disabled', false);
													layer.closeAll();
													po.pop(message);
												}
											});

										} else {

											$('.qoe-Button').attr('disabled', false);
											layer.closeAll();
											po.pop(message);

										}
									});

								}

							} else {

								$('.qoe-Button').attr('disabled', false);
								layer.closeAll();
								po.pop(message);
							}

						});

					} else {
						$('.qoe-Button').attr('disabled', false);
						layer.closeAll();
						po.pop('获取连接方式失败');
					}
				});

			} else {
				$('.qoe-Button').attr('disabled', false);
				layer.closeAll();
				po.pop(message);
				// console.log(data)
			}
		});

		justep.Shell.isTest = true;
		// console.log('解析成功回调方法🌈');

	}

	// 解析失败回调方法
	Model.prototype.tranCodeError = function() {
		po.pop('数据解码失败');
	}

	/**
	 * "100" - wifi账号数据为空 "101" - 连接失败 "102" - 未切换至设备热点 "103" - W域的字符串为空 "104" -
	 * 心跳包端开，断线 "110" - 开始监测失败 "120" - 停止监测失败 "130" - 宫压调零失败 "140" - 设置报警开关失败
	 * "150" - 设置报警音量失败 "160" - 设置胎心音音量失败,"105"-当前wifi与通知设备连接的wifi不匹配 "108" -
	 * 没搜索到该WIFI "109" - 用户拒绝了定位授权
	 */
	Model.prototype.statusPop = function(ev) {
		$('.qoe-Button').attr('disabled', false);
		layer.closeAll();
		var content = JSON.parse(store.get('$b1'));
		var wifi = content.wifiName;
		var type = justep.Shell.localType;
		if (ev == 101) {
			po.pop("连接失败");
		} else if (ev == 102) {
			po.pop('未切换至设备热点');
		} else if (ev == 103) {
			po.pop('W域的字符串为空');
		} else if (ev == 104) {
			po.pop('心跳包端开，断线');
		} else if (ev == 105) {
			$(".layui-m-layercont").css("padding", "15px");
			$('.layui-m-layer0 .layui-m-layerchild').css("width", "50%")

			if (type == 1) {
			} else {
				layer.open({
					content : '请切换到设备热点wifi：' + wifi + ',即将自动切换到设置页面',
					style : 'background-color:rgba(0,0,0,.6);color:#fff;border:none;', // 自定风格
					time : 10,
					fixed : true,
					end : function() {
						Model.prototype.openSetting(ev);
					}
				});

			}
		} else if (ev == 110) {
			po.pop('开始监测失败');
		} else if (ev == 120) {
			po.pop('停止监测失败');
		} else if (ev == 130) {
			po.pop('宫压调零失败');
		} else if (ev == 140) {
			po.pop('设置报警开关失败');
		} else if (ev == 150) {
			po.pop('设置报警音量失败');
		} else if (ev == 160) {
			po.pop('设置胎心音音量失败');
		} else if (ev == 107) {
			po.pop('未搜索到设备');
		} else if (ev == 108) {
			po.pop('没搜索到该WIFI');
		} else if (ev == 109) {
			po.pop('用户拒绝了定位授权');
		} else if (ev == 113) {
			layer.open({
				content : '自动切换设备热点失败，请手动切换:' + wifi + '将为你切换到设置页面',
				style : 'background-color:rgba(0,0,0,.6);color:#fff;border:none;', // 自定风格
				time : 10,
				fixed : true,
				end : function() {
					Model.prototype.openSetting(ev);
				}
			});
		}
	};
	// 打开wifi设置
	Model.prototype.openSetting = function(ev) {
		var content = store.get('$b1');
		var obj = JSON.parse(content);
		if (typeof cordova.plugins.settings.openSetting != undefined) {
			cordova.plugins.settings.openSetting("wifi", function(wifiName) {
				if (wifiName == obj.wifiName) {
					var url = '$UI/bestbaby-gravida/monitor/wifi.w';
					justep.Shell.showPage(url, {
						data : obj
					});
				} else {
					B1Manager.checkWifi(successWifi, Model.prototype.statusPop, obj.wifiName, '');
					function successWifi() {
						var url = '$UI/bestbaby-gravida/monitor/wifi.w';
						justep.Shell.showPage(url, {
							data : obj
						});
					}
				}

			}, function() {
				po.pop("打开wifi设置失败");
			});
		}

	}
	// 蓝牙打开成功 "209" - 请求蓝牙授权成功
	Model.prototype.openBluetoothSuccess = function(ev) {
		if (ev == 209) {
			// po.pop('请求蓝牙授权成功,请稍等正在为你连接到设备');
			layer.open({
				type : 2,
				shadeClose : false,
				content : '正在为你连接'
			});
		}
		var M = Model.prototype;
		var alarmIf = "";
		var alarmVolume = "";
		var heartVolume = "";
		var content = JSON.parse(store.get('$b3'));
		var setData = store.get('b3Set');
		if (setData == null) {

			alarmIf = 1;
			alarmVolume = 1;
			heartVolume = 1;
			var setData = new Object();
			setData.alarmIf = alarmIf;
			setData.alarmVolume = alarmVolume;
			setData.heartVolume = heartVolume;
			store.set('b3Set', JSON.stringify(setData));
		} else {
			var setData = JSON.parse(setData);
			alarmIf = setData.alarmIf;
			alarmVolume = setData.alarmVolume;
			heartVolume = setData.heartVolume;
		}
		// console.log('B3Manager--content:',content);
		var uCode = content.uCode;
		var bCode = content.bCode;
		var eCode = content.eCode;
		B3Manager.connect(M.B3Success, M.B3error, bCode, uCode, alarmIf, alarmVolume, heartVolume, isResume, eCode, justep.Shell.dev);

	};
	// B3连接成功调用方法
	/*
	 * 成功状态码："200" - 连接设备成功 "201" - 断开连接成功 "202" - 停止胎监成功 "203" - 宫压调零成功 "204" -
	 * 音量设置成功 "205" - 设置报警成功 "206" - 设置报警音量成功
	 */
	Model.prototype.B3Success = function(ev) {
		var url = '';
		var that = this;

		var content = store.get('$b3');
		var dataJson = {
			"code" : JSON.parse(content).eCode
		};
		var obj = JSON.parse(content);
		if (ev != null) {
			// alert(JSON.stringify(message))
			var info = JSON.parse(ev);
			swVersion = info.swVersion;
		}
		var wifiData = {
			"deid" : obj.eCode,
			"wfnm" : obj.wifiName2,
			"wfpw" : obj.wifiPwd,
			"lomg" : justep.Shell.lomg,
			"lat" : justep.Shell.lat,
			"dver" : swVersion
		};
		// console.log(wifiData)
		// 添加连接记录
		dairy.getTokenItems(wifiData, 'system/Gravidawifi/insert', function(success, message, data) {
			if (success) {

			}
		});
		// var datas = {
		// dev : "B3",
		// devType : JSON.parse(content).tCode
		// };
		dairy.getTokenItems({
			"info" : content,
			"code" : JSON.parse(content).eCode
		}, "system/Devicelease/updateInfo", function(success, message, data) {
			if (success) {
				dairy.getTokenItems(dataJson, 'system/Gdcombo/update', function(success, message, data) {
					if (success) {
						po.pop('连接设备成功');
						store.set('$content', content);
						url = '$UI/bestbaby-gravida/monitor/monitor.w';
						// console.log('传过去参数😯1')
						//						
						justep.Shell.showPage(url);
					} else {
						po.pop('连接设备成功');
						store.set('$content', content);
						url = '$UI/bestbaby-gravida/monitor/monitor.w';
						// console.log('传过去参数😯2')
						justep.Shell.showPage(url);
					}
				});
			} else {
				// TODO 没对应接口情况下调试用
				// store.set('$content', content);
				// url = '$UI/bestbaby-gravida/monitor/monitor.w';
				// // console.log('传过去参数😯2')
				// justep.Shell.showPage(url);
				po.pop(message);
			}

		});

	};
	// B3连接失败调用方法
	/*
	 * 失败状态码："100" - 与设备的连接已断开 "101" - MAC 地址格式错误 "102" - UUID 格式错误 "103" -
	 * 蓝牙连接错误 "104" - 本地蓝牙不可用 "105" - 蓝牙未打开 "106" - 设备搜索超时 "107" -
	 * 设备蓝牙芯片频率和手机蓝牙频率的问题，APP 端无法解决，建议重新连接"108" - cdno 单号为空 "109" -
	 * 蓝牙使能会检测手机蓝牙是否支持 BLE 设备，不支持时返回 "110" - 蓝牙请求授权失败
	 */
	Model.prototype.B3error = function(ev) {
		justep.Shell.fireEvent("goToMain");
		justep.Shell.closePage();
		layer.closeAll()
		// alert(ev + '1')
		if (ev == 101) {
			// po.pop("MAC 地址格式错误");
			po.pop('暂时无法建立连接，请稍后连接');
		} else if (ev == 102) {
			// po.pop('UUID 格式错误');
			po.pop('暂时无法建立连接，请稍后连接');
		} else if (ev == 103) {
			// po.pop('蓝牙连接错误');
			po.pop('暂时无法建立连接，请稍后连接');
		} else if (ev == 104) {
			// po.pop('本地蓝牙不可用');
			po.pop('暂时无法建立连接，请稍后连接');
		} else if (ev == 105) {
			po.pop('蓝牙未打开，请打开蓝牙');
		} else if (ev == 106) {
			po.pop('设备搜索超时');
		} else if (ev == 107) {
			// po.pop('设备蓝牙芯片频率和手机蓝牙频率的问题，APP 端无法解决，建议重新连接');
			po.pop('暂时无法建立连接，请稍后连接');
		} else if (ev == 100) {
			po.pop('与设备的连接已断开');
		} else if (ev == 108) {
			po.pop('cdno 单号为空');
		} else if (ev == 109) {
			// po.pop('蓝牙使能会检测手机蓝牙是否支持 BLE 设备，不支持时返回');
			po.pop('手机蓝牙设备不支持与B3连接，请更换手机再操作');
		} else if (ev == 110) {
			po.pop('蓝牙请求授权失败，请到应用权限管理里面手动打开');
		} else if (ev == 113) {
			po.pop('定位授权失败');
		} else if (ev == 114) {
			po.pop('读取文件授权失败，请到应用权限管理里面手动打开');
		}
	};
	return Model;
});