define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var equip = require("$UI/bestbaby-gravida/common/js/getItems");
	var app = require("$UI/bestbaby-gravida/common/js/app")
	var cnNumber = require("$UI/bestbaby-gravida/common/js/number");// 转换成中文数字
	var po = require("$UI/bestbaby-gravida/common/js/popUp");
	var Model = function() {
		this.callParent();
	};
	var id = "";
	Model.prototype.openBtnClick1 = function(event) {
		var params = {
			name : $(this.getElementByXid("eqbar")).attr('title'),
			id : id
		}
		// console.log(params,$(this.getElementByXid("eqbar")).attr('title'))
		var comboList = JSON.parse(localStorage.getItem('setList'));// 获取刚刚页面的套餐信息
		// console.log(comboList)
		if (!comboList) {
			po.pop('暂没可购买的套餐');
			return;

		} else {
			var url = '$UI/bestbaby-gravida/individual/setOpenup/noSet/hireAgree.w';
			justep.Shell.showPage(url, params);
		}

	};

	Model.prototype.modelParamsReceive = function(event) {
		id = this.params.id;
		var name = this.params.name;
		// console.log(this.params.id)
		var eqDetail = this.comp("eqDetail");
		var combo = this.comp("combo");// 套餐列表
		$(this.getElementByXid("eqbar")).attr('title', name);
		$(this.getElementByXid("eqbar")).find(".x-titlebar-title").html(name);
		var dataList = {
			"id" : id
		}
		eqDetail.clear();
		var array = [];
		var that = this;
		equip.getTokenItems(dataList, "system/Product/select", function(success, message, data) {

			if (success) {
				var data = data.content;
//				console.log('查询产品信息');
//				console.log(data)
				eqDetail.add({
					"id" : data.id,
					"code" : data.code,
					"remk" : data.remk,
					"url1" : data.url1,
					"url2" : data.url2,
					"url3" : data.url3,
					"url4" : data.url4,
					"url5" : data.url5,
				})
				var index = 0;
				if (data.url1) {

					array[index++] = data.url1;
				}
				if (data.url2) {
					array[index++] = data.url2;
				}
				if (data.url3) {
					array[index++] = data.url3;
				}
				if (data.url4) {
					array[index++] = data.url4;
				}
				if (data.url5) {
					array[index++] = data.url5;
				}
//				console.log(array)
				var carousel = that.comp("carousel3");
				for (var i = 0; i < array.length; i++) {
					var fImgUrl = array[i];
					var fUrl = array[i];
					if (that.comp('contents9').getLength() > array.length) {
						$(carousel.domNode).find("img").eq(array.length).attr({
							"src" : fImgUrl,
							"pagename" : fUrl
						});

					} else {
						carousel.add('<img src="' + fImgUrl + '" class="tb-img1" pagename="' + fUrl + '"/>');
					}
				}

			} else {
			}
		});
		var dataList2 = {
			"pageNum" : 1,
			"pageSize" : 0,
			"filters" : {
				"prid" : id,
			}

		}
		equip.getTokenItems(dataList2, "system/Combo/listCombo", function(success, message, data) {
			if (success) {
				var data = data.content.list;
				console.log('套餐列表数据哟💗', data); 
				if (data.length == 0) {
					// po.pop('该设备暂没套餐');
					// history.back();
					localStorage.removeItem('setList');
					$('.setHolf').hide();
					$('.setNoMeal-bar').show();
				} else {
					for (var i = 0; i < data.length; i++) {
						if (data[0].sfcm == 2 && data[0].wdsf == 1) {
							pacg = data[i].pacg + "元"+'（现场缴费）';
							dept = data[i].dept + "元"+'（平台缴费）'
						}else{
							pacg = data[i].pacg + "元";
							dept = data[i].dept + "元";
						}
						combo.add({
							"id" : data[i].id,
							"dast" : data[i].dast,
							"crtm" : data[i].crtm,
							"mdtm" : data[i].mdtm,
							"name" : data[i].name,
							"remk" : data[i].remk,
							"pacg" : pacg,
							"dnat" : data[i].dnat,
							"anat" : data[i].anat + "次",
							"type" : data[i].type,
							"prid" : data[i].prid,
							"oltm" : data[i].oltm,
							"oftm" : data[i].oftm,
							"ancs" : data[i].ancs,
							"dncs" : data[i].dncs,
							"dept" : dept,
							"epcg" : data[i].epcg,
							"hlfn" : data[i].hospitalName
						});
						$(".set").eq(i).find(".header-title").html("套餐" + cnNumber.NumberToChinese(i + 1) + "：" + data[i].name);
						localStorage.setItem('setList', JSON.stringify(data));
					}
				}

			} else {
				po.pop(message);
			}

		});
	};

	Model.prototype.modelLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			$('.setMeal_panel').addClass('ios_style')
		}
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {

					Model.prototype.backBtnClick();
				}
			}
		});
	};
	// 套餐类型
	Model.prototype.comboType = function(type) {
		var str = '';
		if (type == 1) {
			str = '2周套餐';
		} else if (type == 2) {
			str = '月套餐';
		} else if (type == 3) {
			str = '全包套餐';
		} else if (type == 4) {
			str = '单次套餐';
		} else if (type == 5) {
			str = '体验套餐';
		} else if (type == 0) {
			str = '周套餐';
		}
		return str;
	}
	Model.prototype.modelActive = function(event) {
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
					Model.prototype.backBtnClick();
				}
			}
		});
	};
	Model.prototype.modelUnLoad = function(event) {
		// zzq 还原物理键操作
		justep.Shell.fireEvent("regainBackClick");
	};
	Model.prototype.backBtnClick = function(event) {
		justep.Shell.closePage();
	};
	return Model;
});
