define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");

	var dairy = require("$UI/bestbaby-gravida/common/js/getItems");
	var po = require("$UI/bestbaby-gravida/common/js/popUp")
	var store = require("$UI/bestbaby-gravida/common/js/store/dist/store.modern.min");
	require('css!$UI/bestbaby-gravida/common/js/mobile/need/layer').load();
	var layer = require('$UI/bestbaby-gravida/common/js/mobile/layer');
	var Model = function() {
		this.callParent();

	};

	Model.prototype.openBtnClick1 = function(event) {// 修改手机号码

		var url = '$UI/bestbaby-gravida/individual/setting/oldPhone.w';
		justep.Shell.showPage(url);
	};
	Model.prototype.openBtnClick2 = function(event) {// 修改密码
		var url = '$UI/bestbaby-gravida/individual/setting/password.w';
		justep.Shell.showPage(url);
	};

	Model.prototype.button4Click = function(event) {// 清理缓存
		/**
		 * 方法名：deleteCache(function, function) 参数1：(function) 成功时回调方法（返回状态码）
		 * 参数2：(function) 失败时回调方法 返回值：(string) 状态码（212） 说明：清除缓存
		 */
		BUtils.deleteCache(delCacheSuccess, delCacheError);
		function delCacheSuccess() {
			po.pop('清除缓存成功');
			store.remove('$content');
			store.remove('$b1');
			store.remove('$b3');
			// store.remove('dev');

			BUtils.getCacheSize(successCache, errorCache);
			function successCache(size) {
				$('.cacheSize').text(size);
			}
			function errorCache() {
				po.pop('获取缓存大小失败');
			}
		}
		function delCacheError(msg) {
			po.pop('清除缓存失败');
		}

	};

	Model.prototype.checkUpdateClick = function(event) {
		var that = this;
		var version = justep.Shell.appNver;

		var url = "system/Appversion/select";
		var dataList = {
			cate : 1,
			type : justep.Shell.localType,
		}
		var appData = this.comp('appData');
		var that = this;
		var windowDialog1 = this.comp("windowDialog1");
		var windowDialog2 = this.comp("windowDialog2");
		var windowDialog3 = this.comp("windowDialog3");
		dairy.getTokenItems(dataList, url, function(success, message, data) {
			if (success) {
				var a = data.content;
				if (a != null) {
					if (justep.Shell.appNver != null) {
						if (version < a.nver) {
								justep.Shell.newVersion.set("v"+a.aver);
								justep.Shell.oldVersion.set("v"+justep.Shell.localVerson);
								justep.Shell.newVersionInfo.set( a.remk);
								justep.Shell.isMustUpdate.set(false);
								justep.Shell.apkUrl.set(""+a.durl); 
								
								windowDialog1.open();

								windowDialog1.on('onReceive', function(evt) { 
											console.log(evt.data);
											if(evt.data=="update"){
												if((navigator.userAgent).indexOf('Android') > -1 || (navigator.userAgent).indexOf('Adr') > -1){//如果是Android，则走Android更新
														windowDialog2.open();
													}else {
														window.open(a.durl, '_system');
													}
											}else if(evt.data=="yihouzaishuo"){//点击以后再说	跳

											}
										}, this);
								windowDialog2.on('onReceive', function(evt) { 
									console.log(evt.data);
									if(evt.data=="quxiao"){//点击取消安装	跳

									}else if(evt.data=="netError"){//断开了网络等问题报 code=3 的错就打开windowDialog3
										windowDialog3.open();
									}
								}, this);
						} else {
							po.pop('已经是最新版本');
						}
					}
				}else{
					po.pop('暂无版本信息');
				}

			}else{
				po.pop('获取线上版本失败');
			}
		});

	};

	Model.prototype.cancelClick = function(even) {
	}

	Model.prototype.modelLoad = function(event) {
		$('.build').text('v' + justep.Shell.localVerson);
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			if (!$('.set_panel').hasClass('ios_style')) {
				$('.set_panel').addClass('ios_style')
			}
		}
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
                 		Model.prototype.backBtnClick();
				}
			}
		});
		/**
		 * 方法名：getCacheSize(function, function) 参数1：(function) 成功时回调方法（返回缓存大小）
		 * 参数2：(function) 失败时回调方法 返回值：(string) 缓存大小 说明：获取应用缓存大小
		 * 返回值样式：345KB、678MB
		 */
		BUtils.getCacheSize(successCache, errorCache);
		function successCache(size) {
			$('.cacheSize').text(size);
		}
		function errorCache() {
			po.pop('获取缓存大小失败');
		}
	};

	// 接受参数
	Model.prototype.modelParamsReceive = function(event) {
		var tel = this.params.data;
		var dp = formatPhone(tel);
		if (!tel) {
			$('.showPhone').eq(0).html('还未绑定手机号码');
		} else {
			$('.showPhone').eq(0).html(dp);
		}
	};

	function formatPhone(phone) {
		if (phone) {
			var phoneStr = phone.toString();
			var phoneF = phoneStr.slice(0, 3);
			var phoneL = phoneStr.slice(7, 11);
			var showIn = phoneF + '*****' + phoneL;
			return showIn;
		}
	}

	Model.prototype.modelActive = function(event) {
		$('.x-titlebar-title').eq(0).html('设置');
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
                 	Model.prototype.backBtnClick();
				}
			}
		});
	};
	Model.prototype.backBtnClick = function(event){
       justep.Shell.closePage();
	};
	Model.prototype.modelUnLoad = function(event){
   		// zzq 还原物理键操作
		justep.Shell.fireEvent("regainBackClick");
	};
	return Model;
});