define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var record = require("$UI/bestbaby-gravida/common/js/getItems");
	var Model = function() {
		this.callParent();
		this.pages;
		this.pageNum;
	};

	function getRecordList(pageNum) {
		var _pageNum = pageNum || 1;
		var buyList = this.comp('buyList');
		var dataJson = {
			"pageNum" : _pageNum,
			"pageSize" : 9,
			"filters" : {
				"name" : ""
			}
		};
		var url = "system/Transaction/listclearing";
		record.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) {
				pages = data.content.pages;
				var list = data.content.list;
				for (var i = 0; i < list.length; i++) {
					if (list[i].dlsttm) { // 判断是否有结算时间
						buyList.add({
							id : list[i].id,
							buyTime : list[i].dlsttm,
							pad : list[i].reba ? (list[i].reba).toFixed(2) : 0,
							orno : list[i].orno
						});
						
					}

				}

			}
		});
	}

	Model.prototype.modelLoad = function(event) {
		pages = 0;
		pageNum = 2;
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			$('.hireR_panel').addClass('ios_style')
		}
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
					// $this.close();
					// self.close();
					Model.prototype.backBtnClick();
				}
			}
		});
		this.comp("buyList").clear();
		getRecordList.call(this);
	};

	Model.prototype.button2Click = function(event) {
		var select = $(event.currentTarget);
		var row = event.bindingContext.$object;
		var order = row.val('orno');
		var url = '$UI/bestbaby-gravida/individual/settleRecord/orderDetail.w';
		justep.Shell.showPage(url, {
			order : order
		});
	};

	Model.prototype.scrollView1PullDown = function(event) {
		this.modelLoad(event);
	};

	Model.prototype.modelActive = function(event) {
		this.modelLoad(event);
	};

	Model.prototype.scrollView1PullUp = function(event) {
		if (pages > 0) {
			if (pageNum <= pages) {
				getRecordList.call(this, pageNum);
				pageNum++;
			}
		}
	};

	Model.prototype.modelUnLoad = function(event) {
		// 还原物理键
		justep.Shell.fireEvent("regainBackClick");
	};

	Model.prototype.backBtnClick = function(event) {
		justep.Shell.closePage();
	};

	return Model;
});