define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var getItem = require("$UI/bestbaby-gravida/common/js/getItems");

	var Model = function() {
		this.callParent();
	};

	$('.order-diary .circle-point .link-link').each(function(i) {

		$('.order-diary .circle-point .link-link').eq(i).css('height', $('.order-diary .circle-point .link-link').eq(i).closest('.link').outerHeight() + 'px')

	});

	Model.prototype.payBtnClick = function(event) {

	};

	Model.prototype.modelLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			$('.orderDet_panel').addClass('ios_style')
		}
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
					// $this.close();
					// self.close();
					Model.prototype.backBtnClick();
				}
			}
		});
		var record = this.comp("record");
		var order = this.params.order;
		record.clear();
		console.log(order)
		var explain = this.comp("explain");
		explain.clear();
		var url = "system/Transaction/selectclearing";
		var dataJson = {
			"orno" : order
		};

		getItem.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) { 
				var data = data.content;
//				console.log(data)
				explain.add({
					id : data.id,
					detail : data.stmt,
					pad : parseFloat((data.reba)).toFixed(2)

				});
				record.add({
					id : data.id,
					pad : parseFloat(data.dept).toFixed(2),
					setStart : data.cbsttm,
					setEnd : data.cbedtm,
					setReturn : data.rltm,
					delayDays : data.dldy,
					ticket : parseFloat(data.dldt).toFixed(2),
					compensation : parseFloat(data.dmdt).toFixed(2)
				});
			}
		});
	};

	Model.prototype.backBtnClick = function(event){
     justep.Shell.closePage();
	};

	Model.prototype.modelUnLoad = function(event){
   	//还原物理键
		justep.Shell.fireEvent("regainBackClick");
	};

	return Model;
});