define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	require("css!$UI/bestbaby-gravida/common/css/layout").load();
	require("$UI/bestbaby-gravida/common/js/common");
	var utils = require("$UI/system/components/justep/common/utils");
	var dairy = require("$UI/bestbaby-gravida/common/js/getItems");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var share = require("$UI/bestbaby-gravida/common/js/share");
	var CryptoJS = require("$UI/bestbaby-gravida/common/js/encryct/crypto-js");
	var commonUrl = require("$UI/bestbaby-gravida/common/js/commonUrl");
	var Model = function() {
		this.callParent();
	};
	var timeStamp = new Date().getTime();
//	var pwd = Encrypt("bestbaby_(" +this.params.data+ ')_'+timeStamp);
//	console.log("bestbaby_(" +this.params.data+ ')_'+timeStamp)
	var pwd='';
	//加密
	function Encrypt(word) {
		var key = CryptoJS.enc.Utf8.parse("bestbabybestbaby");

		var srcs = CryptoJS.enc.Utf8.parse(word);
		var encrypted = CryptoJS.AES.encrypt(srcs, key, {
			mode : CryptoJS.mode.ECB,
			padding : CryptoJS.pad.Pkcs7
		});
		return encrypted.toString();
	}
	Model.prototype.ul1Touchstart = function(event) {
		var clickUl = $(event.currentTarget);
		clickUl.addClass('com-star-yellow');// 修复退出页面再进入点击不了的bug
		clickUl.removeClass('com-star-grey');
		clickUl.prevAll().addClass('com-star-yellow');
		clickUl.prevAll().removeClass('com-star-grey');
		clickUl.nextAll().removeClass('com-star-yellow');
		clickUl.nextAll().addClass('com-star-grey');
	};
	// 接受参数
	var listData = {};
	Model.prototype.modelParamsReceive = function(event) {
		pwd=Encrypt("bestbaby_" +this.params.data+ "_"+timeStamp)
		console.log('before',pwd)
		pwd = pwd.replace(/\+/g, '%2B');
		console.log('after',pwd)
		var id = this.params.data;
		var articleData = this.comp("articleData");
		var url = "wiki/Knowledge/select";
		var dataJson = {
				"id" : id
		}
		dairy.getTokenItems(dataJson, "wiki/Knowledge/select", function(success, message, data) {
			if (success) {
				var list = data.content;
				listData = list;
//				console.log(listData)
				articleData.clear();
				articleData.add({
					id : list.id,
					image : list.logo,
					title : list.titl,
					date : list.pltm,
					visit : list.gdcu,
					comment : list.cmmt,
					content : list.cntt

				});

			}
		});
		// 加载评论数据
		dataJson = {
				"pageNum" : 1,
				"pageSize" : 0,
				"filters" : {
					"klid" : id
				}
		}
		var commentData = this.comp("commentData");
		url = "wiki/Knowledgecomment/list";
		dairy.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) {
				var list = data.content.list
				commentData.clear();
				for (var i = 0; i < list.length; i++) {
					if (!list[i].glogo) {
						list[i].glogo = require.toUrl('../common/images/default-logo.png')
					}
					commentData.add({
						id : list[i].id,
						content : list[i].cntt,
						score : list[i].star,
						date : list[i].crtm,
						name : list[i].gname,
						headImg : list[i].glogo
					})
				}

			}
		})

	};
	// 发表评论
	Model.prototype.button3Click = function(event) {
		var that = this;
		var content = $('.comment-ipt > textarea').val();
		var star = $('.clearfix  .com-star-yellow').length;

		var commentData = this.comp("commentData");
		var klid = this.comp("articleData").val('id');
		// console.log(klid);
		var url = "wiki/Knowledgecomment/insert";
		var dataJson = {
				"klid" : klid,
				"cntt" : content,
				"star" : star
		};
		dairy.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) {
				// 加载评论数据
				dataJson = {
						"pageNum" : 1,
						"pageSize" : 0,
						"filters" : {
							"klid" : klid
						}
				}

				url = "wiki/Knowledgecomment/list";
				dairy.getTokenItems(dataJson, url, function(success, message, data) {
					if (success) {
						// console.log(data)
						var list = data.content.list
						commentData.clear();
						for (var i = 0; i < list.length; i++) {
							if (!list[i].glogo) {
								list[i].glogo = require.toUrl('../common/images/default-logo.png')
							}
							commentData.add({
								id : list[i].id,
								content : list[i].cntt,
								score : list[i].star,
								date : list[i].crtm,
								name : list[i].gname,
								headImg : list[i].glogo

							})
						}
						$('.grade-click').find('.com-star-grey').addClass('com-star-yellow');
						$('.grade-click').find('.com-star-grey').removeClass('com-star-grey');
						$('.comment-ipt > textarea').val('');
						that.comp("popOver1").hide();
					}
				})

			}
		});

	};
	var onOff = true;
	Model.prototype.button1Click = function(event) {
		share.share(onOff, $('.share-popOver'), $('.share-popOver .share-overlay'), $('.share-bottom'), $('.share-popOver .share-content'))
	};

	//更新分享数量 
	function updataShareNum(){
		var id = this.comp('articleData').val('id');
		var shareData = {
				id : id,
		}
		dairy.getTokenItems(shareData,'wiki/Knowledge/updateSecu',function(success,message,data){});
	}
	// 分享微信好友
	Model.prototype.button4Click = function(event) {
		var that = this;
//		console.log(listData)
		function success(result) {
//		   console.log(result);
//		   console.log("我是success");
		
			// alert(JSON.stringify(result));
			updataShareNum.call(that);
			pop.pop('分享成功');
			$('.share-popOver').hide();
		}
		function error(result) {
			pop.pop(result);
//             console.log(result)
//             console.log("我是error");
		}
//		console.log(navigator.weixin.Type.WEBPAG)
//		console.log(navigator.weixin.Scene.SESSION);
//		console.log(listData.wrer)
//		console.log(listData.titl)
//		console.log(listData.logo)
		navigator.weixin.share({
			message : {
				title : listData.titl,
				description : listData.wrer,
				mediaTagName : "sunray",
				thumb : listData.logo,
				media : {
					type : navigator.weixin.Type.WEBPAGE,
					webpageUrl : utils.getShareUrl(commonUrl+"/share/Share/knowledge?key=" + pwd)
				},
				scene : navigator.weixin.Scene.SESSION
			},

		}, success, error);
	};

	// 朋友圈
	Model.prototype.button5Click = function(event) {
		var that = this;
		function success(result) {
			updataShareNum.call(that);
			pop.pop('分享成功');
			$('.share-popOver').hide();
		}
		function error(result) {
			pop.pop(result);

		}
		navigator.weixin.share({
			message : {
				title : listData.titl,
				description : "分享到微信",
				mediaTagName : "sunray",
				thumb : listData.logo,
				media : {
					type : navigator.weixin.Type.WEBPAGE,
					webpageUrl : utils.getShareUrl(commonUrl+"/share/Share/knowledge?key=" + pwd)
					// webpage
				},
				scene : navigator.weixin.Scene.TIMELINE
			},

		}, success, error);
	};

	// 微博分享
	Model.prototype.button8Click = function(event) {
		var that = this;
		function success(result) {
			updataShareNum.call(that);
			pop.pop("分享成功");
		}
		function error(result) {
			if (result == 'cancel by user') {
				pop.pop('用户取消');
			} else {
				pop.pop("分享失败,请检查本应用和微博对应权限是否有打开");
			}
		}
		navigator.Weibo.shareToWeibo(success, error, {
			"title" : listData.titl,
			"url" : commonUrl+"/share/Share/knowledge?key=" + pwd,
			"imageUrl" : listData.logo
		});
	};

	Model.prototype.backBtnClick = function(event) {
		justep.Shell.closePage();
	};

	Model.prototype.modelLoad = function(event){
		var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
			if(!$('.articleDetail_panel').hasClass('ios_style')){
				$('.articleDetail_panel').addClass('ios_style')
			}
		}
				// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
                  Model.prototype.backBtnClick();
				}
			}
		});
	};

	Model.prototype.modelUnLoad = function(event){
	//还原物理键
		justep.Shell.fireEvent("regainBackClick");
	};

	return Model;

});
