define(function(require) {
	var $ = require("jquery");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var justep = require("$UI/system/lib/justep");
	require("$UI/bestbaby-gravida/common/js/common");
	require("css!$UI/bestbaby-gravida/common/css/layout").load();
	var userModel = require("$UI/bestbaby-gravida/common/js/modules/user");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var loading = require("$UI/bestbaby-gravida/common/js/loading");
	var layer = require("$UI/bestbaby-gravida/common/js/mobile/layer");
	require("cordova!cordova-plugin-statusbar"); // 处理ios设备中，应用标题栏被系统状态栏覆盖的bug
	var store = require("$UI/bestbaby-gravida/common/js/store/dist/store.modern.min");
	var Model = function() {
		this.callParent();
		var that = this;
		this.STORE_ID = 'login.w';
		// StatusBar.overlaysWebView(false); // 将状态栏设置为false。
		// StatusBar.backgroundColorByName("black"); // 将状态栏背景色改为黑色；
	};

	// 返回登录注册页
	Model.prototype.goSign = function() {
		this.getParent().backBtn();

	}

	/*
	 * 登录
	 * 
	 * 需要同时验证APPServer账号体系和网易云信账号体系
	 * 1.通过手机、密码获取TOKEN信息，并保存在localStorage.setItem("$token")
	 * 
	 * @deprecated 2.通过TOKEN信息获取用户的网易云信TOKEN和ID
	 * @deprecated 3.验证登录云信
	 * 
	 * @author Eagle <eagle@jingkaigz.com>
	 */

	Model.prototype.btnLogin = function(event) {
		// layer.open({
		// type : 2,
		// shadeClose : false,
		// content : '正在登陆，请稍后'
		// });
		$(".login-btn").attr({
			disabled : "disabled"
		});
		var dev = '';
		// console.log(typeof device)
		if (typeof device === 'undefined') {
			dev = {
				model : '',
				manufacturer : '',
				platform : '',
				version : '',
			}
		} else {
			dev = device;
			store.set('deviceSystem', JSON.stringify(device));
		}

		var that = this;
		var mobile = this.comp("mobile").val();
		var password = this.comp('password').val();

		// Data TODO
		var data = {
			mobl : mobile,
			pswd : password,
			lomg : justep.Shell.lomg,
			lat : justep.Shell.lat,
			imei : "",
			whpx : "",
			htpx : "",
			nver : justep.Shell.appNver,
			apnm : justep.Shell.appName,
			modl : dev.model, // 手机型号
			faty : dev.manufacturer, // 厂商
			sysm : dev.platform, // 操作系统
			vers : dev.version, // 版本号
		};
		that.comp("loginIsmBtn").set({
			"disabled" : true
		});
		// userModel.login() 返回的是Token数据
		userModel.login(data, function(success, message, tokenData) {
//		console.log(success,message,tokenData)
			if (success) {
				// 保存TOKEN
				// 保存极光推送注册的ID到登录账户

				if (justep.Browser.isX5App) {

					var jpushId = store.get("JPushRegistrationId") || "";
					userModel.bindJpushId(jpushId, function(res, msg, saveData) {
						//console.log(saveData, res, msg)
					});
				}
				userModel.updateUser({}, function(success, message, data) {// 获取用户信息
					if (success) {
						justep.Shell.isLoginToMain=justep.Bind.observable();
						justep.Shell.isLoginToMain.set("true");
						$(".login-btn").removeAttr("disabled");
						justep.Shell.showMainPage();
						that.getParent().getParent().comp("signWindowDialog").close();

					} else {
//						if (message == '请求异常') {
							$(".login-btn").removeAttr("disabled");
//						}

						pop.pop(message);
					}

				});

				// 打开主页

			} else {
				that.comp("loginIsmBtn").set({
					"disabled" : false
				});
				if (typeof (data) == 'object' && typeof (data.msg) != 'undefined') {
					pop.pop(data.msg);
				} else {
					pop.pop(message);
				}
				$(".login-btn").removeAttr("disabled");
			}
		});
		app.setPhone(mobile);
	};

	// 切换密码可见
	Model.prototype.changeVisible = function(event) {
		if ($('.password1').hasClass('invisiable-word')) {
			$('.password1').attr('type', 'text');
			$('.password1').removeClass('invisiable-word');
			$('.password1').addClass('visiable-word');
			$('.visiable1 .btn').removeClass("visiable-btn");
			$('.visiable1 .btn').addClass("invisiablt-btn");

		} else {
			$('.password1').attr('type', 'password');
			$('.password1').addClass('invisiable-word');
			$('.password1').removeClass('visiable-word');
			$('.visiable1 .btn').removeClass("invisiablt-btn");
			$('.visiable1 .btn').addClass("visiable-btn");
		}
	};

	// 忘记密码
	Model.prototype.forgetPassword = function(event) {
		this.getParent().comp('signContents').to('forgetContent');

	};

	Model.prototype.modelLoad = function(event) {
		var localPhone = app.getPhone();
		// store.set('deviceSystem', JSON.stringify(device));
		var string = localPhone.toString();
		if (string) {
			var tel = string;
			this.comp('mobile').val(tel);
		}
	};

	return Model;
});