define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var dairy = require("$UI/bestbaby-gravida/common/js/getItems");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var Model = function() {
		this.callParent();
	};
	var hlid = '';
	Model.prototype.billCustomRefresh = function(event) {
		// var url = require.toUrl("./../common/json/bill.json");
		// $.ajaxSettings.async = true;
		// $.getJSON(url, function(data) {
		// event.source.loadData(data);
		// });
	};

	// 上传缴费单--
	Model.prototype.openBtnClick1 = function(event) {
		dairy.getTokenItems({}, 'system/Gdcombo/select', function(success, message, data) { // 孕妇套餐
			if (success) {
				console.log(data)
				var data = data.content;
				if (data) {
					if (data.paid) { // 套餐id

						var today = new Date();

//						console.log(endTime,sDate2,aDate,today.getTime(),today.getDate())
						if (data.edtm) { // 结束时间存在

							var aDate = data.edtm.split("-");
							var sDate2 = new Date(aDate[1] + '/' + aDate[2] + '/' + aDate[0]);// ios兼容问题
							var endTime = sDate2.setHours(23, 59, 59, 0);
							if (data.dlstat === 1 && endTime>=today.getTime()) {
								if (data.cbtype == 5) {
                                   pop.pop('体验套餐期间无法使用缴费单');  
								} else {
									var url = '$UI/bestbaby-gravida/main/billUpload.w';
									justep.Shell.showPage(url);
								}

							} else {
								pop.pop('服务已结束，请购买套餐再尝试');
							}
						} else {
							pop.pop('请先绑定设备，后再使用该服务');
							// 结束时间不存在
//							if (data.dlstat === 1 || data.dlstat == null) { // 结束时间不存在，但是已租赁
//								var url = '$UI/bestbaby-gravida/main/billUpload.w';
//								justep.Shell.showPage(url);
//							} else {
//							}
						}
					} else {
						pop.pop('请先购买套餐')
					}
				}
			} else {
				console.log(data)
			}

		})
	};

	// 接受参数并请求后台数据
	Model.prototype.modelParamsReceive = function(event) {

		// hlid = this.params.data;
		getInfo.apply(this, [ 1 ]);
		console.log(this.params)
		if (this.params.toContent == 1) {
			this.comp('contents1').to(1);
		}
	};

	function getInfo(state) {
		var that = this;
		var url = "system/Payexamine/list";
		var dataJson = {
			"pageNum" : 1,
			"pageSize" : 0,
			"filters" : {
				"stat" : state,
				"hlid" : ''
			}
		}
		dairy.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) {
				pages = data.content.pages;
				var b = data.content.list;
				// console.log(data);
				var billData = that.comp('bill');
				billData.clear();
				for (var i = 0; i < b.length; i++) {
					var a = b[i];
					var stat = '';
					if (a.stat == 1) {
						stat = '审核中';
					} else if (a.stat == 2) {
						stat = '审核通过';
					} else {
						stat = '审核失败';
					}
					var bc = a.orno;
					if (!bc) {
						bc = '找不到单号';
					}

					billData.add({
						id : a.id,
						billCode : bc,
						uploadTime : a.uptm,
						billStatus : stat,
						billImg : a.bill,
						checkTimes : a.adct,
						times : a.fict,
						remk : a.remk,
					});
				}
			} else {
				// console.log(message);
			}
		});
	}

	Model.prototype.throughTime = function(fict, adct) {
		if (adct) {
			return adct;
		} else {
			return fict;
		}
	}

	Model.prototype.modelLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			if (!$('.mainBill_panel').hasClass('ios_style')) {
				$('.mainBill_panel').addClass('ios_style')
			}
		}
		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {

					// self.close();
					Model.prototype.backBtnClick();
				}
			}
		});
		getInfo.apply(this, [ 1 ]);
	};

	Model.prototype.modelActive = function(event) {
		getInfo.apply(this, [ 1 ]);
	};

	Model.prototype.scrollView4PullDown = function(event) {
		var activeIndex = this.comp('contents1').getActiveIndex();
		if (activeIndex == 0) { // 审核中
			getInfo.apply(this, [ 1 ]);
		} else if (activeIndex == 1) { // 审核通过
			getInfo.apply(this, [ 2 ])
		} else {
			getInfo.apply(this, [ 3 ])
		}
	};

	Model.prototype.contents1ActiveChanged = function(event) {
		var activeIndex = this.comp('contents1').getActiveIndex();
		if (activeIndex == 0) { // 审核中
			getInfo.apply(this, [ 1 ]);
		} else if (activeIndex == 1) { // 审核通过
			getInfo.apply(this, [ 2 ])
		} else { //
			getInfo.apply(this, [ 3 ])
		}
	};

	function pullUpData(stat) {
		var url = "system/Payexamine/list";
		var dataJson = {
			"pageNum" : pageNum,
			"pageSize" : 5,
			"filters" : {
				"stat" : stat,
				"hlid" : ''
			}
		}
		dairy.getTokenItems(dataJson, url, function(success, message, data) {
			if (success) {
				pages = data.content.pages;
				var b = data.content.list;
				for (var i = 0; i < b.length; i++) {
					var a = b[i];
					var stat = '';
					if (a.stat == 1) {
						stat = '审核中';
					} else if (a.stat == 2) {
						stat = '审核通过';
					} else {
						stat = '审核失败';
					}
					var bc = a.orno;
					if (!bc) {
						bc = '找不到单号';
					}

					billData.add({
						id : a.id,
						billCode : bc,
						uploadTime : a.uptm,
						billStatus : stat,
						billImg : a.bill,
						checkTimes : a.adct,
						times : a.fict,
						remk : a.remk,
					});
				}
			} else {
			}
		});
	}

	// 上拉加载
	// var pages = 0;
	// var pageNum = 2;
	Model.prototype.scrollView4PullUp = function(event) {
		// var billData = this.comp('bill');
		// var stat =[];
		// var activeIndex = this.comp('contents1').getActiveIndex();
		// if(activeIndex == 0){ //审核中
		// stat = [1];
		// // getInfo.apply(this, [ 1 ]);
		// }else if(activeIndex == 1){ //审核通过
		// stat = [1];
		// }else{
		// stat = [1];
		// }
		//
		// if(pages == 0){
		// if(pageNum <=2){
		// pullUpData.call(this,stat);
		// pageNum++;
		// }
		// }else{
		// if(pageNum <= pages){
		// pullUpData.call(this,stat);
		// pageNum++;
		// }
		// }

	};
	Model.prototype.backBtnClick = function(event) {
	justep.Shell.closePage();
//		justep.Shell.closeAllOpendedPages();
	};

	Model.prototype.modelUnLoad = function(event) {
		// 还原物理键
		justep.Shell.fireEvent("regainBackClick");
	};

	return Model;
});
