define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var submit = require("$UI/bestbaby-gravida/common/js/getItems");
	var userModel = require("$UI/bestbaby-gravida/common/js/modules/user");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var layer = require('$UI/bestbaby-gravida/common/js/mobile/layer');

	var app = require("$UI/bestbaby-gravida/common/js/app");
	var commonUrl = require("$UI/bestbaby-gravida/common/js/commonUrl");

	var Model = function() {
		this.callParent();
	};
	var time = '';
	var imgUrl = '';
	var hospital = '';
	var hospitalId = '';
	var token = '';
	Model.prototype.buyTimesClick = function(event) {
		this.comp("chooseTime").show();
		this.comp("picker1").setSelectedIndex(5);
	};

	Model.prototype.modelLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			if (!$('.mainBillUp_panel').hasClass('ios_style')) {
				$('.mainBillUp_panel').addClass('ios_style')
			}
		}
        time=5;
		$('.img-pick').value = '';
		file = '';
		// 获取本地孕妇信息
		var localUser = app.getUser();
		// hospital = '天河医院';
		hospitalId = localUser.hlid;
		// hospitalId = 'bcdda17342d24faa930b7248ca6c359d'; //测试用

		if (!localUser.hlfn) {
			hospital = '还没有绑定医院';
		} else {
			hospital = localUser.hlfn;
		}

		// 获取用户token
		token = app.getToken().token;

		// 根据医院id查询医院名称
		if (hospitalId) {
			if (!hospital) {
				var params = {
					pageNum : 1,
					pageSize : 1,
					filters : {
						id : '',
						hlfn : '',
						prve : '',
						city : hospitalId,
						coty : ''
					}
				};
				// 查询医院名称
				submit.getTokenItems(params, "system/Hospital/list", function(success, message, data) {
					if (success) {
						hospital = data.hlfn;
					} else {
					}
				});
			}
		}
		$(this.getElementByXid('showHis')).text(hospital);

		var timesData = this.comp("times");
		// 添加诊断次数
		timesData.clear();
		for (var i = 1; i < 31; i++) {
			// var t = i + '次';
			timesData.add({
				id : i,
				times : i
			});
		}
	};
	// 次数返回按钮
	Model.prototype.button7Click = function(event) {

	};

	// 确定按钮
	Model.prototype.button3Click = function(event) {
		var showTimes = $(this.getElementByXid('showTimes'));
		time = this.comp("chooseTime").getInnerPickers()[0].getSelectedItem().val('times');
		showTimes.html(time + '次');
	};
	Model.prototype.subBtnClick = function(event) {

	};
	Model.prototype.button2Click = function(event) {

	};

	// 提交按钮
	Model.prototype.subClick = function(event) {

		var fileURL = '';
		var that = this;
		layer.open({
			type : 2,
			content : '上传中',
			shadeClose : false,
		});
		if (!time) {
			time = 5;
		}
		if (!file) {
			pop.pop('请上传缴费单');
			layer.closeAll()
		} else {
			var form = new FormData();
			form.append('file', file);
			if (/^image\/\w+$/.test(file.type)) { // 如果是图片文件
				$.ajax({
					url : commonUrl + '/' + 'system/Payexamine/upload',
					type : 'POST',
					cache : false,
					headers : {
						token : token
					},
					timeout:30000,
					data : form,
					processData : false,
					contentType : false,
					async : true,
				}).done(function(res) {
					if (res.code == 1000) {
						fileURL = res.content;
						var params = {
							hlid : hospitalId, // 医院ID
							fict : time, // 孕妇填写次数
							bill : res.content
						// 缴费单
						};
						// 提交缴费单
						submit.getTokenItems(params, "system/Payexamine/insert", function(success, message, data) {
							layer.closeAll()
							if (success) {
								// 页面转跳
								that.owner.close()
							} else {
								pop.pop(message);
							}
						});
					} else {
						layer.closeAll()
						pop.pop(res.msg)
					}
				}).fail(function(res) {
					layer.closeAll();
					pop.pop('上传失败')
				});
			} else { // 如果用户选的不是图片文件
				pop.pop('请选择图片');
			}
		}
	};

	// 选择图片
	var file = '';
	Model.prototype.input3Change = function(event) {
		var fileSize = document.getElementById('billImg'); // 判断大小
		if (fileSize.files[0]) {
			var size = fileSize.files[0].size;
			console.log(size)
			if (size) {
				if (size / 1024 < 10240) {
					

				} else {
					pop.pop('上传图片大小不能大于10M');
					return 
				}

			}
		}
		
		file = $('.img-pick')[0].files[0];
		var img = new Image(), url = img.src = URL.createObjectURL(file);
		var $img = $(img)
		console.log('图片url', url);
		img.onload = function() {
			URL.revokeObjectURL(url)
			$img.addClass('showImg');
			$('.bill-pre').eq(0).append($img);
			console.log($img)
		}
		$('.img-pick').attr('disabled', 'disabled')
	};
	Model.prototype.span3Click = function(event) {
	}
	return Model;
});
