define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");

	var utils = require("$UI/system/components/justep/common/utils");
	var app = require("$UI/bestbaby-gravida/common/js/app");
	var share = require("$UI/bestbaby-gravida/common/js/share");
	var dairy = require("$UI/bestbaby-gravida/common/js/getItems");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	var Content = require("$UI/system/components/justep/contents/content");
	var Button = require("$UI/system/components/justep/button/button");
	var CryptoJS = require("$UI/bestbaby-gravida/common/js/encryct/crypto-js");
	require('css!$UI/bestbaby-gravida/common/js/mobile/need/layer').load();
	var layer = require('$UI/bestbaby-gravida/common/js/mobile/layer');
	var count = require("$UI/bestbaby-gravida/common/js/calculate");
	var commonUrl = require("$UI/bestbaby-gravida/common/js/commonUrl");
	var pwd = '';
	var Model = function() {
		this.callParent();
		this.userInfo;
		this.shareData;
		this.ShareWeek;
		this.ShareDay;
		this.baby_img;
		this.time;
		this.diaryInfo;
	};
	// 加密
	function Encrypt(word) {
		var key = CryptoJS.enc.Utf8.parse("bestbabybestbaby");

		var srcs = CryptoJS.enc.Utf8.parse(word);
		var encrypted = CryptoJS.AES.encrypt(srcs, key, {
			mode : CryptoJS.mode.ECB,
			padding : CryptoJS.pad.Pkcs7
		});
		return encrypted.toString();
	}

	// 妈妈对你说
	Model.prototype.openBtnClick1 = function(event) {
		var dairyD = this.comp('dairy');
		var message = this.comp('saying').getValue('saying') ? this.comp('saying').getValue('saying') : '';
		var gtwk = dairyD.getValue('gtwk')
		var days = dairyD.getValue('days')

		var params = {
			gtwk : gtwk,
			days : days,
			mows : message
		}
		var url = '$UI/bestbaby-gravida/main/diaryEdit.w';
		justep.Shell.showPage(url, params);
	};

	Model.prototype.modelLoad = function(event) {
		
		isLastPage = false;   //判断是否最后一条数据
		isFirstPage = false;  //判断是否第一条数据
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			if (!$('.mainDiary_panel').hasClass('ios_style')) {
				$('.mainDiary_panel').addClass('ios_style')
			}
		}
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
					Model.prototype.backBtnClick();
				}
			}
		});

		var sayingData = this.comp("saying");
		var data2 = this.comp("dairy");
		var dairyCon = this.comp('dairyCon');
		var carousel = this.comp("carousel2");
		var that = this;

		// 获取孕妇信息
		userInfo = app.getUser();
		console.log(userInfo)
		var mod = '';
		var NT = new Date().getFullYear() + "-" + (parseInt(new Date().getMonth()) + 1) + "-" + new Date().getDate();// 当前日期
		var YQ = count.calculate(userInfo.dede, NT);
		var ycq = userInfo.dede;
		var YT = Math.abs(count.calculate(userInfo.lmp, NT));

		mod = YT > 7 ? YT / 7 : 0;// 周数
		var nowWeek = parseInt(mod);
		var nowDay = (YT - (7 * parseInt(mod)));

		console.log(nowWeek, '孕妇孕周')

		// 获取日记列表
		var base_data_json = {
			"gtwk" : nowWeek,
			"days" : nowDay,
			"than" : "1"
		}
		dairy.getTokenItems(base_data_json, "system/Motherdiary/list", function(success, message, data) {
			if (success) {
				console.log(data)
				var data = data.content;
				var motherList = data
				data2.add({
					id : data.id,
					bbyp : data.bbyp,
					motp : data.motp,
					espa : data.espa,
					dimg : data.dimg,
					listId : data.id,
					days : data.days,
					gtwk : data.gtwk,
				})
				var get_saying_json = {
					"gtwk" : motherList.gtwk,
					"days" : motherList.days
				}
				dairy.getTokenItems(get_saying_json, 'system/Motherdiary/select', function(success, message, data) {
					if (success) {
						var _data = data.content
						console.log(_data)
						if (_data) {
							sayingData.add({
								id : _data.gdid,
								saying : _data.mows,
								crtm : _data.crtm,
								mdtm : _data.mdtm,
								simg : _data.simg ? _data.simg : motherList.dimg
							})
						} else {
							sayingData.add({
								id : motherList.id,
								saying : '',
								crtm : '',
								mdtm : '',
								simg : motherList.dimg
							});
						}
					}
				})
			} else {
				console.log(message)
			}
		});
	};

	var onOff = true;
	Model.prototype.button1Click = function(event) {// 分享按钮
		var dairyD = this.comp('dairy')
		var gtwk = dairyD.getValue('gtwk');
		var days = dairyD.getValue('days');
		shareData = {
			"gdid" : userInfo.id,
			"gtwk" : parseInt(gtwk),
			"days" : parseInt(days)
		}
		time = new Date().getTime()
		psw = Encrypt("bestbaby_" + JSON.stringify(shareData) + "_" + time);
		psw = psw.replace(/\+/g, '%2B');
		
//		console.log(shareData,psw,11111)
		share.share(onOff, $('.share-popOver'), $('.share-popOver .share-overlay'), $('.share-bottom'), $('.share-popOver .share-content'))
	};

	// 微信好友
	Model.prototype.button4Click = function(event) {
		var dairyD = this.comp('dairy')
		var gtwk = dairyD.getValue('gtwk')
		var days = dairyD.getValue('days')
		function success(result) {
			pop.pop('分享成功');
			$('.share-popOver').hide();
//			console.log(psw)
		}
		function error(result) {
			pop.pop(result);
		}
		navigator.weixin.share({
			message : {
				title : '宝妈日记',
				description : '第' + gtwk + '周 + ' + days + '天，宝妈日记',
				mediaTagName : "sunray",
				thumb : 'http://fbzd.oss-cn-shenzhen.aliyuncs.com/bestbaby/knowledge/LOGO-20180123135954971.png',
				// thumb : baby_img,
				media : {
					type : navigator.weixin.Type.WEBPAGE,
					webpageUrl : utils.getShareUrl(commonUrl + "/" + "share/Share/motherdiary?key=" + psw),
				},
				scene : navigator.weixin.Scene.SESSION
			},

		}, success, error);
	};

	// 朋友圈
	Model.prototype.button5Click = function(event) {
		var dairyD = this.comp('dairy')
		var gtwk = dairyD.getValue('gtwk')
		var days = dairyD.getValue('days')
		function success(result) {
			pop.pop('分享成功');
			$('.share-popOver').hide();
		}
		function error(result) {
			pop.pop(result);
		}
		navigator.weixin.share({
			message : {
				title : '宝妈日记',
				description : '第' + gtwk + '周 + ' + days + '天，宝妈日记',
				mediaTagName : "sunray",
				// thumb : baby_img,
				thumb : 'http://fbzd.oss-cn-shenzhen.aliyuncs.com/bestbaby/knowledge/LOGO-20180123135954971.png',
				media : {
					type : navigator.weixin.Type.WEBPAGE,
					webpageUrl : utils.getShareUrl(commonUrl + "/" + "share/Share/motherdiary?key=" + psw),
				},
				scene : navigator.weixin.Scene.TIMELINE
			},
		}, success, error);
	};

	// 微博
	Model.prototype.button8Click = function(event) {
		var dairyD = this.comp('dairy')
		var gtwk = dairyD.getValue('gtwk')
		var days = dairyD.getValue('days')
		function success(result) {
			pop.pop('分享成功');
			$('.share-popOver').hide();
		}
		function error(result) {
			console.log(result)
			if (result == 'cancel by user') {
				pop.pop('用户取消');
			} else {
				pop.pop("分享失败,请检查本应用和微博对应权限是否有打开");
			}

		}
		navigator.Weibo.shareToWeibo(success, error, {
			"title" : '第' + gtwk + '周 + ' + days + '天,宝妈日记',
			"url" : utils.getShareUrl(commonUrl + "/" + "share/Share/motherdiary?key=" + psw),
			"imageUrl" : 'http://fbzd.oss-cn-shenzhen.aliyuncs.com/bestbaby/knowledge/LOGO-20180123135954971.png',
		});
	};

	// 上传头像
	Model.prototype.input4Change = function(event) {
		layer.open({
			type : 2,
			content : '上传中',
			shadeClose : false,
		})	
		var dairyD = this.comp('dairy');
		var img = $(this.getElementByXid('content3')).find('.baby-pic').find('.baby-Img')
		var weeks = dairyD.getValue('gtwk');
		var days = dairyD.getValue('days');
		
		var upImgBtn = event.target.files[0];
		if (!upImgBtn) {
			layer.closeAll();
			return;
		} else {
			var form = new FormData();
			var token = app.getToken().token;
			form.append('file', upImgBtn);
			form.append('gtwk', weeks);
			form.append('days', days);
			if (/^image\/\w+$/.test(upImgBtn.type)) { // 如果是图片文件
				$.ajax({
					url : commonUrl + '/' + 'system/Motherdiary/upload',
					type : 'POST',
					cache : false,
					headers : {
						token : token
					},
					timeout : 30000,
					data : form,
					processData : false,
					contentType : false,
					async : true
				}).done(function(res) {
					layer.closeAll();
					if (res.code == 1000) {
						img.attr('src', res.content);
					} else {
					}
				}).fail(function(res) {
					console.log(res)
					layer.closeAll();
					pop.pop('上传失败');
				})
			} else { // 如果用户选的的不是图片文件
				layer.closeAll();
				pop.pop('请选择图片');
			}
		}
	};

	Model.prototype.modelActive = function(event) {

		// 改变当前页物理键返回动作 zzq
		justep.Shell.fireEvent("changeBackClick", {
			'options' : {
				'success' : function() {
					Model.prototype.backBtnClick();
				}
			}
		});

		var dairyD = this.comp('dairy')
		var sayingD = this.comp('saying')
		var get_saying_json = {
			"gtwk" : dairyD.getValue('gtwk'),
			"days" : dairyD.getValue('days')
		}
		dairy.getTokenItems(get_saying_json, 'system/Motherdiary/select', function(success, message, data) {
			if (success) {
				sayingD.clear()
				var _data = data.content
				if (_data) {
					sayingD.add({
						id : _data.gdid,
						saying : _data.mows,
						crtm : _data.crtm,
						mdtm : _data.mdtm,
						simg : _data.simg
					})
				}
			}
		})
	};

	Model.prototype.backBtnClick = function(event) {

		justep.Shell.closePage();
	};

	Model.prototype.modelUnLoad = function(event) {
		// 还原物理键
		justep.Shell.fireEvent("regainBackClick");
	};

	isFirstPage = false
	isFirstPage = false
	Model.prototype.a3Touchstart = function(event) {
	console.log(isFirstPage)
		isLastPage = false;  //重置
		if (!isFirstPage) {
			var sayingD = this.comp('saying')
			var dairyD = this.comp('dairy')
			var gtwk = dairyD.getValue('gtwk')
			var days = dairyD.getValue('days')
			
			if (days <= 1) {
				days = 7;
				gtwk--;
			} else {
				days--;
			}
			
			var base_data_json = {
					"gtwk" : gtwk,
					"days" : days,
					"than" : "1"
			}
			dairy.getTokenItems(base_data_json, "system/Motherdiary/list", function(success, message, data) {
				if (success) {
//					
					dairyD.clear()
					sayingD.clear()
					
//					if (!data.content) {
//						this.isFirstPage = true
//					}
					console.log(data)
					var data = data.content;
					var motherList = data;
					dairyD.add({
						id : data.id,
						bbyp : data.bbyp,
						motp : data.motp,
						espa : data.espa,
						dimg : data.dimg,
						listId : data.id,
						days : data.days,
						gtwk : data.gtwk,
					})
					var get_saying_json = {
						"gtwk" : motherList.gtwk,
						"days" : motherList.days
					}
					dairy.getTokenItems(get_saying_json, 'system/Motherdiary/select', function(success, message, data) {
						if (success) {
							var _data = data.content;
							if (_data) {
								sayingD.add({
									id : _data.gdid,
									saying : _data.mows,
									crtm : _data.crtm,
									mdtm : _data.mdtm,
									simg : _data.simg
								});
							}
						} else {
							console.log('宝妈想说获取失败');
						}
					}) //
				} else {
					pop.pop('这已经是第一页啦--')
					isFirstPage = true
				}
			})
		
		} else {
			pop.pop('这已经是第一页啦--')
		}// isFirstPage
	};

	Model.prototype.a4Touchstart = function(event) {
		isFirstPage = false //重置
		if (!isLastPage) {
			var sayingD = this.comp('saying')
			var dairyD = this.comp('dairy')
			var gtwk = dairyD.getValue('gtwk')
			var days = dairyD.getValue('days')
			if (days >= 7) {
				days = 1;
				gtwk++;
			} else {
				days++;
			}
			var base_data_json = {
					"gtwk" : gtwk,
					"days" : days,
					"than" : "2"
			}
			dairy.getTokenItems(base_data_json, "system/Motherdiary/list", function(success, message, data) {
				if (success) {
//					this.isLastPage = false
					dairyD.clear()
					sayingD.clear()
					var data = data.content;
					var motherList = data
					/*if(!data) {
						this.isLastPage = true
					}*/
					dairyD.add({
						id : data.id,
						bbyp : data.bbyp,
						motp : data.motp,
						espa : data.espa,
						dimg : data.dimg,
						listId : data.id,
						days : data.days,
						gtwk : data.gtwk,
					})
					var get_saying_json = {
						"gtwk" : motherList.gtwk,
						"days" : motherList.days
					}
					dairy.getTokenItems(get_saying_json, 'system/Motherdiary/select', function(success, message, data) {
						if (success) {
							var _data = data.content
							if (_data) {
								sayingD.add({
									id : _data.gdid,
									saying : _data.mows,
									crtm : _data.crtm,
									mdtm : _data.mdtm,
									simg : _data.simg
								})
							}
						}
					}) //
				} else {
					console.log(message)
					isLastPage = true
					pop.pop('没有更多数据啦··')
				}
			})

		} else {
			pop.pop('没有更多数据啦··')
		}  // islastPage

	};

	return Model;
});