define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var store = require("$UI/bestbaby-gravida/common/js/store/dist/store.modern.min");
	var po = require("$UI/bestbaby-gravida/common/js/popUp")
	var Model = function() {
		this.callParent();
	};

	Model.prototype.openbtn = function(event) {
		// var url = '$UI/bestbaby-gravida/monitor/B3setting.w';
		// justep.Shell.showPage(url);
	};

	function drag(target, musicBar, icon, event) {
		// target.on('touchstart', function(event) {
		var mouseX = null;
		var parent = $('.controls-wrap').innerWidth();

		var x = event.originalEvent.targetTouches[0].pageX - target.position().left;
		$(document).on('touchmove', function(event) {
			mouseX = event.originalEvent.targetTouches[0].pageX - x;
			var w = parseInt(target.css('width'));
			if (mouseX < w) {
				mouseX = w;
				icon.removeClass('icon-hasVoice');
				icon.addClass('icon-slient');

			} else {
				icon.removeClass('icon-slient');
				icon.addClass('icon-hasVoice');
			}
			if (mouseX >= parent) {
				mouseX = parent;

			}

			target.css({
				'left' : mouseX + 'px',

			});
			musicBar.css('width', mouseX + 'px');
			musicBar.css('transition', 'none');
		});
		$(document).on('touchend', function() {
			$(document).unbind('touchmove');
			$(document).unbind('touchend');

		});

		// });

	}

	Model.prototype.div1Touchstart = function(event) {
		var musicBar = $('.controls-wrap .progess-bar-cover');
		var icon = $('.icon-voice');
		drag($('.progess-point'), musicBar, icon, event);
	};

	Model.prototype.div2Touchstart = function(event) {
		var musicBar = $('.progess-bar-cover');// 拖动
		var drag = $('.progess-point');
		var icon = $('.icon-voice');
		var w = parseInt($('.progess-point').css('width'));
		var x = event.originalEvent.targetTouches[0].pageX - $(this.getElementByXid('control')).offset().left;

		drag.css({
			'left' : x + 'px',

		});
		musicBar.css('width', x + 'px');

		if (x < w) {
			x = w;
			icon.removeClass('icon-hasVoice');
			icon.addClass('icon-slient');

		} else {
			icon.removeClass('icon-slient');
			icon.addClass('icon-hasVoice');
		}
	};

	Model.prototype.modelLoad = function(event) {
		var has_ios = $("html").hasClass("iosstatusbar");
		if (has_ios) {
			if (!$('.B1Setting_panel').hasClass('ios_style')) {
				$('.B1Setting_panel').addClass('ios_style')
			}
		}
		// console.log(this.params)
		var volData = this.comp('volData');
		// 报警音量高低设置
		// for (var i = 0; i < 2; i++) {
		// volData.add({
		// id : i,
		// vol : i
		// })
		// }

		// alert(b1Set);
		var setData = this.comp("setData");
		var b3Set = JSON.parse(store.get('b3Set'));
		setData.clear();
		// alert(b1Set.alarmVolume)

		var volLabel = $(this.getElementByXid('span1'));
//		console.log('报警音量',b3Set.alarmVolume);
		if (b3Set.alarmVolume == 0) {
			volLabel.text('低');
		} else {
			volLabel.text('高');
		}
		// console.log(b3Set.alarmIf==1?true:false)
		setData.add({
			alarm : b3Set.alarmIf == 1 ? false : true,
			alarmVol : b3Set.alarmVolume,
			heartVol : b3Set.heartVolume
		});
		// alert(b1Set.alarmVolume)
		// this.comp("picker1").setSelectedIndex(b1Set.alarmVolume);
	};
	// 设置报警 toggle组件值变化事件
	Model.prototype.toggle1Change = function(event) {
		var alarm = this.comp('toggle1').val() == true ? 0 : 1;
        var b3Set = JSON.parse(store.get('b3Set'));
      
		function success(ev) {
			console.log(alarm)
//			
//				po.pop('设置成功');
		  b3Set.alarmIf=alarm; 
		  
         store.set('b3Set',JSON.stringify(b3Set));
		}
		function error() {
			po.pop('操作失败');
		}
		B3Manager.setAlert(success, error, alarm);

	};

	// Model.prototype.div7Click = function(event) {
	// this.comp('popPicker1').show();
	// };

	Model.prototype.sureBtnClick = function(event) {

		var vols = this.comp("volData").val('vol');
		var b3Set = JSON.parse(store.get('b3Set'));
		b3Set.alarmVolume = vols;
//		console.log(vols,b3Set.alarmVolume)
		var volLabel = $(this.getElementByXid('span1'));
		// vols =
		// this.comp("popPicker1").getInnerPickers()[0].getSelectedItem().val('vol');

		// alert(vols) // 获取到的音量高低 1/0
		function success(vols) {
			if (vols == 0) {
				volLabel.text('低');

			} else {
				volLabel.text('高');
			}
		}
		function error() {
			po.pop('修改失败');
		}
		B3Manager.setAlertVol(success(vols), error, vols)

		var b3Set = store.set('b3Set', JSON.stringify(b3Set));
		// var dataList = {
		// vol : vols,
		// };
	};

	Model.prototype.button3Click = function(event) {
		var vol = JSON.parse(store.get('b3Set')).alarmVolume;
		// alert(vol)
		this.comp("picker1").setSelectedIndex(vol);
		this.comp("popPicker1").show();
	};

	Model.prototype.modelActive = function(event) {
		Model.prototype.modelLoad(event);
	};

	return Model;
});