define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	

	var po = require("$UI/bestbaby-gravida/common/js/popUp")
	var Model = function() {
		this.callParent();
	};

	Model.prototype.modelLoad = function(event) {
	
		var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
			if(!$('.QRcode_panel').hasClass('ios_style')){
				$('.QRcode_panel').addClass('ios_style')
			}
		}
		// 接管物理返回键事件
		document.addEventListener("backbutton", function() {
//			justep.Shell.closePage();
			history.back();
		}, false);
		// 二维码扫描调用
		var pp = po;
		var M = Model;
		cordova.plugins.barcodeScanner.scan(function(result) {
			var datas = {
				result : result.text
			};
			// alert(datas.result.length)
			M.prototype.showPageUrl(datas)
			// showPageUrl(datas)
		}, function(error) {
			po.pop("扫描失败: " + error);
			// justep.Shell.closePage();
		});
	};

	Model.prototype.modelActive = function(event) {
		var M = Model;
		// 接管物理返回键事件
		document.addEventListener("backbutton", function() {
			history.back();
		}, false);
		cordova.plugins.barcodeScanner.scan(function(result) {
			var datas = {
				result : result.text
			};
			M.prototype.showPageUrl(datas)
		}, function(error) {
			po.pop("扫描失败: " + error);
			// justep.Shell.closePage();
		});
	};
	// 页面跳转
	Model.prototype.showPageUrl = function(datas) {
		// console.log(datas)
		var datas = datas.result;
		var M = Model;
		TranslateCode.tranCode(M.prototype.tranCodeSuccess, M.prototype.tranCodeError, datas);
		// console.log(datas)

	}
	// 解析成功回调方法
	Model.prototype.tranCodeSuccess = function(content) {
//		alert(su)
//		justep.Shell.loadPage(url);
		// po.pop(content)
		var obj = $.parseJSON(content); // json格式转换对象
		// console.log(obj);
		var dClass = obj.tCode; // 设备型号
		if (dClass == 'B1') {
			var u = navigator.userAgent;
			var type = "";
			var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; // android
			var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); // ios
			// console.log('是否是Android：'+isAndroid);
			// console.log('是否是iOS：'+isiOS);
			if (isAndroid) {
				type = 1;
			}
			if (isiOS) {
				type = 2;
			}
			 type=2;
			if (type == 1) {
				var url = '$UI/bestbaby-gravida/monitor/wifi.w';
				

			} else if (type == 2) {
				var url = '$UI/bestbaby-gravida/monitor/wifiIOS.w';
			}
			
			justep.Shell.showPage(url, {
				data : obj
			});

		}else{
			alert();
		}

	}
	// 解析失败回调方法
	Model.prototype.tranCodeError = function() {
		po.pop('数据解码失败');
	}
	return Model;

});
