define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	require("$UI/bestbaby-gravida/common/js/common");
	var userModel = require("$UI/bestbaby-gravida/common/js/modules/user");
	var pop = require("$UI/bestbaby-gravida/common/js/popUp");
	require("css!$UI/bestbaby-gravida/common/js/mobile/need/layer").load();
	var layer = require("$UI/bestbaby-gravida/common/js/mobile/layer");
	var commonUrl = require("$UI/bestbaby-gravida/common/js/commonUrl");
	var Model = function(){
		this.callParent();
	};
	var birth ="";
	var idFontImg = '';
	var idBlackImg = '';
	var idFontImgUrl = '';
	var idBlackImgUrl = '';
	
	Model.prototype.submitBtn = function(event){
		layer.open({
			type:2,
			content:'上传中',
			shadeClose: false,
		})
		var url = "system/Gravida/upload";
		var token =app.getToken();

		if (!idFontImg || !idBlackImg) {
			layer.closeAll()
			pop.pop('请选择身份证照片');
			return;
		} else {
			var form1 = new FormData();
			form1.append('file',idFontImg);
			form1.append('type',2);
				if (/^image\/\w+$/.test(idFontImg.type)) { // 如果是图片文件
					$.ajax({
						url: commonUrl+'/'+url,
						type: 'POST',
						cache: false,
						async:false,
						headers:{
							token:token
						},
						data: form1,
						processData: false,
						contentType: false,
					}).done(function(res) {
						if(res.code == 1000){
							idFontImgUrl = res.content;
						}else{
						}
					}).fail(function(res) {
						pop.pop('请选择小于1M的照片');
					});
				} else { // 如果用户选的的不是图片文件
					pop.pop('请选择图片');
				}
			
			var form2 = new FormData();
			form2.append('file',idBlackImg);
			form2.append('type',3);
				if (/^image\/\w+$/.test(idBlackImg.type)) { // 如果是图片文件
					$.ajax({
						url: commonUrl+'/'+url,
						type: 'POST',
						cache: false,
						headers:{
							token:token
						},
						data: form,
						processData: false,
						contentType: false,
						async:false,
					}).done(function(res) {
						if(res.code == 1000){
							idBlackImgUrl = res.content;
						}else{
						}
					}).fail(function(res) {
						pop.pop('请选择小于1M的照片');
					});
				} else { // 如果用户选的的不是图片文件
					pop.pop('请选择图片');
				}
		}
		
		var id=this.comp("id").val();//身份证号码
		var name  =this.comp('name').val();//真实姓名
		if(!id){
			pop.pop('请填写身份证');
			return;
		}
		if(!name){
			pop.pop('请填写姓名')
			return;
		}
		if(!idFontImgUrl){
			pop.pop('请上传身份证正面');
			return;
		}
		if(!idBlackImgUrl){
			pop.pop('请上传身份证背面');
			return;
		}
		if(!birth){
			pop.pop('请选择出生日期');
			return;
		}
		if(!app.checkID(id)){
			pop.pop('请输入有效身份证号码');
			return;
		}
		var data = {
				mobl :'',	// 联系号码
				code: '',	// 短信验证码
				name: name,	// 真实姓名
				pswd : '',	// 登录密码
				ages:'',	// 年龄
				lmp: '',	// 末次月经
				dede:'',	// 预产期
				eyct:'',	// 紧急联系人
				eyml:'',	// 紧急联系电话
				pmhy:'',	// 既往病史
				pmot:'',	// 既往病史
				cdno:id,	// -身份证号码
				mail:'',	// -联系邮箱
				bith:birth,	// -出生日期
				htcm:'',	// -身高
				wtkg:'',	// -体重
				logo:'',	// -头像
				cdhd:idFontImgUrl,	// -身份证正面照片
				cdtl:idBlackImgUrl,	// -身份证反面照片
		};
		userModel.modifiedInfo(data, function(success, message, data) {
			layer.closeAll();
			if (success) {
				var url = '$UI/bestbaby-gravida/login/login.w';
				justep.Shell.showPage(url);
			} else {
				pop.pop('提交失败，请重试');
			}
		});
	};

	Model.prototype.modelParamsReceive = function(event){
		var  data = this.data;

	};

	Model.prototype.saveBtn = function(event){
		var year = this.comp("popPicker1").getInnerPickers()[0].getSelectedItem().val('year');// 年
		var month = this.comp("popPicker1").getInnerPickers()[1].getSelectedItem().val('month');// 月
		var day = this.comp("popPicker1").getInnerPickers()[2].getSelectedItem().val('day');// 日
		birth =year.split("年")[0] + "-" + month.split("月")[0]+ "-" + day.split("日")[0]; 
		//// 出生日期
		var html=this.getElementByXid("birth");
	};

	Model.prototype.button4Click = function(event){
		var url = '$UI/bestbaby-gravida/login/login.w';
		justep.Shell.showPage(url);
	};

	function preview(file) {
		var img = new Image(), url = img.src = URL.createObjectURL(file)
		var $img = $(img)
		img.onload = function() {
			URL.revokeObjectURL(url)
			$img.addClass('id-black-img');
			$img.addClass('id-img');
			$('.if-black-pre').eq(0).append($img);
		}
	}


	Model.prototype.input1Change = function(event){
		var url = "system/Gravida/upload";
		idFontImg = $('.id-font')[0].files[0];
		var showImg = $('.id-font-img').eq(0);
		var img = new Image(), url = img.src = URL.createObjectURL(idFontImg)
		var $img = $(img)
		img.onload = function() {
			URL.revokeObjectURL(url)
			$img.addClass('id-font-img');
			$img.addClass('id-img');
			$('.id-font-pre').eq(0).append($img);
		}
	};

	Model.prototype.input2Change = function(event){
		var url = "system/Gravida/upload";
		idBlackImg = $('.id-black')[0].files[0];
		var showImg = $('.id-black-img').eq(0);
		var img = new Image(), url = img.src = URL.createObjectURL(idBlackImg)
		var $img = $(img)
		img.onload = function() {
			URL.revokeObjectURL(url)
			$img.addClass('id-black-img');
			$img.addClass('id-img');
			$('.if-black-pre').eq(0).append($img);
		}
	};

	Model.prototype.idKeyup = function(event){
		app.checkLength('.id-card-num',18,'身份证号码');
	};

	Model.prototype.modelLoad = function(event){
		var has_ios =$("html").hasClass("iosstatusbar");
		if(has_ios){
			if(!$('.registerId_panel').hasClass('ios_style')){
				$('.registerId_panel').addClass('ios_style')
			}
		}
	};

	return Model;
});